<?php
$filterarray_mitarbeiter = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $id 
) ) );
$filterarray_kunde = str_replace ( "\"", "&quot;", serialize ( array (
		"kunde" => $id 
) ) );
$filterarray_lieferant = str_replace ( "\"", "&quot;", serialize ( array (
		"lieferant" => $id 
) ) );
$filterarray_kontakt = str_replace ( "\"", "&quot;", serialize ( array (
		"kontakt" => $id 
) ) );
$filterarray_projekt = str_replace ( "\"", "&quot;", serialize ( array (
		"projekt" => $id 
) ) );

$filterarray_werkzeug = str_replace ( "\"", "&quot;", serialize ( array (
		"werkzeug" => $id 
) ) );

$filterdatum_heute = date ( "d-m-Y", mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) );
$filterdatum_vor4wochen = date ( "d-m-Y", mktime ( 0, 0, 0, $aktmonat, $akttag - 28, $aktjahr ) );
$filterdatum_vor4tagen = date ( "d-m-Y", mktime ( 0, 0, 0, $aktmonat, $akttag - 4, $aktjahr ) );

$filterarray_mitarbeiter_4wochen = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $id,
		"datum" => $filterdatum_heute . "-" . $filterdatum_vor4wochen 
) ) );
$filterarray_mitarbeiter_stempelzeiten = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $filter ["stempelzeiten"] ["mitarbeiter"],
		"datum" => $filter ["stempelzeiten"] ["datumsbereich"] 
) ) );
$filterarray_mitarbeiter_stempelzeiten4tage = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => "",
		"datum" => $filterdatum_heute . "-" . $filterdatum_vor4tagen 
) ) );
$filterarray_mitarbeiter_arbeitszeiten = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $filter ["arbeitszeiten"] ["mitarbeiter"],
		"datum" => $filter ["arbeitszeiten"] ["datumsbereich"] 
) ) );
$filterarray_mitarbeiter_projektzeiten = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $filter ["projektzeiten"] ["mitarbeiter"],
		"datum" => $filter ["projektzeiten"] ["datumsbereich"] 
) ) );
$filterarray_mitarbeiter_stundennachweis = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $filter ["stundennachweis"] ["mitarbeiter"],
		"datum" => $filter ["stundennachweis"] ["datumsbereich"] 
) ) );
$filterarray_mitarbeiter_stundenkontrolle = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $filter ["stundenkontrolle"] ["mitarbeiter"],
		"datum" => $filter ["stundenkontrolle"] ["datumsbereich"] 
) ) );
$filterarray_mitarbeiter_coestundenkontrolle = str_replace ( "\"", "&quot;", serialize ( array (
		"mitarbeiter" => $filter ["coestundenkontrolle"] ["mitarbeiter"],
		"datum" => $filter ["coestundenkontrolle"] ["datumsbereich"] 
) ) );

$quicklinks = array (
		
		"mitarbeiter-list" => array (
				array (
						"stempelzeiten",
						"Stempelzeiten der Mitarbeiter",
						"target=stempelzeiten&typ=list" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten der Mitarbeiter",
						"target=arbeitszeiten&typ=list" 
				),
				array (
						"projektzeiten",
						"Projektzeiten der Mitarbeiter",
						"target=projektzeiten&typ=list" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten der Mitarbeiter (alternative Ansicht)",
						"target=projektzteshaes&typ=list" 
				),
				array (
						"stundennachw.",
						"Stundennachweise der Mitarbeiter",
						"target=stundennachweis&typ=list" 
				),
				array (
						"stundennachw.",
						"Stundennachweise der Mitarbeiter",
						"target=eshaesstundennachweis&typ=list" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle der Mitarbeiter",
						"target=stundenkontrolle&typ=list" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle der Mitarbeiter",
						"target=eshaesstundenkontrolle&typ=list" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle der Mitarbeiter",
						"target=coestundenkontrolle&typ=list" 
				),
				array (
						"fahrstrecken",
						"Fahrstrecken der Mitarbeiter",
						"target=fahrstrecken&typ=list" 
				) 
		),
		
		"mitarbeiter-show" => array (
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters der letzten 4 Wochen",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters der letzten 4 Wochen",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters der letzten 4 Wochen",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters der letzten 4 Wochen (alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"stundennachw.",
						"Stundennachweise dieses Mitarbeiters der letzten 4 Wochen",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"stundennachw.",
						"Stundennachweise dieses Mitarbeiters der letzten 4 Wochen",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters der letzten 4 Wochen",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters der letzten 4 Wochen",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters der letzten 4 Wochen",
						"target=eshaesstundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
				),
				array (
						"fahrstrecken",
						"alle Fahrstrecken von diesem Mitarbeiter",
						"target=fahrstrecken&typ=list&listenname=fahrtstrecken&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter" 
				) 
		),
		
		"kunden-list" => array (
				array (
						"angebote",
						"alle Angebote",
						"target=eshaesangebote&typ=list" 
				),
				array (
						"belege",
						"alle Belege",
						"target=belege&typ=list" 
				),
				array (
						"bestellungen",
						"alle Bestellungen",
						"target=bestellungen&typ=list" 
				) 
		),
		
		"lieferanten-list" => array (
				array (
						"bestellungen",
						"alle Bestellungen",
						"target=bestellungen&typ=list" 
				),
				array (
						"rechnungen",
						"alle Rechnungen",
						"target=rechnungen&typ=list" 
				),
				array (
						"lagerartikel",
						"alle Lager-Artikel",
						"target=lagerartikel&typ=list" 
				),
				array (
						"material",
						"alle Materialien",
						"target=material&typ=list" 
				) 
		),
		
		"kontakte-list" => array (
				array (
						"angebote",
						"alle Angebote",
						"target=eshaesangebote&typ=list" 
				),
				array (
						"belege",
						"alle Belege",
						"target=belege&typ=list" 
				),
				array (
						"bestellungen",
						"alle Bestellungen",
						"target=bestellungen&typ=list" 
				),
				array (
						"rechnungen",
						"alle Rechnungen",
						"target=rechnungen&typ=list" 
				),
				array (
						"lagerartikel",
						"alle Lager-Artikel",
						"target=lagerartikel&typ=list" 
				),
				array (
						"material",
						"alle Materialien",
						"target=material&typ=list" 
				) 
		),
		
		"projekte-list" => array (
				array (
						"kunden",
						"alle Kunden",
						"target=kunden&typ=list" 
				),
				array (
						"angebote",
						"alle Angebote",
						"target=eshaesangebote&typ=list" 
				),
				array (
						"belege",
						"alle Belege",
						"target=belege&typ=list" 
				),
				array (
						"bestellungen",
						"alle Bestellungen",
						"target=bestellungen&typ=list" 
				),
				array (
						"rechnungen",
						"alle Rechnungen",
						"target=rechnungen&typ=list" 
				),
				array (
						"lagerartikel",
						"alle Lager-Artikel",
						"target=lagerartikel&typ=list" 
				) 
		),
		
		"boekerprojekte-list" => array (
				array (
						"kunden",
						"alle Kunden",
						"target=kunden&typ=list" 
				),
				array (
						"angebote",
						"alle Angebote",
						"target=eshaesangebote&typ=list" 
				),
				array (
						"belege",
						"alle Belege",
						"target=belege&typ=list" 
				),
				array (
						"bestellungen",
						"alle Bestellungen",
						"target=bestellungen&typ=list" 
				),
				array (
						"rechnungen",
						"alle Rechnungen",
						"target=rechnungen&typ=list" 
				),
				array (
						"lagerartikel",
						"alle Lager-Artikel",
						"target=lagerartikel&typ=list" 
				) 
		),
		
		"projektstand-list" => array (
				array (
						"kunden",
						"alle Kunden",
						"target=kunden&typ=list" 
				),
				array (
						"angebote",
						"alle Angebote",
						"target=angebote&typ=list" 
				),
				array (
						"belege",
						"alle Belege",
						"target=belege&typ=list" 
				),
				array (
						"bestellungen",
						"alle Bestellungen",
						"target=bestellungen&typ=list" 
				),
				array (
						"rechnungen",
						"alle Rechnungen",
						"target=rechnungen&typ=list" 
				),
				array (
						"lagerartikel",
						"alle Lager-Artikel",
						"target=lagerartikel&typ=list" 
				),
				array (
						"material",
						"alle Materialien",
						"target=material&typ=list" 
				) 
		),
		
		"content-list" => array (
				array (
						"contentvorlagen",
						"alle Content-Vorlagen",
						"target=contentvorlagen&typ=list" 
				),
				array (
						"textvorlagen",
						"alle Text-Vorlagen",
						"target=textvorlagen&typ=list" 
				) 
		),
		
		"content-show" => array (
				array (
						"contentvorlagen",
						"alle Content-Vorlagen",
						"target=contentvorlagen&typ=list" 
				),
				array (
						"textvorlagen",
						"alle Text-Vorlagen",
						"target=textvorlagen&typ=list" 
				) 
		),
		
		"stempelzeiten-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["stempelzeiten"] ["mitarbeiter"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["stempelzeiten"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["stempelzeiten"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten" 
				) 
		),
		
		"arbeitszeiten-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["arbeitszeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["arbeitszeiten"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["arbeitszeiten"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_arbeitszeiten" 
				) 
		),
		
		"projektzeiten-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["projektzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["projektzeiten"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"kunde",
						"Details dieses Kunden",
						"target=kunden&typ=show&id=" . returnFilterWert ( $filter ["projektzeiten"] ["kunde"] ) 
				),
				array (
						"projekt",
						"Details dieses Projektes",
						"target=projekte&typ=show&id=" . returnFilterWert ( $filter ["projektzeiten"] ["projekt"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter/Projekt",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["projektzeiten"] ["mitarbeiter"],
								"projekt" => $filter ["projektzeiten"] ["projekt"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["projektzeiten"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				) 
		),
		
		"projektzteshaes-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["projektzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["mitarbeiter"] ) 
				),
				array (
						"kunde",
						"Details dieses Kunden",
						"target=kunden&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["kunde"] ) 
				),
				array (
						"projekt",
						"Details dieses Projektes",
						"target=projekte&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["projekt"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter/Projekt",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["projektzeiteneshaes"] ["mitarbeiter"],
								"projekt" => $filter ["projektzeiteneshaes"] ["projekt"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["projektzeiteneshaes"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				) 
		),
		
		"projektztajax-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["projektzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["mitarbeiter"] ) 
				),
				array (
						"kunde",
						"Details dieses Kunden",
						"target=kunden&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["kunde"] ) 
				),
				array (
						"projekt",
						"Details dieses Projektes",
						"target=projekte&typ=show&id=" . returnFilterWert ( $filter ["projektzeiteneshaes"] ["projekt"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter/Projekt",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["projektzeiteneshaes"] ["mitarbeiter"],
								"projekt" => $filter ["projektzeiteneshaes"] ["projekt"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["projektzeiteneshaes"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_projektzeiten" 
				) 
		),
		
		"stundennachweis-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stundennachweis"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["stundennachweis"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["stundennachweis"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["stundennachweis"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				) 
		),
		
		"coestundennachweis-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stundennachweis"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["stundennachweis"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["stundennachweis"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["stundennachweis"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				) 
		),
		
		"eshaesstundennachweis-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stundennachweis"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["stundennachweis"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["stundennachweis"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["stundennachweis"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				),
				array (
						"stundenkontr.",
						"Stundenkontrolle dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundennachweis" 
				) 
		),
		
		"stundenkontrolle-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stundenkontrolle"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stempelzeiten"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["stundenkontrolle"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["arbeitszeiten"] ["mitarbeiter"] ) 
				),
				array (
						"projekt",
						"Details dieses Projektes",
						"target=projekte&typ=show&id=" . returnFilterWert ( $filter ["stundenkontrolle"] ["projekt"] ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter/Projekt",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["stundenkontrolle"] ["mitarbeiter"],
								"projekt" => $filter ["stundenkontrolle"] ["projekt"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["stundenkontrolle"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				) 
		),
		
		"coestundenkontrolle-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["coestundenkontrolle"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["coestundenkontrolle"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["coestundenkontrolle"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["coestundenkontrolle"] ["mitarbeiter"] ) 
				),
				array (
						"projekt",
						"Details dieses Projektes",
						"target=projekte&typ=show&id=" . returnFilterWert ( $filter ["coestundenkontrolle"] ["projekt"] ) 
				),
				array (
						"belege",
						"Belege dieses Kunden/Projektes",
						"target=belege&typ=list&listenname=belege&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kunde" => $filter ["coestundenkontrolle"] ["kunde"],
								"projekt" => $filter ["coestundenkontrolle"] ["projekt"] 
						) ) ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter/Projekt",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["coestundenkontrolle"] ["mitarbeiter"],
								"projekt" => $filter ["coestundenkontrolle"] ["projekt"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["coestundenkontrolle"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_coestundenkontrolle" 
				) 
		),
		
		"eshaesstundenkontrolle-list" => array (
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stundenkontrolle"] ["abteilung"] 
						) ) ) 
				),
				array (
						"abteilung",
						"Alle Mitarbeiter dieser Abteilung",
						"target=mitarbeiter2&typ=list&listenname=mitarbeiter&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"abteilung" => $filter ["stundenkontrolle"] ["abteilung"] 
						) ) ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter&typ=show&id=" . returnFilterWert ( $filter ["stundenkontrolle"] ["mitarbeiter"] ) 
				),
				array (
						"mitarbeiter",
						"Details dieses Mitarbeiters",
						"target=mitarbeiter2&typ=show&id=" . returnFilterWert ( $filter ["stundenkontrolle"] ["mitarbeiter"] ) 
				),
				array (
						"projekt",
						"Details dieses Projektes",
						"target=projekte&typ=show&id=" . returnFilterWert ( $filter ["stundenkontrolle"] ["projekt"] ) 
				),
				array (
						"belege",
						"Belege dieses Kunden/Projektes",
						"target=belege&typ=list&listenname=belege&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kunde" => $filter ["stundenkontrolle"] ["kunde"],
								"projekt" => $filter ["stundenkontrolle"] ["projekt"] 
						) ) ) 
				),
				array (
						"content zu",
						"Content zu diesem Mitarbeiter/Projekt",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"kontakt" => $filter ["stundenkontrolle"] ["mitarbeiter"],
								"projekt" => $filter ["stundenkontrolle"] ["projekt"] 
						) ) ) 
				),
				array (
						"content von",
						"Content von diesem Mitarbeiter als Autor",
						"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
								"autor" => $filter ["stundenkontrolle"] ["mitarbeiter"] 
						) ) ) 
				),
				array (
						"stempelzeiten",
						"Stempelzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stempelzeiten-4tg",
						"Stempelzeiten der letzten 4 Tage",
						"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stempelzeiten4tage" 
				),
				array (
						"arbeitszeiten",
						"Arbeitszeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"projektzeiten",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum",
						"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"projektzeiten-2",
						"Projektzeiten dieses Mitarbeiters im gleichen Zeitraum (Alternative Ansicht)",
						"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				),
				array (
						"stundennachw.",
						"Stundennachweis dieses Mitarbeiters im gleichen Zeitraum",
						"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_stundenkontrolle" 
				) 
		),
		
		"faustwerkzeuge-show" => array (
				array (
						"festauftrge",
						"alle Festauftrge zu diesem Werkzeug",
						"target=faustfestauftraege&typ=list&listenname=festauftraege&filter_leeren=1&filterwert_neu=$filterarray_werkzeug" 
				),
				array (
						"reparaturen",
						"alle Reparaturen zu diesem Werkzeug",
						"target=faustreparaturen&typ=list&listenname=reparaturen&filter_leeren=1&filterwert_neu=$filterarray_werkzeug" 
				) 
		) 
);

if ($target == "kontakte" and ($typ == "show" or $typ == "send") and $id != "") {
	
	$kontakte_query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $id;
	$kontakte_field = get_table_row ( $kontakte_query );
	
	if ($kontakte_field ["dtIstMitarbeiter"] == 1) {
		$quicklinks ["kontakte-show"] [] = array (
				"content von",
				"Content von diesem Mitarbeiter als Autor",
				"target=content&typ=list&listenname=content&filter_leeren=1&filterwert_neu=" . str_replace ( "\"", "&quot;", serialize ( array (
						"autor" => $id 
				) ) ) 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stempelzeiten",
				"Stempelzeiten dieses Mitarbeiters der letzten 4 Wochen",
				"target=stempelzeiten&typ=list&listenname=stempelzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"arbeitszeiten",
				"Arbeitszeiten dieses Mitarbeiters der letzten 4 Wochen",
				"target=arbeitszeiten&typ=list&listenname=arbeitszeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"projektzeiten",
				"Projektzeiten dieses Mitarbeiters der letzten 4 Wochen",
				"target=projektzeiten&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"projektzeiten-2",
				"Projektzeiten dieses Mitarbeiters der letzten 4 Wochen (alternative Ansicht)",
				"target=projektzteshaes&typ=list&listenname=projektzeiten&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stundennachw.",
				"Stundennachweise dieses Mitarbeiters der letzten 4 Wochen",
				"target=stundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stundennachw.",
				"Stundennachweise dieses Mitarbeiters der letzten 4 Wochen",
				"target=coestundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stundennachw.",
				"Stundennachweise dieses Mitarbeiters der letzten 4 Wochen",
				"target=eshaesstundennachweis&typ=list&listenname=stundennachweis&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stundenkontr.",
				"Stundenkontrolle dieses Mitarbeiters der letzten 4 Wochen",
				"target=stundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stundenkontr.",
				"Stundenkontrolle dieses Mitarbeiters der letzten 4 Wochen",
				"target=coestundenkontrolle&typ=list&listenname=coestundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"stundenkontr.",
				"Stundenkontrolle dieses Mitarbeiters der letzten 4 Wochen",
				"target=eshaesstundenkontrolle&typ=list&listenname=stundenkontrolle&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter_4wochen" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"fahrstrecken",
				"alle Fahrstrecken von diesem Mitarbeiter",
				"target=fahrstrecken&typ=list&listenname=fahrtstrecken&filter_leeren=1&filterwert_neu=$filterarray_mitarbeiter" 
		);
	}
	
	if ($kontakte_field ["dtIstKunde"] == 1) {
		$quicklinks ["kontakte-show"] [] = array (
				"projekte",
				"alle Projekte dieses Kunden",
				"target=projekte&typ=list&listenname=projekte&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"projektstand",
				"alle Projektstnde dieses Kunden",
				"target=projektstand&typ=list&listenname=projektstand&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"angebote",
				"alle Angebote dieses Kunden",
				"target=eshaesangebote&typ=list&listenname=angebote&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"belege",
				"alle Belege dieses Kunden",
				"target=belege&typ=list&listenname=belege&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"bestellungen",
				"alle Bestellungen dieses Kunden",
				"target=bestellungen&typ=list&listenname=bestellungen&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"umstze",
				"alle Umstze dieses Kunden",
				"target=umsaetze&typ=list&listenname=umsaetze&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"fahrstrecken",
				"alle Fahrstrecken zu diesem Kunden",
				"target=fahrstrecken&typ=list&listenname=fahrtstrecken&filter_leeren=1&filterwert_neu=$filterarray_kunde" 
		);
	}
	
	if ($kontakte_field ["dtIstLieferant"] == 1) {
		$quicklinks ["kontakte-show"] [] = array (
				"bestellungen",
				"alle Bestellungen dieses Lieferanten",
				"target=bestellungen&typ=list&listenname=bestellungen&filter_leeren=1&filterwert_neu=$filterarray_lieferant" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"rechnungen",
				"alle Rechnungen dieses Lieferanten",
				"target=rechnungen&typ=list&listenname=rechnungen&filter_leeren=1&filterwert_neu=$filterarray_lieferant" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"lagerartikel",
				"alle Lager-Artikel dieses Lieferanten",
				"target=lagerartikel&typ=list&listenname=lagerartikel&filter_leeren=1&filterwert_neu=$filterarray_lieferant" 
		);
		$quicklinks ["kontakte-show"] [] = array (
				"material",
				"alle Materialien dieses Lieferanten",
				"target=material&typ=list&listenname=material&filter_leeren=1&filterwert_neu=$filterarray_lieferant" 
		);
	}
}

?>