<?php
/*
 * conceptERP Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */
require ('functions/init.php');

// ************************** validiere Session, sonst zeige Login oder Fehlerbox
$PHPSESSID = session_id ();
check_valid_session ( $benutzername );

// ************************** lade Benutzereinstellungen aus Datenbank
$benutzer_row = holeBenutzer ();

// ************************** Rechteverwaltung
include ("rechteverwaltung.php");

if (is_dir ( returnContentOrdner ( $pfad ) ) and check_link_permission ( $target, $typ, $benutzerrechte ) == true) {
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	
	// ************************** prfe, ob der User die Berechtigung auf diesen Ordner hat
	// ************************** (wenn es der Vorlagenordner ist, dann reicht die link_permission aus)
	if ($target == "contvorlagen" or check_content_permission ( $pfad )) {
		
		// ************************** lege den gewnschten Ordner im Userspace an
		if (! is_dir ( $dateipfad . "/" . $userspaceordner . "/" . $_SESSION ['benutzername'] )) {
			mkdir ( $dateipfad . "/" . $userspaceordner . "/" . $_SESSION ['benutzername'] );
		}
		if (! is_file ( $dateipfad . "/" . $userspaceordner . "/" . $_SESSION ['benutzername'] . "/.htaccess" )) {
			$htaccessfile = fopen ( $dateipfad . "/" . $userspaceordner . "/" . $_SESSION ['benutzername'] . "/.htaccess", 'w' );
			fwrite ( $htaccessfile, "deny from all\n" );
			fclose ( $htaccessfile );
		}
		
		// ************************** erzeuge Link des geforderten Ordners im Userspace-Ordner des Benutzers
		if (! is_link ( $dateipfad . "/" . $userspaceordner . "/" . $_SESSION ['benutzername'] . "/" . $pfad )) {
			@symlink ( returnContentOrdner ( $pfad ), $dateipfad . "/" . $userspaceordner . "/" . $_SESSION ['benutzername'] . "/" . $pfad );
		}
		
		// ************************** geforderter Pfad
		if (! (strpos ( $_SESSION ['browsertyp'], "Linux" ) === false)) {
			$smb_adresse = str_replace ( array (
					"%%%USERNAME%%%",
					"%%%PASSWORT%%%" 
			), array (
					$_SESSION ['benutzername'],
					$benutzer_row ["dtPasswort"] 
			), $smb_prefix_linux ) . "/" . $pfad;
		} else {
			$smb_adresse = str_replace ( array (
					"%%%USERNAME%%%",
					"%%%PASSWORT%%%" 
			), array (
					$_SESSION ['benutzername'],
					$benutzer_row ["dtPasswort"] 
			), $smb_prefix_windows ) . "/" . $pfad;
		}
		
		// ************************** erzeuge Shellscript bzw. Batchdatei zum ffnen des externen Dateimanagers unter Linux
		if (! (strpos ( $_SESSION ['browsertyp'], "Linux" ) === false)) {
			
			$batchname = $PHPSESSID . "_contentbatch.sh";
			
			$batchoutput = "#!/bin/sh\n";
			$batchoutput .= "# conceptERP Batchfile zu start des externen Dateibrowsers unter Linux\n\n";
			$batchoutput .= $fileeditor_start_linux . " " . $smb_adresse . " & \n";
			
			$batchfile = fopen ( $dateipfad . "/" . $userspaceordner . "/" . $batchname, 'w' );
			fwrite ( $batchfile, $batchoutput );
			fclose ( $batchfile );
			chmod ( $dateipfad . "/" . $userspaceordner . "/" . $batchname, 0755 );
			
			$smb_adresse = $userspaceordner . "/" . $batchname;
		}
		
		// ************************** lade Seite neu und ffne dabei Shellscript
		
		// Ausgabe der Umleitung
		echo "$doctype\n\n";
		echo "<html><head><title>conceptERP Content-Ausgabe</title>\n\n$metatags\n\n";
		if ($_SESSION ['browsertyp'] != "") {
			echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css\">\n\n";
		} else {
			echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css\">\n\n";
		}
		
		// automatische Umleitung unter Windows IE7
		if ($autoumleitung_ie7_aktiv == 1 and ! (strpos ( $_SESSION ['browsertyp'], "MSIE7" ) === false)) {
			echo "<script language=\"javascript\">";
			echo " { self.location.href=\"" . $smb_adresse . "\"; self.close();}";
			echo "</script>";
		}
		
		// automatische Umleitung unter Windows IE6
		if ($autoumleitung_ie6_aktiv == 1 and ! (strpos ( $_SESSION ['browsertyp'], "MSIE6" ) === false)) {
			echo "<script language=\"javascript\">";
			echo " { self.location.href=\"" . $smb_adresse . "\"; self.close();}";
			echo "</script>";
		}
		
		// automatische Umleitung unter Windows Mozilla
		if ($autoumleitung_mozilla_win_aktiv == 1 and ! (strpos ( $_SESSION ['browsertyp'], "Windows" ) === false)) {
			echo "<script language=\"javascript\">";
			echo " { self.location.href=\"" . $smb_adresse . "\"; self.close();}";
			echo "</script>";
		}
		
		// automatische Umleitung unter Linux
		if ($autoumleitung_mozilla_linux_aktiv == 1 and ! (strpos ( $_SESSION ['browsertyp'], "Linux" ) === false)) {
			echo "<script language=\"javascript\">";
			echo " { self.location.href=\"" . $smb_adresse . "\"; self.close();}";
			echo "</script>";
		}
		
		echo "<body bgcolor=\"" . $bgcolor_menu . "\" leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\" >";
		echo "<table border=0 class=\"header\" cellspacing=0 height=\"100%\">";
		echo "<tr><td nowrap valign=\"top\"><font color=\"" . $fontcolor_menu . "\" size=3>" . $softwaretitel . "</font></td></tr>";
		echo "<tr><td nowrap valign=\"middle\" align=\"center\">";
		echo "<a href=\"" . $smb_adresse . "\" target=\"_neu\"><span class=\"filterbutton\"><nobr>&nbsp;&nbsp;ffnen&nbsp;&nbsp;</nobr></span></a>";
		echo "</td></tr>";
		echo "</table></body></html>";
	}
} else {
	die ( "Keine Berechtigung oder Content-Ordner nicht vorhanden!" );
}

/*
 * Datenbankverbindung schliessen
 */
mysql_close ();

?>
