<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektzeitenliste"];

// Mitarbeiter
if ($filter [$listenname] ["mitarbeiter"] != "") {
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblprojektzeiten.fiMitarbeiter" );
} else {
	fehlerausgabe ( 39, "", "meldungbox" );
}

// in diesem Modul kein Multiselect m�glich
if (count ( $filter [$listenname] ["mitarbeiter"] ) > 1) {
	fehlerausgabe ( 39, "", "meldungbox" );
}

// nehme immer den ersten Eintrag wenn der Multiselectfilter benutzt wird
if ($bAktiviereMitarbeiterMultiselectFilter) {
	$filter [$listenname] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"] [0];
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] == "01-01-1970-01-01-2030") {
	fehlerausgabe ( 40, "", "meldungbox" );
} elseif ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Rechte
$rechte_sql = "";
if ($benutzerrechte [$target] ["zugriffsart"] != 0) {
	$rechte_sql = " and $tblprojektzeiten.fiMitarbeiter = " . $_SESSION ['benutzerkontaktid'];
}

// wenn es eine Sortierung gibt, dann f�ge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

$limit_sql = "";

$anzahl_gesamt = get_table_count ( $query . $rechte_sql );
$liste = get_table_array ( $query . $rechte_sql . $sortierung_sql . $limit_sql );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte vor-formatieren
unset ( $liste_temp );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		if (array_key_exists ( $listenzeile ["dtDatum"], ( array ) $liste_temp )) {
			
			if (stdmin_to_min ( $listenzeile ["dtBeginnZeit"] ) != 0 and stdmin_to_min ( $listenzeile ["dtEndeZeit"] ) != 0) {
				
				if (stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] ) != 0) {
					$liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] = min_to_stdmin ( min ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] ), stdmin_to_min ( $listenzeile ["dtBeginnZeit"] ) ) );
				} else {
					$liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] = $listenzeile ["dtBeginnZeit"];
				}
				$liste_temp [$listenzeile ["dtDatum"]] ["dtEndeZeit"] = min_to_stdmin ( max ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtEndeZeit"] ), stdmin_to_min ( $listenzeile ["dtEndeZeit"] ) ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtAnwesendZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtEndeZeit"] ) - stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtBeginnZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] ) + stdmin_to_min ( $listenzeile ["dtArbeitsZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtZusatzZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtZusatzZeit"] ) + stdmin_to_min ( $listenzeile ["dtZusatzZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtVergueteZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] ) + stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtZusatzZeit"] ) );
				$liste_temp [$listenzeile ["dtDatum"]] ["dtPauseZeit"] = min_to_stdmin ( stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtAnwesendZeit"] ) - stdmin_to_min ( $liste_temp [$listenzeile ["dtDatum"]] ["dtArbeitsZeit"] ) );
			}
			
			if ($listenzeile ["dtBemerkungProjektzeit"] != "") {
				if ($liste_temp [$listenzeile ["dtDatum"]] ["dtBemerkungProjektzeit"] != "") {
					$liste_temp [$listenzeile ["dtDatum"]] ["dtBemerkungProjektzeit"] .= " *** ";
				}
				$liste_temp [$listenzeile ["dtDatum"]] ["dtBemerkungProjektzeit"] .= $listenzeile ["dtBemerkungProjektzeit"];
			}
		} else {
			
			$liste_temp [$listenzeile ["dtDatum"]] = $listenzeile;
		}
	}
}

unset ( $liste_zusgef );
$counter = 0;
if (count ( $liste_temp ) != 0) {
	foreach ( $liste_temp as $listenzeile_id => $listenzeile ) {
		
		$liste_zusgef [$counter ++] = $listenzeile;
	}
}

unset ( $liste_output );
if (count ( $liste_zusgef ) != 0) {
	foreach ( $liste_zusgef as $listenzeile_id => $listenzeile ) {
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $target, $typ, $liste [$listenzeile_id] ["Projektzeiten_id"], $tblprojektzeiten, $listenzeile );
		if ($cache !== false) {
			$liste_output [$listenzeile_id] = $cache;
			continue;
		}
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["Projektzeiten_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["Projektzeiten_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["Projektzeiten_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", $subtyp );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiMitarbeiter", $liste_zusgef [$listenzeile_id] ["fiMitarbeiter"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "dtDatum", $liste_zusgef [$listenzeile_id] ["dtDatum"] );
		
		// +++++++++++ Felder formatieren
		if ($liste_output [$listenzeile_id] ["dtDatum"] != "2030-01-01") {
			$datum = split_date ( $liste_zusgef [$listenzeile_id] ["dtDatum"] );
		}
		
		// if (date("Y-m-d", mktime(0,0,0,$aktmonat,$akttag,$aktjahr)) == date("Y-m-d", mktime(0,0,0,$datum["monat"],$datum["tag"],$datum["jahr"]))) {
		// $bgcolor_datum = "#44ff44";
		// } elseif (date("Y-m-d", mktime(0,0,0,$aktmonat,$akttag-1,$aktjahr)) == date("Y-m-d", mktime(0,0,0,$datum["monat"],$datum["tag"],$datum["jahr"]))) {
		// $bgcolor_datum = "#bbffbb";
		// } elseif (date("Y-m-d", mktime(0,0,0,$aktmonat,$akttag-2,$aktjahr)) == date("Y-m-d", mktime(0,0,0,$datum["monat"],$datum["tag"],$datum["jahr"]))) {
		// $bgcolor_datum = "#ffffdd";
		// } else {
		// $bgcolor_datum = "#eeeeee";
		// }
		
		if ($liste_zusgef [$listenzeile_id] ["dtBeginnZeit"] == "00:00:00" and $liste_zusgef [$listenzeile_id] ["dtEndeZeit"] == "00:00:00") {
			$bgcolor_beginnzeit = "#cccccc";
			$bgcolor_endezeit = "#cccccc";
			$bgcolor_anwzeit = "#cccccc";
			$bgcolor_pause = "#cccccc";
			$bgcolor_arbeitszeit = "#cccccc";
			$bgcolor_zuszeit = "#cccccc";
			$bgcolor_vergzeit = "#cccccc";
		} else {
			$bgcolor_beginnzeit = "#ffffcc";
			$bgcolor_endezeit = "#ccffcc";
			$bgcolor_anwzeit = "#ffffff";
			
			if ($liste_zusgef [$listenzeile_id] ["dtPauseZeit"] == "00:00:00") {
				$bgcolor_pause = "#8888ff";
			} elseif (stdmin_to_min ( $liste_zusgef [$listenzeile_id] ["dtPauseZeit"] ) == $fruehstueck_standard) {
				$bgcolor_pause = "#aaaaff";
			} elseif (stdmin_to_min ( $liste_zusgef [$listenzeile_id] ["dtPauseZeit"] ) == $mittagspause_standard) {
				$bgcolor_pause = "#ccccff";
			} elseif (stdmin_to_min ( $liste_zusgef [$listenzeile_id] ["dtPauseZeit"] ) == ($fruehstueck_standard + $mittagspause_standard)) {
				$bgcolor_pause = "#eeeeff";
			} else {
				$bgcolor_pause = "#ccffff";
			}
			;
			
			if ($liste_zusgef [$listenzeile_id] ["dtArbeitsZeit"] == "00:00:00") {
				$bgcolor_arbeitszeit = "#ffaaaa";
			} else {
				$bgcolor_arbeitszeit = "#ffffff";
			}
			;
			
			$bgcolor_zuszeit = "#cccccc";
			$bgcolor_vergzeit = "#ffffff";
		}
		
		if ($summegzmin == 0)
			$summegzcolor = "#ffffff";
		elseif ($summegzmin < 0)
			$summegzcolor = "#ffdddd";
		elseif ($summegzmin > 0)
			$summegzcolor = "#ddffdd";
		
		$liste_output [$listenzeile_id] ["dtDatum"] = input_text ( "Tag", "datum_tagname", weekday_from_date ( $liste_zusgef [$listenzeile_id] ["dtDatum"] ), "input_date_small", "readonly disabled", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Tag", "datum_tag", $datum ["tag"], "input_date_small", "readonly", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Monat", "datum_monat", $datum ["monat"], "input_date_small", "readonly", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Jahr", "datum_jahr", $datum ["jahr"], "input_date", "readonly", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "KW", "datum_kw", week_from_date ( $liste_zusgef [$listenzeile_id] ["dtDatum"] ), "input_date_small", "readonly disabled", "background-color: $bgcolor_datum;" );
		
		$liste_output [$listenzeile_id] ["dtBeginnZeit"] = input_text ( "Beginn Zeit", "dtBeginnZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtBeginnZeit"] ), "input_time", "readonly", "background-color: $bgcolor_beginnzeit;" );
		$liste_output [$listenzeile_id] ["dtEndeZeit"] = input_text ( "Ende Zeit", "dtEndeZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtEndeZeit"] ), "input_time", "readonly", "background-color: $bgcolor_endezeit;" );
		$liste_output [$listenzeile_id] ["dtAnwesendZeit"] = input_text ( "Anwesend Zeit", "dtAnwesendZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtAnwesendZeit"] ), "input_time", "readonly", "background-color: $bgcolor_anwzeit;" );
		$liste_output [$listenzeile_id] ["dtPauseZeit"] = input_text ( "Pause Zeit", "dtPauseZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtPauseZeit"] ), "input_time", "readonly", "background-color: $bgcolor_pause;" );
		$liste_output [$listenzeile_id] ["dtArbeitsZeit"] = input_text ( "Arbeits-Zeit", "dtArbeitsZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtArbeitsZeit"] ), "input_time", "readonly", "background-color: $bgcolor_arbeitszeit;" );
		$liste_output [$listenzeile_id] ["dtZusatzZeit"] = input_text ( "Zusatz-Zeit", "dtZusatzZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtZusatzZeit"] ), "input_time", "readonly", "background-color: $bgcolor_zuszeit;" );
		$liste_output [$listenzeile_id] ["dtVergueteZeit"] = input_text ( "Verguete-Zeit", "dtVergueteZeit", time_from_sql ( $liste_zusgef [$listenzeile_id] ["dtVergueteZeit"] ), "input_time", "readonly", "background-color: $bgcolor_vergzeit;" );
		
		$gleitzeit_min = get_gleitzeit ( $liste_zusgef [$listenzeile_id] ["fiMitarbeiter"], $liste_zusgef [$listenzeile_id] ["dtDatum"], $liste_zusgef [$listenzeile_id] ["dtDatum"] );
		$gleitzeit_stdmin = min_to_stdmin ( $gleitzeit_min );
		
		if ($gleitzeit_min < 0)
			$bgcolor_gleitzeit = "#ffaaaa";
		elseif ($gleitzeit_min > 0)
			$bgcolor_gleitzeit = "#aaffaa";
		else
			$bgcolor_gleitzeit = "#ffffff";
		
		$liste_output [$listenzeile_id] ["dtSollzeit"] = input_text ( "Sollzeit", "dtSollzeit", double_from_sql ( $liste_zusgef [$listenzeile_id] ["dtSollzeit"], 2 ), "input_time", "readonly", "background-color: #ffffff;" );
		$liste_output [$listenzeile_id] ["dtSummeGleitzeit"] = input_text ( "Gleitzeit an diesem Tag", "dtSummeGleitzeit", $gleitzeit_stdmin, "input_time", "readonly", "background-color: $bgcolor_gleitzeit;" );
		$liste_output [$listenzeile_id] ["dtSummeGleitzeitMinuten"] = input_text ( "Gleitzeit an diesem Tag in Minuten", "dtSummeGleitzeitMinuten", $gleitzeit_min, "input_time", "readonly", "background-color: $bgcolor_gleitzeit;" );
		
		// $liste_output[$listenzeile_id]["dtTaetigkeit"] = input_text ("T�tigkeit", "dtTaetigkeit", $liste_zusgef[$listenzeile_id]["dtTaetigkeit"], "input_text_150", "readonly");
		
		if ($liste [$listenzeile_id] ["dtBemerkungProjektzeit"] != "") {
			$bemerkung_title = "Bemerkung Projektzeit: " . $liste_zusgef [$listenzeile_id] ["dtBemerkungProjektzeit"];
		} else {
			$bemerkung_title = "Bemerkung Projektzeit";
		}
		
		$liste_output [$listenzeile_id] ["dtBemerkungProjektzeit"] = input_text ( $bemerkung_title, "dtBemerkungProjektzeit", $liste_zusgef [$listenzeile_id] ["dtBemerkungProjektzeit"], "input_text_70", "readonly" );
		
		$liste_output [$listenzeile_id] ["dtBemerkungArbeitszeit"] = input_text ( "Bemerkung Arbeitszeit", "dtBemerkungArbeitszeit", $liste_zusgef [$listenzeile_id] ["dtBemerkungArbeitszeit"], "input_text_250", "" );
		
		// +++++++++++ Buttons hinzuf�gen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Projektzeiten_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste_zusgef [$listenzeile_id] ["Projektzeiten_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		
		$filterarray = str_replace ( "\"", "&quot;", serialize ( array (
				"mitarbeiter" => $liste [$listenzeile_id] ["fiMitarbeiter"],
				"projekt" => "",
				"taetigkeit" => "",
				"kunde" => "",
				"datum" => $datum ["tag"] . "-" . $datum ["monat"] . "-" . $datum ["jahr"] . "-" . $datum ["tag"] . "-" . $datum ["monat"] . "-" . $datum ["jahr"] 
		) ) );
		$liste_output [$listenzeile_id] ["ButtonPZ"] = button ( "PZ", "projektzeiten", "list", "", $benutzerrechte, "&listenname=projektzeiten&filterwert_neu=" . $filterarray, "Projektzeiten zu diesem Eintrag anzeigen" );
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $target, $typ, $liste [$listenzeile_id] ["Projektzeiten_id"], $tblprojektzeiten, $listenzeile, $liste_output [$listenzeile_id] );
	}
}

// Zeilen zum Listenobjekt hinzuf�gen
$oListe->addZeilen ( $liste_output );

?>