<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenkopfzeile
listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["artikelvariantengruppenliste"];
$anzahl_gesamt = get_table_count ( $query );

// wenn es eine Sortierung gibt, dann f�ge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann f�ge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["Gruppen_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $liste [$listenzeile_id] ["Gruppen_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["Gruppen_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", $subtyp );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtGruppenName"] = input_text ( "Name", "dtGruppenName", $liste_output [$listenzeile_id] ["dtGruppenName"], "input_text_150" );
		$liste_output [$listenzeile_id] ["dtGruppenBeschreibung"] = input_text ( "Beschreibung", "dtGruppenBeschreibung", $liste_output [$listenzeile_id] ["dtGruppenBeschreibung"], "input_text_250" );
		$liste_output [$listenzeile_id] ["dtGruppenArtikelNrPrefix"] = input_text ( "Prefix", "dtGruppenArtikelNrPrefix", $liste_output [$listenzeile_id] ["dtGruppenArtikelNrPrefix"], "input_text_100" );
		$liste_output [$listenzeile_id] ["dtGruppenMehrfachauswahl"] = input_checkbox ( "Mehrfachauswahl mglich", "dtGruppenMehrfachauswahl", $liste [$listenzeile_id] ["dtGruppenMehrfachauswahl"] );
		$liste_output [$listenzeile_id] ["dtGruppenZwangsauswahl"] = input_checkbox ( "Zwangsauswahl", "dtGruppenZwangsauswahl", $liste_output [$listenzeile_id] ["dtGruppenZwangsauswahl"] );
		
		// +++++++++++ Buttons hinzuf�gen
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Gruppen_id"], $target, $benutzerrechte, "", "nderungen speichern", "onClick='formular_senden(this.form); return false;'" );
		$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton_kurz ( $liste [$listenzeile_id] ["Gruppen_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = klickbutton ( "loeschen_kurz", "onClick='formular_loeschen(this.form)'", "width: 15px;", "Diesen Eintrag lschen" );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste ausgeben
$anzahl = liste_output ( $liste_output, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenfusszeile
listenfuss ( $listenname, $field_width, $sortierung [$listenname], $anzahl, $anzahl_ausgabe, $anzahl_gesamt, $target, $typ );

?>