<?php
$belege_bilanz_nicht_aktuell = 0;
/*
 * Optimierte Query fr Durchsuchung von Artikel und Varianten in Belegen, war vorher nie mglich
 */
$sSuchstring = strlen(str_replace(' ','',$filter [$listenname] ["textfilter"]));
if($sSuchstring > 0)
	$queryOptimized = $sql_query ["beleglisteoptimized"];
else
	$queryOptimized = $sql_query ["beleglisteoptimized2"];
unset ( $query );

$anzahl_gesamt = listeanzahl_ermitteln ( $tblbelege );

// Belegstatusfilter
if (is_array ( $filter [$listenname] ["belegstatus"] )) {
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
} else {
	$query .= " and $tblbelege.fiStatus < 900 ";
}
$iQueryLaenge = strlen ( $query );

if ($benutzerrechte [$target] ["zugriffsart"] == 1) {
	$query .= " and " . $sql_rechte_referer [$target] [$benutzerrechte [$target] ["zugriffsart"]] . " = " . $_SESSION ["benutzerkontaktid"] . " ";
}

// Kundefilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );

// Endkunde
$query .= filter_multiselect_return_query ( $filter [$listenname] ["endkunde"], "$tblbelege.fiEndkunde" );

// Projektfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblbelege.fiProjekt" );

// Autorfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["autor"], "$tblbelege.fiBelegAutor" );

// Beleg Verantwortlicher
$query .= filter_multiselect_return_query ( $filter [$listenname] ["belegverantwortlicher"], "$tblbelege.fiBelegVerantwortlicher" );

// Zahlartfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["zahlart"], "$tblbelege.fiZahlart" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	/*
	 * Wurde in der Beleglistenfilterung der Datumsanzeigefilter ausgewhlt,
	 * wird dementsprechend das Datum selektiert, welches ausgewhlt worden ist.
	 * Dieses Datum wird in der Liste folglich angezeigt
	 */
	if ($filter [$listenname] ["datumanzeigefilter"])
		$dtAnzeigenDatum = $filter [$listenname] ["datumanzeigefilter"];
	else
		$dtAnzeigenDatum = "dtAnzeigeDatum";
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and ($dtAnzeigenDatum <> '2030-01-01' and to_days($dtAnzeigenDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and ($dtAnzeigenDatum <> '2030-01-01' and to_days($dtAnzeigenDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

if($sSuchstring > 0)
{
	// Volltextsuche
	$query .= create_fulltext_index_search ( array (
			$tblbelege,
			$tblkontakte,
			$tblartikel,
			$tblbelegmaterialposten,
			$tblbelegposten 
	), $filter [$listenname] ["textfilter"] );
}
else
{
	// Volltextsuche
	$query .= create_fulltext_index_search ( array (
			$tblbelege,
			$tblkontakte,
	), $filter [$listenname] ["textfilter"] );
}

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

/*
 * Obere Ausgabe : Sobald gesucht wird ber die Textbox, passt die Anzahl
 * Untere Ausgabe : Dadurch, das Group By und Count = 1 ergibt, muss die alte Abfrage hervorgeholt werden
 *
 */
if ($filter [$listenname] ["textfilter"] != "") {
	$query = $queryOptimized . $query;
	$anzahl_ausgabe = get_table_count ( $query );
} else {
	$anzahl_ausgabe = get_table_count ( $sql_query ["belegliste"] . $query );
	$query = $queryOptimized . $query;
}

// Wird bentigt, da die Query normal mehrfache Zeilen einer ID ausgibt, je nachdem wie viele Objekte zugewiesen sind
if($sSuchstring > 0)
	$query .= " GROUP BY $tblbelege.id ";

$query .= $sortierung_sql . $limit_sql;

$liste = get_table_array ( $query );

$aBelegVorhanden;
$sIsPdf = $liste_output;
// ++++++++++++++++++++++++++++++++
// ++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++ WIrd nach Endkunde gesucht, wird trotzdem der normale Kunde angezeigt
		$query = $sql_query ["kontaktliste"] . " AND $tblkontakte.id = '" . $listenzeile ["fiKunde"] . "'";
		$rKontaktResult = get_table_row ( $query );
		
		// +++++ Dient der Q&D Filterung der doppelten Belege, da diese nun auch im Endkunde gesucht werden
		// +++++ Doppelte Belege werden nicht angezeigt
		if (! $aBelegVorhanden [$listenzeile ["Beleg_id"]])
			$aBelegVorhanden [$listenzeile ["Beleg_id"]] = 1;
		else
			continue;
			
			// +++++++++++ hole Bilanzdaten
		$bilanz_query = "select * from $tblbilanzbelege where fiBeleg = " . $listenzeile ["Beleg_id"];
		$bilanz_row = get_table_row ( $bilanz_query );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $rKontaktResult ["dtName_Anzeige"] ), "kontakte", "show", $liste_output [$listenzeile_id] ["fiKunde"], $benutzerrechte );
		
		$liste_output [$listenzeile_id] ["dtBezeichnung"] = str_replace ( "\n", "<br>", $liste_output [$listenzeile_id] ["dtBezeichnung"] );
		
		if ($_GET ["liste_output"] == "csv") {
			$liste_output [$listenzeile_id] ["dtBezeichnung"] = preg_replace ( "#(\r|\n)#", ' ', $liste_output [$listenzeile_id] ["dtBezeichnung"] );
		}
		/*
		 * Wurde ein Datum als Anzeige ausgewhlt,
		 * soll dieses in der Liste angezeigt werden
		 */
		if (! $filter [$listenname] ["datumanzeigefilter"]) {
			if ($liste_output [$listenzeile_id] ["dtAnzeigeDatum"] == "0000-00-00") {
				
				// ++++ erzeuge korrektes Datum zur Anzeige in der Belegliste
				if ($liste_output [$listenzeile_id] ["dtAuftragRelevant"] == 0) {
					$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $liste_output [$listenzeile_id] ["dtAngebotDatum"];
				} else if ($liste_output [$listenzeile_id] ["dtAuftragRelevant"] == 1 and $liste_output [$listenzeile_id] ["dtBuchungsRelevant"] == 0) {
					$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $liste_output [$listenzeile_id] ["dtAuftragDatum"];
				} else if ($liste_output [$listenzeile_id] ["dtBuchungsRelevant"] == 1 and $liste_output [$listenzeile_id] ["dtStornoRelevant"] == 0) {
					$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $liste_output [$listenzeile_id] ["dtRechnungDatum"];
				} else if ($liste_output [$listenzeile_id] ["dtStornoRelevant"] == 1) {
					$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $liste_output [$listenzeile_id] ["dtStornierungDatum"];
				}
				
				$neu ["dtAnzeigeDatum"] = $liste_output [$listenzeile_id] ["dtAnzeigeDatum"];
				update_into_table ( $tblbelege, $liste_output [$listenzeile_id] ["Beleg_id"], $neu );
			}
		} else {
			$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $liste_output [$listenzeile_id] [$filter [$listenname] ["datumanzeigefilter"]];
		}
		
		$datum_span_anzeige = "<span title=\" \n";
		
		if ($liste_output [$listenzeile_id] ["dtAngebotDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Angebot: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtAngebotDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtAuftragDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Auftrag: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtAuftragDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtLieferungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Lieferung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtLieferungDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtRechnungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Rechnung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtRechnungDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtMahnungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Mahnung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtMahnungDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtStornierungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Stornierung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtStornierungDatum"] ) . "\n";
		}
		$datum_span_anzeige .= " \">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtAnzeigeDatum"] );
		$datum_span_anzeige .= "</span>";
		
		$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $datum_span_anzeige;
		
		$summenetto_span_anzeige = "<span style=\"float: right;\"  title=\" \nVerkauf Netto: " . preis_from_sql ( $bilanz_row ["dtSummeVerkaufNetto"], null, 2 ) . "\n \n";
		$summenetto_span_anzeige .= "Einkauf Netto: " . preis_from_sql ( $bilanz_row ["dtSummeEinkaufNetto"], null, 2 ) . "\n";
		$summenetto_span_anzeige .= "berschu Netto: " . preis_from_sql ( $bilanz_row ["dtSummeUeberschussNetto"], null, 2 ) . "\n";
		$summenetto_span_anzeige .= " \" >";
		$summenetto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeVerkaufNetto"], null, 2 );
		$summenetto_span_anzeige .= "</span>";
		
		$summebrutto_span_anzeige = "<span style=\"float: right;\" title=\" \nVerkauf Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeVerkaufBrutto"], null, 2 ) . "\n \n";
		$summebrutto_span_anzeige .= "Einkauf Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeEinkaufBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= "berschu Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeUeberschussBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= " \" >";
		$summebrutto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeVerkaufBrutto"], null, 2 );
		$summebrutto_span_anzeige .= "</span>";
		
		if ($bilanz_row ["dtAktuell"] == "1") {
			
			$liste_output [$listenzeile_id] ["dtBelegSummeOffen"] = preis_from_sql ( ($bilanz_row ["dtSummeVerkaufBrutto"] - $bilanz_row ["dtSummeBezahltBrutto"]), null, 2 );
			$liste_output [$listenzeile_id] ["dtBelegSummeNetto"] = $summenetto_span_anzeige;
			$liste_output [$listenzeile_id] ["dtBelegSummeBrutto"] = $summebrutto_span_anzeige;
			
			$summe_verkauf_netto = $summe_verkauf_netto + $bilanz_row ["dtSummeVerkaufNetto"];
			$summe_verkauf_brutto = $summe_verkauf_brutto + $bilanz_row ["dtSummeVerkaufBrutto"];
			$summe_einkauf_netto = $summe_einkauf_netto + $bilanz_row ["dtSummeEinkaufNetto"];
			$summe_einkauf_brutto = $summe_einkauf_brutto + $bilanz_row ["dtSummeEinkaufBrutto"];
			$summe_ueberschuss_netto = $summe_ueberschuss_netto + $bilanz_row ["dtSummeUeberschussNetto"];
			$summe_ueberschuss_brutto = $summe_ueberschuss_brutto + $bilanz_row ["dtSummeUeberschussBrutto"];
			$summe_offen_brutto = $summe_offen_brutto + ($bilanz_row ["dtSummeVerkaufBrutto"] - $bilanz_row ["dtSummeBezahltBrutto"]);
		} else {
			$belege_bilanz_nicht_aktuell = 1;
		}
		
		$belegnr_span_anzeige = "<span title=\" \n";
		
		if ($liste_output [$listenzeile_id] ["dtBelegNr"] != "") {
			$belegnr_span_anzeige .= "Beleg Nr.: " . $liste_output [$listenzeile_id] ["dtBelegNr"] . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtAngebotNr"] != "") {
			$belegnr_span_anzeige .= "Angebot Nr.: " . $liste_output [$listenzeile_id] ["dtAngebotNr"] . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtBestellungNr"] != "") {
			$belegnr_span_anzeige .= "Bestell Nr.: " . $liste_output [$listenzeile_id] ["dtBestellungNr"] . "\n";
		}
		$belegnr_span_anzeige .= " \">" . $liste_output [$listenzeile_id] ["dtBelegNr"];
		$belegnr_span_anzeige .= "</span>";
		
		$liste_output [$listenzeile_id] ["dtBelegNr"] = $belegnr_span_anzeige;
		
		($liste_output [$listenzeile_id] ["dtGebucht"] == 0) ? $liste_output [$listenzeile_id] ["dtGebucht"] = "" : $liste_output [$listenzeile_id] ["dtGebucht"] = "X";
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Beleg_id"], $target, $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonKopieren"] = kopierenbutton ( $liste [$listenzeile_id] ["Beleg_id"], $target, $benutzerrechte );
		if ($liste_output [$listenzeile_id] ["dtGebucht"] == 0) {
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschenbutton ( $liste [$listenzeile_id] ["Beleg_id"], $target, $benutzerrechte );
		}
	}
}
unset ( $aBelegVorhanden );

if ($sIsPdf == "pdf") {
	
	$listenzeile_id ++;
	$liste_output [$listenzeile_id] ["dtBelegStatus"] = "";
	$listenzeile_id ++;
	

	$liste_summe [0] ["dtBelegStatus"] = "Verkauf:";
	$liste_summe [0] ["dtBelegSummeNetto"] = preis_from_sql ( $summe_verkauf_netto, "PDF" );
	$liste_summe [0] ["dtBelegSummeBrutto"] = preis_from_sql ( $summe_verkauf_brutto, "PDF" );
	$liste_summe [1] ["dtBelegStatus"] = "Einkauf:";
	$liste_summe [1] ["dtBelegSummeNetto"] = preis_from_sql ( $summe_einkauf_netto, "PDF" );
	$liste_summe [1] ["dtBelegSummeBrutto"] = preis_from_sql ( $summe_einkauf_brutto, "PDF" );
	$liste_summe [2] ["dtBelegStatus"] = "berschu:";
	$liste_summe [2] ["dtBelegSummeNetto"] = preis_from_sql ( $summe_ueberschuss_netto, "PDF" );
	$liste_summe [2] ["dtBelegSummeBrutto"] = preis_from_sql ( $summe_ueberschuss_brutto, "PDF" );
	$liste_summe [3] ["dtBelegStatus"] = "Offen:";
	$liste_summe [3] ["dtBelegSummeOffen"] = preis_from_Sql ( $summe_offen_brutto, "PDF" );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge Summenausgabe
	if (is_array ( $liste_summe )) {
		foreach ( $liste_summe as $zeile => $listenzeile ) {
			
			$liste_output [$listenzeile_id] ["dtBelegStatus"] = $listenzeile ["dtBelegStatus"];
			$liste_output [$listenzeile_id] ["dtBelegSummeNetto"] = $listenzeile ["dtBelegSummeNetto"];
			$liste_output [$listenzeile_id] ["dtBelegSummeBrutto"] = $listenzeile ["dtBelegSummeBrutto"];
			$liste_output [$listenzeile_id] ["dtBelegSummeOffen"] = $listenzeile ["dtBelegSummeOffen"];
			
			$listenzeile_id ++;
		}
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>
