<?php
$listenname = "bilanz";

// **********************************************************************************************************
// **********************************************************************************************************
if ($id == 1) {
	$show_fields = array (
			"dtKontoID",
			"dtKontoBezeichnung",
			"dtBelegNr",
			"dtAnzeigeDatum",
			"dtKunde_Anzeige",
			"dtArtikel",
			"dtMenge",
			"dtPreisNetto",
			"dtGesamtpreisNetto",
			"dtGebucht",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Kto ID",
			"Buchungskonto",
			"BelegNr",
			"Datum",
			"Kunde",
			"Materialposten",
			"Menge",
			"Einzelpreis Netto",
			"Gesamtpreis Netto",
			"gebucht",
			"" 
	);
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ SQL Abfrage
	// ++++ suche relevante Datenstze
	$query_detail = $sql_query ["belegmaterialpostenliste"];
	
	// Buchungskontofilter
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbelegmaterialposten.fiBuchungsKonto" );
	
	// if ($filter[$listenname]["buchungskonto"] != "") {
	// $query_detail .= " and $tblbelegmaterialposten.fiBuchungsKonto = " . $filter[$listenname]["buchungskonto"] . " " ;
	// }
	
	// Belegstatusfilter
	if ($filter [$listenname] ["belegstatus"] != "") {
		// $query_detail .= " and $tblbelege.fiStatus = " . $filter[$listenname]["belegstatus"] . " " ;
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
	} else {
		$query_detail .= " and $tblbelege.fiStatus < 900 ";
	}
	
	// Kundefilter
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );
	// if ($filter[$listenname]["kunde"] != "") {
	// $query_detail .= " and $tblbelege.fiKunde = " . $filter[$listenname]["kunde"] . " " ;
	// }
	
	// Datumsbereich
	if ($filter [$listenname] ["datumsbereich"] != "") {
		
		$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
		$datum_tag_von = $datum_explode [0];
		$datum_monat_von = $datum_explode [1];
		$datum_jahr_von = $datum_explode [2];
		$datum_tag_bis = $datum_explode [3];
		$datum_monat_bis = $datum_explode [4];
		$datum_jahr_bis = $datum_explode [5];
		
		if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
			$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
			$query_detail .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
			$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
		}
		
		if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
			$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
			$query_detail .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
			$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
		}
	}
	
	$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbelege.dtAnzeigeDatum desc";
	
	$liste = get_table_array ( $query_detail );
	
	// Kopf generieren
	foreach ( $show_fields as $key => $value ) {
		$adressausgabe .= $field_headlines [$key] . "\t";
	}
	$adressausgabe .= "\n";
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ Listenwerte formatieren
	unset ( $liste_output );
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			
			// +++++++++++ Infos ber Kunde holen
			$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiKunde"];
			$field_kunde = get_table_row ( $subquery );
			
			// +++++++++++ Felder formatieren
			$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
			$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
			$liste_output [$listenzeile_counter] ["dtBelegNr"] = $liste [$listenzeile_id] ["dtBelegNr"];
			$liste_output [$listenzeile_counter] ["dtArtikel"] = $liste [$listenzeile_id] ["dtArtikel"];
			$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = $field_kunde ["dtName_Anzeige"];
			
			if ($liste [$listenzeile_id] ["dtGebucht"] != 0) {
				$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
			}
			
			$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtAnzeigeDatum"] );
			$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"] );
			$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
			$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtPreisNetto"] );
			
			// Felder filtern und Tab hinzufuegen
			foreach ( $liste_output [$listenzeile_counter] as $key => $value ) {
				$liste_output [$listenzeile_counter] [$key] = check_input_string ( $liste_output [$listenzeile_counter] [$key] );
				
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"\t",
						"\n",
						"<br>",
						"\r" 
				), " ", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"<b>",
						"</b>" 
				), "", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = ltrim ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] .= "\t";
			}
			
			// Mit passender Reihenfolge die Felder der Ausgabe hinzufuegen
			foreach ( $show_fields as $key => $value ) {
				$adressausgabe .= $liste_output [$listenzeile_counter] [$value];
			}
			
			$adressausgabe .= "\n";
		}
	}
}

// **********************************************************************************************************
// **********************************************************************************************************

if ($id == "2") {
	$show_fields = array (
			"dtKontoID",
			"dtKontoBezeichnung",
			"dtBelegNr",
			"dtAnzeigeDatum",
			"dtKunde_Anzeige",
			"dtMitarbeiter_Anzeige",
			"dtBezeichnung",
			"dtMenge",
			"dtPreisNetto",
			"dtZusatzzeitNetto",
			"dtGesamtpreisNetto",
			"dtGebucht",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Kto ID",
			"Buchungskonto",
			"BelegNr",
			"Datum",
			"Kunde",
			"Mitarbeiter",
			"Bezeichnung",
			"Dauer (h)",
			"Zeit Einzel",
			"Zusatzzeit",
			"Gesamt Netto",
			"gebucht",
			"" 
	);
	
	// ++++ zweistufige Abfrage: erst alle relevanten Belege und dann alle Zeitposten dieser Belege
	
	// ++++ suche alle relevanten Belege
	$query_detail = $sql_query ["belegliste"];
	
	// Belegstatusfilter
	if ($filter [$listenname] ["belegstatus"] != "") {
		// $query_detail .= " and $tblbelege.fiStatus = " . $filter[$listenname]["belegstatus"] . " " ;
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
	} else {
		$query_detail .= " and $tblbelege.fiStatus < 900 ";
	}
	
	// Kundefilter
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );
	
	// if ($filter[$listenname]["kunde"] != "") {
	// $query_detail .= " and $tblbelege.fiKunde = " . $filter[$listenname]["kunde"] . " " ;
	// }
	
	// Datumsbereich
	if ($filter [$listenname] ["datumsbereich"] != "") {
		
		$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
		$datum_tag_von = $datum_explode [0];
		$datum_monat_von = $datum_explode [1];
		$datum_jahr_von = $datum_explode [2];
		$datum_tag_bis = $datum_explode [3];
		$datum_monat_bis = $datum_explode [4];
		$datum_jahr_bis = $datum_explode [5];
		
		if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
			$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
			$query_detail .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
			$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
		}
		
		if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
			$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
			$query_detail .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
			$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
		}
	}
	
	$liste_belege = get_table_array ( $query_detail );
	
	// ++++ baue where-Statement fr alle relevanten Belege auf
	foreach ( ( array ) $liste_belege as $beleg_id => $beleg_row ) {
		$beleg_search .= " or fiBeleg = " . $beleg_row ["Beleg_id"] . " ";
	}
	
	// ++++ suche relevante Datenstze zu relevanten Belegen
	$query_detail = $sql_query ["belegzeitpostenliste"];
	
	// Buchungskontofilter
	if ($filter [$listenname] ["buchungskonto"] != "") {
		$query_detail .= " and $tblbelegzeitposten.fiBuchungsKonto = " . $filter [$listenname] ["buchungskonto"] . " ";
	}
	
	// Belegfilter
	$query_detail .= " and (1=2 " . $beleg_search . ") ";
	
	$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbelegzeitposten.fiBeleg desc";
	$liste = get_table_array ( $query_detail );
	
	// Kopf generieren
	foreach ( $show_fields as $key => $value ) {
		$adressausgabe .= $field_headlines [$key] . "\t";
	}
	$adressausgabe .= "\n";
	
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			// +++++++++++ Infos ber Zusatzzeit holen
			$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $liste [$listenzeile_id] ["BelegZeitPosten_id"];
			$zusatzzeiten_count = get_table_count ( $query );
			$zusatzzeiten_liste = get_table_array ( $query );
			$zusatzzeiten_gesamtpreis = 0;
			if (is_array ( $zusatzzeiten_liste )) {
				foreach ( $zusatzzeiten_liste as $key => $zusatzzeiten_field ) {
					if ($zusatzzeiten_field ["dtZusatzzeitTyp"] == 0) {
						$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $liste [$listenzeile_id] ["dtPreisNetto"] / 100 * $zusatzzeiten_field ["dtZusatzzeitSatz"]);
					} else {
						$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $zusatzzeiten_field ["dtZusatzzeitPreisNetto"]);
					}
				}
			}
			
			// +++++++++++ Infos ber Beleg holen
			$subquery = $sql_query ["belegliste"] . " and $tblbelege.id = " . $liste [$listenzeile_id] ["fiBeleg"];
			$field_beleg = get_table_row ( $subquery );
			$liste_output [$listenzeile_counter] ["dtBelegNr"] = $field_beleg ["dtBelegNr"];
			$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = date_from_sql ( $field_beleg ["dtAnzeigeDatum"] );
			
			if ($field_beleg ["dtGebucht"] != 0) {
				$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
			}
			
			// +++++++++++ Infos ber Kunde holen
			$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $field_beleg ["fiKunde"];
			$field_kunde = get_table_row ( $subquery );
			$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = format_name_html ( $field_kunde ["dtName_Anzeige"] );
			
			// +++++++++++ Felder formatieren
			$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
			$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
			$liste_output [$listenzeile_counter] ["dtMitarbeiter_Anzeige"] = $liste [$listenzeile_id] ["dtKontaktDDText"];
			$liste_output [$listenzeile_counter] ["dtBezeichnung"] = $liste [$listenzeile_id] ["dtBezeichnung"];
			
			$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $zusatzzeiten_gesamtpreis + ($liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"]) );
			$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
			$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtPreisNetto"] );
			$liste_output [$listenzeile_counter] ["dtZusatzzeitNetto"] = preis_from_sql ( $zusatzzeiten_gesamtpreis );
			
			// Felder filtern und Tab hinzufuegen
			foreach ( $liste_output [$listenzeile_counter] as $key => $value ) {
				$liste_output [$listenzeile_counter] [$key] = check_input_string ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"\t",
						"\n",
						"<br>",
						"\r" 
				), " ", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"<b>",
						"</b>" 
				), "", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = ltrim ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] .= "\t";
			}
			
			// Mit passender Reihenfolge die Felder der Ausgabe hinzufuegen
			foreach ( $show_fields as $key => $value ) {
				$adressausgabe .= $liste_output [$listenzeile_counter] [$value];
			}
			
			$adressausgabe .= "\n";
		}
	}
}

// **********************************************************************************************************
// **********************************************************************************************************

if ($id == "3") {
	$show_fields = array (
			"dtKontoID",
			"dtKontoBezeichnung",
			"dtBelegNr",
			"dtAnzeigeDatum",
			"dtKunde_Anzeige",
			"dtArtikelBezeichnung",
			"dtMenge",
			"dtPreisNetto",
			"dtGesamtpreisNetto",
			"dtGebucht",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Kto ID",
			"Buchungskonto",
			"BelegNr",
			"Datum",
			"Kunde",
			"Posten",
			"Menge",
			"Einzelpreis Netto",
			"Gesamtpreis Netto",
			"gebucht",
			"" 
	);
	
	// ++++ suche relevante Datenstze
	$query_detail = $sql_query ["belegpostenliste"];
	
	// Bunchungskontofilter
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbelegposten.fiBuchungsKonto" );
	// if ($filter[$listenname]["buchungskonto"] != "") {
	// $query_detail .= " and $tblbelegposten.fiBuchungsKonto = " . $filter[$listenname]["buchungskonto"] . " " ;
	// }
	
	// Belegstatusfilter
	if ($filter [$listenname] ["belegstatus"] != "") {
		$query_detail .= " and $tblbelege.fiStatus = " . $filter [$listenname] ["belegstatus"] . " ";
		$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["belegstatus"], "$tblbelege.fiStatus" );
	} else {
		$query_detail .= " and $tblbelege.fiStatus < 900 ";
	}
	
	// Kundefilter
	// if ($filter[$listenname]["kunde"] != "") {
	// $query_detail .= " and $tblbelege.fiKunde = " . $filter[$listenname]["kunde"] . " " ;
	// }
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );
	
	// Datumsbereich
	if ($filter [$listenname] ["datumsbereich"] != "") {
		
		$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
		$datum_tag_von = $datum_explode [0];
		$datum_monat_von = $datum_explode [1];
		$datum_jahr_von = $datum_explode [2];
		$datum_tag_bis = $datum_explode [3];
		$datum_monat_bis = $datum_explode [4];
		$datum_jahr_bis = $datum_explode [5];
		
		if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
			$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
			$query_detail .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
			$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
		}
		
		if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
			$query_detail .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
			$query_detail .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
			$query_detail .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
		}
	}
	
	$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbelege.dtAnzeigeDatum desc";
	
	$liste = get_table_array ( $query_detail );
	$listenzeile_counter = 0;
	unset ( $liste_output );
	
	// Kopf generieren
	foreach ( $show_fields as $key => $value ) {
		$adressausgabe .= $field_headlines [$key] . "\t";
	}
	$adressausgabe .= "\n";
	
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			// +++++++++++ Infos ber Kunde holen
			$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiKunde"];
			$field_kunde = get_table_row ( $subquery );
			$liste_output [$listenzeile_counter] ["dtKunde_Anzeige"] = $field_kunde ["dtName_Anzeige"];
			
			// +++++++++++ Felder formatieren
			$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
			$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
			$liste_output [$listenzeile_counter] ["dtBelegNr"] = $liste [$listenzeile_id] ["dtBelegNr"];
			$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = str_replace ( "\n", " ", $liste [$listenzeile_id] ["dtArtikelBezeichnung"] );
			
			if ($liste [$listenzeile_id] ["dtGebucht"] != 0) {
				$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
			}
			
			$liste_output [$listenzeile_counter] ["dtAnzeigeDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtAnzeigeDatum"] );
			$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"] );
			$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
			$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtPreisNetto"] );
			
			// Felder filtern und Tab hinzufuegen
			foreach ( $liste_output [$listenzeile_counter] as $key => $value ) {
				$liste_output [$listenzeile_counter] [$key] = check_input_string ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"\t",
						"\n",
						"<br>",
						"\r" 
				), " ", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"<b>",
						"</b>" 
				), "", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = ltrim ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] .= "\t";
			}
			
			// Mit passender Reihenfolge die Felder der Ausgabe hinzufuegen
			foreach ( $show_fields as $key => $value ) {
				$adressausgabe .= $liste_output [$listenzeile_counter] [$value];
			}
			
			$adressausgabe .= "\n";
		}
	}
}
// **********************************************************************************************************
// **********************************************************************************************************

if ($id == "4") {
	$show_fields = array (
			"dtKontoID",
			"dtKontoBezeichnung",
			"dtRechnungNrIntern",
			"dtRechnungDatum",
			"dtLieferant_Anzeige",
			"dtArtikelBezeichnung",
			"dtMenge",
			"dtPreisNetto",
			"dtGesamtpreisNetto",
			"dtGebucht",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Kto ID",
			"Buchungskonto",
			"RechnungsNr",
			"Datum",
			"Lieferant",
			"Artikel",
			"Menge",
			"Einzelpreis Netto",
			"Gesamtpreis Netto",
			"gebucht",
			"" 
	);
	
	// ++++ suche relevante Datenstze
	$query_detail = $sql_query ["rechnungpostenliste"];
	
	// Buchungskontofilter
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblrechnungposten.fiBuchungsKonto" );
	
	// if ($filter[$listenname]["buchungskonto"] != "") {
	// $query_detail .= " and $tblrechnungposten.fiBuchungsKonto = " . $filter[$listenname]["buchungskonto"] . " " ;
	// }
	
	// Rechnungstatusfilter
	// if ($filter[$listenname]["rechnungstatus"] != "") {
	// $query_detail .= " and $tblrechnungen.fiStatus = " . $filter[$listenname]["rechnungstatus"] . " " ;
	// }
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["rechnungstatus"], "$tblrechnungen.fiStatus" );
	
	// Lieferantenfilter
	// if ($filter[$listenname]["lieferant"] != "") {
	// $query_detail .= " and $tblrechnungen.fiLieferant = " . $filter[$listenname]["lieferant"] . " " ;
	// }
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblrechnungen.fiLieferant" );
	
	// Datumsbereich
	if ($filter [$listenname] ["datumsbereich"] != "") {
		
		$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
		$datum_tag_von = $datum_explode [0];
		$datum_monat_von = $datum_explode [1];
		$datum_jahr_von = $datum_explode [2];
		$datum_tag_bis = $datum_explode [3];
		$datum_monat_bis = $datum_explode [4];
		$datum_jahr_bis = $datum_explode [5];
		
		if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
			$query_detail .= " and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
		}
		
		if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
			$query_detail .= " and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
		}
	}
	
	$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblrechnungen.dtRechnungDatum desc, $tblrechnungen.dtRechnungNrIntern desc";
	
	$liste = get_table_array ( $query_detail );
	
	// Kopf generieren
	foreach ( $show_fields as $key => $value ) {
		$adressausgabe .= $field_headlines [$key] . "\t";
	}
	$adressausgabe .= "\n";
	
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			// +++++++++++ Infos ber Kunde holen
			$subquery = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiLieferant"];
			$field_kunde = get_table_row ( $subquery );
			$liste_output [$listenzeile_counter] ["dtLieferant_Anzeige"] = $field_kunde ["dtName_Anzeige"];
			
			// +++++++++++ Felder formatieren
			$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
			$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
			$liste_output [$listenzeile_counter] ["dtRechnungNrIntern"] = $liste [$listenzeile_id] ["dtRechnungNrIntern"];
			
			if ($liste [$listenzeile_id] ["dtGebucht"] != 0) {
				$liste_output [$listenzeile_counter] ["dtGebucht"] = "X";
			}
			
			$liste_output [$listenzeile_counter] ["dtRechnungDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtRechnungDatum"] );
			$liste_output [$listenzeile_counter] ["dtGesamtpreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtMenge"] * $liste [$listenzeile_id] ["dtPreisNetto"] );
			$liste_output [$listenzeile_counter] ["dtMenge"] = double_from_sql ( $liste [$listenzeile_id] ["dtMenge"], 0 );
			$liste_output [$listenzeile_counter] ["dtPreisNetto"] = preis_from_sql ( $liste [$listenzeile_id] ["dtPreisNetto"] );
			$liste_output [$listenzeile_counter] ["dtArtikelBezeichnung"] = format_name_html ( $liste [$listenzeile_id] ["dtArtikelBezeichnung"] );
			
			// Felder filtern und Tab hinzufuegen
			foreach ( $liste_output [$listenzeile_counter] as $key => $value ) {
				$liste_output [$listenzeile_counter] [$key] = check_input_string ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"\t",
						"\n",
						"<br>",
						"\r" 
				), " ", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"<b>",
						"</b>" 
				), "", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = ltrim ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] .= "\t";
			}
			
			// Mit passender Reihenfolge die Felder der Ausgabe hinzufuegen
			foreach ( $show_fields as $key => $value ) {
				$adressausgabe .= $liste_output [$listenzeile_counter] [$value];
			}
			
			$adressausgabe .= "\n";
		}
	}
}

// **********************************************************************************************************
// **********************************************************************************************************

if ($id == "5") {
	$show_fields = array (
			"dtKontoID",
			"dtKontoBezeichnung",
			"Umsatz_id",
			"dtValutaDatum",
			"dtValutaBetrag",
			"dtRechnungNrIntern",
			"dtBelegNr",
			"dtUmsatzGebucht",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Kto ID",
			"Buchungskonto",
			"Umsatz ID",
			"Valuta Datum",
			"Betrag",
			"Rechnung",
			"Beleg",
			"gebucht",
			"" 
	);
	
	// ++++ suche relevante Datenstze
	$query_detail = $sql_query ["umsatzliste"];
	
	// Bunchungskontofilter
	// if ($filter[$listenname]["buchungskonto"] != "") {
	// $query_detail .= " and $tblbankumsatz.fiBuchungsKonto = " . $filter[$listenname]["buchungskonto"] . " " ;
	// }
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["buchungskonto"], "$tblbankumsatz.fiBuchungsKonto" );
	
	// Bankkontenfilter
	// if ($filter[$listenname]["bankkonto"] != "") {
	// $query_detail .= " and $tblbankumsatz.fiBankKonto = " . $filter[$listenname]["bankkonto"] . " " ;
	// }
	$query_detail .= filter_multiselect_return_query ( $filter [$listenname] ["bankkonto"], "$tblbankumsatz.fiBankKonto" );
	
	// Datumsbereich
	if ($filter [$listenname] ["datumsbereich"] != "") {
		
		$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
		$datum_tag_von = $datum_explode [0];
		$datum_monat_von = $datum_explode [1];
		$datum_jahr_von = $datum_explode [2];
		$datum_tag_bis = $datum_explode [3];
		$datum_monat_bis = $datum_explode [4];
		$datum_jahr_bis = $datum_explode [5];
		
		if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
			$query_detail .= " and to_days(dtValutaDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
		}
		
		if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
			$query_detail .= " and to_days(dtValutaDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
		}
	}
	
	$query_detail .= " order by $tblbuchungskonten.dtKontoID, $tblbankumsatz.dtValutaDatum desc, $tblbankumsatz.id desc";
	
	$liste = get_table_array ( $query_detail );
	unset ( $liste_output );
	
	// Kopf generieren
	foreach ( $show_fields as $key => $value ) {
		$adressausgabe .= $field_headlines [$key] . "\t";
	}
	$adressausgabe .= "\n";
	
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			
			// +++++++++++ Felder formatieren
			$liste_output [$listenzeile_counter] ["dtKontoID"] = $liste [$listenzeile_id] ["dtKontoID"];
			$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $liste [$listenzeile_id] ["dtKontoBezeichnung"];
			$liste_output [$listenzeile_counter] ["Umsatz_id"] = $liste [$listenzeile_id] ["Umsatz_id"];
			$liste_output [$listenzeile_counter] ["dtValutaDatum"] = date_from_sql ( $liste [$listenzeile_id] ["dtValutaDatum"] );
			$liste_output [$listenzeile_counter] ["dtValutaBetrag"] = preis_from_sql ( $liste [$listenzeile_id] ["dtValutaBetrag"] );
			$liste_output [$listenzeile_counter] ["dtRechnungNrIntern"] = $liste [$listenzeile_id] ["dtRechnungNrIntern"];
			$liste_output [$listenzeile_counter] ["dtBelegNr"] = $liste [$listenzeile_id] ["dtBelegNr"];
			
			if ($liste [$listenzeile_id] ["dtUmsatzGebucht"] != 0) {
				$liste_output [$listenzeile_counter] ["dtUmsatzGebucht"] = "X";
			}
			
			// Felder filtern und Tab hinzufuegen
			foreach ( $liste_output [$listenzeile_counter] as $key => $value ) {
				$liste_output [$listenzeile_counter] [$key] = check_input_string ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"\t",
						"\n",
						"<br>",
						"\r" 
				), " ", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
						"<b>",
						"</b>" 
				), "", $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] = ltrim ( $liste_output [$listenzeile_counter] [$key] );
				$liste_output [$listenzeile_counter] [$key] .= "\t";
			}
			
			// Mit passender Reihenfolge die Felder der Ausgabe hinzufuegen
			foreach ( $show_fields as $key => $value ) {
				$adressausgabe .= $liste_output [$listenzeile_counter] [$value];
			}
			
			$adressausgabe .= "\n";
		}
	}
}

// **********************************************************************************************************
// **********************************************************************************************************

if ($id == "6") {
	$show_fields = array (
			"dtKontoID",
			"dtKontoBezeichnung",
			"dtDatum",
			"dtMitarbeiter",
			"dtBetrag",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Kto ID",
			"Buchungskonto",
			"Datum",
			"Mitarbeiter",
			"Betrag",
			"" 
	);
	
	// Buchungskontofilter
	if ($filter [$listenname] ["buchungskonto"] != "") {
		$buchungskonto_array = array (
				$filter [$listenname] ["buchungskonto"] 
		);
	} else {
		$query = "select id from $tblbuchungskonten";
		$result = mysql_query ( $query );
		while ( $sub_row = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
			$buchungskonto_array [] = $sub_row ["id"];
		}
	}
	
	// Mitarbeiterfilter
	if ($filter [$listenname] ["mitarbeiter"] != "") {
		$mitarbeiter_array = array (
				$filter [$listenname] ["mitarbeiter"] 
		);
	} else {
		$query = "select id from $tblkontakte where dtIstMitarbeiter = 1 and dtAktiv=1 ";
		$result = mysql_query ( $query );
		while ( $sub_row = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
			$mitarbeiter_array [] = $sub_row ["id"];
		}
	}
	
	// Kopf generieren
	foreach ( $show_fields as $key => $value ) {
		$adressausgabe .= $field_headlines [$key] . "\t";
	}
	$adressausgabe .= "\n";
	
	// erstelle eine Liste aller relevanten Monate
	if ($filter [$listenname] ["datumsbereich"] != "" and $filter [$listenname] ["datumsbereich"] != "01-01-1970-01-01-2030") {
		
		// baue ein Array zu jedem Monat, jedem Mitarbeiter und jedem Buchungskonto auf
		// und berechne fr jeden Eintrag den jeweiligen Lohn
		foreach ( ( array ) $buchungskonto_array as $bk_key => $bk_id ) {
			
			if ($buchungskonto_row [$bk_id] == "") {
				$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = $bk_id";
				$result = mysql_query ( $query );
				$buchungskonto_row [$bk_id] = mysql_fetch_array ( $result, MYSQL_ASSOC );
			}
			
			$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
			$datum_tag_von = $datum_explode [0];
			$datum_monat_von = $datum_explode [1];
			$datum_jahr_von = $datum_explode [2];
			$datum_tag_bis = $datum_explode [3];
			$datum_monat_bis = $datum_explode [4];
			$datum_jahr_bis = $datum_explode [5];
			
			$datum_von = concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von );
			$datum_bis = concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis );
			
			while ( mktime ( 0, 0, 0, $datum_monat_von, $datum_tag_von, $datum_jahr_von ) <= mktime ( 0, 0, 0, $datum_monat_bis, $datum_tag_bis, $datum_jahr_bis ) ) {
				
				foreach ( ( array ) $mitarbeiter_array as $ma_key => $ma_id ) {
					
					if ($mitarbeiter_row [$ma_id] == "") {
						$query = $sql_query ["mitarbeiterliste"] . "and dtIstMitarbeiter = 1 and dtAktiv=1 and $tblkontakte.id = $ma_id";
						$result = mysql_query ( $query );
						$mitarbeiter_row [$ma_id] = mysql_fetch_array ( $result, MYSQL_ASSOC );
					}
					
					// $lohn_array[$bk_id][$datum_von][$ma_id] = lohnberechnung($ma_id, $datum_von, $bk_id);
					$lohn = lohnberechnung ( $ma_id, $datum_von, $bk_id );
					
					if ($lohn != 0) {
						
						if ($bk_prev != "" and $bk_prev != $buchungskonto_row [$bk_id] ["dtKontoID"]) {
							$liste_output [$listenzeile_counter] ["dtKontoID"] = "<b>" . $bk_prev . "</b>";
							$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = "<b>---------------</b>";
							$liste_output [$listenzeile_counter] ["dtDatum"] = "<b>----------</b>";
							$liste_output [$listenzeile_counter] ["dtMitarbeiter"] = "<b>Gesamt:</b>";
							$liste_output [$listenzeile_counter] ["dtBetrag"] = "<b>" . preis_from_sql ( $bk_gesamt_preis ) . "</b>";
							$bk_gesamt_preis = 0;
							$listenzeile_counter ++;
						}
						$bk_prev = $buchungskonto_row [$bk_id] ["dtKontoID"];
						
						// +++++++++++ Felder formatieren
						$liste_output [$listenzeile_counter] ["dtKontoID"] = $buchungskonto_row [$bk_id] ["dtKontoID"];
						$liste_output [$listenzeile_counter] ["dtKontoBezeichnung"] = $buchungskonto_row [$bk_id] ["dtKontoBezeichnung"];
						$liste_output [$listenzeile_counter] ["dtDatum"] = date_from_sql ( $datum_von );
						$liste_output [$listenzeile_counter] ["dtMitarbeiter"] = $mitarbeiter_row [$ma_id] ["dtKontaktDDText2"];
						$liste_output [$listenzeile_counter] ["dtBetrag"] = preis_from_sql ( $lohn );
						
						// Felder filtern und Tab hinzufuegen
						foreach ( $liste_output [$listenzeile_counter] as $key => $value ) {
							$liste_output [$listenzeile_counter] [$key] = check_input_string ( $liste_output [$listenzeile_counter] [$key] );
							$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
									"\t",
									"\n",
									"<br>",
									"\r" 
							), " ", $liste_output [$listenzeile_counter] [$key] );
							$liste_output [$listenzeile_counter] [$key] = str_replace ( array (
									"<b>",
									"</b>" 
							), "", $liste_output [$listenzeile_counter] [$key] );
							$liste_output [$listenzeile_counter] [$key] = ltrim ( $liste_output [$listenzeile_counter] [$key] );
							$liste_output [$listenzeile_counter] [$key] .= "\t";
						}
						
						// Mit passender Reihenfolge die Felder der Ausgabe hinzufuegen
						foreach ( $show_fields as $key => $value ) {
							$adressausgabe .= $liste_output [$listenzeile_counter] [$value];
						}
						
						$adressausgabe .= "\n";
					}
				}
				
				// springe zum nchsten Monat
				$datum_von_array = split_date ( date ( "Y-m-d", mktime ( 0, 0, 0, $datum_monat_von + 1, $datum_tag_von, $datum_jahr_von ) ) );
				$datum_tag_von = $datum_von_array ["tag"];
				$datum_monat_von = $datum_von_array ["monat"];
				$datum_jahr_von = $datum_von_array ["jahr"];
				$datum_von = concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von );
			}
		}
	} else {
		
		fehlerausgabe ( 40, "", "meldungbox", 0 );
	}
}

// **********************************************************************************************************
// **********************************************************************************************************

echo "<textarea style=\"width: 620px; height: 250px; font-size: 14px;\" wrap=\"off\">" . $adressausgabe . "</textarea>";

echo "<br><center>";
echo klickbutton ( " schliessen ", "onClick='self.close();'", "width: 85px;", "Dieses Fenster schliessen" );
echo "</center>";

?>