<?php
$ordner = returnContentOrdner ( $id );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Meldungen beim schreibgeschtzten ffnen einer Datei
if ($field ["dtSchreibschutz"] != 1) {
	$meldung_schreibschutz = "Sie ffnen diese Datei nun schreibgeschtzt.\\nnderungen, die Sie an dieser Datei vornehmen, gehen beim speichern verloren! Zum ffnen der Datei ohne Schreibschutz benutzen Sie bitte den Button <Ordner ffnen>";
} else {
	$meldung_schreibschutz = "Sie ffnen diese Datei nun schreibgeschtzt.\\nSie haben keine Berechtigung, diese Datei ohne Schreibschutz zu ffnen.\\nnderungen, die Sie an dieser Datei vornehmen, gehen beim speichern verloren!";
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Content-Ordner erstellen, wenn es ihn nicht gibt
if (! is_dir ( $ordner )) {
	@mkdir ( $ordner, 0777 );
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ aktuellen Ordner zur SessionID verlinken
@unlink ( $dateipfad . "/" . $userspaceordner . "/" . session_id () );

if (! file_exists ( $dateipfad . "/" . $userspaceordner )) {
	mkdir ( $dateipfad . "/" . $userspaceordner, 0777 );
}

symlink ( $ordner . $internpfad, $dateipfad . "/" . $userspaceordner . "/" . session_id () );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Dateiliste aufbauen
if ($subid != "") {
	$internpfad = str_replace ( array (
			"..",
			"./",
			"/." 
	), "", $subid );
	
	while ( substr ( $internpfad, 0, 1 ) == "/" ) {
		$internpfad = substr ( $internpfad, 1 );
	}
	
	$internpfad = "/" . $internpfad;
}

if (is_dir ( $ordner . $internpfad )) {
	$filehandle = opendir ( $ordner . $internpfad );
	
	while ( $file = readdir ( $filehandle ) ) {
		if (is_dir ( $ordner . $internpfad . "/" . $file ) && $file != "." and $file != ".." and substr ( $file, 0, 1 ) != ".") {
			@chmod ( $ordner . $internpfad . "/" . $file, 0777 );
			$liste_dir [] = $file;
		}
		if (is_file ( $ordner . $internpfad . "/" . $file ) && $file != "." and $file != ".." and substr ( $file, 0, 1 ) != ".") {
			@chmod ( $ordner . $internpfad . "/" . $file, 0666 );
			$liste_file [] = $file;
		}
	}
}

// ++++ gebe Array alphabetisch sortiert aus
if (is_array ( $liste_dir )) {
	natcasesort ( $liste_dir );
}

if (is_array ( $liste_file )) {
	natcasesort ( $liste_file );
}

unset ( $liste_output );

if (count ( $liste_dir ) != 0) {
	foreach ( $liste_dir as $listenzeile_id => $listenzeile ) {
		$liste_output [] ["dtName"] = $listenzeile;
	}
}

$liste_dir = $liste_output;

unset ( $liste_output );

if (count ( $liste_file ) != 0) {
	foreach ( $liste_file as $listenzeile_id => $listenzeile ) {
		$liste_output [] ["dtName"] = $listenzeile;
	}
}

$liste_file = $liste_output;

$liste = array_merge ( ( array ) $liste_dir, ( array ) $liste_file );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
$anzahl_ausgabe = $anzahl_gesamt = count ( $liste );

unset ( $liste_output );
if (count ( $liste ) > 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		$dateiname = $liste [$listenzeile_id] ["dtName"];
		$dateiendung = returnDateiendung ( $dateiname );
		$datei = $ordner . $subid . "/" . $dateiname;
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", $typ );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $id );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $subid . "/" . $dateiname );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "oldName", $dateiname );
		
		if (is_dir ( $ordner . $internpfad . "/" . $dateiname )) {
			// Ordner
			$liste_output [$listenzeile_id] ["dtIcon"] = "<a href=\"main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . "/" . rawurlencode ( $dateiname ) . "\" title=\"Verzeichnisinhalt anzeigen\" onClick=\"return unload()\">";
			$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = button ( "ffnen", $target, $typ, $id, $benutzerrechte, "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $internpfad . "/" . rawurlencode ( $dateiname ) );
			$liste_output [$listenzeile_id] ["dtName"] = input_text ( "Ordnername", "dtName", $dateiname, "input_text_400" );
		} else {
			// Datei
			$liste_output [$listenzeile_id] ["dtIcon"] = "<a href=\"" . $userspaceordner . "/" . session_id () . $internpfad . "/" . rawurlencode ( $dateiname ) . "\" target=\"showcontent\" title=\"Diese Datei anzeigen\" onClick='return confirm(\"$meldung_schreibschutz\")'>";
			$liste_output [$listenzeile_id] ["dtGroesse"] = format_bytes ( filesize ( $ordner . $internpfad . "/" . $dateiname ) );
			$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = externbutton ( "anzeigen", $userspaceordner . "/" . session_id () . $internpfad . "/" . rawurlencode ( $dateiname ), "target=\"showcontent\" onClick='return confirm(\"$meldung_schreibschutz\")'", "", "Diese Datei schreibgeschtzt ffnen", 1 );
			$liste_output [$listenzeile_id] ["dtName"] = input_text ( "Dateiname", "dtName", $dateiname, "input_text_400" );
		}
		
		/*
		 * Vorschaubilder generieren und anzeigen
		 */
		if ($dateiendung == "jpeg" || $dateiendung == "png" || $dateiendung == "jpg" || $dateiendung == "gif") {
			$th_pfad = Content_returnThumbnailPfad ( $id, $subid, $dateiname );
			if (! file_exists ( $th_pfad )) {
				if (erzeugeThumbnail ( $datei, $th_pfad, 60, 60 )) {
					$liste_output [$listenzeile_id] ["dtIcon"] .= "<img src=\"contentthumbnail.php?name=" . basename ( $th_pfad ) . "\" border=0>";
				} else {
					$liste_output [$listenzeile_id] ["dtIcon"] .= icon ( $ordner . $internpfad . "/" . $dateiname );
				}
			} else {
				$liste_output [$listenzeile_id] ["dtIcon"] .= "<img src=\"contentthumbnail.php?name=" . basename ( $th_pfad ) . "\" border=0>";
			}
		} else {
			$liste_output [$listenzeile_id] ["dtIcon"] .= icon ( $ordner . $internpfad . "/" . $dateiname );
		}
		
		$liste_output [$listenzeile_id] ["dtIcon"] .= "</a>";
		
		if ($readonly == "") {
			$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton ( $dateiname, $subtarget, $benutzerrechte );
			$liste_output [$listenzeile_id] ["ButtonZuruecksetzen"] = zuruecksetzenbutton ( $dateiname, $subtarget, $benutzerrechte );
			$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton ( $target, $typ, $id, $subtarget, urlencode ( $internpfad . "/" . $dateiname ), $benutzerrechte );
			$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		}
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>