<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["fahrstreckenliste"];

$anzahl_gesamt = get_table_count ( $query );

// Kontaktfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kontakt"], "$tblfahrstrecken.fiVonKontakt", false, false, "$tblfahrstrecken.fiNachKontakt" );

// Mitarbeiterfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblfahrstrecken.fiVonKontakt", false, false, "$tblfahrstrecken.fiNachKontakt" );

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblfahrstrecken.fiVonKontakt", false, false, "$tblfahrstrecken.fiNachKontakt" );

// Kontaktfilter
if ($filter [$listenname] ["kontakt"] != "") {
	$query .= " and ($tblfahrstrecken.fiVonKontakt = " . $filter [$listenname] ["kontakt"] . " or $tblfahrstrecken.fiNachKontakt = " . $filter [$listenname] ["kontakt"] . ") ";
}

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if ($sortierung [$listenname] ["anzahl"] != "" and $filter [$listenname] ["textfilter"] == "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		// $liste_output[$listenzeile_id] = liste_output_textfilter($listenzeile, $field_textfilter_active, $filter[$listenname]["textfilter"]);
		
		// +++++++++++ Felder formatieren
		$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiVonKontakt"];
		$nach_kontakt_field = get_table_row ( $query );
		$liste_output [$listenzeile_id] ["dtVonKontakt"] = $nach_kontakt_field ["dtKontaktDDText2"];
		
		$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $liste [$listenzeile_id] ["fiNachKontakt"];
		$nach_kontakt_field = get_table_row ( $query );
		$liste_output [$listenzeile_id] ["dtNachKontakt"] = $nach_kontakt_field ["dtKontaktDDText2"];
		
		$liste_output [$listenzeile_id] ["dtEntfernung"] = double_from_sql ( $liste [$listenzeile_id] ["dtEntfernung"], 1 ) . " km";
	}
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Layout Infos
$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = '" . $standard_layout_liste_hochformat . "'";
$field = get_table_row ( $query );

$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Definiere Seitenrnder
$typ = "seitenraender";
include ("$functionsordner/function_pdf.php");

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge neues PDF Dokument (nur fr Berechnung von Feldbreiten, je nach Schriftart)
$pdf = new PDF ();
$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Listenkopf
$printzeile = 0;

foreach ( $show_fields as $key => $show_field ) {
	$feldinhalte [$show_field] = $field_headlines [$key];
}

$liste_print [$printzeile] ["zeilentyp"] = "kopfzeile";
$liste_print [$printzeile] ["zeilennr"] = 1;
$liste_print [$printzeile] ["zeilenmaxnr"] = 1;
$liste_print [$printzeile] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
$liste_print [$printzeile] ["zeilen_spacing"] = $zeilen_spacing;
$liste_print [$printzeile] ["zellen_spacing"] = $zellen_spacing;
$liste_print [$printzeile] ["feldinhalte"] = $feldinhalte;
$liste_print [$printzeile] ["feldbreiten"] = $field_width;
$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_kopfzeile;
$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];

$printzeile ++;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ bearbeite Liste zeilenweise, wenn es der Textfilter erlaubt
$zeilenzahl = 1;
if (is_array ( $liste_output )) {
	foreach ( $liste_output as $zeile => $listenzeile ) {
		if ($liste_output [$zeile] ["Textfilter"] != "nomatch") {
			
			// ++++ formatiere Listenfelder (HTML zu PDF) (Schriftart muss gesetzt sein fr Zeilenberechnung)
			foreach ( $show_fields as $key => $show_field ) {
				
				$pdf->SetFont ( "$field[dtStandardSchriftArt]", "", $field ["dtStandardSchriftGroesse"] );
				$tabellenzeile [$show_field] = $pdf->format_tabellenfeld ( $listenzeile [$show_field], $field_width [$key] );
			}
			
			// ++++ berechne grte Zeilenanzahl der Listenfelder
			$maxzeilen = $pdf->get_maxzeilen ( $tabellenzeile );
			
			// ++++ erzeuge neues Array mit jeweils einer Textzeile
			for($n = 0; $n < $maxzeilen; $n ++) {
				
				foreach ( $show_fields as $key => $show_field ) {
					$feldinhalte [$show_field] = $pdf->extract_print_zeile ( $tabellenzeile [$show_field], $n );
				}
				
				$liste_print [$printzeile] ["zeilentyp"] = "zeile";
				$liste_print [$printzeile] ["zeilennr"] = $n + 1;
				$liste_print [$printzeile] ["zeilenmaxnr"] = $maxzeilen;
				$liste_print [$printzeile] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
				$liste_print [$printzeile] ["zeilen_spacing"] = $zeilen_spacing;
				$liste_print [$printzeile] ["zellen_spacing"] = $zellen_spacing;
				$liste_print [$printzeile] ["feldinhalte"] = $feldinhalte;
				$liste_print [$printzeile] ["feldbreiten"] = $field_width;
				if ($zeilenzahl % 2 == 0) {
					$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_gerade;
				} else {
					$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund_textzeile_ungerade;
				}
				$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung_textzeile;
				$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
				$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
				
				$printzeile ++;
			}
			$zeilenzahl ++;
		}
	}
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Listenfu

$liste_print [$printzeile] = $liste_print [0];
$liste_print [$printzeile] ["zeilentyp"] = "fusszeile";
$liste_print [$printzeile] ["feldinhalte"] = array (
		"Anzahl: " . ($zeilenzahl - 1) . " von " . $anzahl_gesamt 
);
$liste_print [$printzeile] ["feldbreiten"] = array (
		array_sum ( $field_width ) 
);

$printzeile ++;

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schliesse temporres PDF Dokument
$pdf->Close ();

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ fge Seitenumbrche ein
$liste_print = $pdf->tabellenseitenumbrueche ( $liste_print, round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ), $druckhoehe_p1, $druckhoehe );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ drucke alle Seiten
$pdf->tabelle_output ( $liste_print, $rand_links_p1, $rand_oben_p1, $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $field ["dtDokumentName"], $ausrichtung );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seite mit Infofeld auf erster Seite
if ($field ["dtInfofeldVorhanden"] == 1) {
	$infofeld_array = create_infofeld_liste_array ( "Fahrstreckenliste", $field ["dtInfofeldSchriftArt"], $field ["dtInfofeldSchriftGroesse"], $filter [$listenname], $sortierung [$listenname], $field_headlines, $show_fields );
	create_infofeldseite ( $infofeld_array, $ausrichtung, $field ["dtInfofeldLinks"], $field ["dtInfofeldOben"], $seitenbreite - $field ["dtInfofeldLinks"] - $field ["dtInfofeldRechts"], $seitenhoehe - $field ["dtInfofeldOben"] - $field ["dtInfofeldUnten"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seite mit Datumsfeld auf erster Seite
if ($field ["dtDatumsfeldVorhanden"] == 1) {
	create_datumsfeldseite ( $field ["dtDatumsfeldText"], $ausrichtung, $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $field ["dtDatumsfeldSchriftArt"], $field ["dtDatumsfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld fr alle Seiten
if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
	create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
}

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hinzufgen des Layouts und zusammenfhren aller Seiten
$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Ausgabe des PDF im Browser durch Reload der Seite
output_reload ( $output_filename );

?>