<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["projektzeitenliste"];
$query .= " AND $tblprojektzeiten.fiProjekt = " . $id;
$anzahl_gesamt = get_table_count_complete ( $tblprojektzeiten );

// Mitarbeiter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblprojektzeiten.fiMitarbeiter" );

// Projektverantwortlicherfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektverantwortlicher"], "$tblprojekte.fiProjektVerantwortlicher" );

// Projektfilter
if ($filter [$listenname] ["projekt"] != "") {
	if (in_array ( "-1", ( array ) $filter [$listenname] ["projekt"] )) {
		$query .= " and $tblprojektzeiten.fiProjekt = 0 ";
	}
	if (in_array ( "-2", ( array ) $filter [$listenname] ["projekt"] )) {
		$query .= " and $tblprojektzeiten.fiProjekt != 0 ";
	}
	
	$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblprojektzeiten.fiProjekt", false, false, false, array (
			"-1",
			"-2" 
	) );
}

// Projektstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projektstatus"], "$tblprojekte.fiStatus" );

// Ttigkeitenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["taetigkeit"], "$tblprojektzeiten.fiTaetigkeit" );

// Kundenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblprojekte.fiKunde", false, false, "$tblprojektzeiten.fiProjektzeitenKunde" );

// projektzeitenstatusgeprueftfilter
if ($filter [$listenname] ["projektzeitengeprueftstatus"] != "") {
	$query .= " and $tblprojektzeiten.dtStundennachweisGeprueft = '" . ($filter [$listenname] ["projektzeitengeprueftstatus"] - 1) . "' ";
}

// projektzeitenabgerechnetstatusfilter
if ($filter [$listenname] ["projektzeitenabgerechnetstatus"] != "") {
	$query .= " and $tblprojektzeiten.dtAbgerechnet = '" . ($filter [$listenname] ["projektzeitenabgerechnetstatus"] - 1) . "' ";
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Uhrzeitbereich
if ($filter [$listenname] ["uhrzeitbereich"] != "") {
	
	$uhrzeit_explode = explode ( "-", $filter [$listenname] ["uhrzeitbereich"] );
	$uhrzeit_stunde_von = $uhrzeit_explode [0];
	$uhrzeit_minute_von = $uhrzeit_explode [1];
	$uhrzeit_stunde_bis = $uhrzeit_explode [2];
	$uhrzeit_minute_bis = $uhrzeit_explode [3];
	
	if (! ($uhrzeit_stunde_von == 24 and $uhrzeit_minute_von == 60) and ! ($uhrzeit_stunde_von == "" and $uhrzeit_minute_von == "")) {
		$query .= " and (time_to_sec(dtBeginnZeit) >= time_to_sec('" . concat_time ( $uhrzeit_stunde_von, $uhrzeit_minute_von, 0 ) . "')";
		$query .= " or time_to_sec(dtEndeZeit) >= time_to_sec('" . concat_time ( $uhrzeit_stunde_von, $uhrzeit_minute_von, 0 ) . "'))";
	}
	
	if (! ($uhrzeit_stunde_bis == 24 and $uhrzeit_minute_bis == 60) and ! ($uhrzeit_stunde_bis == "" and $uhrzeit_minute_bis == "")) {
		$query .= " and time_to_sec(dtBeginnZeit) <= time_to_sec('" . concat_time ( $uhrzeit_stunde_bis, $uhrzeit_minute_bis, 0 ) . "')";
	}
}

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "" and $filter [$listenname] ["textfilter"] == "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Summenfelder berechnen
		$projektzeiten_summe = $projektzeiten_summe + $liste [$listenzeile_id] ["dtProjektzeitDezimal"];
		$stdsatz_summe = $stdsatz_summe + ($liste [$listenzeile_id] ["dtStdSatz"] * $liste [$listenzeile_id] ["dtProjektzeitDezimal"]);
		
		// +++++++++++ Eingabefelder erzeugen
		$liste_output [$listenzeile_id] ["id"] = "<!--" . $liste [$listenzeile_id] ["Projektzeiten_id"] . "//-->";
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "target", $target );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "typ", "show" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "id", $id );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtarget", $subtarget );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subtyp", "send" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "subid", $liste [$listenzeile_id] ["Projektzeiten_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "ajaxid", $liste [$listenzeile_id] ["Projektzeiten_id"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "referer", $typ );
		
		$query = $sql_query ["personaldatenliste"] . " and $tblpersonaldaten.fiKontaktNr = '" . $liste [$listenzeile_id] ["fiMitarbeiter"] . "' ";
		$personaldaten_field = get_table_row ( $query );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "teilzeit", $personaldaten_field ["dtTeilzeit"] );
		
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "dtFahrzeit", $liste [$listenzeile_id] ["dtFahrzeit"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "dtEntfernungKilometer", $liste [$listenzeile_id] ["dtEntfernungKilometer"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "standardstdsatz", stundensatz_zu_projektzeit ( $liste [$listenzeile_id] ["fiMitarbeiter"], $liste [$listenzeile_id] ["fiProjekt"] ) );
		
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiProjekt", $liste [$listenzeile_id] ["fiProjekt"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiTaetigkeit", $liste [$listenzeile_id] ["fiTaetigkeit"] );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "fiMitarbeiter", $liste [$listenzeile_id] ["fiMitarbeiter"] );
		
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "mitarbeitervorauswahl", "" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "projektvorauswahl", "" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "taetigkeitvorauswahl", "" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "stdsatzvorauswahl", "" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "stdsatzautomanuellvorauswahl", "" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "bemerkungvorauswahl", "" );
		$liste_output [$listenzeile_id] ["id"] .= input_hidden ( "bemerkungvorauswahlfreitext", "" );
		
		// +++++++++++ Felder formatieren
		if ($liste_output [$listenzeile_id] ["dtDatum"] != "2030-01-01") {
			$datum = split_date ( $liste [$listenzeile_id] ["dtDatum"] );
		}
		
		if ($liste [$listenzeile_id] ["dtBeginnZeit"] == "00:00:00" and $liste [$listenzeile_id] ["dtEndeZeit"] == "00:00:00") {
			$bgcolor_beginnzeit = "#cccccc";
			$bgcolor_endezeit = "#cccccc";
			$bgcolor_anwzeit = "#cccccc";
			$bgcolor_pause = "#cccccc";
			$bgcolor_arbeitszeit = "#cccccc";
			$bgcolor_zuszeit = "#cccccc";
			$bgcolor_vergzeit = "#cccccc";
		} else {
			$bgcolor_beginnzeit = "#ffffcc";
			$bgcolor_endezeit = "#ccffcc";
			$bgcolor_anwzeit = "#ffffff";
			
			if ($liste [$listenzeile_id] ["dtPauseZeit"] == "00:00:00") {
				$bgcolor_pause = "#8888ff";
			} elseif (stdmin_to_min ( $liste [$listenzeile_id] ["dtPauseZeit"] ) == $fruehstueck_standard) {
				$bgcolor_pause = "#aaaaff";
			} elseif (stdmin_to_min ( $liste [$listenzeile_id] ["dtPauseZeit"] ) == $mittagspause_standard) {
				$bgcolor_pause = "#ccccff";
			} elseif (stdmin_to_min ( $liste [$listenzeile_id] ["dtPauseZeit"] ) == ($fruehstueck_standard + $mittagspause_standard)) {
				$bgcolor_pause = "#eeeeff";
			} else {
				$bgcolor_pause = "#ccffff";
			}
			;
			
			if ($liste [$listenzeile_id] ["dtArbeitsZeit"] == "00:00:00") {
				$bgcolor_arbeitszeit = "#ffaaaa";
			} else {
				$bgcolor_arbeitszeit = "#ffffff";
			}
			;
			
			$bgcolor_zuszeit = "#cccccc";
			$bgcolor_vergzeit = "#ffffff";
		}
		
		$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $liste [$listenzeile_id] ["fiMitarbeiter"] . "' ";
		$mitarbeiter_field = get_table_row ( $query );
		$mitarbeiter_title = "Mitarbeiter: " . $mitarbeiter_field ["dtKontaktDDText2"];
		$liste_output [$listenzeile_id] ["dtKontaktDDText2"] = input_text ( $mitarbeiter_title, "dtKontaktDDText", $mitarbeiter_field ["dtKontaktDDText2"], "input_text_70", "onDblClick='mitarbeitervorauswahl_einfuegen(this.form)';", "background-color: $bgcolor_datum;" );
		
		if ($liste [$listenzeile_id] ["fiMitarbeiter"] != "") {
			$liste_output [$listenzeile_id] ["dtKontaktDDText2"] .= shortcutbutton ( "kontakte", "show", $liste [$listenzeile_id] ["fiMitarbeiter"], $benutzerrechte );
		}
		
		$liste_output [$listenzeile_id] ["dtDatum"] = input_text ( "Tag", "datum_tagname", weekday_from_date ( $liste [$listenzeile_id] ["dtDatum"] ), "input_date_small", "readonly disabled", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Tag", "datum_tag", $datum ["tag"], "input_date_small", "", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Monat", "datum_monat", $datum ["monat"], "input_date_small", "", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "Jahr", "datum_jahr", $datum ["jahr"], "input_date", "", "background-color: $bgcolor_datum;" );
		$liste_output [$listenzeile_id] ["dtDatum"] .= input_text ( "KW", "datum_kw", week_from_date ( $liste [$listenzeile_id] ["dtDatum"] ), "input_date_small", "readonly disabled", "background-color: $bgcolor_datum;" );
		
		$liste_output [$listenzeile_id] ["dtBeginnZeit"] = input_text ( "Beginn Zeit | " . $stempelarten_array [$liste [$listenzeile_id] ["fiStempelungBeginn"]], "dtBeginnZeit", time_from_sql ( $liste [$listenzeile_id] ["dtBeginnZeit"] ), "input_time", "onChange='zeitenberechnung(this.form,\"beginn\")'", "background-color: $bgcolor_beginnzeit;" );
		$liste_output [$listenzeile_id] ["dtEndeZeit"] = input_text ( "Ende Zeit | " . $stempelarten_array [$liste [$listenzeile_id] ["fiStempelungEnde"]], "dtEndeZeit", time_from_sql ( $liste [$listenzeile_id] ["dtEndeZeit"] ), "input_time", "onChange='zeitenberechnung(this.form,\"ende\")'", "background-color: $bgcolor_endezeit;" );
		$liste_output [$listenzeile_id] ["dtAnwesendZeit"] = input_text ( "Anwesend Zeit", "dtAnwesendZeit", time_from_sql ( $liste [$listenzeile_id] ["dtAnwesendZeit"] ), "input_time", "readonly", "background-color: $bgcolor_anwzeit;" );
		$liste_output [$listenzeile_id] ["dtPauseZeit"] = input_text ( "Pause Zeit", "dtPauseZeit", time_from_sql ( $liste [$listenzeile_id] ["dtPauseZeit"] ), "input_time", "onChange='zeitenberechnung(this.form,\"pause\")'", "background-color: $bgcolor_pause;" );
		$liste_output [$listenzeile_id] ["dtArbeitsZeit"] = input_text ( "Arbeits-Zeit", "dtArbeitsZeit", time_from_sql ( $liste [$listenzeile_id] ["dtArbeitsZeit"] ), "input_time", "readonly", "background-color: $bgcolor_arbeitszeit;" );
		
		$query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $liste [$listenzeile_id] ["fiProjekt"];
		$projekt_field = get_table_row ( $query );
		$liste_output [$listenzeile_id] ["dtZusatzZeit"] = input_text ( "Zusatz-Zeit", "dtZusatzZeit", time_from_sql ( $liste [$listenzeile_id] ["dtZusatzZeit"] ), "input_time", "onDblClick='fenster_zusatzzeit(this.form,\"$PHPSESSID\",\"" . $liste [$listenzeile_id] ["fiMitarbeiter"] . "\",\"" . $projekt_field ["fiKunde"] . "\",\"" . $kontakt_home . "\")' onChange='zeitenberechnung(this.form,\"zusatz\")'", "background-color: $bgcolor_zuszeit;" );
		$liste_output [$listenzeile_id] ["dtVergueteZeit"] = input_text ( "Verguete-Zeit", "dtVergueteZeit", time_from_sql ( $liste [$listenzeile_id] ["dtVergueteZeit"] ), "input_time", "readonly", "background-color: $bgcolor_vergzeit;" );
		
		$ort_array = array (
				"I" => "I  -  intern",
				"F" => "F  -  Fahrt",
				"K" => "K  -  Kunde",
				"S" => "S  -  Sonstiges" 
		);
		$liste_output [$listenzeile_id] ["dtEinsatzort"] = input_dropdownbox_array ( "Ort", $ort_array, "dtEinsatzort", $liste [$listenzeile_id] ["dtEinsatzort"], "input_select_30" );
		
		if ($liste [$listenzeile_id] ["dtProjektzeitAutoManuell"] != 0) {
			if ($liste [$listenzeile_id] ["dtProjektzeitDezimal"] != 0) {
				$bgcolor_projektzeit = "#ffddcc";
			} else {
				$bgcolor_projektzeit = "#ff6666";
			}
			;
		} else {
			if ($liste [$listenzeile_id] ["dtProjektzeitDezimal"] != 0) {
				$bgcolor_projektzeit = "#ffff44";
			} else {
				$bgcolor_projektzeit = "#ff6666";
			}
			;
		}
		$liste_output [$listenzeile_id] ["dtProjektzeitDezimal"] = input_text ( "Projektzeit dezimal", "dtProjektzeitDezimal", double_from_sql ( $liste [$listenzeile_id] ["dtProjektzeitDezimal"], 2 ), "input_time", "onChange='projektzeitchange(this.form)'", "background-color: $bgcolor_projektzeit;" );
		$liste_output [$listenzeile_id] ["dtProjektzeitAutoManuell"] = input_checkbox ( "Projektzeitberechnung automatisch", "dtProjektzeitAutoManuell", $liste [$listenzeile_id] ["dtProjektzeitAutoManuell"], "onChange='projektzeitauto(this.form)'" );
		
		if ($liste [$listenzeile_id] ["fiProjekt"] != 0) {
			$query = $sql_query ["projektliste"] . " and $tblprojekte.id = '" . $liste [$listenzeile_id] ["fiProjekt"] . "' ";
			$projekt_field = get_table_row ( $query );
			$projekt_title = "Projekt: " . $projekt_field ["dtProjektDDText"];
		} else {
			$projekt_field = "";
			$projekt_title = "Projekt";
		}
		$liste_output [$listenzeile_id] ["dtProjektDDText"] = input_text ( $projekt_title, "dtProjektDDText", $projekt_field ["dtProjektDDText"], "input_text_70", "onDblClick='projektvorauswahl_einfuegen(this.form)';" );
		
		if ($liste [$listenzeile_id] ["fiProjekt"] != "") {
			$liste_output [$listenzeile_id] ["dtProjektDDText"] .= shortcutbutton ( "projekte", "show", $liste [$listenzeile_id] ["fiProjekt"], $benutzerrechte );
		}
		
		if ($liste [$listenzeile_id] ["fiTaetigkeit"] != 0) {
			$query = $sql_query ["taetigkeitenliste"] . " and $tbltaetigkeiten.id = '" . $liste [$listenzeile_id] ["fiTaetigkeit"] . "' ";
			$taetigkeit_field = get_table_row ( $query );
			$taetigkeit_title = "Ttigkeit: " . $taetigkeit_field ["dtTaetigkeitDDText"];
		} else {
			$taetigkeit_field = "";
			$taetigkeit_title = "Ttigkeit";
		}
		$liste_output [$listenzeile_id] ["dtTaetigkeitDDText"] = input_text ( $taetigkeit_title, "dtTaetigkeitDDText", $taetigkeit_field ["dtTaetigkeitDDText"], "input_text_70", "onDblClick='taetigkeitvorauswahl_einfuegen(this.form)';" );
		
		if ($liste [$listenzeile_id] ["dtStdSatzAutoManuell"] == 0) {
			$bgcolor_stdsatz = "#ffffcc";
		} else {
			$bgcolor_stdsatz = "#eeeeee";
		}
		;
		$liste_output [$listenzeile_id] ["dtStdSatz"] = input_text ( "Stundensatz", "dtStdSatz", preis_from_sql ( $liste [$listenzeile_id] ["dtStdSatz"] ), "input_text_50", "onDblClick='stdsatzvorauswahl_einfuegen(this.form)' onChange='stdsatzchange(this.form)'", "text-align: right; background-color: $bgcolor_stdsatz;" );
		$liste_output [$listenzeile_id] ["dtStdSatzGesamt"] = input_text ( "Stundensatz gesamt", "dtStdSatzGesamt", preis_from_sql ( $liste [$listenzeile_id] ["dtStdSatz"] * $liste [$listenzeile_id] ["dtProjektzeitDezimal"] ), "input_text_50", "readonly", "text-align: right; background-color: $bgcolor_stdsatz;" );
		$liste_output [$listenzeile_id] ["dtStdSatzAutoManuell"] = input_checkbox ( "Stundensatzberechnung automatisch", "dtStdSatzAutoManuell", $liste [$listenzeile_id] ["dtStdSatzAutoManuell"], "onChange='stdsatzauto(this.form)'" );
		
		if ($liste [$listenzeile_id] ["dtBemerkungProjektzeit"] != "") {
			$bemerkung_title = "Bemerkung: " . $liste [$listenzeile_id] ["dtBemerkungProjektzeit"];
		} else {
			$bemerkung_title = "Bemerkung";
		}
		$liste_output [$listenzeile_id] ["dtBemerkungProjektzeit"] = input_text ( $bemerkung_title, "dtBemerkungProjektzeit", $liste [$listenzeile_id] ["dtBemerkungProjektzeit"], "input_text_70", "onDblClick='bemerkungvorauswahl_einfuegen(this.form)';" );
		
		if ($liste [$listenzeile_id] ["dtStundennachweisGeprueft"] > 0) {
			$title = "Stundennachweis vorhanden";
		} else {
			$title = "Stundennachweis nicht vorhanden";
		}
		;
		$liste_output [$listenzeile_id] ["dtStundennachweisGeprueft"] = input_checkbox ( $title, "dtStundennachweisGeprueft", $liste [$listenzeile_id] ["dtStundennachweisGeprueft"] );
		
		if ($liste [$listenzeile_id] ["dtAbgerechnet"] == 1) {
			$title = "Eintrag bereits abgerechnet";
		} else {
			$title = "Eintrag noch nicht abgerechnet";
		}
		;
		$liste_output [$listenzeile_id] ["dtAbgerechnet"] = input_checkbox ( $title, "dtAbgerechnet", $liste [$listenzeile_id] ["dtAbgerechnet"] );
		
		// +++++++++++ Buttons hinzufgen
		
		$liste_output [$listenzeile_id] ["ButtonAendern"] = uebernehmenbutton_kurz ( $liste [$listenzeile_id] ["Projektzeiten_id"], $subtarget, $benutzerrechte, "", "nderungen speichern", "onClick='vorauswahl_speichern(this.form); formular_senden(this.form); return false;'" );
		// $liste_output [$listenzeile_id] ["ButtonKopieren"] = klickbutton ( "kopieren_kurz", "onClick='fenster_projektzeitkopieren(\"$PHPSESSID\",\"" . $target . "\",\"" . $liste [$listenzeile_id] ["Projektzeiten_id"] . "\")'", "width: 15px;", "Diesen Eintrag kopieren" );
		// $liste_output [$listenzeile_id] ["ButtonMarkieren"] = klickbutton ( "hoch", "onClick='projektdaten_in_vorauswahl(this.form)'", "width: 15px;", "Projektdaten dieses Eintrags in die Vorauswahl bernehmen" );
		// $liste_output [$listenzeile_id] ["ButtonEinfuegen"] = klickbutton ( "runter", "onClick='projektdaten_aus_vorauswahl(this.form)'", "width: 15px;", "Projektdaten aus der Vorauswahl bernehmen" );
		// $liste_output [$listenzeile_id] ["ButtonLoeschen"] = klickbutton ( "loeschen_kurz", "onClick='formular_loeschen(this.form)'", "width: 15px;", "Diesen Eintrag lschen" );
		$liste_output [$listenzeile_id] ["Aenderungsanzeiger"] = aenderungsanzeiger ();
		
		$filterarray = str_replace ( "\"", "&quot;", serialize ( array (
				"mitarbeiter" => $liste [$listenzeile_id] ["fiMitarbeiter"],
				"geraet" => "",
				"stempelcode" => "",
				"stempelzeitenstatus" => "",
				"uhrzeitbereich" => "24-60-24-60",
				"datum" => $datum ["tag"] . "-" . $datum ["monat"] . "-" . $datum ["jahr"] . "-" . $datum ["tag"] . "-" . $datum ["monat"] . "-" . $datum ["jahr"] 
		) ) );
		$liste_output [$listenzeile_id] ["ButtonSZ"] = "<nobr>" . button ( "SZ", "stempelzeiten", "list", "", $benutzerrechte, "&listenname=stempelzeiten&filterwert_neu=" . $filterarray, "Stempelzeiten zu diesem Eintrag anzeigen" );
		$liste_output [$listenzeile_id] ["ButtonSZ"] .= button ( "SN", "stundennachweis", "list", "", $benutzerrechte, "&listenname=stundennachweis&filterwert_neu=" . $filterarray, $liste [$listenzeile_id] ["dtBemerkungKontrolle"] );
		$liste_output [$listenzeile_id] ["ButtonSZ"] .= button ( "SN", "coestundennachweis", "list", "", $benutzerrechte, "&listenname=stundennachweis&filterwert_neu=" . $filterarray, $liste [$listenzeile_id] ["dtBemerkungKontrolle"] );
		$liste_output [$listenzeile_id] ["ButtonSZ"] .= button ( "SN", "eshaesstundennachweis", "list", "", $benutzerrechte, "&listenname=stundennachweis&filterwert_neu=" . $filterarray, $liste [$listenzeile_id] ["dtBemerkungKontrolle"] );
		$liste_output [$listenzeile_id] ["ButtonSZ"] .= "</nobr>";
		$liste_output [$listenzeile_id] ["ButtonPZ"] = button ( "PZ", "projektzeiten", "list", "", $benutzerrechte, "&listenname=projektzeiten&filterwert_neu=" . $filterarray, "Projektzeiten zu diesem Eintrag anzeigen" );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>