<?php

// **********************************************************************************************************
// **********************************************************************************************************

// Bankkonto auswahl
echo "<form name=\"konto\" action=\"$PHP_SELF\" enctype=\"multipart/form-data\" method=\"post\">";
echo "<input type=\"hidden\" name=\"" . session_name () . "\" VALUE=\"" . session_id () . "\">";

echo "<input type=\"hidden\" name=\"target\" VALUE=\"" . $target . "\">";
echo "<input type=\"hidden\" name=\"typ\" VALUE=\"$typ\">";
echo "<input type=\"hidden\" name=\"id\" VALUE=\"$id\">";

if ($bk == "") {
	$query = $sql_query ["bankkontenliste"];
	echo input_dropdownbox ( "Bankkonto", $query, "Bankkonto_id", "bk", $bk, "dtKontoName", "input_select_250", "", "" );
	echo uebernehmenbutton ( 0, $target, $benutzerrechte );
	echo "</form>";
	echo "<span style='color:#000000;'>Bankkonto ausw&auml;hlen!</span>";
	exit ();
}
// **********************************************************************************************************
// **********************************************************************************************************

if ($bk != "") {
	// Bankkonto bestimmen
	$query = $sql_query ["bankkontenliste"] . " AND id = " . $bk;
	$bankkonto_row = get_table_row ( $query );
}

// **********************************************************************************************************
// **********************************************************************************************************
// +++++ Wird spter gebraucht fr den externen Aufruf von dtausexport.php +++++ //
$_SESSION ["dtausexport_filter"] = $filter;
$_SESSION ["dtausexport_sortierung"] = $sortierung;

$query = $sql_query ["rechnungliste"];
$anzahl_gesamt = get_table_count ( $query );

// Rechnungstatusfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["rechnungstatus"], "$tblrechnungen.fiStatus" );

// Lieferantenfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblrechnungen.fiLieferant" );

// Faelligkeitfilter
if ($filter [$listenname] ["faelligkeitfilter"] == 1) {
	$query .= " and to_days($tblrechnungen.dtDatumFaelligkeit)-7 <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "')";
}
if ($filter [$listenname] ["faelligkeitfilter"] == 2) {
	$query .= " and to_days($tblrechnungen.dtDatumFaelligkeit) <= to_days('" . concat_date ( $akttag, $aktmonat, $aktjahr ) . "')";
}

// Zahlartfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["zahlart"], "$tblrechnungen.fiZahlart" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblrechnungen,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

if (count ( $liste ) > 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		// +++++++++++ hole Bilanzdaten
		$bilanz_query = "select * from tblBilanzRechnungen where fiRechnung = " . $listenzeile ["Rechnung_id"];
		$bilanz_row = get_table_row ( $bilanz_query );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] = format_name_html ( $liste_output [$listenzeile_id] ["dtLieferant_Anzeige"] );
		$liste_output [$listenzeile_id] ["dtRechnungDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtRechnungDatum"] );
		
		if (! empty ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] )) {
			$datum_faelligkeit = split_date ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] );
			$datum_faelligkeit_warnung = mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"] - 7, $datum_faelligkeit ["jahr"] );
			
			if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= mktime ( 0, 0, 0, $datum_faelligkeit ["monat"], $datum_faelligkeit ["tag"], $datum_faelligkeit ["jahr"] )) {
				$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = "<span style=\"background-color: " . $bgcolor_formular_rot . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
			} else if ($liste_output [$listenzeile_id] ["fiStatus"] < 5 and mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) >= $datum_faelligkeit_warnung) {
				$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = "<span style=\"background-color: " . $bgcolor_formular_gelb . "\">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] ) . "</span>";
			} else {
				$liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtDatumFaelligkeit"] );
			}
		}
		
		$summebrutto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nSumme Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeBrutto"], null, 2 ) . "\n \n";
		$summebrutto_span_anzeige .= "bezahlt: " . preis_from_sql ( $bilanz_row ["dtSummeBezahltBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= "offen: " . preis_from_sql ( $bilanz_row ["dtSummeBrutto"] - $bilanz_row ["dtSummeBezahltBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= " \" >";
		$summebrutto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeBrutto"], null, 2 );
		$summebrutto_span_anzeige .= "</span>";
		
		if ($bilanz_row ["dtAktuell"] == 1) {
			$liste_output [$listenzeile_id] ["dtRechnungSummeNetto"] = $summenetto_span_anzeige;
			$liste_output [$listenzeile_id] ["dtRechnungSummeBrutto"] = $summebrutto_span_anzeige;
			
			$summe_netto = $summe_netto + $bilanz_row ["dtSummeNetto"];
			$summe_brutto = $summe_brutto + $bilanz_row ["dtSummeBrutto"];
			$summe_bezahlt_brutto = $summe_bezahlt_brutto + $bilanz_row ["dtSummeBezahltBrutto"];
		} else {
			$bilanz_nicht_aktuell = 1;
		}
		
		// +++++++++++ Buttons hinzufgen
		
		if ($_POST ["exportieren_" . $listenzeile ["Rechnung_id"]] == "1" || ! isset ( $listeHaken )) {
			if ($listenzeile ["dtDatumDTA"] != "0000-00-00" || $listenzeile ["dtDatumDTA"] != NULL)
				$liste_output [$listenzeile_id] ["Checkbox"] = input_checkbox ( "Exportieren", "exportieren_" . $listenzeile ["Rechnung_id"], true, "aenderungOff" );
		} else
			$liste_output [$listenzeile_id] ["Checkbox"] = input_checkbox ( "Exportieren", "exportieren_" . $listenzeile ["Rechnung_id"], false, "aenderungOff" );
			
			// +++++ Datumsformartierung DTAUS Export +++++ //
		$liste_output [$listenzeile_id] ["dtDatumDTA"] = date_from_sql ( $listenzeile ["dtDatumDTA"] );
	}
}

// **********************************************************************************************************
// **********************************************************************************************************

// Payment_DTA
$dta_file = new DTA ( DTA_CREDIT );

// Inhaberkonto
$dta_file->setAccountFileSender ( array (
		"name" => $bankkonto_row ['dtInhaberName'],
		"bank_code" => $bankkonto_row ['dtBankLeitZahl'],
		"account_number" => $bankkonto_row ['dtKontoNummer'] 
) );

// **********************************************************************************************************
// **********************************************************************************************************

if (count ( $liste ) != 0) {
	
	// echo erstelleFormularrahmenOben();
	echo "<div style='height:60px;color:#000000;background-color:" . $GLOBALS ['bgcolor_formular_rot'] . ";overflow:auto;'>";
	
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		if ($_POST ["exportieren_" . $listenzeile ["Rechnung_id"]] == "1" || ! isset ( $listeHaken )) {
			$bilanz_query = "select * from tblBilanzRechnungen where fiRechnung = " . $listenzeile ["Rechnung_id"];
			$bilanz_row = get_table_row ( $bilanz_query );
			
			if ($bilanz_row ["dtSummeBrutto"] < 1 || ! is_numeric ( $bilanz_row ["dtSummeBrutto"] )) {
				echo "Rechnung (Intern: " . $listenzeile ["dtRechnungNrIntern"] . " / Extern: " . $listenzeile ["dtRechnungNrExtern"] . ") geringer als 1 &euro;<br>";
				$liste_output [$listenzeile_id] ["Checkbox"] = NULL; // input_checkbox("Exportieren", "exportieren_".$listenzeile["Rechnung_id"], false, "aenderungOff");
				$liste_output [$listenzeile_id] ["Checkbox"] = "<p title='Rechnung (Intern: " . $listenzeile ["dtRechnungNrIntern"] . " / Extern: " . $listenzeile ["dtRechnungNrExtern"] . ") geringer als 1 &euro;'>Fehler</p>";
				continue;
			}
			
			if ($aktdatum < "2014-02-01") {
				
				if ($listenzeile ['dtBankLeitZahl'] == "" && $listenzeile ['dtBankBIC'] == "") {
					
					echo "Bankleitzahl und BIC von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
					$liste_output [$listenzeile_id] ["Checkbox"] = NULL; // input_checkbox("Exportieren", "exportieren_".$listenzeile["Rechnung_id"], false, "aenderungOff");
					$liste_output [$listenzeile_id] ["Checkbox"] = "<p title='Bankleitzahl und BIC von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!'>Fehler</p>";
					continue;
				} elseif ($listenzeile ['dtBankLeitZahl'] == "") {
					echo "Bankleitzahl von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
				} elseif ($listenzeile ['dtBankBIC'] == "") {
					echo "BIC von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
				}
				
				if ($listenzeile ['dtBankKontoNummer'] == "" && $listenzeile ['dtBankIBAN'] == "") {
					echo "Kontonummer und IBAN von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
					$liste_output [$listenzeile_id] ["Checkbox"] = NULL; // input_checkbox("Exportieren", "exportieren_".$listenzeile["Rechnung_id"], false, "aenderungOff");
					$liste_output [$listenzeile_id] ["Checkbox"] = "<p title='Kontonummer und IBAN von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!'>Fehler</p>";
					continue;
				} elseif ($listenzeile ['dtBankKontoNummer'] == "") {
					echo "Kontonummer von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
				} elseif ($listenzeile ['dtBankIBAN'] == "") {
					echo "IBAN von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
				}
			} else {
				if ($listenzeile ['dtBankIBAN'] == "") {
					echo "IBAN von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
					$liste_output [$listenzeile_id] ["Checkbox"] = NULL; // input_checkbox("Exportieren", "exportieren_".$listenzeile["Rechnung_id"], false, "aenderungOff");
					$liste_output [$listenzeile_id] ["Checkbox"] = "<p title='IBAN von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!'>Fehler</p>";
					continue;
				}
				
				if ($listenzeile ['dtBankBIC'] == "") {
					echo "BIC von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!<br>";
					$liste_output [$listenzeile_id] ["Checkbox"] = NULL; // input_checkbox("Exportieren", "exportieren_".$listenzeile["Rechnung_id"], false, "aenderungOff");
					$liste_output [$listenzeile_id] ["Checkbox"] = "<p title='BIC von " . check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ) . " nicht vorhanden!'>Fehler</p>";
					continue;
				}
			}
			
			if ($listenzeile ["dtDatumDTA"] != "0000-00-00" && $listenzeile ["dtDatumDTA"] != NULL) {
				echo "Rechnung (Intern: " . $listenzeile ["dtRechnungNrIntern"] . " / Extern: " . $listenzeile ["dtRechnungNrExtern"] . ") wurde schon exportiert am " . date_from_sql ( $listenzeile ["dtDatumDTA"] ) . "  <br>";
				$liste_output [$listenzeile_id] ["Checkbox"] = input_checkbox ( "Exportieren", "exportieren_" . $listenzeile ["Rechnung_id"], false, "aenderungOff" );
				continue;
			}
			
			// Leerzeichen filtern
			$listenzeile ['dtBankLeitZahl'] = str_replace ( " ", "", $listenzeile ['dtBankLeitZahl'] );
			$listenzeile ['dtBankKontoNummer'] = str_replace ( " ", "", $listenzeile ['dtBankKontoNummer'] );
			$listenzeile ['dtBankBIC'] = str_replace ( " ", "", $listenzeile ['dtBankBIC'] );
			$listenzeile ['dtBankIBAN'] = str_replace ( " ", "", $listenzeile ['dtBankIBAN'] );
			
			if (strlen ( $listenzeile ['dtLieferant_Anzeige'] ) > 0 && strlen ( $listenzeile ['dtBankLeitZahl'] ) > 0 && strlen ( $listenzeile ['dtBankLeitZahl'] ) <= 8 && ctype_digit ( $listenzeile ['dtBankLeitZahl'] ) && strlen ( $listenzeile ['dtLieferant_Anzeige'] ) > 0 && strlen ( $listenzeile ['dtBankKontoNummer'] ) <= 10 && ctype_digit ( $listenzeile ['dtBankKontoNummer'] )) {
			} else {
				echo "Ungltige Daten bei " . $listenzeile ['dtLieferant_Anzeige'] . "! &Uuml;berspringe...<br>";
			}
			
			unset ( $verwendungszweck_suche_array );
			$verwendungszweck_suche_array = array (
					0 => "%%%rechnungsnummer%%%",
					1 => "%%%rechnungsdatum%%%",
					2 => "%%%betrag%%%" 
			);
			
			unset ( $verwendungszweck_ersetz_array );
			$verwendungszweck_ersetz_array = array (
					0 => $listenzeile ["dtRechnungNrExtern"],
					1 => date_from_sql ( $listenzeile ["dtRechnungDatum"] ),
					2 => number_format ( $bilanz_row ["dtSummeBrutto"], 2, ".", "" ) . "EUR" 
			);
			
			$zweck_zeile1 = str_replace ( $verwendungszweck_suche_array, $verwendungszweck_ersetz_array, $verwendungszweck_dtaus_zeile1 );
			$zweck_zeile2 = str_replace ( $verwendungszweck_suche_array, $verwendungszweck_ersetz_array, $verwendungszweck_dtaus_zeile2 );
			
			if ($listenzeile ["dtLieferantEigeneKdNr"] != "") {
				$zweck_zeile2 .= " KdNr.: " . $listenzeile ["dtLieferantEigeneKdNr"];
			}
			
			$dta_file->addExchange ( array (
					"name" => check_input_string ( $listenzeile ['dtLieferant_Anzeige'] ), // Name of account owner.
					"bank_code" => $listenzeile ['dtBankLeitZahl'], // Bank code.
					"account_number" => $listenzeile ['dtBankKontoNummer'] 
			), // Account number.
number_format ( $bilanz_row ["dtSummeBrutto"], 2, ".", "" ), // Amount of money.
array ( // Description of the transaction ("Verwendungszweck").
					$zweck_zeile1,
					$zweck_zeile2 
			) );
		}
	}
	echo "</div>";
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );
unset ( $liste_output );

// Diese Variable gibt an, ob die Haken beim ersten Start gesetzt werden sollen oder nicht
// 0 gibt an, dass der erstmalige Aufruf geschehen ist
$listeHaken = "0";

// **********************************************************************************************************
// **********************************************************************************************************

// if(file_exists($tmpoutputordner."/".SID."_DTAUS0")) unlink($tmpoutputordner."/".SID."_DTAUS0");
// $dta_file->saveFile($tmpoutputordner."/".SID."_DTAUS0");

// echo "<textarea style=\"width: 620px; height: 250px; font-size: 14px;\" wrap=\"off\">" . $dta_file->getFileContent() . "</textarea>";

$query = $sql_query ["bankkontenliste"];

?>
