<?php
/*
 * conceptERP Copyright (C) 2010 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */
require_once ('functions/init.php');

$mime = new mime_parser_class ();
$mime->mbox = 0; // Kein mbox Format

if (! isset ( $parameters )) {
	$parameters = array ();
}

$message = array ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++ bernahme einer eMail in den Content Bereich
$importtyp = $typ;

if ($target == "content") {
	switch ($importtyp) {
		/*
		 * Taskplaner
		 */
		case "taskplaner" :
			$filename = tempnam ( sys_get_temp_dir (), "conceptERP-" );
			file_put_contents ( $filename, $email );
			$parameters ['File'] = $filename;
			
			break;
		
		/*
		 * Outlook
		 */
		case "outlookemail" :
			$email = base64_decode ( $_POST ['email'] );
			
			$filename = tempnam ( sys_get_temp_dir (), "conceptERP-" );
			file_put_contents ( $filename, $email );
			
			$parameters ['File'] = $filename;
			
			// Login prfen
			$result_checklogin = check_login ( $_POST ['benutzername'], $_POST ['passwort'], true );
			if ($result_checklogin > 0 and $result_checklogin < 4) {
				echo "status: error\r\nmessage: Fehlerhafter Benutzername oder Passwort.";
				exit ();
			}
			
			// Autor setzen
			$benutzer_row = get_table_row ( "select * from $tblsession where dtUsername = '" . mysql_real_escape_string ( $_POST ['benutzername'] ) . "'" );
			$field_new ['fiAutor'] = $benutzer_row ['fiUserNr'];
			
			// Benutzerrechte pruefen
			if (! check_link_permission ( "content", "send", getGruppenrechte ( $_POST ['benutzername'] ) )) {
				echo "status: error\r\nmessage: Keine Berechtigung.";
				exit ();
			}
			
			break;
		
		/*
		 * Zarafa
		 */
		case "zarafaemail" :
			// Zarafa Login
			if ($_POST ['zarafauser'] != $zarafaserver_username || $_POST ['zarafapasswd'] != md5 ( $zarafaserver_password )) {
				echo "status: error\r\nmessage: Fehlerhafter Benutzername oder Passwort.";
				exit ();
			}
			
			// Benutzerrechte pruefen
			if (! check_link_permission ( "content", "send", getGruppenrechte ( $_POST ['user'] ) )) {
				echo "status: error\r\nmessage: Keine Berechtigung.";
				exit ();
			}
			
			// Autor setzen
			$benutzer_row = get_table_row ( "select * from $tblsession where dtUsername = '" . mysql_real_escape_string ( $_POST ['user'] ) . "'" );
			$field_new ['fiAutor'] = $benutzer_row ['fiUserNr'];
			
			$parameters ['File'] = $_FILES ['archivefile'] ['tmp_name'];
			
			break;
		
		/*
		 * Thunderbird
		 */
		case "thunderbird" :
			$benutzername = $_POST ['benutzername'];
			$passwort = $_POST ['passwort'];
			$email = $_POST ['email'];
			
			$filename = tempnam ( sys_get_temp_dir (), "conceptERP-" );
			file_put_contents ( $filename, $email );
			
			$parameters ['File'] = $filename;
			
			// Login prfen
			$result_checklogin = check_login ( $benutzername, $passwort, true );
			if ($result_checklogin > 0 and $result_checklogin < 4) {
				echo "status: error\r\nmessage: Fehlerhafter Benutzername oder Passwort.";
				exit ();
			}
			
			// Autor setzen
			$benutzer_row = get_table_row ( "select * from $tblsession where dtUsername = '" . mysql_real_escape_string ( $benutzername ) . "'" );
			$field_new ['fiAutor'] = $benutzer_row ['fiUserNr'];
			
			// Benutzerrechte pruefen
			if (! check_link_permission ( "content", "send", getGruppenrechte ( $benutzername ) )) {
				echo "status: error\r\nmessage: Keine Berechtigung.";
				exit ();
			}
			
			break;
		
		/*
		 * Open-Xchange
		 */
		case "ox" :
			$benutzername = $_POST ['OXUser'];
			$passwort = $_POST ['OXPass'];
			$email = $_POST ['maildata'];
			
			$filename = tempnam ( sys_get_temp_dir (), "conceptERP-" );
			file_put_contents ( $filename, $email );
			
			$parameters ['File'] = $filename;
			
			// Login prfen
			$result_checklogin = check_login ( $benutzername, $passwort, true );
			if ($result_checklogin > 0 and $result_checklogin < 4) {
				echo "status: error\r\nmessage: Fehlerhafter Benutzername oder Passwort.";
				exit ();
			}
			
			// Autor setzen
			$benutzer_row = get_table_row ( "select * from $tblsession where dtUsername = '" . mysql_real_escape_string ( $benutzername ) . "'" );
			$field_new ['fiAutor'] = $benutzer_row ['fiUserNr'];
			
			// Benutzerrechte pruefen
			if (! check_link_permission ( "content", "send", getGruppenrechte ( $benutzername ) )) {
				echo "status: error\r\nmessage: Keine Berechtigung.";
				exit ();
			}
			break;
	}
}

if (empty ( $parameters ['File'] ) || ! is_readable ( $parameters ['File'] )) {
	die ( "status: error\r\nmessage: Keine Datei gefunden.\r\n" );
}

/*
 * Mime Email dekodieren
 */
$mime->Decode ( $parameters, $message );

// Fehler?
if (! empty ( $mime->error )) {
	die ( "status: error\r\nmessage: Fehler beim Verarbeiten der Email '" . $mime->error . "' @ " . $mime->error_position );
}

$email = array ();

if (isset ( $message [0] ['DecodedHeaders'] ['subject:'] [0] [0] ['Value'] )) {
	$email ['betreff'] = _utf8_decode ( $message [0] ['DecodedHeaders'] ['subject:'] [0] [0] ['Value'] );
} else {
	$email ['betreff'] = _utf8_decode ( $message [0] ['Headers'] ['subject:'] );
}

$field_new ['dtEmailAbsender'] = serialize ( utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['from:'] ) );
$field_new ['dtEmailEmpfaenger'] = serialize ( utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['to:'] ) );
$field_new ['dtEmailCC'] = serialize ( utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['cc:'] ) );
$field_new ['dtEmailBCC'] = serialize ( utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['bcc:'] ) );
$field_new ['dtEmailBetreff'] = $email ['betreff'];

if (isset ( $message [0] ['Headers'] ['in-reply-to:'] )) {
	$field_new ['dtEmailInReplyTo'] = $message [0] ['Headers'] ['in-reply-to:'];
}

$email ['datum'] = $message [0] ['Headers'] ['date:'];
$email ['dateien'] = array ();

extract_mail_array ( $message [0] ['Parts'], $email );

$field_new ["fiContentTyp"] = $zarafa_contenttyp_id;
$field_new ["dtDatum"] = date ( "Y-m-d", strtotime ( $email ['datum'] ) );
$field_new ["dtZeit"] = date ( "H:i", strtotime ( $email ['datum'] ) );
$field_new ["dtUeberschrift"] = $email ['betreff'];
$field_new ["dtContentNr"] = contentnummer_neu ();

if (! is_array ( $email ['body'] )) {
	$field_new ["dtEmail_Plain"] = $message [0] ['Body'];
} else {
	foreach ( $email ['body'] as $emailtyp => $emailinhalt ) {
		if (strpos ( $emailtyp, "text/plain" ) !== false) {
			$field_new ["dtEmail_Plain"] = $emailinhalt;
		}
		
		if (strpos ( $emailtyp, "text/html" ) !== false) {
			$field_new ["dtEmail_HTML"] = $emailinhalt;
		}
	}
}

$fromemailimport = true;

/*
 * Ueberpruefen, ob E-Mail bereits vorhanden ist
 */
if (sucheDoppelteEmail ( $field_new ) && ! $emailimport_erlaube_duplikate) {
	echo "status: error\r\nmessage: E-Mail bereits vorhanden!";
	exit ();
}

include ("targets/content/send.php"); // Content anlegen
$contentid = $id;

/*
 * Anhaenge dem Content zuweisen
 */

anhaenge_zuweisen ( $email ['dateien'], $contentid );

/*
 * Nach frueheren E-Mails suchen und von diesen die Kontakte, Projekte und Belege uebernehmen
 */

$kontakte_uebernommen = array ();
$projekte_uebernommen = array ();
$belege_uebernommen = array ();

if ($field_new ['dtEmailInReplyTo'] != "") {
	
	$query = $sql_query ["contentliste"] . " and $tblcontent.dtEmailInReplyTo = '" . $field_new ['dtEmailInReplyTo'] . "'";
	
	if (get_table_count ( $query ) > 0) {
		$liste = get_table_array ( $query );
		foreach ( $liste as $row ) {
			$array_fiprojekt = explode ( ";", $row ['fiProjekt'] );
			$array_fibeleg = explode ( ";", $row ['fiBeleg'] );
			$array_fikontakt = explode ( ";", $row ['fiKontakt'] );
			
			foreach ( $array_fiprojekt as $id ) {
				// Projekte
				if (empty ( $id ))
					continue;
				
				$projekte_uebernommen [] = $id;
			}
			
			foreach ( $array_fibeleg as $id ) {
				// Belege
				if (empty ( $id ))
					continue;
				
				$belege_uebernommen [] = $id;
			}
			
			foreach ( $array_fikontakt as $id ) {
				// Kontakte
				if (empty ( $id ))
					continue;
				
				$kontakte_uebernommen [] = $id;
			}
		}
	}
}

/*
 * Kontakte zuweisen
 */
$zuzuweisende_kontakte = array ();
$addresses = array_merge ( ( array ) $message [0] ['ExtractedAddresses'] ['from:'], ( array ) $message [0] ['ExtractedAddresses'] ['to:'], ( array ) $message [0] ['ExtractedAddresses'] ['cc:'], ( array ) $message [0] ['ExtractedAddresses'] ['bcc:'] );

foreach ( $addresses as $contactarray ) {
	$zuzuweisende_kontakte [] = $contactarray ['address'];
}

$kontakte = array_merge ( ( array ) $kontakte_uebernommen, ( array ) kontakte_zu_content_suchen ( $contentid, $zuzuweisende_kontakte ) );

foreach ( ( array ) $kontakte as $kontaktid ) {
	$field_new ["kontakte"] = $kontaktid;
	
	$id = $contentid;
	include ("$targetsordner/contentkontakte/send.php");
}

/*
 * Projekte zuweisen
 */
$projekte = array_merge ( ( array ) $projekte_uebernommen, ( array ) projekt_zu_content_suchen ( $contentid, $betreff, $field_new ['dtEmail_Plain'] ) );
if ($projekte) {
	foreach ( $projekte as $projektid ) {
		// Projekte zuweisen
		$field_new ["projekte"] = $projektid;
		
		$id = $contentid;
		include ("$targetsordner/contentprojekte/send.php");
	}
}

/*
 * Belege zuweisen
 */
$belege = array_merge ( ( array ) $belege_uebernommen, ( array ) beleg_zu_content_suchen ( $contentid, $betreff, $field_new ['dtEmail_Plain'] ) );
if ($belege) {
	foreach ( $belege as $belegid ) {
		// Belege zuweisen
		$field_new ["belege"] = $belegid;
		
		$id = $contentid;
		include ("$targetsordner/contentbelege/send.php");
	}
}

/*
 * Ggf. Angebote zuordnen
 */
if (function_exists ( angebot_zu_content_suchen )) {
	$angebote = angebot_zu_content_suchen ( $contentid, $betreff, $field_new ['dtEmail_Plain'] );
	if ($angebote) {
		foreach ( $angebote as $angebotid ) {
			// Angebote zuweisen
			$field_new ["angebote"] = $angebotid;
			
			$id = $contentid;
			include ("$targetsordner/eshaescontentangebote/send.php");
		}
	}
}

/*
 * Email importiert, jetzt URL zurueckgeben
 */
$url = str_replace ( basename ( $_SERVER ['SCRIPT_FILENAME'] ), "main.php", $_SERVER ['PHP_SELF'] ); // URL Generierung

$benutzer_row = holeBenutzer ();

if (strlen ( $benutzer_row ["dtSessionID"] ) > 5) {
	$sessid = "&setsession=" . $benutzer_row ["dtSessionID"];
}

echo "status: ok\r\n";

switch ($importtyp) {
	case "zarafaemail" :
		if ($_SERVER ["HTTPS"] == "on")
			$serverprotocol = "https://";
		else
			$serverprotocol = "http://";
		$returnurl = "serverurl: " . $serverprotocol . $_SERVER ["HTTP_HOST"] . $url . "?target=content&typ=show&id=" . $id . $sessid . "\r\n";
		$returnurl = str_replace ( "main.php/", "main.php", $returnurl );
		echo $returnurl;
		break;
	
	case "outlookemail" :
		echo "serverurl: " . $url . "?target=content&typ=show&id=" . $id . $sessid . "\r\n";
		break;
	
	case "thunderbird" :
		$returnurl = "serverurl: http://" . $_SERVER ["HTTP_HOST"] . $url . "?target=content&typ=show&id=" . $id . $sessid . "\r\n";
		$returnurl = str_replace ( "main.php/", "main.php", $returnurl );
		echo $returnurl;
		break;
	
	case "ox" :
		$returnurl = "serverurl: http://" . $_SERVER ["HTTP_HOST"] . $url . "?target=content&typ=show&id=" . $id . $sessid . "\r\n";
		$returnurl = str_replace ( "main.php/", "main.php", $returnurl );
		echo $returnurl;
		break;
}

?>