<?php

// Min-Max Anzeigesteuerung
if (isset ( $minmaxstatus_neu )) {
	$_SESSION ['minmaxstatus'] [$target] = $minmaxstatus_neu;
}

// lade Standardfiltereinstellungen und aktuelle Filtereinstellung des Benutzers
$standardfilter = unserialize ( $benutzer_row ["dtArrayFilterStandard"] );
$filter = unserialize ( $benutzer_row ["dtArrayFilterAktuell"] );

// ggf. alle Filter dieser Liste leeren
if ($filter_leeren == 1 and isset ( $listenname )) {
	unset ( $filter [$listenname] );
	$filter_update = 1;
}

// wenn neuer Filter gesetzt wurde, dann bernehme diesen in die aktuelle Einstellung
if (isset ( $filterwert_neu ) and isset ( $listenname )) {
	
	// extrahiere Filterwerte aus Array, es sei denn, es ist ein Textfilter, ein Datumsbereich oder ein Uhrzeitbereich
	if (substr ( $filtername, 0, 10 ) == "textfilter") {
		
		$filterwert_neu_array = explode ( " ", $filterwert_neu );
		$filterwert_neu = "";
		foreach ( ( array ) $filterwert_neu_array as $key => $textfilter_value ) {
			if (strlen ( $textfilter_value ) > 1) {
				$filterwert_neu .= stripslashes ( $textfilter_value ) . " ";
			}
		}
		$filterwert_array = array (
				$filtername => $filterwert_neu 
		);
	} elseif ($filtername == "datumsbereich") {
		$filterwert_array = array (
				"datumsbereich" => $filterwert_neu 
		);
	} elseif ($filtername == "uhrzeitbereich") {
		$filterwert_array = array (
				"uhrzeitbereich" => $filterwert_neu 
		);
	} else {
		$filterwert_array = unserialize ( stripslashes ( $filterwert_neu ) );
	}
	
	// echo '<pre>'.str_replace(array("\n" , " "), array('<br>', '&nbsp;'), print_r($filterwert_array, true)).'</pre><br><br>';
	
	if (is_array ( $filterwert_array )) {
		foreach ( $filterwert_array as $filtername => $filterwert_neu ) {
			
			// Datumsfilter im Array (aufsplitten nach einzeln)
			if ($filtername == "datum") {
				$filtername = "datumsbereich";
				$datum = explode ( "-", $filterwert_neu );
				$datum_tag_von_neu = $datum [0];
				$datum_monat_von_neu = $datum [1];
				$datum_jahr_von_neu = $datum [2];
				$datum_tag_bis_neu = $datum [3];
				$datum_monat_bis_neu = $datum [4];
				$datum_jahr_bis_neu = $datum [5];
			}
			
			// Uhrzeitfilter im Array (aufsplitten nach einzeln)
			if ($filtername == "uhrzeit") {
				$filtername = "uhrzeitbereich";
				$uhrzeit = explode ( "-", $filterwert_neu );
				$uhrzeit_von_neu = $uhrzeit [0] . "-" . $uhrzeit [1];
				$uhrzeit_bis_neu = $uhrzeit [2] . "-" . $uhrzeit [3];
			}
			
			// Datumsfilter einzeln
			if ($filtername == "datumsbereich") {
				
				if ($datum_tag_von_neu == "" and $datum_monat_von_neu == "" and $datum_jahr_von_neu == "") {
					
					$datum_jahr_von_neu = "1970";
					$datum_monat_von_neu = "1";
					$datum_tag_von_neu = "1";
				}
				
				$datum_von = split_date ( concat_date ( $datum_tag_von_neu, $datum_monat_von_neu, $datum_jahr_von_neu ) );
				$datum_bis = split_date ( concat_date ( $datum_tag_bis_neu, $datum_monat_bis_neu, $datum_jahr_bis_neu ) );
				$filter [$listenname] [$filtername] = $datum_von ["tag"] . "-" . $datum_von ["monat"] . "-" . $datum_von ["jahr"] . "-" . $datum_bis ["tag"] . "-" . $datum_bis ["monat"] . "-" . $datum_bis ["jahr"];
				$filter_update = 1;
				
				// Uhrzeitfilter einzeln
			} elseif ($filtername == "uhrzeitbereich") {
				
				if ($uhrzeit_von_neu != "") {
					$uhrzeit_von_neu = str_replace ( ":", "-", $uhrzeit_von_neu );
					$uhrzeit_von_array = split_time ( $uhrzeit_von_neu, "-" );
					$uhrzeit_von_array = split_time ( concat_time ( $uhrzeit_von_array ["stunde"], $uhrzeit_von_array ["minute"], $uhrzeit_von_array ["sekunde"] ) );
				} else {
					$uhrzeit_von_array = array (
							"stunde" => 24,
							"minute" => 60 
					);
				}
				
				if ($uhrzeit_bis_neu != "") {
					$uhrzeit_bis_neu = str_replace ( ":", "-", $uhrzeit_bis_neu );
					$uhrzeit_bis_array = split_time ( $uhrzeit_bis_neu, "-" );
					$uhrzeit_bis_array = split_time ( concat_time ( $uhrzeit_bis_array ["stunde"], $uhrzeit_bis_array ["minute"], $uhrzeit_bis_array ["sekunde"] ) );
				} else {
					$uhrzeit_bis_array = array (
							"stunde" => 24,
							"minute" => 60 
					);
				}
				
				$filter [$listenname] [$filtername] = $uhrzeit_von_array ["stunde"] . "-" . $uhrzeit_von_array ["minute"] . "-" . $uhrzeit_bis_array ["stunde"] . "-" . $uhrzeit_bis_array ["minute"];
				$filter_update = 1;
				
				// normaler Filter
			} else {
				if (substr ( $filterwert_neu, 0, 12 ) == "multiselect:") {
					// Bei Multiselect Filtern ein Array hinterlegen
					$filter [$listenname] [$filtername] = explode ( "::", substr ( $filterwert_neu, 12 ) );
					asort ( $filter [$listenname] [$filtername] );
				} else {
					$filter [$listenname] [$filtername] = $filterwert_neu;
				}
				
				$filter_update = 1;
			}
			
			// Einstellungen zu voneinander abhngigen Filtern
			if ($listenname == "projekte" and $filtername == "kunde") {
				$filter [$listenname] ["kontaktasp"] = "";
			}
			;
			if ($listenname == "stempelzeiten" and $filtername == "abteilung") {
				$filter [$listenname] ["mitarbeiter"] = "";
			}
			;
			if ($listenname == "arbeitszeiten" and $filtername == "abteilung") {
				$filter [$listenname] ["mitarbeiter"] = "";
			}
			;
			if ($listenname == "projektzeiten" and $filtername == "abteilung") {
				$filter [$listenname] ["mitarbeiter"] = "";
			}
			;
			if ($listenname == "stundennachweis" and $filtername == "abteilung") {
				$filter [$listenname] ["mitarbeiter"] = "";
			}
			;
			if ($listenname == "stundenkontrolle" and $filtername == "abteilung") {
				$filter [$listenname] ["mitarbeiter"] = "";
			}
			;
			
			if ($listenname == "stempelzeiten" and ($filtername == "mitarbeiter" or $filtername == "abteilung")) {
				$filter ["arbeitszeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["arbeitszeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["projektzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["projektzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundennachweis"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundennachweis"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundenkontrolle"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundenkontrolle"] ["abteilung"] = $filter [$listenname] ["abteilung"];
			}
			if ($listenname == "arbeitszeiten" and ($filtername == "mitarbeiter" or $filtername == "abteilung")) {
				$filter ["stempelzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stempelzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["projektzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["projektzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundennachweis"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundennachweis"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundenkontrolle"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundenkontrolle"] ["abteilung"] = $filter [$listenname] ["abteilung"];
			}
			if ($listenname == "projektzeiten" and ($filtername == "mitarbeiter" or $filtername == "abteilung")) {
				$filter ["stempelzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stempelzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["arbeitszeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["arbeitszeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundennachweis"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundennachweis"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundenkontrolle"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundenkontrolle"] ["abteilung"] = $filter [$listenname] ["abteilung"];
			}
			if ($listenname == "stundennachweis" and ($filtername == "mitarbeiter" or $filtername == "abteilung")) {
				$filter ["stempelzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stempelzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["arbeitszeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["arbeitszeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["projektzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["projektzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundenkontrolle"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundenkontrolle"] ["abteilung"] = $filter [$listenname] ["abteilung"];
			}
			if ($listenname == "stundenkontrolle" and ($filtername == "mitarbeiter" or $filtername == "abteilung")) {
				$filter ["stempelzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stempelzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["arbeitszeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["arbeitszeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["projektzeiten"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["projektzeiten"] ["abteilung"] = $filter [$listenname] ["abteilung"];
				$filter ["stundennachweis"] ["mitarbeiter"] = $filter [$listenname] ["mitarbeiter"];
				$filter ["stundennachweis"] ["abteilung"] = $filter [$listenname] ["abteilung"];
			}
		}
	}
}

// nach dem Login mssen alle Standard-Filter-Einstellungen wiederhergestellt werden
if ($allestandardfilterladen == 1) {
	$filter = $standardfilter;
	$filter_update = 1;
	$standardfilterladen = 0;
	
	// und ggf. dynamische Datumsfilter angepasst werden
	$sessiontime = explode ( " ", $_SESSION ['lastlogin'] );
	$lastlogin_datum = split_date ( $sessiontime [0] );
	$zeitfenster = (date ( "U", mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) ) - date ( "U", mktime ( 0, 0, 0, $lastlogin_datum ["monat"], $lastlogin_datum ["tag"], $lastlogin_datum ["jahr"] ) )) / 86400;
	
	if (is_array ( $filter )) {
		foreach ( $filter as $listenname => $filter_neu ) {
			if ($filter_neu ["datumsfiltertyp"] == "dyn") {
				
				$datum_explode = extract_datum_aus_datumsfilter ( $filter [$listenname] ["datumsbereich"] );
				$datum_tag_von = $datum_explode [0];
				$datum_monat_von = $datum_explode [1];
				$datum_jahr_von = $datum_explode [2];
				$datum_tag_bis = $datum_explode [3];
				$datum_monat_bis = $datum_explode [4];
				$datum_jahr_bis = $datum_explode [5];
				
				if (! ($datum_tag_von == "01" and $datum_monat_von == "01" and $datum_jahr_von == "1970") and ! ($datum_tag_bis == "01" and $datum_monat_bis == "01" and $datum_jahr_bis == "2030")) {
					
					$datum_neu_von = split_date ( date ( "Y-m-d", mktime ( 0, 0, 0, $datum_monat_von, $datum_tag_von + $zeitfenster, $datum_jahr_von ) ) );
					$datum_neu_bis = split_date ( date ( "Y-m-d", mktime ( 0, 0, 0, $datum_monat_bis, $datum_tag_bis + $zeitfenster, $datum_jahr_bis ) ) );
					
					$filter [$listenname] ["datumsbereich"] = $datum_neu_von ["tag"] . "-" . $datum_neu_von ["monat"] . "-" . $datum_neu_von ["jahr"] . "-" . $datum_neu_bis ["tag"] . "-" . $datum_neu_bis ["monat"] . "-" . $datum_neu_bis ["jahr"];
				}
			}
		}
	}
	
	// speichere die neuen Standardfilter
	$benutzer_row ["dtArrayFilterStandard"] = serialize ( $filter );
}

// wenn die Standard-Filter-Einstellungen wiederhergestellt werden sollen, dann lade sie
if ($standardfilterladen == 1) {
	$filter [$listenname] = $standardfilter [$listenname];
	$filter_update = 1;
}

// wenn diese Einstellung als Standard genommen werden soll, dann speichere sie
if ($standardfilterspeichern == 1) {
	$standardfilter [$listenname] = $filter [$listenname];
	$benutzer_row ["dtArrayFilterStandard"] = serialize ( $standardfilter );
	$filter_update = 1;
}

// schreibe aktuelle Einstellung bei nderungen
if ($filter_update == 1) {
	$benutzer_row ["dtArrayFilterAktuell"] = serialize ( $filter );
	replace_into_table ( $tblsession, $benutzer_row );
}

// setze Listenlimitierung bei nderungen wieder auf 1
if ($filter_update == 1 and $filter [$listenname] != "") {
	$sortierung_name = $listenname;
	$sortierung_position = 1;
}

// setze alle Variablen zurck
unset ( $allestandardfilterladen );
unset ( $standardfilterladen );
unset ( $standardfilterspeichern );
unset ( $filterwert_neu );
unset ( $filtername );
unset ( $filter_update );
unset ( $filterwert_array );

?>