function getInformation(sPath, iObjectID, sProperties)
{
	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object/"+iObjectID,
		type: "GET",
		async:false,
		data: {sessionId:$.cookie("AgorumSession"), 
			   properties:sProperties},
		dataType: "json",
		complete: function(result) {			
			
		}
	});

}

function searchInformation(sPath, sQuery, sProperties, sBelegDruckLogID, sTabelle)
{
	var aData = {
			provider:"search",
			query:sQuery,
			sessionId:$.cookie("AgorumSession"),
			properties:sProperties
	};
	oData = JSON.stringify(aData);


	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object",
		type: "GET",	
		data: aData,
		async:false,
		dataType: "json",
		complete: function(result) {
			var aResponseAgorum = JSON.parse(result.responseText);
			var sID = aResponseAgorum["data"][0]["id"];

			jQuery.ajax({
				url: "functions/database.php",
				type: "POST",
				async:false,
				data: { dtAgorumID:sID,
						dtBelegDruckLogID:sBelegDruckLogID,
						action:"update",
						dtTabelle: sTabelle},
				dataType: "json",
				complete: function(result) {			
					
				}
			});
			
		}
	});
}

function createObject(sPath, sName, sFilePath)
{
	aNewObject = new Object();
	aNewObject["name"] = sName;
	aNewObject["target"] = sFilePath;
	aNewObject["classname"] = "FileObject";
	aNewObject = JSON.stringify(aNewObject);
	
	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object",
		type: "POST",
		async:false,
		data: {sessionId:$.cookie("AgorumSession"),
			   data:aNewObject,
			   handler: "object"},
		dataType: "json",
		complete: function(result) {			
			
		}
	});

}

function updateObject(sPath, iObjectID, sObjectName)
{
	var aData = {
			name:sObjectName
	};
	oObjectUpdate = JSON.stringify(aData);

	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object/"+iObjectID,
		type: "PUT",
		async:false,
		data: {sessionId:$.cookie("AgorumSession"),
			   updatehandler:"object",
			   data:oObjectUpdate},
		dataType: "json",
		complete: function(result) {			
			
		}
	});

}

function deleteObject(sPath, iObjectID)
{
	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object/"+iObjectID,
		type: "DELETE",
		async:false,
		data: {sessionId:$.cookie("AgorumSession"),
			   deletehandler:"object"},
		dataType: "json",
		complete: function(result) {			
			
		}
	});

}