<?php
require ("file.php");

if (! class_exists ( 'fileTransfer' )) {
	class fileTransfer extends file {
		protected $sLocation;
		protected $sUsername;
		protected $sPassword;
		protected $oConn_id;
		protected $sUploadMode = FTP_BINARY;
		function __construct() {
			Global $sAgorumPfad, $sAgorumBenutzername, $sAgorumPasswort;
			
			$this->sLocation = $sAgorumPfad;
			$this->sUsername = $sAgorumBenutzername;
			$this->sPassword = $sAgorumPasswort;
		}
		public function connect($sFilename, $sDestination) {
			// Create Conntection
			$this->oConn_id = ftp_connect ( $this->sLocation );
			// Login with Username and Password
			$oLogin_result = ftp_login ( $this->oConn_id, $this->sUsername, $this->sPassword );
			$this->upload ( $sFilename, $sDestination );
			$this->close ();
		}
		public function close() {
			ftp_close ( $this->oConn_id );
		}
		private function upload($sFilename, $sDestination) {
			// Upload file
			ftp_put ( $this->oConn_id, $sDestination, $sFilename, $this->sUploadMode );
		}
	}
}
?>

