function createFolder(sPath, sFolderPath,sFolderName, sTabelle)
{
	aNewFolder = new Object();
	aNewFolder["name"] = sFolderName;
	aNewFolder["target"] = sFolderPath;
	oNewFolder = JSON.stringify(aNewFolder);

	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object",
		type: "POST",
		async:false,
		data: {sessionId:$.cookie("AgorumSession"), 
			   data:oNewFolder,
			   handler:"folder"
			   },
		dataType: "json",
		complete: function(result) {	

			var aResponseAgorum = JSON.parse(result.responseText);
			var sID = aResponseAgorum["data"]["id"];
			
			jQuery.ajax({
				url: "functions/database.php",
				type: "POST",
				async:false,
				data: { dtObjectID:sID,
						dtPath:sFolderPath + sFolderName +"/",
						action:"insert",
						dtTabelle: sTabelle,
						dtIsFile:"0"},
				dataType: "json",
				complete: function(result) {			
					
				}
			});
		}
	});

}

function existsFolder(sPath, iObjectID, sProperties)
{
	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object/"+iObjectID,
		type: "GET",
		async:false,
		data: {sessionId:$.cookie("AgorumSession"), 
			   properties:sProperties},
		dataType: "json",
		complete: function(result) {			

		}
	});

}

function deleteFolder(sPath, iObjectID, sProperties)
{
	jQuery.ajax({
		url: "http://" + sPath + "/api/rest/object/"+iObjectID,
		type: "DELETE",
		async:false,
		data: {sessionId:$.cookie("AgorumSession")},
		dataType: "json",
		complete: function(result) {			
			
		}
	});

}