<?php
if (! function_exists ( "mysqlEscapeString" )) {
	function mysqlEscapeString($value) {
		if (get_magic_quotes_gpc () == 1) {
			$value = stripslashes ( $value );
		}
		
		$value = mysql_real_escape_string ( $value );
		return $value;
	}
}

// ***************************************************************************************************
// ***************************************************************************************************

if (! function_exists ( "get_table_row_single" )) {
	function get_table_row_single($query) {
		$result = mysql_query ( $query );
		$row = mysql_fetch_row ( $result );
		
		return $row [0];
	}
}

// ***************************************************************************************************
// ************************************* get_table_row **********************************************
//
// gibt ein Array einer Zeile eines Querys zurück

if (! function_exists ( "get_table_row" )) {
	function get_table_row($query) {
		$result = mysql_query ( $query );
		
		// if(!$result) {
		// echo "<hr>" . $query;
		// }
		if ($result) {
			$row = mysql_fetch_array ( $result );
			
			mysql_free_result ( $result );
		}
		
		return $row;
	}
}

// ***************************************************************************************************
// ************************************* get_table_array **********************************************
//
// gibt ein Array einer ganzen Tabelle eines Querys zurück

if (! function_exists ( "get_table_array" )) {
	function get_table_array($query, $sameID = false) {
		$result = mysql_query ( $query );
		
		// if(!$result) {
		// echo "<hr>" . $query;
		// }
		
		if ($result) {
			while ( $row = mysql_fetch_array ( $result ) ) {
				$sameID ? $liste [$row [0]] = $row : $liste [] = $row;
			}
			
			mysql_free_result ( $result );
		}
		
		return $liste;
	}
}

// ***************************************************************************************************
// ************************************* get_table_with_id_array **********************************************
//
// gibt ein Array einer ganzen Tabelle eines Querys zurück

if (! function_exists ( "get_table_with_id_array" )) {
	function get_table_with_id_array($query, $sameID = false) {
		$result = mysql_query ( $query );
		
		// if(!$result) {
		// echo "<hr>" . $query;
		// }
		
		if ($result) {
			while ( $row = mysql_fetch_array ( $result ) ) {
				$liste [$row [0]] = $row;
			}
			
			mysql_free_result ( $result );
		}
		
		return $liste;
	}
}

// ***************************************************************************************************
// ************************************* get_table_count **********************************************
//
// gibt die Anzahl der Reihen eines Querys zurück

if (! function_exists ( "get_table_count" )) {
	function get_table_count($query) {
		
		// alles ausser "union" über select count() abfragen
		if (strpos ( strtolower ( $query ), "union" ) === false) {
			
			$query = str_replace ( array (
					"\t",
					"\n",
					"\r" 
			), " ", $query );
			$query = str_replace ( " FROM ", " from ", $query );
			$split1 = explode ( " from ", $query, 2 );
			
			$querypart = str_replace ( "(", "", $split1 [1] );
			$querypart = str_replace ( ",", " ", $querypart );
			$split2 = explode ( " ", $querypart, 2 );
			
			$querycount = "SELECT COUNT(" . $split2 [0] . ".id) AS dtAnzahl FROM " . $split1 [1];
			
			if ($result = mysql_query ( $querycount )) {
				
				$row = mysql_fetch_array ( $result );
				
				return $row ["dtAnzahl"];
			} else {
				return null;
			}
		} else {
			
			if ($result = mysql_query ( $query )) {
				
				return mysql_num_rows ( $result );
			} else {
				return null;
			}
		}
	}
}

if (! function_exists ( "get_table_count_complete" )) {
	function get_table_count_complete($tblname) {
		$row = get_table_row ( "show table status where name = '" . $tblname . "'" );
		return $row ["Rows"];
	}
}

// ***************************************************************************************************
// ************************************* get_table_info **********************************************
//
// gibt ein Array zurück, das folgenden Aufbau hat: (Feldname0, Feldname1, ...)
if (! function_exists ( "get_table_info" )) {
	function get_table_info($tablename) {
		global $dbname;
		
		$result_fields = mysql_list_fields ( $dbname, $tablename );
		
		for($field = 0; $field < mysql_num_fields ( $result_fields ); $field ++) {
			$table_info [$field + 1] = mysql_field_name ( $result_fields, $field );
		}
		
		return $table_info;
	}
}

// ***************************************************************************************************
// ************************************* get_max_from_table ******************************************
//
// gibt den Maximalwert eines Feldes einer Tabelle zurück
if (! function_exists ( "get_max_from_table" )) {
	function get_max_from_table($tablename, $fieldname, $query = "") {
		$query = "select max($fieldname) from $tablename " . $query;
		$row = mysql_fetch_row ( mysql_query ( $query ) );
		
		return $row [0];
	}
}

// ***************************************************************************************************
// ************************************* get_table_indexes *******************************************
//
// gibt ein Array zurück, das alle indizierten Felder einer Tabelle enthält
if (! function_exists ( "get_table_indexes" )) {
	function get_table_indexes($tablename, $indextype = "FULLTEXT") {
		$table_indexes = get_table_array ( "show index from $tablename" );
		if (count ( $table_indexes ) != 0) {
			foreach ( $table_indexes as $listenzeile_id => $listenzeile ) {
				if ($listenzeile ["Index_type"] == $indextype or $indextype == "") {
					$indexes_array [] = $listenzeile ["Column_name"];
				}
			}
		}
		
		return $indexes_array;
	}
}

// ***************************************************************************************************
// ************************************* create_fulltext_index_search ********************************
//
// gibt einen String zurück, der den Teil eines SQL Statements enthält, der (wenn möglich) die
// Volltextsuche übernimmt
if (! function_exists ( "create_fulltext_index_search" )) {
	function create_fulltext_index_search($tablename_array, $textsuche) {
		$textsuche_array = explode ( " ", $textsuche );
		
		if (! is_array ( $tablename_array )) {
			$tablename_array = array (
					$tablename_array 
			);
		}
		
		if (count ( $textsuche_array ) != 0) {
			
			// erzeuge Match-Teil
			foreach ( ( array ) $tablename_array as $key => $tablename ) {
				
				$indexes_array = get_table_indexes ( $tablename );
				
				foreach ( ( array ) $indexes_array as $key => $value ) {
					$indexes_string .= $tablename . "." . $value . ",',',";
					// $indexes_string .= $tablename.".".$value . ",";
					// $indexes_string .= "' ',";
				}
			}
			
			$indexes_string = substr ( $indexes_string, 0, - 1 );
			
			// erzeuge Against-Teil
			if (is_array ( $textsuche_array ))
				$textsuche_string = "'";
				
				/*
			 * Tags: Textsuche, Sonderzeichen Beschreibung:Sonderzeichen wie +,` werden nun entwertet mit \ und in der Suche berücksichtigt und auch gefunden. Falls es Performance Probleme geben sollte herausnehmen
			 */
			$aSuchZeichen = array (
					"'",
					"+",
					",",
					"`" 
			);
			foreach ( $textsuche_array as $key => $value ) {
				if ($value != "") {
					// $textsuche_string .= "+".$value."* ";
					foreach ( $aSuchZeichen as $cpSuchZeichen ) {
						if (strpos ( $value, $cpSuchZeichen )) {
							$sLeft = substr ( $value, 0, strpos ( $value, $cpSuchZeichen ) );
							$sRight = "\\";
							$sRight .= substr ( $value, strpos ( $value, $cpSuchZeichen ), strlen ( $value ) );
							$value = $sLeft . $sRight;
						}
					}
					$textsuche_string .= "%" . $value . "%";
				}
			}
			// $textsuche_string = "%". $textsuche . "%";
			
			$textsuche_string = chop ( $textsuche_string );
			$aSonderzeichen = array (
					0 => "%",
					1 => "'" 
			);
			$sTextsuche_string_ohne_prozent = str_replace ( $aSonderzeichen, "", $textsuche_string );
			
			if ($indexes_string != "" and $sTextsuche_string_ohne_prozent != "") {
				$search_string = " and CONCAT_WS(" . $indexes_string . ") LIKE (" . $textsuche_string . "')";
				// $search_string = " and MATCH (".$indexes_string.") AGAINST ('" . mysqlEscapeString($textsuche_string) . "' IN BOOLEAN MODE)";
			}
		}
		
		return $search_string;
	}
}

// ************************************* create_customize_search ********************************
//
if (! function_exists ( "create_customize_search" )) {
	function create_customize_search($tablename_array, $textsuche, $sOrAnd, $aField) {
		$textsuche_array = explode ( " ", $textsuche );
		
		if ($textsuche != NULL) {
			foreach ( $textsuche_array as $key => $value ) {
				if ($value != "") {
					
					if (! $aField [$key])
						$aField [$key] = $aField [0];
					
					$sQuerySQL .= " " . $sOrAnd . " " . $aField [$key] . " = '" . $value . "'";
				}
			}
		} else
			return NULL;
		
		return $sQuerySQL;
	}
}

// ***************************************************************************************************
// ************************************* insert_into_table *******************************************
//
// Schreibt ein Array $value in die Tabelle $tablename und gibt die ID des neuen Eintrags zurück
if (! function_exists ( "insert_into_table" )) {
	function insert_into_table($tablename, $field, $replace_marks = 1) {
		$field = array_match_table ( $tablename, $field, 0 );
		
		$sqlString = "INSERT INTO $tablename SET ";
		$i = 0;
		foreach ( $field as $feldname => $value ) {
			$i ++;
			
			$sqlString .= $feldname . " = '" . mysqlEscapeString ( $value ) . "'";
			
			if ($i < count ( $field )) {
				$sqlString .= ", ";
			}
		}
		
		// echo "$sqlString<hr>";
		mysql_query ( $sqlString );
		$id = mysql_insert_id ();
		
		return $id;
	}
}

// ***************************************************************************************************
// ************************************* update_into_table *******************************************
//
// Ändert den Eintrag $id in Tabelle $tablename in Array $value
if (! function_exists ( "update_into_table" )) {
	function update_into_table($tablename, $id, $field) {
		$field = array_match_table ( $tablename, $field, 0 );
		
		$sqlString = "UPDATE $tablename SET ";
		
		$i = 0;
		foreach ( $field as $feldname => $value ) {
			$i ++;
			$sqlString .= $feldname . " = '" . mysqlEscapeString ( $value ) . "'";
			if ($i < count ( $field )) {
				$sqlString .= ", ";
			}
		}
		
		$sqlString .= " WHERE id = '" . mysqlEscapeString ( $id ) . "'";
		
		// echo $sqlString . "<hr>";
		mysql_query ( $sqlString );
	}
}

// ***************************************************************************************************
// ************************************* update_with_condition *******************************************
//
// Aktualisiert Einträge nach bestimmten Vorraussetzungen //
if (! function_exists ( "update_with_condition" )) {
	function update_with_condition($sTablename, $aField, $aCondition, $iLimit = NULL) {
		$sSqlString = "UPDATE $sTablename SET ";
		
		foreach ( $aField as $sFeldname => $sValue ) {
			$i ++;
			
			$sSqlString .= $sFeldname . " = '" . mysqlEscapeString ( $sValue ) . "'";
			
			if ($i < count ( $aField )) {
				$sSqlString .= " , ";
			}
		}
		$sSqlString .= " WHERE ";
		
		foreach ( $aCondition as $sFeldname => $sValue ) {
			$j ++;
			
			if ($sFeldname == "dtVariante") {
				$sSqlString .= $sFeldname . " LIKE '%" . mysqlEscapeString ( $sValue ) . "%'";
			} else
				$sSqlString .= $sFeldname . " = '" . mysqlEscapeString ( $sValue ) . "'";
			
			if ($j < count ( $aCondition )) {
				$sSqlString .= " and ";
			}
		}
		
		if ($iLimit != NULL) {
			$sSqlString .= " LIMIT " . $iLimit;
		}
		
		// echo $sSqlString . "<hr>";
		mysql_query ( $sSqlString );
	}
}

// ***************************************************************************************************
// ************************************* replace_into_table *******************************************
//
// Ändert den Eintrag $array[0] in Tabelle $tablename in Array $array
if (! function_exists ( "replace_into_table" )) {
	function replace_into_table($tablename, $array) {
		$field = array_match_table ( $tablename, $array, 0 );
		
		$table_info = get_table_info ( $tablename );
		
		$sqlString = "REPLACE INTO $tablename ( ";
		$sqlString .= join ( ", ", $table_info );
		$sqlString .= " ) VALUES ( ";
		
		$i = 0;
		foreach ( $table_info as $field ) {
			$i ++;
			$sqlString .= "'" . mysqlEscapeString ( $array [$field] ) . "'";
			
			if ($i < count ( $table_info )) {
				$sqlString .= ", ";
			}
		}
		
		$sqlString .= " )";
		
		// echo $sqlString . "<hr>";
		mysql_query ( $sqlString );
	}
}

// ***************************************************************************************************
// ************************************* array_match_table *******************************************
//
// gleicht ein $field-Array den vorhandenen Tabellenfeldern an (löscht Werte aus $field, dessen Felder es nicht in der Tabelle gibt)
if (! function_exists ( "array_match_table" )) {
	function array_match_table($tablename, $field, $id_loeschen = 1) {
		$table_info = get_table_info ( $tablename );
		
		foreach ( $field as $field_name => $value ) {
			if (is_numeric ( $field_name )) {
				continue;
			}
			
			if (in_array ( $field_name, ( array ) $table_info )) {
				$return_field [$field_name] = $value;
			}
		}
		
		if ($id_loeschen == 1) {
			unset ( $return_field ["id"] );
		}
		
		return $return_field;
	}
}

// ***************************************************************************************************
// ************************************* get_real_fieldname *******************************************
//
// schaut, ob fieldname per "as" erzeugt wurde und gibt den realen Spaltennamen zurück
if (! function_exists ( "get_real_fieldname" )) {
	function get_real_fieldname($query, $field) {
		$return_field = $field;
		
		$query_array = preg_split ( "/[\s,]+/", $query );
		$position = array_search ( $field, $query_array );
		
		if (($position !== false) and strtolower ( $query_array [($position - 1)] ) == "as") {
			$return_field = $query_array [($position - 2)];
		}
		
		return ($return_field);
	}
}

// ***************************************************************************************************
// ************************************* delete_from_table *******************************************
//
// Löscht den Eintrag $id aus Tablle $tablename
if (! function_exists ( "delete_from_table" )) {
	function delete_from_table($tablename, $id) {
		$sql = "DELETE FROM $tablename WHERE id = '" . mysqlEscapeString ( $id ) . "'";
		// echo $sql . "<hr>";
		mysql_query ( $sql );
	}
}

// ***************************************************************************************************
// ************************************* delete_all_from_table *******************************************
//
// Löscht alle Einträge, die im Feld $fieldname den Wert $wert haben
if (! function_exists ( "delete_all_from_table" )) {
	function delete_all_from_table($tablename, $fieldname, $wert) {
		$sql = "DELETE FROM $tablename WHERE $fieldname = '" . mysqlEscapeString ( $wert ) . "'";
		// echo $sql . "<hr>";
		mysql_query ( $sql );
	}
}

// ***************************************************************************************************
// ************************************* delete_with_condition *******************************************
//
// Löscht Einträge nach bestimmten Vorraussetzungen //
if (! function_exists ( "delete_with_condition" )) {
	function delete_with_condition($sTablename, $aField, $iLimit = NULL) {
		$sSqlString = "DELETE FROM $sTablename WHERE ";
		
		if ($aField != NULL) {
			foreach ( $aField as $sFeldname => $sValue ) {
				$i ++;
				
				$sSqlString .= $sTablename . "." . $sFeldname . " = '" . mysqlEscapeString ( $sValue ) . "'";
				
				if ($i < count ( $aField )) {
					$sSqlString .= " and ";
				}
			}
		}
		
		if ($iLimit != NULL) {
			$sSqlString .= " LIMIT " . $iLimit;
		}
		
		// echo $sSqlString . "<hr>";
		mysql_query ( $sSqlString );
	}
}

// ***************************************************************************************************
// ******************** Funktionen zum Verändern von Zahlen und Preisen ******************************
//

// Helper für Float-Formatierung
if (! function_exists ( "floattostr" )) {
	function floattostr($val) {
		preg_match ( "#^([\+\-]|)([0-9]*)(\.([0-9]*?)|)(0*)$#", trim ( $val ), $o );
		return $o [1] . sprintf ( '%d', $o [2] ) . ($o [3] != '.' ? $o [3] : '');
	}
}

// Formatiere Preisfeld zum einfügen in die Datenbank
if (! function_exists ( "preis_to_sql" )) {
	function preis_to_sql($preis) {
		$ohnepunkt = str_replace ( ".", "", $preis );
		$kommazupunkt = str_replace ( ",", ".", $ohnepunkt );
		return floattostr ( floatval ( $kommazupunkt ) );
	}
}

// Formatiere Preisfeld aus der Datenbank zur Anzeige in HTML inkl. Euro-Zeichen
if (! function_exists ( "preis_from_sql" )) {
	function preis_from_sql($fPreis, $sOutput = "HTML", $iAnzahlNachkommastellen = 5) {
		global $bNachkommastellenMaxZwei;
		
		$fPreis = ( double ) $fPreis;
		
		if ($bNachkommastellenMaxZwei && $iAnzahlNachkommastellen > 2) // Anzahl begrenzt in Konfig.?
{
			$iAnzahlNachkommastellen = 2;
		}
		
		$iAnzahlStellen = getAnzahlNachkommastellen ( $fPreis );
		if ($iAnzahlNachkommastellen > $iAnzahlStellen) {
			$iAnzahlNachkommastellen = $iAnzahlStellen;
		}
		
		// Preise haben immer zwei Nachkommastellen
		if ($iAnzahlNachkommastellen < 2) {
			$iAnzahlNachkommastellen = 2;
		}
		
		switch ($sOutput) {
			default :
				$sEuro = "&euro;";
				break;
			
			case "PDF" :
				$sEuro = chr ( 128 );
				break;
		}
		
		$number_return = number_format ( $fPreis, $iAnzahlNachkommastellen, ",", "." );
		if ($number_return == "-0,00")
			$number_return = "0,00";
		
		return $number_return . " " . $sEuro;
	}
}

// Formatiere Preisfeld aus der Datenbank zur Anzeige in HTML ohne Euro-Zeichen
if (! function_exists ( "preis_from_sql_no_euro" )) {
	function preis_from_sql_no_euro($preis) {
		return number_format ( $preis, 2, ",", "." );
	}
}

// Formatiere DOUBLE-Feld aus der Datenbank zur Anzeige in HTML
if (! function_exists ( "double_from_sql" )) {
	function double_from_sql($double, $hinterkommastellen) {
		return number_format ( $double, $hinterkommastellen, ",", "." );
	}
}

// Formatiere DOUBLE-Feld zum einfügen in die Datenbank
if (! function_exists ( "double_to_sql" )) {
	function double_to_sql($double) {
		$ohnepunkt = str_replace ( ".", "", $double );
		return floatval ( str_replace ( ",", ".", $ohnepunkt ) );
	}
}

if (! function_exists ( "mengenfeld" )) {
	function mengenfeld($fWert) {
		$sWert = number_format ( $fWert, getAnzahlNachkommastellen ( $fWert ), ",", "." );
		
		return $sWert;
	}
}

if (! function_exists ( "getAnzahlNachkommastellen" )) {
	function getAnzahlNachkommastellen($fWert) {
		$sWert = strval ( ( float ) $fWert );
		$iPos = strrpos ( $sWert, "." );
		
		if ($iPos === false) {
			return 0;
		} else {
			return (strlen ( $sWert ) - $iPos - 1);
		}
	}
}

// ***************************************************************************************************
// ******************** Funktionen zum Verändern von Text-Strings ************************
//
// Konvertiere einen HTML-Text in reinen Text zur Ausgabe in input- und textarea-Feldern
if (! function_exists ( "html_to_text" )) {
	function html_to_text($html) {
		$text = str_replace ( "<", "&lt;", str_replace ( ">", "&gt;", $html ) );
		return ($text);
	}
}

// Konvertiert gleich ein ganzes Array von HTML-Text in reinen Text zur Ausgabe in input- und textarea-Feldern
if (! function_exists ( "html_to_text_array" )) {
	function html_to_text_array($html) {
		foreach ( $html as $var ) {
			$text [] = html_to_text ( $var );
		}
		return ($text);
	}
}

// ***************************************************************************************************
// ******************** Funktionen zum Verändern von Datums- und Zeit-Strings ************************
//
// Splitte datetime-Feld in Array (tag,monat,jahr,stunde,minute,sekunde)
if (! function_exists ( "split_datetime" )) {
	function split_datetime($datetime) {
		$explode = explode ( " ", $datetime );
		$datum = explode ( "-", $explode [0] );
		$zeit = explode ( ":", $explode [1] );
		return array (
				"tag" => $datum [2],
				"monat" => $datum [1],
				"jahr" => $datum [0],
				"stunde" => $zeit [0],
				"minute" => $zeit [1],
				"sekunde" => $zeit [2] 
		);
	}
}

// Splitte date-Feld in Array (tag,monat,jahr)
if (! function_exists ( "split_date" )) {
	function split_date($date) {
		$datum = explode ( "-", $date );
		return array (
				"tag" => $datum [2],
				"monat" => $datum [1],
				"jahr" => $datum [0] 
		);
	}
}

// Splitte date-Feld in Array (tag,monat,jahr)
if (! function_exists ( "split_date_us" )) {
	function split_date_us($date) {
		$datum = explode ( ".", $date );
		return array (
				"tag" => $datum [0],
				"monat" => $datum [1],
				"jahr" => $datum [2] 
		);
	}
}

// Splitte time-Feld in Array (stunde,minute,sekunde)
if (! function_exists ( "split_time" )) {
	function split_time($time, $trennzeichen = ":") {
		$zeit = explode ( $trennzeichen, $time );
		return array (
				"stunde" => $zeit [0],
				"minute" => $zeit [1],
				"sekunde" => $zeit [2] 
		);
	}
}

// fasse (tag,monat,jahr) in SQL-date-Feld zusammen
if (! function_exists ( "concat_date" )) {
	function concat_date($tag, $monat, $jahr) {
		$jahr = ( int ) $jahr;
		$monat = ( int ) $monat;
		$tag = ( int ) $tag;
		
		if ($tag == "" and $monat == "" and $jahr == "") {
			
			$jahr = "2030";
			$monat = "1";
			$tag = "1";
		} else if (! check_date ( $tag, $monat, $jahr )) {
			
			// baue ein gültiges Datum so gut es geht
			if ($jahr < 1900)
				$jahr = 1900;
			else if ($jahr > 2029)
				$jahr = 2029;
			if ($monat < 1)
				$monat = 1;
			else if ($monat > 12)
				$monat = 12;
			
			if ($tag < 1)
				$tag = 1;
			else if ($tag > 31) {
				$tag = 31;
				while ( ! checkdate ( $monat, $tag, $jahr ) )
					$tag --;
			}
		}
		
		return (date ( "Y-m-d", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ));
	}
}

// fasse (tag,monat,jahr) in Anzeigeformat zusammen
if (! function_exists ( "concat_show_date" )) {
	function concat_show_date($tag, $monat, $jahr) {
		$jahr = ( int ) $jahr;
		$monat = ( int ) $monat;
		$tag = ( int ) $tag;
		
		if ($tag == "" and $monat == "" and $jahr == "") {
			
			$jahr = "2030";
			$monat = "1";
			$tag = "1";
		} else if (! check_date ( $tag, $monat, $jahr )) {
			
			// baue ein gültiges Datum so gut es geht
			if ($jahr < 1900)
				$jahr = 1900;
			else if ($jahr > 2029)
				$jahr = 2029;
			if ($monat < 1)
				$monat = 1;
			else if ($monat > 12)
				$monat = 12;
			
			if ($tag < 1)
				$tag = 1;
			else if ($tag > 31) {
				$tag = 31;
				while ( ! checkdate ( $monat, $tag, $jahr ) )
					$tag --;
			}
		}
		
		return (date ( "d.m.Y", mktime ( 0, 0, 0, $monat, $tag, $jahr ) ));
	}
}

// fasse (stunde,minute,sekunde) in SQL-time-Feld zusammen
if (! function_exists ( "concat_time" )) {
	function concat_time($stunde, $minute, $sekunde) {
		$stunde = ( int ) $stunde;
		$minute = ( int ) $minute;
		$sekunde = ( int ) $sekunde;
		
		if (! check_time ( $stunde, $minute, $sekunde )) {
			
			// baue eine gültige Zeit so gut es geht
			if ($stunde < 0)
				$stunde = 0;
			else if ($stunde > 23)
				$stunde = 23;
			if ($minute < 0)
				$minute = 0;
			else if ($minute > 59)
				$minute = 59;
			if ($sekunde < 0)
				$sekunde = 0;
			else if ($sekunde > 59)
				$sekunde = 59;
		}
		
		return (date ( "H:i:s", mktime ( $stunde, $minute, $sekunde, 1, 1, 2000 ) ));
	}
}

// konvertiere Minutenzahl in "Stunde:Minute"-String
if (! function_exists ( "min_to_stdmin" )) {
	function min_to_stdmin($minuten, $trennzeichen = ":") {
		$stunden = explode ( ".", (abs ( $minuten ) / 60) );
		$restminuten = round ( (abs ( $minuten ) % 60), 2 );
		
		if ($restminuten < 10) :
			$stdmin = $stunden [0] . ":0" . $restminuten;
		 else :
			$stdmin = $stunden [0] . ":" . $restminuten;
		endif;
		if (strlen ( $stdmin ) == 4) :
			$stdmin = "0" . $stdmin;
		
		
		
		endif;
		if ($minuten < 0) :
			$stdmin = "-" . $stdmin;
		
		
		
		endif;
		return ($stdmin);
	}
}

// konvertiere dezimale Zeitangabe in "Stunde:Minute"-String
if (! function_exists ( "deztime_to_stdmin" )) {
	function deztime_to_stdmin($deztime) {
		$deztime_array = explode ( ".", round ( $deztime, 2 ) );
		if (strlen ( $deztime_array [1] ) == 1) {
			$deztime_array [1] = $deztime_array [1] . "0";
		}
		
		$stunden = abs ( $deztime_array [0] );
		$minuten = round ( $deztime_array [1] / 100 * 60, 0 );
		
		if ($stunden < 10)
			$stunden = "0" . $stunden;
		if ($minuten < 10)
			$minuten = "0" . $minuten;
		if ($deztime < 0)
			$stunden = "-" . $stunden;
		
		$stdmin = $stunden . ":" . $minuten;
		
		return ($stdmin);
	}
}

// konvertiere "Stunde:Minute"-String in Minutenzahl
if (! function_exists ( "stdmin_to_min" )) {
	function stdmin_to_min($stdmin) {
		$zeit = explode ( ":", $stdmin );
		
		if (substr ( $stdmin, 0, 1 ) == "-") :
			$vorzeichen = "-";
			$zeit [0] = substr ( $zeit [0], 1 );
		
		
		
		endif;
		
		$minuten = ($zeit [0] * 60) + $zeit [1];
		$minuten = $vorzeichen . $minuten;
		
		return ($minuten);
	}
}

// Formatiere Eingabe zu gültigem Zeitstring. erlaubt sind Eingaben der Form 12:34 12,34 12.34 12-34 1234
if (! function_exists ( "time_to_sql" )) {
	function time_to_sql($timestring) {
		$timestring = str_replace ( ":", "", $timestring );
		$timestring = str_replace ( ",", "", $timestring );
		$timestring = str_replace ( ".", "", $timestring );
		$timestring = str_replace ( "-", "", $timestring );
		
		$minute = substr ( $timestring, - 2 );
		$stunde = substr ( $timestring, 0, - 2 );
		
		$sqltime = concat_time ( $stunde, $minute, 0 );
		
		return ($sqltime);
	}
}

// Formatiere Eingabe zu gültigem Zeitstring. erlaubt sind Eingaben der Form 12:34 12,34 12.34 12-34 1234
// prüfe dabei nicht auf Gültigkeit des Strings
if (! function_exists ( "time_to_sql_nocheck" )) {
	function time_to_sql_nocheck($timestring) {
		if (substr ( $timestring, 0, 1 ) == "-") {
			$vorzeichen = "-";
			$timestring = substr ( $timestring, 1 );
		}
		
		$timestring = str_replace ( ":", "-", $timestring );
		$timestring = str_replace ( ",", "-", $timestring );
		$timestring = str_replace ( ".", "-", $timestring );
		
		$timestring_array = explode ( "-", $timestring );
		
		$sqltime = $vorzeichen . $timestring_array [0] . ":" . $timestring_array [1] . ":00";
		
		return ($sqltime);
	}
}

// Formatiere SQL-Zeitstring zur Anzeige in der Form 12:34
if (! function_exists ( "time_from_sql" )) {
	function time_from_sql($timestring) {
		$array = split_time ( $timestring );
		$time = $array ["stunde"] . ":" . $array ["minute"];
		
		return ($time);
	}
}

// Formatiere SQL-Datumsstring zur Anzeige in der Form tt.mm.jjjj
if (! function_exists ( "date_from_sql" )) {
	function date_from_sql($datestring) {
		if ($datestring != "2030-01-01") {
			$array = split_date ( $datestring );
			$date = $array ["tag"] . "." . $array ["monat"] . "." . $array ["jahr"];
		}
		if ($date == "..")
			$date = "";
		if ($date == "00.00.0000")
			$date = "";
		
		return ($date);
	}
}

// Formatiere SQL-Timestamp zur Anzeige in der Form tt.mm.jjjj HH:mm:ss
if (! function_exists ( "datetime_from_sql" )) {
	function datetime_from_sql($datestring) {
		$getrennt = explode ( " ", $datestring );
		$date = date_from_sql ( $getrennt [0] );
		$zeit = time_from_sql ( $getrennt [1] );
		
		return ($date . " " . $zeit);
	}
}

// ***************************************************************************************************
// ******************** Funktionen zum Verändern von Strings ***********************************************
//
// Formatiere Namensfeld zur Listenanzeige
if (! function_exists ( "format_name_html" )) {
	function format_name_html($value) {
		
		// entferne Leerzeilen am Anfang
		while ( substr ( $value, 0, 4 ) == "<br>" ) {
			$value = substr ( $value, 4 );
		}
		
		// entferne Leerzeichen am Anfang
		while ( substr ( $value, 0, 1 ) == " " ) {
			$value = substr ( $value, 1 );
		}
		
		// entferne Leerzeichen am Ende
		while ( substr ( $value, - 1 ) == " " ) {
			$value = substr ( $value, 0, - 1 );
		}
		
		// entferne Leerzeilen am Ende
		while ( substr ( $value, - 4 ) == "<br>" ) {
			$value = substr ( $value, 0, - 4 );
		}
		
		// entferne Leerzeilen in der Mitte
		$value = str_replace ( "<br><br>", "<br>", $value );
		
		return ($value);
	}
}

// Formatiere String - lösche alles bis auf erlaubte Zeichen
if (! function_exists ( "format_string_allowed_chars" )) {
	function format_string_allowed_chars($value, $allowed_chars) {
		for($n = 0; $n < strlen ( $value ); $n ++) {
			if (in_array ( substr ( $value, $n, 1 ), ( array ) $allowed_chars )) {
				$value_allowed .= substr ( $value, $n, 1 );
			}
		}
		
		return ($value_allowed);
	}
}

// Formatiere eine Telefonnummer in das Format +xx yyyyy zzzzz (unabhängig von der Art der Eingabe)
if (! function_exists ( "normalisiere_telefonnummer" )) {
	function normalisiere_telefonnummer($eingabe) {
		
		// Ersetzte (0) zu 0
		$eingabe = str_replace ( "(0)", "0", $eingabe );
		
		// ersetze alle Trennzeichen durch Space
		$nummernsuche_ersetzung_array = array (
				"/",
				".",
				",",
				"-",
				"_",
				"(",
				")" 
		);
		$eingabe = str_replace ( $nummernsuche_ersetzung_array, " ", $eingabe );
		
		// lösche ggf. doppelte Space
		while ( ! (strpos ( $eingabe, "  " ) === false) ) {
			$eingabe = str_replace ( "  ", " ", $eingabe );
		}
		
		// lösche ggf. Space am Anfang des Strings
		if (substr ( $eingabe, 0, 1 ) == " ") {
			$eingabe = substr ( $eingabe, 1 );
		}
		
		// teile Nummer nach Leerzeichen auf
		$eingabe_array = explode ( " ", $eingabe );
		
		// wenn 1. Teil = +xx ist, dann ist es eine Länderkennung, dann lösche sie
		// erster Teil ist Vorwahl
		if (substr ( $eingabe_array [0], 0, 1 ) == "+") {
			$vorwahl = $eingabe_array [1];
			$count = 2;
		} else {
			$vorwahl = $eingabe_array [0];
			$count = 1;
		}
		
		// zweiter Teil ist Rufnummer, lösche dort alle Space
		for($n = $count; $n <= count ( $eingabe_array ); $n ++) {
			$rufnummer .= $eingabe_array [$n];
		}
		
		return ($vorwahl . " " . $rufnummer);
	}
}

// ***************************************************************************************************
// ******************** concat aus MySQL Query ziehen ***********************************************
if (! function_exists ( "mysql_get_concat" )) {
	function mysql_get_concat($sql, $feld) {
		$pos1 = strpos ( $sql, " as " . $feld );
		if ($pos1 === false) {
			return $feld;
		} else {
			$sql = substr ( $sql, 0, $pos1 );
			$startpos = strrpos ( strtolower ( $sql ), "concat" );
			return substr ( $sql, $startpos );
		}
	}
}

// ***************************************************************************************************
// ***************************************************************************************************
if (! function_exists ( "useHtmlEntities" )) {
	function useHtmlEntities($in) {
		if (version_compare ( PHP_VERSION, '5.2.3' ) >= 0) {
			$out = htmlentities ( $in, ENT_COMPAT, "ISO8859-1", false );
		} else {
			$out = $in;
		}
		
		$replaceFrom = array (
				"&lt;!--",
				"--&gt;" 
		);
		
		$replaceTo = array (
				"<!--",
				"-->" 
		);
		
		$out = str_replace ( $replaceFrom, $replaceTo, $out );
		return $out;
	}
}

// ***************************************************************************************************
// ***************************************************************************************************
if (! function_exists ( "existsArtikelInDB" )) {
	function existsArtikelInDB($aArtikel) {
		Global $tblartikel;
		
		$sSqlQuery = mysql_query ( "SELECT * FROM $tblartikel WHERE " . $aArtikel ["db"] . " = '" . $aArtikel ["value"] . "'" );
		$aArtikelExistsResult = mysql_fetch_array ( $sSqlQuery );
		
		if ($aArtikelExistsResult) {
			return $aArtikelExistsResult ["id"];
		} else {
			return false;
		}
	}
}

?>