<?php

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - OK **************************************
//
if (! function_exists ( zeiterfassung_meldung_ok )) {
	function zeiterfassung_meldung_ok($mitarbeiter_field, $personaldaten_field, $uhrzeit) {
		@include ("config/config.php");
		@include ("config/config-sqlserver.php");
		@include ("$functionsordner/function_sql.php");
		
		@include ("../config/config.php");
		@include ("../config/config-sqlserver.php");
		@include ("../$functionsordner/function_sql.php");
		
		$uhrzeit_array = explode ( ":", $uhrzeit );
		if ($uhrzeit_array [0] < 12) {
			$gruss = "Guten morgen";
		} elseif ($uhrzeit_array [0] < 14) {
			$gruss = "Mahlzeit";
		} elseif ($uhrzeit_array [0] < 18) {
			$gruss = "Guten Tag";
		} else {
			$gruss = "Guten Abend";
		}
		
		$geburtsdatum_array = explode ( "-", $personaldaten_field ["dtGeburtsdatum"] );
		if ($geburtsdatum_array [1] == $aktmonat and $geburtsdatum_array [2] == $akttag) {
			$gruss = "Herzlichen Glckwunsch<br>zum Geburtstag";
		}
		
		$html = "<center><table border=0 width=\"100%\" height=\"100%\">";
		$html .= "<tr><td width=\"10%\">&nbsp;</td><td bgcolor=\"#00aa00\">";
		$html .= "<center><br><b><span style=\"color: #ffffff; font-size:12px; line-height:18px\">";
		$html .= "$gruss <br>" . $mitarbeiter_field ["dtVorname"] . " " . $mitarbeiter_field ["dtNachname"] . "<br><br></span>";
		$html .= "<span style=\"color: #ffffff; font-size:12px;; line-height:18px\">";
		$html .= "Die Stempelzeit wurde erfasst!</span></b><br><hr>";
		
		$html .= "<span style=\"color: #ffffff; font-size:12px;; line-height:18px\">Gleitzeitstand: " . min_to_stdmin ( $personaldaten_field ["dtGleitzeitkontoMinuten"] ) . "</span><br>";
		$html .= "<span style=\"color: #ffffff; font-size:12px;; line-height:18px\">Resturlaub: " . $personaldaten_field ["dtResturlaub"] . " Tage</span><br><br></td>";
		$html .= "<td width=\"10%\">&nbsp;</td></tr></table></center>";
		
		return ($html);
	}
}

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - Fehler ******************************
//
if (! function_exists ( zeiterfassung_meldung_fehler )) {
	function zeiterfassung_meldung_fehler($kartennr = "") {
		$html = "<center><table border=0 width=\"100%\" height=\"100%\">";
		$html .= "<tr><td width=\"10%\">&nbsp;</td><td bgcolor=\"#dd0000\">";
		$html .= "<center><br><b><span style=\"color: #ffffff; font-size:12px; line-height:18px\">";
		$html .= "Es konnte kein passender Mitarbeiter gefunden werden.<br>Chip ID: " . $kartennr . "<br></span>";
		$html .= "<span style=\"color: #ffffff; font-size:12px; line-height:18px\">";
		$html .= "Bitte die Karte / den Chip prfen!<br></span></b><br><br></center></td>";
		$html .= "<td width=\"10%\">&nbsp;</td></tr></table></center>";
		
		return ($html);
	}
}

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - Fehler ******************************
//
if (! function_exists ( zeiterfassung_meldung_serverfehler )) {
	function zeiterfassung_meldung_serverfehler() {
		$html = "<center><table border=0 width=\"100%\" height=\"100%\">";
		$html .= "<tr><td width=\"10%\">&nbsp;</td><td bgcolor=\"#dd0000\">";
		$html .= "<center><br><b><span style=\"color: #ffffff; font-size:12px; line-height:18px\">";
		$html .= "Keine Verbindung zum Server<br><br></span>";
		$html .= "<span style=\"color: #ffffff; font-size:12px;; line-height:18px\">";
		$html .= "Bitte die Netzwerkverbindung prfen!<br></span></b><br><br></center></td>";
		$html .= "<td width=\"10%\">&nbsp;</td></tr></table></center>";
		
		return ($html);
	}
}

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - Mitarbeiter nicht aktiv *************
//
if (! function_exists ( zeiterfassung_meldung_mitarbeiternichtaktiv )) {
	function zeiterfassung_meldung_mitarbeiternichtaktiv($mitarbeiter_field, $personaldaten_field, $uhrzeit, $kartennr) {
		$html = "<center><table border=0 width=\"100%\" height=\"100%\">";
		$html .= "<tr><td width=\"10%\">&nbsp;</td><td bgcolor=\"#dd0000\">";
		$html .= "<center><br><b><span style=\"color: #ffffff; font-size:12px; line-height:18px\">";
		$html .= "Dieser Mitarbeiter ist nicht aktiv! Stempelung wird ignoriert.<br><br></span>";
		$html .= "<span style=\"color: #ffffff; font-size:12px;; line-height:18px\">";
		$html .= "Mitarbeiter: " . $mitarbeiter_field ["dtVorname"] . " " . $mitarbeiter_field ["dtNachname"] . "<br></span>";
		$html .= "<span style=\"color: #ffffff; font-size:12px;; line-height:18px\">";
		$html .= "ID: $kartennr</span></b><br><br></center></td>";
		$html .= "<td width=\"10%\">&nbsp;</td></tr></table></center>";
		
		return ($html);
	}
}

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - Bereit **************************************
//
if (! function_exists ( zeiterfassung_meldung_bereit )) {
	function zeiterfassung_meldung_bereit() {
		$html = "<center><table border=0 width=\"100%\" height=\"100%\">";
		$html .= "<tr><td width=\"10%\">&nbsp;</td><td bgcolor=\"#ffffff\" style=\"border: solid 2px #5555ff;\">";
		$html .= "<center><span style=\"color: #0000ff; font-size:15pt; line-height:18pt\"><br><br>";
		$html .= "RFID-Leser bereit</span></center><br><br></td>";
		$html .= "<td width=\"10%\">&nbsp;</td></tr></table></center>";
		
		return ($html);
	}
}

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - Kopf **************************************
//
if (! function_exists ( zeiterfassung_meldung_kopf )) {
	function zeiterfassung_meldung_kopf() {
		@include ("config/config.php");
		@include ("config/config-sqlserver.php");
		@include ("$functionsordner/function_sql.php");
		
		@include ("../config/config.php");
		@include ("../config/config-sqlserver.php");
		@include ("../$functionsordner/function_sql.php");
		
		$html .= "$doctype\n\n";
		$html .= "<html><head><title>$htmltitel</title>\n\n$metatags\n\n";
		if ($_SESSION ['browsertyp'] != "") {
			$html .= "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle_" . $_SESSION ['browsertyp'] . ".css\">\n\n";
		} else {
			$html .= "<link rel=\"stylesheet\" type=\"text/css\" href=\"" . $functionsordner . "/css/erpstyle.css\">\n\n";
		}
		$html .= "</head>";
		
		$html .= "<body style=\"background-color: " . $bgcolor_menu . ";\" leftmargin=\"0\" topmargin=\"0\" marginwidth=\"0\" marginheight=\"0\"><br><br>";
		$html .= "<table border=0 cellspacing=0 cellpadding=0 width=\"100%\" class=\"header\" >";
		$html .= "<tr><td style=\"vertical-align: top; height: 10px\">";
		$html .= "</td></tr>";
		
		$html .= "<tr><td style=\"vertical-align: top; height: 60px\">";
		
		return ($html);
	}
}

// ***************************************************************************************************
// ************************************* Zeiterfassung Meldung - Fuss **************************************
//
if (! function_exists ( zeiterfassung_meldung_fuss )) {
	function zeiterfassung_meldung_fuss() {
		$html .= "</td></tr></table></html>";
		return ($html);
	}
}

?>
