/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Event Handler Formular */

function formular_senden(formular) {
	log.profile("FormularSenden");
	$.post("main_ajax.php?" + linkvars + "&ajaxtarget=formular", $(formular).serialize(), function(data) {
		formular_return(data)
	});
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Event Handler Formular */

function formular_loeschen(formular) {
	if (!confirm("wirklich lschen?", "diesen Eintrag lschen")) {
		return;
	}
	
	log.profile("FormularLoeschen");
	
	$.post("main_ajax.php?" + linkvars + "&ajaxtarget=formularloeschen", $(formular).serialize(), function(data) {
		formular_return(data)
	});
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Event Handler History */

function history_focus(historyid, historylink) {
	if (historyboxopen != historyid) {
		if (document.getElementById('dd_history'+historyid).style.visibility == 'hidden') {
			log.profile("HistoryFocus");
			
			historybox_open(historyid);
			
			$.get("main_ajax.php?" + linkvars + "&ajaxtarget=history&historyid=" + historyid + "&historylink=" + historylink, function(data) {
				history_return(data);
			});
		}
	}
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ History Box */

function historybox_open(historyid) {

	if (historyboxopen != '') {
		historybox_close(historyboxopen);
	}

	document.getElementById('dd_history'+historyid).style.visibility = 'visible';
	historyboxopen = historyid;

}


function historybox_close(historyid) {

	if (document.getElementById('dd_history'+historyid)) {
		document.getElementById('dd_history'+historyid).style.visibility = 'hidden';
	}
	historyboxopen = '';

}





/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Event Handler Filter */

function filter_focus(filtername, listenname) {
	filtername_r = filtername.replace("[", "_").replace("]", "");
	zusatz = "";

	if (document.getElementById('dd_'+filtername).style.visibility == 'hidden') {
		dropdownbox_open(filtername);
		if(!document.getElementById(filtername_r+'_geladen') || document.getElementById(filtername_r+'_geladen').value == 'nein') { // Verhindere Reloaden der Box beim erneuten oeffnen
			queryzusatz = document.getElementById(filtername_r+'_queryzusatz').value;

			if (document.getElementById(filtername_r+'_zusatz') != null) {
				zusatz = document.getElementById(filtername_r+'_zusatz').value;
			}

			log.profile("FilterFocus");
			var loader=new net.ContentLoader('main_ajax.php',linkvars+'&ajaxtarget='+filtername+'&listenname='+listenname+'&queryzusatz='+queryzusatz+'&zusatz='+zusatz, filter_return, null, 'POST');
			if(document.getElementById(filtername_r+'_geladen')) {
				document.getElementById(filtername_r+'_geladen').value = 'ja';
			}

		} else { // Wird die Box nicht erneut geladen, muss der Textfilter zurueckgesetzt werden.
			dropdownbox_eingabefilter(filtername, '');
			if(typeof(dropdownbox_multi[filtername]) == 'object') {
				dropdownbox_multi_faerbeNeueEintraege(filtername);
			}
		}

	} else {
		dropdownbox_close(filtername);
	}
}






/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Tastendruck generell */
function keypress(keycode) {

	log.info("Tastendruck Keycode: "+keycode);

	// tab (schliet alle Dropdownboxen)
	if (keycode == 9) {
		// wenn Dropdownbox offen dann wie enter
		if (dropdownboxopen != '') {
			dropdownbox_enter(dropdownboxopen);
		} else {
			dropdownbox_close(dropdownboxopen);
		}	

		// escape (schliet alle Dropdownboxen)
	} else if (keycode == 27) {
		dropdownbox_close(dropdownboxopen);
	}

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Dropdownboxen generell */

function dropdownbox_open(filtername) {

	filtername_r = filtername.replace("[", "_").replace("]", "");

	if (dropdownboxopen != '') {
		dropdownbox_close(dropdownboxopen);
	}

	document.getElementById('dd_'+filtername).style.visibility = 'visible';
	if (lastkeypress == 0) {		
		document.getElementById(filtername_r+'_text').value = '';
	}

	markierung = new Array;
	markierung[filtername] = '';

	dropdownboxopen = filtername;

	/* Absendenbuttons disablen, damit Enter nicht das Formular absendet, sondern die Dropdownbox schlieen kann */  
	obj = document.getElementsByTagName('input');
	for(i=0;i<obj.length;i++) {
		if (obj[i].id == 'absendenbutton') {
			obj[i].disabled = 'disabled';
		}
	}
}


function dropdownbox_close(filtername) {

	filtername_r = filtername.replace("[", "_").replace("]", "");

	if (document.getElementById('dd_'+filtername)) {
		document.getElementById('dd_'+filtername).style.visibility = 'hidden';
		document.getElementById(filtername_r+'_text').value = document.getElementById(filtername_r+'_text_orig').value;
	}
	dropdownboxopen = '';

	/* Absendenbuttons wieder enablen */  
	obj = document.getElementsByTagName('input');
	for(i=0;i<obj.length;i++) {
		if (obj[i].id == 'absendenbutton') {
			obj[i].disabled = '';
		}
	}

	if(autocompleteDDViaButtonGeoeffnet) {
		autocompleteDDViaButtonGeoeffnet = false; 
	}
}


function dropdownbox_eingabefilter(filtername, textfilter) {

	counterItems = 0;

	filtername_r = filtername.replace("[", "_").replace("]", "");

	var textfilter_length = textfilter.length;
	var textfilter_regexp = RegExp(textfilter.toLowerCase()+".");

	obj = document.getElementsByTagName('div');
	
	firstposition = 0;
	if (document.getElementById(filtername_r+'_typ')) {
		if (document.getElementById(filtername_r+'_typ').value == 'filter') {
			firstposition = 1;
		}
	}

	for(i=0;i<obj.length;i++) {

		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername && obj[i].getAttribute("position") != firstposition) {

			entry = obj[i].getAttribute("content").toLowerCase();

			if ((entry.match(textfilter_regexp) || textfilter_length == 0) && counterItems < 5) {
				if(autocomplete) {
					counterItems++;
				}
				obj[i].style.display = "";	
			} else {
				if(!in_array(obj[i].getAttribute('idfield'), dropdownbox_multi[filtername])) {
					obj[i].style.display = "none";	
				}
			}

		}

	}

	markierung[filtername] = '';

	// markiere den ersten Eintrag
	dropdownbox_markierung_runter(filtername)
}


function dropdownbox_tastendruck(filtername, listenname, keycode, textfilter, nofilter) {

	log.info("Tastendruck Keycode: "+keycode);

	filtername_r = filtername.replace("[", "_").replace("]", "");
	lastkeypress = 0;

	if (keycode == 13) { // enter
		if(typeof(dropdownbox_multi[filtername]) != 'object') { // Keine Multiselect
			dropdownbox_enter(filtername);
		} else { // Multiselect
			filter_multiselect_send(filtername, nofilter); // "nofilter" an dieser Stelle zweckentfremdet, enthaelt den listennamen (der eigentlich das Query enthaelt)
		}

	} else if (keycode == 46) { // entf
		if(typeof(dropdownbox_multi[filtername]) == 'object') {  // loescht in Multiselect Filtern alle Eintraege
			dropdownbox_multi_alleEintraegeLoeschen(filtername);
		}

	} else if (keycode == 9) { // tab
		// ...wird in keypress abgearbeitet


	} else if (keycode == 16 || keycode == 17 || keycode == 18) { // shift / strg / alt 
		// mache nichts


	} else if (keycode == 39 || keycode == 37 || keycode == 45) { // pfeil rechts / links / einfg
		if(typeof(dropdownbox_multi[filtername]) == 'object') { // Wenn Multiselect
			dropdownbox_multi_tastaturnavigation(filtername);
			dropdownbox_markierung_runter(filtername);
		}

	} else if (keycode == 38) { // pfeil hoch
		// mache die Dropdownbox auf, wenn sie noch zu ist
		if (dropdownboxopen != filtername && !autocomplete) {
			filter_focus(filtername, listenname);
		}
		// wenn sie auf ist, verschiebe die Markierung
		else if(dropdownboxopen == filtername) {
			dropdownbox_markierung_hoch(filtername);			
		}


	} else if (keycode == 40) { // pfeil runter
		// mache die Dropdownbox auf, wenn sie noch zu ist
		if (dropdownboxopen != filtername && !autocomplete) {
			filter_focus(filtername, listenname);
		}
		// wenn sie auf ist, verschiebe die Markierung
		else if(dropdownboxopen == filtername) {
			dropdownbox_markierung_runter(filtername);			
		}


	} else { // Tasteneingabe zur Textfilterung
		if (dropdownboxopen != filtername) { // mache die Dropdownbox auf, wenn sie noch zu ist
			lastkeypress = keycode;
			filter_focus(filtername, listenname);
		}

		if (document.getElementById('dd_overload_'+filtername)) { // wenn es zu viele Eintrge gibt, lst ein Tastendruck eine neue Anfrage aus
			if (document.getElementById('dd_overload_'+filtername).getAttribute('status') == 'overload') {
				queryzusatz = document.getElementById(filtername_r+'_queryzusatz').value;

				var loader=new net.ContentLoader('main_ajax.php',linkvars+'&ajaxtarget='+filtername+'&listenname='+listenname+'&queryzusatz='+queryzusatz+'&textfilter='+textfilter, filter_return, null, 'POST');

			} else { // sonst filtert der Tastendruck die vorhandenen Eintrge

				dropdownbox_eingabefilter(filtername, textfilter);
			}

		}

	}

}

function dropdownbox_mouseover(filtername, element) {

	// gehe durch alle Eintrge
	obj = document.getElementsByTagName('div');

	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {

			// setze Hintergrundfarbe zurck
			obj[i].style.backgroundColor = "#dddddd";

		}
	}

	// setze ausgewhltes Element aktiv
	element.style.backgroundColor = "#ffffff";
	markierung[filtername] = element.getAttribute("position");

}




function dropdownbox_enter(filtername) {
	filtername_r = filtername.replace("[", "_").replace("]", "");

	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// neue Seite aufrufen, wenn es eine Filterbox ist
	if (document.getElementById(filtername_r+'_typ').value == 'filter') {

		var obj_position;
		markierung[filtername] = parseInt(markierung[filtername]);

		// gehe durch alle Eintrge
		obj = document.getElementsByTagName('div');

		for(i=0;i<obj.length;i++) {
			if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {

				// wenn Position > aktuelle Position und sichtbar, dann 
				obj_position = parseInt(obj[i].getAttribute("position"));
				if (obj_position == markierung[filtername]) {
					// rufe nchste Webseite auf mit neuen Filtereinstellungen
					Go(obj[i].getAttribute("target"),0);

				}

			}
		}


		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++	
		// Box schlieen und Wert bernehmen, wenn es eine Formular-Dropdown ist
	} else if (document.getElementById(filtername_r+'_typ').value == 'formular') {

		var obj_position;
		markierung[filtername] = parseInt(markierung[filtername]);

		// gehe durch alle Eintrge
		obj = document.getElementsByTagName('div');

		for(i=0;i<obj.length;i++) {
			if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {
				// wenn Position > aktuelle Position und sichtbar, dann 
				obj_position = parseInt(obj[i].getAttribute("position"));
				if (obj_position == markierung[filtername]) {
					// bernehme die Auswahl der Dropdownbox in das Textfeld
					dropdownbox_choose(filtername, obj[i].getAttribute("idfield"), obj[i].innerHTML);
				}

			}
		}

		// schliee die Dropdownbox
		dropdownbox_close(filtername);

	}

}

function dropdownbox_multi_tastaturnavigation(filtername) {
	filtername_r = filtername.replace("[", "_").replace("]", "");
	var obj_position;
	markierung[filtername] = parseInt(markierung[filtername]);

	// gehe durch alle Eintrge
	obj = document.getElementsByTagName('div');

	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {
			obj_position = parseInt(obj[i].getAttribute("position"));
			if (obj_position == markierung[filtername]) { // waehle Eintrag aus
				dropdownbox_multi_choose(filtername, obj[i].getAttribute("idfield"), obj[i].getAttribute("content"), obj[i]);
			}
		}
	}
}


function dropdownbox_markierung_hoch(filtername) {
	filtername_r = filtername.replace("[", "_").replace("]", "");

	var neu_markiert = 0;
	var neu_position;
	var obj_position;
	if (markierung[filtername] == '') { markierung[filtername] = 0; }
	markierung[filtername] = parseInt(markierung[filtername]);

	// gehe durch alle Eintrge
	obj = document.getElementsByTagName('div');

	for(i=(obj.length-1);i>=0;i--) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {

			// setze Hintergrundfarbe zurck, beachte markierte multiselects
			if(!in_array(obj[i].getAttribute('idfield'), dropdownbox_multi[filtername])) {
				obj[i].style.backgroundColor = "#dddddd";
			} else {
				obj[i].style.backgroundColor = "#89ACD7";
			}

			// wenn Position > aktuelle Position und sichtbar, dann 
			obj_position = parseInt(obj[i].getAttribute("position"));
			if (neu_markiert == 0 && obj_position < markierung[filtername] && obj[i].style.display != 'none') {

				// aktuelle Position = Position
				neu_position = obj_position;
				obj[i].style.backgroundColor = "#ffffff";	
				//obj[i].scrollIntoView();
				neu_markiert = 1;

			}

		}
	}

	// wenn am Ende der Merker noch != 1 ist, dann setze Markierung auf ersten Eintrag
	if (neu_markiert != 1) {
		markierung[filtername] = 0;
		obj[0].style.backgroundColor = "#ffffff";	

		// ansonsten haben wir hier die neue Position	
	} else {
		markierung[filtername] = neu_position;
	}
}


function dropdownbox_markierung_runter(filtername) {
	filtername_r = filtername.replace("[", "_").replace("]", "");

	var neu_markiert = 0;
	var neu_position;
	var obj_position;
	if (markierung[filtername] == '') { markierung[filtername] = 0; }
	markierung[filtername] = parseInt(markierung[filtername]);

	// gehe durch alle Eintrge
	obj = document.getElementsByTagName('div');

	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {

			// setze Hintergrundfarbe zurck, beachte markierte multiselects
			if(!in_array(obj[i].getAttribute('idfield'), dropdownbox_multi[filtername])) {
				obj[i].style.backgroundColor = "#dddddd";
			} else {
				obj[i].style.backgroundColor = "#89ACD7";
			}

			// wenn Position > aktuelle Position und sichtbar, dann 
			obj_position = parseInt(obj[i].getAttribute("position"));
			if (neu_markiert == 0 && obj_position > markierung[filtername] && obj[i].style.display != 'none') {

				// aktuelle Position = Position
				neu_position = obj_position;
				obj[i].style.backgroundColor = "#ffffff";	
				//obj[i].scrollIntoView();
				neu_markiert = 1;

			}

		}
	}

	// wenn am Ende der Merker noch != 1 ist, dann setze Markierung auf ersten Eintrag
	if (neu_markiert != 1) {
		markierung[filtername] = 0;
		obj[0].style.backgroundColor = "#ffffff";	

		// ansonsten haben wir hier die neue Position	
	} else {
		markierung[filtername] = neu_position;
	}

}

function dropdownbox_choose(filtername, id, val) {

	filtername_r = filtername.replace("[", "_").replace("]", "");

	/*
	 * HTML aus Filterwerten filtern
	 */
	val = strip_tags(val);

	document.getElementById(filtername).value = id;
	document.getElementById(filtername_r+'_text_orig').value = val;
	document.getElementById(filtername_r+'_text').value = val;

	aenderung_in_liste(document.getElementById(filtername_r+'_text').form);

}

function dropdownbox_multi_zaehlertext(filtername) {
	if(dropdownbox_multi[filtername].length == 1) {
		text = dropdownbox_multi[filtername].length+" Eintrag ausgewhlt";
	} else {
		text = dropdownbox_multi[filtername].length+" Eintrge ausgewhlt";
	}

	return text
}

function dropdownbox_multi_choose(filtername, id, val, obj) {
	filtername_r = filtername.replace("[", "_").replace("]", "");

	if(!((itemid = in_array_wo(id, dropdownbox_multi[filtername])) === false)) { // Farbe aendern, if mit genauer Typueberpruefung weil in_array_wo ggf. auch 0 zurueckliefert 
		obj.style.backgroundColor = "#dddddd";
		dropdownbox_multi[filtername].splice(itemid, 1);
	} else { // Hinzuf.
		obj.style.backgroundColor = "#89ACD7";
		dropdownbox_multi[filtername].push(id); // Zum Array hinzufuegen
	}

	dropdownbox_multi_aktualisiereStatusfeld(filtername, dropdownbox_multi_zaehlertext(filtername));
	document.getElementById(filtername).value = 'multiselect';

	document.getElementById(filtername_r+'_text').focus(); // Focus wieder ins Eingabefeld setzen, dann funktionieren Textsuchen etc. auch bei Mausbedienung
}

function dropdownbox_multi_putIntoArray(filtername, string) {
	if(typeof(dropdownbox_multi[filtername]) != 'object') {
		dropdownbox_multi[filtername] = new Array();
		dropdownbox_multi[filtername] = string.split('::');
	}
}

function dropdownbox_multi_alleEintraegeLoeschen(filtername) {
	obj = document.getElementsByTagName('div');
	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {
			if(in_array(obj[i].getAttribute('idfield'), dropdownbox_multi[filtername])) {
				dropdownbox_multi_choose(filtername, obj[i].getAttribute('idfield'), obj[i].getAttribute('content'), obj[i]);
			}
		}
	}
	document.getElementById(filtername_r+'_text').focus(); // Focus wieder ins Eingabefeld setzen, dann funktionieren Textsuchen etc. auch bei Mausbedienung
}

function dropdownbox_multi_alleEintraegeMarkieren(filtername) {
	obj = document.getElementsByTagName('div');
	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {
			if(!in_array(obj[i].getAttribute('idfield'), dropdownbox_multi[filtername])) {
				dropdownbox_multi_choose(filtername, obj[i].getAttribute('idfield'), obj[i].getAttribute('content'), obj[i]);
			}
		}
	}
	document.getElementById(filtername_r+'_text').focus(); // Focus wieder ins Eingabefeld setzen, dann funktionieren Textsuchen etc. auch bei Mausbedienung
}

function dropdownbox_multi_invertiereMarkierung(filtername) {
	obj = document.getElementsByTagName('div');
	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {
			dropdownbox_multi_choose(filtername, obj[i].getAttribute('idfield'), obj[i].getAttribute('content'), obj[i]);
		}
	}
	document.getElementById(filtername_r+'_text').focus(); // Focus wieder ins Eingabefeld setzen, dann funktionieren Textsuchen etc. auch bei Mausbedienung
}

function dropdownbox_multi_faerbeNeueEintraege(filtername) {
	// Eintraege faerben
	obj = document.getElementsByTagName('div');
	for(i=0;i<obj.length;i++) {
		if (obj[i].getAttribute("name") == 'ddvalue_'+filtername) {
			if(in_array(obj[i].getAttribute('idfield'), dropdownbox_multi[filtername])) {
				obj[i].style.backgroundColor = "#89ACD7";
			}
		}
	}

	// Zaehler setzen
	dropdownbox_multi_aktualisiereStatusfeld(filtername, dropdownbox_multi_zaehlertext(filtername));
}

function dropdownbox_multi_aktualisiereStatusfeld(filtername, text) {
	if(document.getElementById('ddstatus_'+filtername)) {
		document.getElementById('ddstatus_'+filtername).innerHTML = text;
	}
}

function dropdownbox_multi_init(filtername) {
	if(typeof(dropdownbox_multi[filtername]) != 'object') {
		dropdownbox_multi[filtername] = new Array();
	}
}

/*
 * Autocomplete Boxen
 */
autocompleteDDViaButtonGeoeffnet = false;
autocompleteDDignoriereKeyUp = false;

function dropdownbox_autocomplete_onPfeilKlick(name, name2) {
	document.getElementById('dd_' + name).style.width = 450;
	document.getElementById('dd_' + name).style.height = 250;
	document.getElementById('dd_' + name).style.overflow = 'scroll';
	document.getElementById(name2 + '_text').value = '';
	document.getElementById(name2 + '_geladen').value = 'nein';
	document.getElementById(name2 + '_text').select();
	document.getElementById(name2 + '_text').focus();
	autocompleteDDViaButtonGeoeffnet = true;
	autocompleteDDignoriereKeyUp = true;
}

function dropdownbox_autocomplete_onTextEingabe(name, name2, breite, hoehe) {
	if(autocompleteDDViaButtonGeoeffnet) {
		return false;
	}

	autocomplete = true;

	document.getElementById('dd_' + name).style.overflow = 'hidden';
	document.getElementById('dd_' + name).style.width = breite;
	document.getElementById('dd_' + name).style.height = hoehe;

	document.getElementById(name2 + '_geladen').value = 'nein';

	if(document.getElementById(name2 + '_text').value == '' && !autocompleteDDViaButtonGeoeffnet) {
		document.getElementById(name2 + '_text_orig').value = '';
		document.getElementById(name).value = '';
		dropdownbox_close(name);
		return false;
	}

}


function filter_multiselect_send(filtername, listenname) {
	if(typeof(dropdownbox_multi[filtername]) == "object" && dropdownbox_multi[filtername].length > 0) {
		ids = dropdownbox_multi[filtername].join("::");

		send_array = new Array();
		send_array[filtername] = "multiselect:"+ids;
	} else {
		send_array = new Array();
		send_array[filtername] = "";
	}
	Go("main.php?"+linkvars+"&listenname="+listenname+"&filterwert_neu="+php_serialize(send_array));
}

function changeDate(sDirection){
	
	if(sDirection == "up"){
		sDate = document.getElementsByName("datum_valuta_monat")[0].value + "/" + (parseInt(document.getElementsByName("datum_valuta_tag")[0].value) + 1) + "/" + document.getElementsByName("datum_valuta_jahr")[0].value;

		aDate = isRealDate(sDate);
	}else{
		sDate = document.getElementsByName("datum_valuta_monat")[0].value + "/" + (parseInt(document.getElementsByName("datum_valuta_tag")[0].value) - 1) + "/" + document.getElementsByName("datum_valuta_jahr")[0].value;

		aDate = isRealDate(sDate,"/","-");
	}
	
	if(!aDate){
		return false;
	}else{
		document.getElementsByName("datum_valuta_tag")[0].value = aDate[0];
		document.getElementsByName("datum_valuta_monat")[0].value = aDate[1];
		document.getElementsByName("datum_valuta_jahr")[0].value = aDate[2];
	}

}
