/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */    
/* ++++++++++ Berechnung der Minuten aus einem Zeitfeld */    
function stdmin2min(x) {
	zeit = x.split(":");
	min = (zeit[0]*60) + (zeit[1]*1);
	return (min);
}   


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Berechnung eines Zeitfeldes aus einem Minutenwert */
function min2stdmin(x) {	
	if (x < 0) {
		y = Math.abs(x);}
	else {
		y = x;}

	std = parseInt(y / 60);
	min = y % 60;
	if (min < 10) {
		min = "0" + min;}

	if (std < 10) {
		std = "0" + std;}

	if (x < 0) {
		std = "-" + std;}

	return (std + ":" + min);
}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* erzeuge aktuellen Zeit-String (HH:MM) */
function get_zeit () {
	var Jetzt = new Date();
	return (min2stdmin((Jetzt.getHours()*60)+Jetzt.getMinutes()));
}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Test auf gltiges Zeitfeld */
function check_zeit (x) {

	/* ++++ wenn Lnge kleiner 3 oder grsser 5 ist, kann es nur eine ungltige Eingabe sein! */
	fehler = 0;
	if (x.length < 3 || x.length > 5){
		fehler = 1;}

	/* ++++ prfe, ob ein : eingegeben wurde. Wenn nicht, dann bastele den Zeitwert zusammen */
	if (x.indexOf(':') == -1 && fehler == 0) {
		min = "" + x.charAt(x.length - 2) + x.charAt(x.length - 1);
		if (x.length == 3){
			std = "" + x.charAt(x.length - 3);}
		else {
			std = "" + x.charAt(x.length - 4) + x.charAt(x.length - 3);}}


	/* sonst trenne Stunde und Minute beim : */
	else {
		zeit = x.split(":");
		std = zeit[0];
		min = zeit[1];}


	if (!(std >= 0 && std < 24 && fehler == 0)) {
		fehler = 1;
		std = 0;
	}
	if (!(min >= 0 && min < 60 && fehler == 0)) {
		fehler = 1;
		min = 0;
	}        

	min = "" + min;
	while (min.length < 2) {
		min = "0" + min;
	}  
	std = "" + std;
	while (std.length < 2) {
		std = "0" + std;
	}  

	if (fehler == 1) {
		alert ("Ungltige Zeitangabe!\n Zeit wird auf " + std + ":" + min + " korrigiert.");
	}  

	return (std + ":" + min);
}        



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* Test auf gltiges Zeitfeld */
function check_zeit_nocheck (x) {


	/* ++++ wenn Lnge kleiner 3 oder grsser 5 ist, kann es nur eine ungltige Eingabe sein! */
	fehler = 0;
	if (x.length < 3 || x.length > 5){
		fehler = 1;}

	/* ++++ prfe, ob ein : eingegeben wurde. Wenn nicht, dann bastele den Zeitwert zusammen */
	if (x.indexOf(':') == -1 && fehler == 0) {
		min = "" + x.charAt(x.length - 2) + x.charAt(x.length - 1);
		if (x.length == 3){
			std = "" + x.charAt(x.length - 3);}
		else {
			std = "" + x.charAt(x.length - 4) + x.charAt(x.length - 3);}}


	/* sonst trenne Stunde und Minute beim : */
	else {
		zeit = x.split(":");
		std = zeit[0];
		min = zeit[1];}

	if(typeof std == 'undefined') std = "00";
	if(typeof min == 'undefined') min = "00";

	min = "" + min;
	while (min.length < 2) {
		min = "0" + min;
	}  
	std = "" + std;
	while (std.length < 2) {
		std = "0" + std;
	}  

	if (fehler == 1) {
		alert ("Ungltige Zeitangabe!\n Zeit wird auf " + std + ":" + min + " korrigiert.");
	}  

	return (std + ":" + min);
}        



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Berechnung der Zeiten bei nderungen */
function zeitenberechnung (x,aenderung) {

	/* ++++++++++ setzte Variablen vor */
	nacht = 0;

	/* ++++++++++ teste auf gltige Zeitformate */
	x.dtBeginnZeit.value = check_zeit(x.dtBeginnZeit.value);
	x.dtEndeZeit.value = check_zeit(x.dtEndeZeit.value);
	x.dtAnwesendZeit.value = check_zeit(x.dtAnwesendZeit.value);
	x.dtPauseZeit.value = check_zeit(x.dtPauseZeit.value);
	x.dtArbeitsZeit.value = check_zeit(x.dtArbeitsZeit.value);
	x.dtZusatzZeit.value = check_zeit(x.dtZusatzZeit.value);
	x.dtVergueteZeit.value = check_zeit(x.dtVergueteZeit.value);

	/* ++++++++++ wandle alle Zeiten in Minuten um */
	min_beginn = stdmin2min (x.dtBeginnZeit.value);
	min_ende = stdmin2min (x.dtEndeZeit.value);
	min_anwesend = stdmin2min (x.dtAnwesendZeit.value);
	min_pause = stdmin2min (x.dtPauseZeit.value);
	min_arbeit = stdmin2min (x.dtArbeitsZeit.value);
	min_zusatz = stdmin2min (x.dtZusatzZeit.value);
	min_verguete = stdmin2min (x.dtVergueteZeit.value);

	/* ++++++++++ checke auf Beginn vor Ende */
	if (min_beginn > min_ende && (aenderung == "beginn" || aenderung == "ende") && min_ende != 0) {
		abfrage = confirm ("Die Beginn-Zeit liegt NACH der Ende-Zeit!\nIst dies korrekt? (z.B. Nachtarbeit)");
		if (abfrage) {
			nacht = 1;}
		else {
			x.dtProjektzeitAutoManuell.checked=1; 
			projektzeitauto (x);}
	};       

	/* ++++++++++ Grundstzlich Pausen berechnen, oder Fragen, ob Standardpausen verwendet werden sollen */
	if (min_beginn < min_ende && aenderung == "pause") {
		abfrage = confirm ("Standardpausen verwenden?");
		if (abfrage) {
			min_pause = pausenberechnung(min_beginn,min_ende,x.teilzeit.value);}
	} else {
		min_pause = pausenberechnung(min_beginn,min_ende,x.teilzeit.value);}


	/* ++++++++++ Berechnung der Zeiten */
	/* +++++ ...wenn Ende noch nicht gesetzt: */
	if (min_ende == 0) {
		min_anwesend = 0;
		min_pause = 0;
		min_arbeit = 0;
		min_verguete = min_zusatz;}
	else {
		/* +++++ ...wenn alles normal ist: */  
		if (nacht == 0) {
			min_anwesend = min_ende - min_beginn;
			min_arbeit = min_anwesend - min_pause;
			min_verguete = min_arbeit + min_zusatz;}
		/* +++++ ...wenn ber 24h hinaus gearbeitet wurde: */      
		else {
			min_anwesend = (24 * 60) - min_beginn + min_ende;
			min_arbeit = min_anwesend - min_pause;
			min_verguete = min_arbeit + min_zusatz;
			x.dtProjektzeitAutoManuell.checked = 0; 
			x.dtBemerkungProjektzeit.value = "Sonderfall";}
	}


	/* ++++++++++ setze ggf. Hckchen AutoEintragProjektZeit */
	if (aenderung == "ende" && x.dtProjektzeitDezimal.value == 0) {
		x.dtProjektzeitAutoManuell.checked = 1;
	}

	/* ++++++++++ Setze Hintergrundfarben */
	if (min_arbeit == 0) {
		x.dtArbeitsZeit.style.backgroundColor = "#ffaaaa";}
	else {
		x.dtArbeitsZeit.style.backgroundColor = "#ffffff";}


	/* ++++++++++ Setze Zeitfelder aus den Minutenwerten*/
	x.dtBeginnZeit.value = min2stdmin (min_beginn);
	x.dtEndeZeit.value = min2stdmin (min_ende);
	x.dtAnwesendZeit.value = min2stdmin (min_anwesend);
	x.dtPauseZeit.value = min2stdmin (min_pause);
	x.dtArbeitsZeit.value = min2stdmin (min_arbeit);
	x.dtZusatzZeit.value = min2stdmin (min_zusatz);
	x.dtVergueteZeit.value = min2stdmin (min_verguete);

	/* ++++++++++ Berechne Projektzeit, wenn sie automatisch berechnet werden soll */           
	projektzeitauto (x);

}




/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */        
/* ++++++++++ Anzeige der Hintergrundfarbe der Projektzeit und Berrechnung der Projektzeit bei Hckchen*/
function projektzeitauto (x) {

	if (x.dtProjektzeitAutoManuell.checked != 0) {

		x.dtProjektzeitDezimal.value = stdmin2dezmin(x.dtArbeitsZeit.value);
		x.dtProjektzeitDezimal.style.backgroundColor = "#ffddcc";}

	else { 
		x.dtProjektzeitDezimal.style.backgroundColor = "#ffff44";}

	if (parseFloat(x.dtProjektzeitDezimal.value.replace(/,/,".")) == 0) {
		x.dtProjektzeitDezimal.style.backgroundColor = "#ff6666";}
}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Anzeige der Hintergrundfarbe der Projektzeit und Hckchen abwhlen*/
function projektzeitchange (x) {

	x.dtProjektzeitAutoManuell.checked=0;

	if (x.dtProjektzeitDezimal.value == "") {
		x.dtProjektzeitDezimal.value = 0;}

	if (parseFloat(x.dtProjektzeitDezimal.value.replace(/,/,".")) == 0) {
		x.dtProjektzeitDezimal.style.backgroundColor = "#ff6666";}
	else {
		x.dtProjektzeitDezimal.style.backgroundColor = "#ffff44";}
}




/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Anzeige der Hintergrundfarbe der ProjektzeitBericht*/
function projektzeitberichtchange (x) {

	if (x.zeit_projekt.value.replace(/,/,".") == x.zeit_projekt_bericht.value.replace(/,/,".")) {
		x.zeit_projekt_bericht.style.backgroundColor = "#ffffff";}
	else {
		x.zeit_projekt_bericht.style.backgroundColor = "#ffff88";}
}




/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */        
/* ++++++++++ Uebernahme von realen Beginn/Ende und Projektzeiten in Stundenkontrolle bei Hckchen*/
function realzeitankunde (x) {

	if (x.dtRealeZeitenAnKunde.checked != 0) {
		x.dtVonZeitBerichtManuell.value = x.dtBeginnZeit.value;
		x.dtBisZeitBerichtManuell.value = x.dtEndeZeit.value;
		x.dtProjektzeitDezimalBericht.value = x.dtProjektzeitDezimal.value;
	} else  {
		x.dtVonZeitBerichtManuell.value = '';
		x.dtBisZeitBerichtManuell.value = '';
		x.dtProjektzeitDezimalBericht.value = '0,00';
	}

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */        
/* ++++++++++ Markieren der Projektinfos ,durch simples setzen der Variablen */    
/* ++++++++++ und markieren der Zeile durch schwarzes Feld Euro/Std */ 
function zeilemarkieren (x,projekt,matcode,stdsatz,bemerkung) {

	/* ndere neu markiertes Feld auf schwarz, wenn weiss */
	if (x.europrostunde.style.backgroundColor == "#ffffff") {

		/* setze ggf. bereits markiertes Feld wieder auf weiss */
		if (form_copy_from != "") {
			form_copy_from.europrostunde.style.backgroundColor = "#ffffff";
			form_copy_from.europrostunde.style.color = "#000000";}

		x.europrostunde.style.backgroundColor = "#000000";
		x.europrostunde.style.color = "#ffff00";

		projekt_copy = projekt;
		matcode_copy = matcode;
		stdsatz_copy = stdsatz;
		bemerkung_copy = bemerkung; 
		form_copy_from = x; 
		markiert = 1;}  

	/* ndere neu markiertes Feld auf weiss, wenn schwarz */
	else {
		x.europrostunde.style.backgroundColor = "#ffffff";
		x.europrostunde.style.color = "#000000";
		markiert = 0;}

} 



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */        
/* ++++++++++ Kopieren der Projektinfos von einer markieren Zeile zu dieser*/
function projektinfoskopieren (x) {    

	/* kopiere nur, wenn ein Feld markiert ist */
	if (markiert == 1) {

		/* setze markiertes Feld wieder auf weiss */
		form_copy_from.europrostunde.style.backgroundColor = "#ffffff";
		form_copy_from.europrostunde.style.color = "#000000";

		/* fge Infos aus markierten Feldern ein */
		x.projekt.value = projekt_copy;
		x.projekt.title = projekt_copy;
		x.matcode.value = matcode_copy;
		x.matcode.title = matcode_copy;
		x.europrostunde.value = stdsatz_copy;
		x.bemerkung.value = bemerkung_copy;
		x.aenderung.style.backgroundColor = "#ff0000";}

} 



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Zusatzzeit aus Fahrstrecke berechnen */ 
function fenster_zusatzzeit (x_ueb,sessionid,mitarbeiternr,kundenr,homenr) {

	x = x_ueb;
	link = "zusatzfenster.php?PHPSESSID=" + sessionid + "&target=projektzeiten&typ=zusatzzeit&mitarbeiter_fahrt=" + mitarbeiternr + "&mitarbeiter_abzgl=" + mitarbeiternr + "&kunde=" + kundenr + "&home=" + homenr;
	eingabefenster=window.open(link,"Zusatzzeit","resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,dependent=yes,width=" + 650 + ",height=" + 240);

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Rckgabewert aus Eingabefenster */ 
function zusatzzeit_close (zeit, strecke) {

	if (zeit != "") {
		x.dtZusatzZeit.value = zeit;
		x.aenderung.style.backgroundColor="#ff0000";
		zeitenberechnung(x,"zusatz");}

	x.dtEntfernungKilometer.value = strecke;
	x.dtFahrzeit.value = stdmin2dezmin(zeit);

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Differenz der Kilometer in Eingabefenster berechnen*/ 
function zusatzzeit_differenzberechnen (x) {

	/* Differenz berechnen */
	von = document.fahrtvon.dtEntfernung.value.replace(/,/,".");
	bis =  document.abzglvon.dtEntfernung.value.replace(/,/,".");

	diff = (von - bis).toString();

	/* Zusatzzeiten berechnen */
	if (diff > 0) {
		document.zusatzzeit.zusatzzeit_einfach.value = min2stdmin(Math.round(diff));
		document.zusatzzeit.zusatzzeit_doppelt.value = min2stdmin(Math.round(diff*2));}
	else { 
		document.zusatzzeit.zusatzzeit_einfach.value = "00:00";
		document.zusatzzeit.zusatzzeit_doppelt.value = "00:00";} 

	/* Differenz anzeigen (Punkt zu Komma) */
	diff += (diff.indexOf('.') == -1)? '.0' : '';
	p = diff.indexOf('.');
	f = (p == 0)? '0,' : ',';
	document.zusatzzeit.dtDifferenz.value = diff.substring(0, p) + f + diff.substring(p+1, p+3);

}   



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Auswahl aus Vorwahlfeldern bernehmen */ 
function mitarbeitervorauswahl_einfuegen (x) {
	if (document.vorauswahl.mitarbeitervorauswahl.value != "") {
		x.fiMitarbeiter.value = document.vorauswahl.mitarbeitervorauswahl.value;
		x.dtKontaktDDText.value = document.vorauswahl.mitarbeitervorauswahl.options[document.vorauswahl.mitarbeitervorauswahl.selectedIndex].text;  
		x.dtKontaktDDText.title = "Mitarbeiter: " + document.vorauswahl.mitarbeitervorauswahl.options[document.vorauswahl.mitarbeitervorauswahl.selectedIndex].text;   
	}
	aenderung_in_liste(x);
}
function projektvorauswahl_einfuegen (x) {
	if (document.vorauswahl.projektvorauswahl.value != "") {
		x.fiProjekt.value = document.vorauswahl.projektvorauswahl.value;
		x.dtProjektDDText.value = document.vorauswahl.projektvorauswahl.options[document.vorauswahl.projektvorauswahl.selectedIndex].text;  
		x.dtProjektDDText.title = "Projekt: " + document.vorauswahl.projektvorauswahl.options[document.vorauswahl.projektvorauswahl.selectedIndex].text;   
	} else {
		x.fiProjekt.value = "";
		x.dtProjektDDText.value = "";  
		x.dtProjektDDText.title = "Projekt";   
	}
	aenderung_in_liste(x);
}

function projektvorauswahl_einfuegen_multi (x) {
	if (document.vorauswahl.projektvorauswahl.value != "") {
		x.fiProjekt.value = document.vorauswahl.projektvorauswahl.value;
		x.dtProjektDDText.value = document.getElementById("projektvorauswahl_text_orig").value;  
		x.dtProjektDDText.title = "Projekt: " + document.getElementById("projektvorauswahl_text_orig").value;   
	} else {
		x.fiProjekt.value = "";
		x.dtProjektDDText.value = "";  
		x.dtProjektDDText.title = "Projekt";   
	}
	aenderung_in_liste(x);
}

function taetigkeitvorauswahl_einfuegen (x) {
	if (document.vorauswahl.taetigkeitvorauswahl.value != "") {
		x.fiTaetigkeit.value = document.vorauswahl.taetigkeitvorauswahl.value;
		x.dtTaetigkeitDDText.value = document.vorauswahl.taetigkeitvorauswahl.options[document.vorauswahl.taetigkeitvorauswahl.selectedIndex].text;  
		x.dtTaetigkeitDDText.title = "Ttigkeit: " + document.vorauswahl.taetigkeitvorauswahl.options[document.vorauswahl.taetigkeitvorauswahl.selectedIndex].text;   
	} else {
		x.fiTaetigkeit.value = "";
		x.dtTaetigkeitDDText.value = "";  
		x.dtTaetigkeitDDText.title = "Ttigkeit";   
	}
	aenderung_in_liste(x);
}

function taetigkeitvorauswahl_einfuegen_multi (x) {
	if (document.vorauswahl.taetigkeitvorauswahl.value != "") {
		x.fiTaetigkeit.value = document.vorauswahl.taetigkeitvorauswahl.value;
		x.dtTaetigkeitDDText.value = document.getElementById("taetigkeitvorauswahl_text_orig").value;  
		x.dtTaetigkeitDDText.title = "Ttigkeit: " + document.getElementById("taetigkeitvorauswahl_text_orig").value;   
	} else {
		x.fiTaetigkeit.value = "";
		x.dtTaetigkeitDDText.value = "";  
		x.dtTaetigkeitDDText.title = "Ttigkeit";   
	}
	aenderung_in_liste(x);
}

function stdsatzvorauswahl_einfuegen (x) {
	x.dtStdSatz.value = document.vorauswahl.stdsatzvorauswahl.value;  
	stdsatzautomanuellvorauswahl_einfuegen (x);
	aenderung_in_liste(x);
}
function stdsatzautomanuellvorauswahl_einfuegen (x) {
	if (document.vorauswahl.stdsatzautomanuellvorauswahl.value == 1) {
		x.dtStdSatzAutoManuell.checked = true;
	} else {
		x.dtStdSatzAutoManuell.checked = false;
	} 
	aenderung_in_liste(x);
}
function bemerkungvorauswahl_einfuegen (x) {
	if (document.vorauswahl.bemerkungvorauswahl.value != "") {
		x.dtBemerkungProjektzeit.value = document.vorauswahl.bemerkungvorauswahl.options[document.vorauswahl.bemerkungvorauswahl.selectedIndex].text;  
		x.dtBemerkungProjektzeit.title = "Bemerkung: " + document.vorauswahl.bemerkungvorauswahl.options[document.vorauswahl.bemerkungvorauswahl.selectedIndex].text;   
	} else {
		if (document.vorauswahl.bemerkungvorauswahlfreitext.value != "") {
			x.dtBemerkungProjektzeit.value = document.vorauswahl.bemerkungvorauswahlfreitext.value;  
			x.dtBemerkungProjektzeit.title = "Bemerkung: " + document.vorauswahl.bemerkungvorauswahlfreitext.value;   
		} else {
			x.dtBemerkungProjektzeit.value = "";  
			x.dtBemerkungProjektzeit.title = "Bemerkung";   
		}
	}
	aenderung_in_liste(x);
}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */        
/* ++++++++++ Anzeige der Hintergrundfarbe der Stundenstze bei Hckchen*/
function stdsatzauto (x) {

	if (x.dtStdSatzAutoManuell.checked != 0) {
		x.dtStdSatz.style.backgroundColor = x.dtTaetigkeitDDText.style.backgroundColor;
		x.dtStdSatzGesamt.style.backgroundColor = x.dtTaetigkeitDDText.style.backgroundColor;}

	else { 
		x.dtStdSatz.style.backgroundColor = "#ffffcc";
		x.dtStdSatzGesamt.style.backgroundColor = "#ffffcc";}

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Anzeige der Hintergrundfarbe der Stundenstze und Hckchen abwhlen*/
function stdsatzchange (x) {

	x.dtStdSatzAutoManuell.checked=0;

	if (x.dtStdSatz.value == "") {
		x.dtStdSatz.value = 0;}

	if (parseFloat(x.dtStdSatz.value.replace(/,/,".")) == 0) {
		x.dtStdSatz.style.backgroundColor = x.dtTaetigkeitDDText.style.backgroundColor;
		x.dtStdSatzGesamt.style.backgroundColor = x.dtTaetigkeitDDText.style.backgroundColor;}
	else {
		x.dtStdSatz.style.backgroundColor = "#ffffcc";
		x.dtStdSatzGesamt.style.backgroundColor = "#ffffcc";}


	projektzeit = parseFloat(kommazupunkt(x.dtProjektzeitDezimal.value));
	stdsatz = parseFloat(kommazupunkt(x.dtStdSatz.value));  

	x.dtStdSatz.value = formatierung_preis(stdsatz);
	x.dtStdSatzGesamt.value = formatierung_preis(stdsatz * projektzeit);

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Projektdaten einer Zeile in  die Vorauswahl-Felder bernehmen*/
function projektdaten_in_vorauswahl_multi (x) {
	if (x.fiMitarbeiter.value == 0) {
		document.vorauswahl.mitarbeitervorauswahl.value = "";}
	else {    
		document.vorauswahl.mitarbeitervorauswahl.value = x.fiMitarbeiter.value;}

	if (x.fiProjekt.value == 0) {
		document.vorauswahl.projektvorauswahl.value = "";}
	else {    
		document.vorauswahl.projektvorauswahl.value = x.fiProjekt.value;}

	if (x.fiTaetigkeit.value == 0) {
		document.vorauswahl.taetigkeitvorauswahl.value = "";}
	else {    
		document.vorauswahl.taetigkeitvorauswahl.value = x.fiTaetigkeit.value;}

	document.vorauswahl.stdsatzvorauswahl.value = x.dtStdSatz.value;

	if (x.dtStdSatzAutoManuell.checked == true) {
		document.vorauswahl.stdsatzautomanuellvorauswahl.value = 1;}
	else {    
		document.vorauswahl.stdsatzautomanuellvorauswahl.value = 0;}
	
	document.getElementById("projektvorauswahl_text_orig").value = x.dtProjektDDText.value;
	document.getElementById("projektvorauswahl_text").value = x.dtProjektDDText.value;
	
	document.getElementById("taetigkeitvorauswahl_text_orig").value = x.dtTaetigkeitDDText.value;
	document.getElementById("taetigkeitvorauswahl_text").value = x.dtTaetigkeitDDText.value;
	
	
	document.vorauswahl.bemerkungvorauswahl.value = "";
	document.vorauswahl.bemerkungvorauswahlfreitext.value = x.dtBemerkungProjektzeit.value;

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Projektdaten einer Zeile in  die Vorauswahl-Felder bernehmen*/
function projektdaten_in_vorauswahl (x) {
	if (x.fiMitarbeiter.value == 0) {
		document.vorauswahl.mitarbeitervorauswahl.value = "";}
	else {    
		document.vorauswahl.mitarbeitervorauswahl.value = x.fiMitarbeiter.value;}

	if (x.fiProjekt.value == 0) {
		document.vorauswahl.projektvorauswahl.value = "";}
	else {    
		document.vorauswahl.projektvorauswahl.value = x.fiProjekt.value;}

	if (x.fiTaetigkeit.value == 0) {
		document.vorauswahl.taetigkeitvorauswahl.value = "";}
	else {    
		document.vorauswahl.taetigkeitvorauswahl.value = x.fiTaetigkeit.value;}

	document.vorauswahl.stdsatzvorauswahl.value = x.dtStdSatz.value;

	if (x.dtStdSatzAutoManuell.checked == true) {
		document.vorauswahl.stdsatzautomanuellvorauswahl.value = 1;}
	else {    
		document.vorauswahl.stdsatzautomanuellvorauswahl.value = 0;}
	
	document.vorauswahl.bemerkungvorauswahl.value = "";
	document.vorauswahl.bemerkungvorauswahlfreitext.value = x.dtBemerkungProjektzeit.value;

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Projektdaten aus den Vorauswahl-Feldern in eine Zeile bernehmen*/
function projektdaten_aus_vorauswahl (x) {

	projektvorauswahl_einfuegen(x);
	taetigkeitvorauswahl_einfuegen(x);
	stdsatzvorauswahl_einfuegen(x);
	bemerkungvorauswahl_einfuegen(x);

	aenderung_in_liste(x);

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Projektdaten aus den Vorauswahl-Feldern in eine Zeile bernehmen*/
function projektdaten_aus_vorauswahl_multi (x) {

	projektvorauswahl_einfuegen_multi(x);
	taetigkeitvorauswahl_einfuegen_multi(x);
	stdsatzvorauswahl_einfuegen(x);
	bemerkungvorauswahl_einfuegen(x);

	aenderung_in_liste(x);

}

/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Werte der Vorauswahl-Felder in eine Zeile bernehmen*/
function vorauswahl_speichern (x) {

	x.mitarbeitervorauswahl.value = document.vorauswahl.mitarbeitervorauswahl.value;
	x.projektvorauswahl.value = document.vorauswahl.projektvorauswahl.value;
	x.taetigkeitvorauswahl.value = document.vorauswahl.taetigkeitvorauswahl.value;
	x.stdsatzvorauswahl.value = document.vorauswahl.stdsatzvorauswahl.value;
	x.stdsatzautomanuellvorauswahl.value = document.vorauswahl.stdsatzautomanuellvorauswahl.value;
	x.bemerkungvorauswahl.value = document.vorauswahl.bemerkungvorauswahl.value;
	x.bemerkungvorauswahlfreitext.value = document.vorauswahl.bemerkungvorauswahlfreitext.value;

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Projektzeiteneintrag kopieren */ 
function fenster_projektzeitkopieren (sessionid, target, id) {

	link = "zusatzfenster.php?PHPSESSID=" + sessionid + "&target=" + target + "&typ=kopieren&id=" + id;
	eingabefenster=window.open(link,"Projektzeit_kopieren","resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,dependent=yes,width=" + 650 + ",height=" + 440);

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Projektzeiten-Info Fenster */ 
function fenster_projektzeitinfo (sessionid, id) {

	link = "zusatzfenster.php?PHPSESSID=" + sessionid + "&target=eshaesstundenkontrolle&typ=info&id=" + id;
	eingabefenster=window.open(link,"Projektzeit_Info","resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,dependent=yes,width=" + 650 + ",height=" + 240);

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ berstunden Fenster */ 
function fenster_ueberstunden (sessionid, id) {

	link = "zusatzfenster.php?PHPSESSID=" + sessionid + "&target=eshaesstundenkontrolle&typ=ueberstunden&id=" + id;
	eingabefenster=window.open(link,"Stundenkontrolle_berstunden","resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,dependent=yes,width=" + 600 + ",height=" + 340);

}



/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Belegzeitposten-Zusatzzeit Fenster */ 
function fenster_belegzeitpostenzusatzzeit (x_ueb, sessionid, id) {

	formname = x_ueb;
	link = "zusatzfenster.php?PHPSESSID=" + sessionid + "&target=belegzeitposten&typ=zusatzzeit&id=" + id;
	eingabefenster=window.open(link,"Zusatzzeiten_berstunden","resizable=no,scrollbars=no,status=no,toolbar=no,menubar=no,dependent=yes,width=" + 800 + ",height=" + 440);

}


/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++ Rckgabewert aus Eingabefenster */ 
function belegzeitpostenzusatzzeit_close (preis) {

	if (preis != "") {
		formname.dtZusatzzeitenPreisNetto.value = preis;
		formname.aenderung.style.backgroundColor="#ff0000";
		rechnungszeitposten_nettozubrutto(formname);}

}
