var sListeZusatzinfoGeoeffnet = true;
var sListeZusatzinfoInhalt = "";

$(function() {
	if(typ == "list" || subtyp == "list")
	{
		bindeListekopfzeile();
		bindeListefusszeile();
		bestimmeListenhoehe();
		bindeListeZusatzinfo();
	}
});

function bestimmeListenhoehe()
{
	if(typeof bManuelleHoehe=='undefined') var bManuelleHoehe = 0;

	if(bListeHoeheMaximum && bManuelleHoehe == 0) {
		var oPos = $(".liste_koerper").position();
		var iHeight = $(window).height() - oPos.top - 30 - $(".liste_zusatzinfo_block").height();
		$(".liste_koerper").height(iHeight);
	}
	else if (bManuelleHoehe != 0)
	{
		var iHeight = bManuelleHoehe;
		$(".liste_koerper").height(iHeight);
	}
}

function bindeListeZusatzinfo()
{
	if($(".liste_zusatzinfo_block").length && bListeHoeheMaximum)
	{
		sListeZusatzinfoInhalt = $( ".liste_zusatzinfo_block_text" ).html();
		toggleZusatzinfo();


		$( ".liste_zusatzinfo_block" ).bind( "mouseover", function() {
			oeffneZusatzinfo();
		});

		$( ".liste_koerper" ).bind( "mouseover", function() {
			schliesseZusatzinfo();
		});
	}
}

function bindeListeSubmenu()
{
	// Mouseover
	$( ".liste_submenu_menupunkt" ).bind( "mouseover", function() {
		$(this).addClass( "liste_submenu_menupunkt_hover" );
	});

	// Mouseout
	$( ".liste_submenu_menupunkt" ).bind( "mouseout", function() {
		$(this).removeClass( "liste_submenu_menupunkt_hover" );
	});

	// Schliessen bei Klick
	$( ".liste_submenu_menupunkt" ).bind( "click", function() {
		$('.liste_submenu').toggle();
	});

	// Spaltenbreite - Reset
	$( ".liste_submenu_resetspaltenbreite" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		resetSpaltenbreite(sListeName);
	});

	// Standardsortierung speichern
	$( ".liste_submenu_savesortierung" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		saveListensortierung(sListeName);
	});

	// Standardsortierung laden
	$( ".liste_submenu_resetsortierung" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		resetListensortierung(sListeName);
	});

	// Eigenes Drucken
	$( ".liste_submenu_eigenesdrucken" ).bind( "click", function() {
		PDFOutput('pdfoutput.php?target=' + target +'&typ=drucken');
	});

	// CSV Export
	$( ".liste_submenu_outputcsv" ).bind( "click", function() {
		getListeCSV();
	});

	// Druck Hochformat
	$( ".liste_submenu_druckhoch" ).bind( "click", function() {
		getListePDF(false);
	});

	// Druck Querformat
	$( ".liste_submenu_druckquer" ).bind( "click", function() {
		getListePDF(true);
	});

	// Listenhoehe an Browser anpassen
	$( ".liste_submenu_hoehebrowser" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		saveListenHoeheEinstellung(sListeName, true);
	});

	// Listenhoehe an Inhalt anpassen
	$( ".liste_submenu_hoeheliste" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		saveListenHoeheEinstellung(sListeName, false);
	});

	// Focus markiert Text in CSV Ausgabe
	$( ".liste_csv_output_textarea" ).bind( "focus", function() {
		$(".liste_csv_output_textarea").select();
	});
}

function bindeListekopfzeile()
{
	/*
	 * Listenkopfzeile
	 * Resizeable
	 */
	$( ".liste_kopf_spalte_resizable" ).resizable({
		animate: false,
		handles: "e"
	});

	$( ".liste_kopf_spalte_resizable" ).bind( "resizestop", function() {
		saveSpaltenbreite($(this).attr("listenname"), $(this).attr("name"), $(this).width());
	});

	/*
	 * Listenkopfzeile
	 * Sortierung
	 */
	$( ".liste_kopf_sortierlink" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		var sHref = $(this).attr('href');

		ladeListenkopf(sListeName, sHref);
		return false;
	});

	$( ".liste_kopf_togglemenu" ).bind( "click", function() {
		$('.liste_submenu').toggle();
	});

	bindeListeSubmenu();
}

function bindeListefusszeile()
{
	/*
	 * Pagingbuttons
	 */
	$( ".pagingbuttons" ).bind( "click", function() {
		var sListeName = $(this).attr('listenname');
		var sHref = $(this).attr('href');

		ladeListe(sListeName, sHref);
		return false;
	});

	/*
	 * Anzeigenbegrenzung
	 */
	$( ".anzeigebegrenzung" ).bind( "change", function() {
		var aSplitVal = $(this).val().split('/');
		var iSortierungAnzahl = aSplitVal[0];
		var iPositionNeu = aSplitVal[1];
		var sListeName = $(this).attr('listenname');

		ladeListe(sListeName, "main.php?" + linkvars + "&sortierung_name=" + sListeName + "&sortierung_anzahl=" + iSortierungAnzahl + "&sortierung_position=" + iPositionNeu);
	});
}

function toggleZusatzinfo()
{
	$( ".liste_zusatzinfo_block" ).html(function(index, oldhtml) {
		var sNeu = sListeZusatzinfoInhalt;
		sListeZusatzinfoInhalt = oldhtml;
		return sNeu;
	});

	sListeZusatzinfoGeoeffnet = !sListeZusatzinfoGeoeffnet;
	bestimmeListenhoehe();
}

function oeffneZusatzinfo()
{
	if(!sListeZusatzinfoGeoeffnet)
	{
		toggleZusatzinfo();
	}
}

function schliesseZusatzinfo()
{
	if(sListeZusatzinfoGeoeffnet)
	{
		toggleZusatzinfo();
	}
}

/*
 * PDF erzeugen und abrufen
 */
function getListePDF(bQuerFormat)
{
	var sStart = "<!--PdfUrlOutputStart-->";
	var sStop = "<!--PdfUrlOutputEnde-->";

	if(bQuerFormat)
	{
		var sFormat = "quer";
	}
	else
	{
		var sFormat = "hoch";
	}

	$.get("main.php?" + linkvars, "&liste_output=pdf&format=" + sFormat, function(data) {
		var iStart = data.indexOf(sStart) + sStart.length;
		var iStop = data.indexOf(sStop);
		var sNewData = data.substring(iStart, iStop);
		//self.location.href = sNewData;
		PDFOutput(sNewData);
	});
	
}

/*
 * CSV erzeugen und abrufen
 */
function getListeCSV()
{
	var sStart = "<!--CSVOutputStart-->";
	var sStop = "<!--CSVOutputEnde-->";

	$.get("main.php?" + linkvars, "&liste_output=csv", function(data) {
		var iStart = data.indexOf(sStart) + sStart.length;
		var iStop = data.indexOf(sStop);
		var sNewData = data.substring(iStart, iStop);

		$(".liste_csv_output_textarea").text(sNewData);
		$(".liste_csv_output_div").toggle();
	});
}

/*
 * Speichere Spaltenbreite
 */
function saveSpaltenbreite(sListeName, sSpalteName, iSpalteBreite)
{
	$.post("main_ajax.php?ajaxtarget=saveSpaltenbreite&" + linkvars, "listenname=" + sListeName + "&spalte=" + sSpalteName + "&breite=" + iSpalteBreite, function(data) {
		ladeListeNeu(sListeName);
	});
}

/*
 * Spaltenbreiten zurcksetzen
 */
function resetSpaltenbreite(sListeName)
{
	$.post("main_ajax.php?ajaxtarget=resetSpaltenbreite&" + linkvars, "listenname=" + sListeName, function(data) {
		ladeListenkopfNeu(sListeName);
	});
}

/*
 * Sortierung speichern
 */
function saveListensortierung(sListeName)
{
	$.get("main.php?" + linkvars, "standardsortierungspeichern=1&sortierung_name=" + sListeName, function(data) {
	});
}

/*
 * Sortierung zurcksetzen
 */
function resetListensortierung(sListeName)
{
	$.get("main.php?" + linkvars, "standardsortierungladen=1&sortierung_name=" + sListeName, function(data) {
		ladeListenkopfNeu(sListeName);
	});
}

/*
 * Liste laden
 */
function ladeListeNeu(sListeName)
{
	ladeListe(sListeName, document.URL);
}

function ladeListenkopfNeu(sListeName)
{
	ladeListenkopf(sListeName, document.URL);
}

function ladeListe(sListeName, sUrl)
{
	$.get(sUrl + "&ajaxliste=1", function(data) {
		var sStart = "<!--Liste:" + sListeName + "-->";
		var sStop = "<!--ListeEnde:" + sListeName + "-->";
		
		var sSummeStart = "<!--Summenausgabe-->";
		var sSummeStop =   "<!--SummenausgabeEnde-->";
		
		var iSummeStart = data.indexOf(sSummeStart) + sSummeStart.length;
		var iSummeStop = data.indexOf(sSummeStop);
		
		var sSummeData = data.substring(iSummeStart, iSummeStop);
		
		var iStart = data.indexOf(sStart) + sStart.length;
		var iStop = data.indexOf(sStop);
		
		$('.liste_zusatzinfo_block').empty();
		$('.liste_zusatzinfo_block').html(sSummeData);


		var sNewData = data.substring(iStart, iStop);
		var sNewSummeData = data.substring()

		$('#liste-' + sListeName).empty();
		$('#liste-' + sListeName).html(sNewData);

		bindeListefusszeile();
		bestimmeListenhoehe();
	});
}

function ladeListenkopf(sListeName, sUrl)
{
	$.get(sUrl + "&ajaxliste=1", function(data) {
		var sStart = "<!--Listenkopf:" + sListeName + "-->";
		var sStop = "<!--ListenkopfEnde:" + sListeName + "-->";

		var iStart = data.indexOf(sStart) + sStart.length;
		var iStop = data.indexOf(sStop);

		var sNewData = data.substring(iStart, iStop);

		$('#listenkopf-' + sListeName).empty();
		$('#listenkopf-' + sListeName).html(sNewData);

		bindeListekopfzeile();
		ladeListe(sListeName, sUrl);
		
	});
}

/*
 * Listenhoehe an Browser anpassen
 */
function saveListenHoeheEinstellung(sListeName, bMaximiereHoehe)
{
	if(bMaximiereHoehe)
	{
		var sMaximiereHoehe = "1";
	}
	else
	{
		var sMaximiereHoehe = "0";
	}

	$.post("main_ajax.php?ajaxtarget=saveListenHoeheEinstellung&" + linkvars, "listenname=" + sListeName + "&maximierehoehe=" + sMaximiereHoehe , function(data) {
		Go("main.php?" + linkvars);
	});
}
