<?php
include ($configordner . "/config-quicklinks.php");

$quicklinks_autom = ( array ) quicklinks2 ( $target, $typ, $id );
$quicklinks_manuell = $quicklinks;

unset ( $quicklinks );

foreach ( ( array ) $quicklinks_autom [$target . "-" . $typ] as $key => $link_automatisch ) {
	foreach ( ( array ) $quicklinks_manuell [$target . "-" . $typ] as $link_manuell ) {
		if ($link_automatisch [0] == $link_manuell [0]) {
			unset ( $quicklinks_autom [$target . "-" . $typ] [$key] );
		}
	}
}

$quicklinks = array_merge_recursive ( ( array ) $quicklinks_autom, ( array ) $quicklinks_manuell );
unset ( $quicklinks_autom, $quicklinks_manuell );

if ($typ == "send" and $id != "") {
	$quicklinktyp = "show";
} elseif ($typ == "loeschen") {
	$quicklinktyp = "list";
} else {
	$quicklinktyp = $typ;
}

if ($quicklinktyp == "show" and ! isset ( $quicklinks [$target . "-" . $quicklinktyp] )) {
	$quicklinktyp = "list";
}

$aktquicklinks = $quicklinks [$target . "-" . $quicklinktyp];

if (is_array ( $aktquicklinks )) {
	
	echo "<br>";
	echo "<table border=0 class=\"header\" cellspacing=0 width=150>";
	echo "<tr><td style=\"background-color: #00397d;\" width=10></td>";
	echo "<td style=\"background-color: #00397d;\"><font color=\"" . $fontcolor_menu . "\" size=2><b>quicklinks</b></font></td></tr>";
	
	foreach ( $aktquicklinks as $link ) {
		
		$linkparts = explode ( "&", $link [2] );
		unset ( $linktarget );
		unset ( $linktyp );
		unset ( $linkid );
		unset ( $linksubtarget );
		unset ( $linksubtyp );
		unset ( $linksubid );
		
		foreach ( $linkparts as $linkpart ) {
			if (substr ( $linkpart, 0, 7 ) == "target=") {
				$linktarget = substr ( $linkpart, 7 );
			}
			;
			if (substr ( $linkpart, 0, 4 ) == "typ=") {
				$linktyp = substr ( $linkpart, 4 );
			}
			;
			if (substr ( $linkpart, 0, 3 ) == "id=") {
				$linkid = substr ( $linkpart, 3 );
			}
			;
			if (substr ( $linkpart, 0, 10 ) == "subtarget=") {
				$linksubtarget = substr ( $linkpart, 10 );
			}
			;
			if (substr ( $linkpart, 0, 7 ) == "subtyp=") {
				$linksubtyp = substr ( $linkpart, 7 );
			}
			;
			if (substr ( $linkpart, 0, 6 ) == "subid=") {
				$linksubid = substr ( $linkpart, 6 );
			}
			;
		}
		
		if (check_link_permission ( $linktarget, $linktyp, $benutzerrechte ) == true and (check_link_permission ( $linksubtarget, $linksubtyp, $benutzerrechte ) == true or $linksubtarget == "") and (! (isset ( $linkid )) or isset ( $linkid ) and $linkid != "") and (! (isset ( $linksubid )) or isset ( $linksubid ) and $linksubid != "")) {
			
			// Wenn ber den Quicklink Filter gesetzt werden und alle Filter ins Leere zeigen, den Quicklink nicht anzeigen
			$show_quicklink = 1;
			if (! (strpos ( $link [2], "filterwert_neu=" ) === false) and ! (strpos ( $link [2], ";N;" ) === false)) {
				$show_quicklink = 0;
				$quicklink_filterwerte_array = unserialize ( stripslashes ( substr ( $link [2], (strpos ( $link [2], "filterwert_neu=" ) + 16) ) ) );
				foreach ( ( array ) $quicklink_filterwerte_array as $key => $value ) {
					if ($value != "") {
						$show_quicklink = 1;
					}
				}
			}
			
			if ($show_quicklink == 1) {
				
				if ($_SESSION ['leet'])
					$link [0] = $leet->encode ( $link [0] );
				$output_array_qlink [$link [1]] = "<tr><td></td><td align=\"left\">";
				$output_array_qlink [$link [1]] .= "<a href=\"main.php?" . $link [2] . "\" title=\"" . $link [1] . "\" class=\"quicklink\">" . $link [0] . "</a>";
				$output_array_qlink [$link [1]] .= "</td></tr>";
			}
		}
	}
	
	if (is_array ( $output_array_qlink )) {
		ksort ( $output_array_qlink );
	}
	foreach ( ( array ) $output_array_qlink as $value ) {
		echo $value;
	}
	
	echo "</table>";
	echo "<br>";
}

?>
