#!/bin/sh
#
# erzeuge ein PDF aus gescannten PS Dateen
#
#
#

PSORDNER=$1


#######################################################


cd $PSORDNER

rm -f $PSORDNER/scan.ps
rm -f $PSORDNER/scan.pdf
rm -f $PSORDNER/scan.ps.temp

ls -t *.ps > /dev/null 2>&1

if [ $? == 0 ]; then

  # erzeuge ein PS aus allen einzelnen Seiten
  for SCANFILE in `ls -t -r *.ps` ; do
  
    echo $PSORDNER/$SCANFILE

    if [ -f $PSORDNER/scan.ps ]; then
      mv $PSORDNER/scan.ps $PSORDNER/scan.ps.temp
      cat $PSORDNER/$SCANFILE >> $PSORDNER/scan.ps.temp            
      ps2ps $PSORDNER/scan.ps.temp $PSORDNER/scan.ps
    else
      cp -f $PSORDNER/$SCANFILE $PSORDNER/scan.ps 
    fi
  
  done


  # erzeuge ein PDF aus dem PS
  ps2pdf -sPAGESIZE=letter -dOptimize=true $PSORDNER/scan.ps $PSORDNER/scan.pdf  
  
  
fi
