<?php
$kundeid = $field ["fiKunde"];

if ($bErsatzLayoutOhneRabattAktivieren == 1) {
	
	$sQuery = "SELECT dtErsatzLayout FROM tblBelegDruckInfo WHERE dtErsatzLayout = 1 AND fiBeleg = " . $id;
	$rResult = get_table_row ( $sQuery );
	
	if (! $rResult) {
		$sQuery = "SELECT * FROM tblBelegDruckInfo WHERE dtErsatzLayout = 0 AND fiBeleg = " . $id;
		$rResult = get_table_row ( $sQuery );
		
		if (! $rResult) {
			// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
			// ++++ schreibe Beleg-Druck-Infos, wenn es ein neuer Eintrag ist
			erzeugeBelegDruckinfo ( $id, $kundeid );
			
			$sQuery = "SELECT * FROM tblBelegDruckInfo WHERE dtErsatzLayout = 0 AND fiBeleg = " . $id;
			$rResult = get_table_row ( $sQuery );
		}
		
		unset ( $rResult ["id"] );
		unset ( $rResult [0] );
		$rResult ["dtErsatzLayout"] = 1;
		insert_into_table ( $tblbelegdruckinfo, $rResult );
	}
}

// bernehme Datumse aus Beleg
$angebotsdatum = $field ["dtAngebotDatum"];
$auftragsdatum = $field ["dtAuftragDatum"];
$lieferungsdatum = $field ["dtLieferungDatum"];
$rechnungsdatum = $field ["dtRechnungDatum"];
$mahnungsdatum = $field ["dtMahnungDatum"];
$stornierungsdatum = $field ["dtStornierungDatum"];

$beleg_gebucht = $field ["dtGebucht"];
$beleg_stornogebucht = $field ["dtStornoGebucht"];

$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $id . " AND dtErsatzLayout = 0";
$field = get_table_row ( $query );

$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $id . " AND dtErsatzLayout = 1";
$field2 = get_table_row ( $query );

if (! $field) {
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe Beleg-Druck-Infos, wenn es ein neuer Eintrag ist
	erzeugeBelegDruckinfo ( $id, $kundeid );
	
	if ($bErsatzLayoutOhneRabattAktivieren == 1) {
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ schreibe Beleg-Druck-Infos fr das ErsatzLayout
		erzeugeBelegDruckinfo ( $id, $kundeid, 1 );
	}
	
	$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $id;
	$field = get_table_row ( $query );
}

$field_angebot = unserialize ( $field ["dtTexteArrayAngebot"] );
$field_auftragsanfrage = unserialize ( $field ["dtTexteArrayAuftragsanfrage"] );
$field_auftragsbestaetigung = unserialize ( $field ["dtTexteArrayAuftragsbestaetigung"] );
$field_lieferschein = unserialize ( $field ["dtTexteArrayLieferschein"] );
$field_rechnung = unserialize ( $field ["dtTexteArrayRechnung"] );
$field_mahnung = unserialize ( $field ["dtTexteArrayMahnung"] );
$field_stornierung = unserialize ( $field ["dtTexteArrayStornierung"] );
$field_packliste = unserialize ( $field ["dtTexteArrayPackliste"] );

/*
 * Drucklayouts bestimmen
 */
 if (! ($beleg_layout = unserialize ( $field ["dtBelegDrucklayout"] ))) {
 	$beleg_layout = array ();
 	$beleg_layout ["angebot"] = $standard_layout_angebot;
 	$beleg_layout ["auftragsanfrage"] = $standard_layout_auftragsanfrage;
 	$beleg_layout ["auftragsbestaetigung"] = $standard_layout_auftragsbestaetigung;
 	$beleg_layout ["lieferschein"] = $standard_layout_lieferschein;
 	$beleg_layout ["rechnung"] = $standard_layout_rechnung;
 	$beleg_layout ["mahnung"] = $standard_layout_mahnung;
 	$beleg_layout ["stornierung"] = $standard_layout_stornierung;
 	$beleg_layout ["packliste"] = $standard_layout_packliste;
 }
else
{
	foreach($beleg_layout as $cpBeleg_layout_key => $cpBeleg_layout_value)
	{
		
		if(!$beleg_layout[$cpBeleg_layout_key])
		{
			switch($cpBeleg_layout_key){
				case "angebot":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_angebot;
					break;
				case "auftragsanfrage":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_auftragsanfrage;
					break;
				case "auftragsbestaetigung":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_auftragsbestaetigung;
					break;
				case "lieferschein":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_lieferschein;
					break;
				case "rechnung":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_rechnung;
					break;
				case "mahnung":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_mahnung;
					break;
				case "stornierung":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_stornierung;
					break;
				case "packliste":
					$beleg_layout[$cpBeleg_layout_key] = $standard_layout_packliste;
					break;
			}
 				$sVarNameStandard = "standard_layout_" . $cpBeleg_layout_key;
 				global $$sVarNameStandard;
 				$aLayoutsSave [$sLayout] = $$sVarNameStandard;

 				resetBelegDruckinfo ( $id, $cpBeleg_layout_key, $$sVarNameStandard, false, 0 );
 		}
 	}
 	
 	$field_belegdrucklayout ["dtBelegDrucklayout"] = serialize ( $beleg_layout );
	update_into_table ( $tblbelegdruckinfo, $field ["BelegDruckInfo_id"], $field_belegdrucklayout );
}


/*
 * Drucklayouts bestimmen
 */
if (! ($beleg_layout2 = unserialize ( $field2 ["dtBelegDrucklayout"] ))) {
	
	$field_angebot2 = unserialize ( $field2 ["dtTexteArrayAngebot"] );
	$field_auftragsanfrage2 = unserialize ( $field2 ["dtTexteArrayAuftragsanfrage"] );
	$field_auftragsbestaetigung2 = unserialize ( $field2 ["dtTexteArrayAuftragsbestaetigung"] );
	$field_lieferschein2 = unserialize ( $field2 ["dtTexteArrayLieferschein"] );
	$field_rechnung2 = unserialize ( $field2 ["dtTexteArrayRechnung"] );
	$field_mahnung2 = unserialize ( $field2 ["dtTexteArrayMahnung"] );
	$field_stornierung2 = unserialize ( $field2 ["dtTexteArrayStornierung"] );
	$field_packliste2 = unserialize ( $field2 ["dtTexteArrayPackliste"] );
	
	$beleg_layout2 = array ();
	$beleg_layout2 ["angebot"] = $standard_layout_angebot_alternative;
	$beleg_layout2 ["auftragsanfrage"] = $standard_layout_auftragsanfrage_alternative;
	$beleg_layout2 ["auftragsbestaetigung"] = $standard_layout_auftragsbestaetigung_alternative;
	$beleg_layout2 ["lieferschein"] = $standard_layout_lieferschein_alternative;
	$beleg_layout2 ["rechnung"] = $standard_layout_rechnung_alternative;
	$beleg_layout2 ["mahnung"] = $standard_layout_mahnung_alternative;
	$beleg_layout2 ["stornierung"] = $standard_layout_stornierung_alternative;
	$beleg_layout2 ["packliste"] = $standard_layout_packliste_alternative;
}

// Serialisiertes E-Mail Empfnger 2 entserialisieren
$aeMailEmpfaengerAktiv2 = unserialize ( $field ["dtEmailEmpfaengerAktiv2"] );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen

include ("$elementsordner/$subtarget/belegdruckformular.php");

// ++++++++++++++++++++++++++++++++
// +++++++++++ Druck-Log anzeigen

$query_drucklog = $sql_query ["belegdrucklogliste"] . " and $tblbelegdrucklog.fiBeleg = " . $id;
$liste_log = get_table_array ( $query_drucklog );

$listenname = "belegdrucklog";
$listenhoehe = 220;
$show_fields = array (
		"dtAnzeigeName",
		"dtDatumZeit",
		"dtAusgabeTyp",
		"dtBelegTyp",
		"fiDokumentLayout",
		"dtIntegritaet",
		"ButtonAnzeigen" 
);
$field_headlines = array (
		"Benutzer",
		"Datum / Zeit",
		"Ausgabetyp",
		"Belegart",
		"Dokumentlayout",
		"Integritt",
		"" 
);
$field_width = array (
		200,
		150,
		220,
		130,
		130,
		130,
		130 
);
$field_colors = array (
		"",
		"",
		"",
		"",
		"",
		"",
		"" 
);
$field_sort_options = array (
		"",
		"",
		"",
		"",
		"",
		"",
		"Buttons" 
);

$field_textfilter_active = array (
		"" 
);

include ("$elementsordner/$subtarget/belegdrucklogliste.php");

?>
