<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["belegmahnschritteliste"] . " and $tblbelegmahnschritte.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

$field_new ["fiBeleg"] = $id;

if ($subid == "") {
	
	$query = $sql_query ["mahnschritteliste"] . " and id = " . $field_new ["fiMahnschritt"];
	$mahnschritt_row = get_table_row ( $query );
	
	unset ( $field_new ["fiMahnschritt"] );
	
	$field_new ["dtMahnschrittName"] = $mahnschritt_row ["dtMahnschrittName"];
	$field_new ["dtMahnschrittKosten"] = $mahnschritt_row ["dtMahnschrittKosten"];
	$field_new ["dtMahnschrittMwSt"] = $mahnschritt_row ["dtMahnschrittMwSt"];
	$field_new ["dtMahnschrittBeschreibung"] = $mahnschritt_row ["dtMahnschrittBeschreibung"];
	$field_new ["dtMahnschrittTage"] = $mahnschritt_row ["dtMahnschrittTage"];
	$field_new ["dtMahnschrittGebucht"] = 0;
	
	$maxquery = "select max(dtMahnschritt) as maxmahnschritt from $tblbelegmahnschritte where fiBeleg = '" . $id . "' ";
	$maxrow = get_table_row ( $maxquery );
	$maxschritt = $maxrow ["maxmahnschritt"] + 1;
	
	$field_new ["dtMahnschritt"] = $maxschritt;
	$field_new ["dtMahnschrittDatum"] = $aktdatum;
	$field_new ["fiMahnschrittMitarbeiter"] = $benutzer_row ["fiUserNr"];
} else {
	
	check_double ( $field_new ["dtMahnschrittKosten"] );
	check_double ( $field_new ["dtMahnschrittMwSt"] );
	
	$field_new ["dtMahnschrittKosten"] = preis_to_sql ( $field_new ["dtMahnschrittKosten"] );
	$field_new ["dtMahnschrittMwSt"] = double_to_sql ( $field_new ["dtMahnschrittMwSt"] );
	
	$field_new ["dtMahnschrittDatum"] = concat_date ( $field_new ["datum_mahnschritt_tag"], $field_new ["datum_mahnschritt_monat"], $field_new ["datum_mahnschritt_jahr"] );
	unset ( $field_new ["datum_mahnschritt_tag"] );
	unset ( $field_new ["datum_mahnschritt_monat"] );
	unset ( $field_new ["datum_mahnschritt_jahr"] );
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtMahnschritt"] ), 1, "Mahnschritt", $target, $typ, $id, $subtarget, "show", $subid );
	
	$field_new ["fiMahnschrittMitarbeiter"] = $benutzer_row ["fiUserNr"];
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	$subid = insert_into_table ( $tblbelegmahnschritte, $field_new );
	
	$aBeleg = array (
			"dtMahnungDatum" => $field_new ["dtMahnschrittDatum"] 
	);
	
	update_into_table ( $tblbelege, $id, $aBeleg );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	update_into_table ( $tblbelegmahnschritte, $subid, $field_new );
}

delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>