<?php

// Projekt-ID aus Kopfdaten
$projektid = $field ["fiProjekt"];

// Kurze oder lange Liste
if ($_SESSION ['minmaxstatus'] [$target] != "min") {
	$listenhoehe = 398;
} else {
	$listenhoehe = 520;
}
$counter_kante = 0;

// Wenn Rechnung gebucht ist, dann readonly-Anzeige
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$field = get_table_row ( $query );

if ($field ["dtGebucht"] != 0) {
	$readonly = "readonly";
} else {
	$readonly = "";
}

$fRabattGesamtNetto = 0;
$fRabattGesamtBrutto = 0;

$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $field ["fiKunde"];
$kunde_row = get_table_row ( $query );

/*
 * hole Belegstatus Datensatz
 */
$query = $sql_query ["belegstatusliste"] . " and id = '" . $field ["fiStatus"] . "'";
$field_belegstatus = get_table_row ( $query );

/*
 * - Tabellenabfragen starten - Ergebnisse in _einem_ Array speichern - Array durchgehen und nach dtPosNr ein zweites Array aufbauen. Hierbei auf Eintrge aufpassen, die die gleiche dtPosNr haben. - Neues Array sortieren - Neuformular anzeigen - Neues Array durchgehen und die passenden Formulare includen
 */

$sQueryMaterialposten = $sql_query ["belegmaterialpostenliste"] . " and $tblbelege.id = " . $id . " order by $tblbelegmaterialposten.dtPosNr";
$aMaterialpostenListe = get_table_array ( $sQueryMaterialposten );

$sQueryFreitextposten = $sql_query ["belegpostenliste"] . " and $tblbelege.id = " . $id . " order by $tblbelegposten.dtPosNr";
$aFreitextpostenListe = get_table_array ( $sQueryFreitextposten );

$aListeAlle = array_merge ( ( array ) $aMaterialpostenListe, ( array ) $aFreitextpostenListe );
$aListeAlleNeu = array ();

$iAnzahlGesamt = count ( $aListeAlle );
$iZaehlerAddition = 0;

for($i = 0; $i < $iAnzahlGesamt; $i ++) {
	$iPos = ( int ) $aListeAlle [$i] ["dtPosNr"];
	
	if (isset ( $aListeAlleNeu [$iPos] )) {
		$iZaehlerAddition ++;
	}
	
	$aListeAlleNeu [$iPos + $iZaehlerAddition] = $aListeAlle [$i];
}

unset ( $aListeAlle, $aFreitextpostenListe, $aMaterialpostenListe );
ksort ( $aListeAlleNeu ); // Array sortieren

if ($bDarstellungBelegpostenUmgekehrt) {
	$aListeAlleNeu = array_reverse ( $aListeAlleNeu, true );
}

/*
 * Neuformular
 */
$field ["dtMwstSatz"] = $stdmwstsatz;

// ermittle MwSt-Satz des Kunden und passe ggf Mwst-Satz des Artikels an
$query = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = " . $field ["fiKunde"];
if (get_table_count ( $query ) != 0) {
	$field_mwst = get_table_row ( $query );
	if ($field_mwst ["dtMwstSatzTyp"] == 1 or $field_mwst ["dtMwstSatzTyp"] == 2) {
		$field ["dtMwstSatz"] = 0;
	}
}

// +++++ SHFF Packmengen Funktion +++++ //
if (function_exists ( "shffFischeInBeleg" )) {
	// bergeben wird die Beleg ID
	shffFischeInBeleg ( $id );
}

if (count ( $aListeAlleNeu ) > 0) {
	$bBeideAufklappen = false;
	$bMaterialpostenZuletzt = false;
	
	if (! $bDarstellungBelegpostenUmgekehrt) {
		$iLastPos = array_pop ( array_keys ( $aListeAlleNeu ) );
		
		if (isset ( $aListeAlleNeu [$iLastPos] ["BelegMaterialPosten_id"] )) {
			$bMaterialpostenZuletzt = true;
		}
	} else {
		$iFirstPos = array_shift ( array_keys ( $aListeAlleNeu ) );
		
		if (isset ( $aListeAlleNeu [$iFirstPos] ["BelegMaterialPosten_id"] )) {
			$bMaterialpostenZuletzt = true;
		}
	}
} else {
	$bBeideAufklappen = true;
}
if ($readonly != "readonly") {
	include ("$elementsordner/$subtarget/belegmaterialpostenneuformular.php");
	include ("$elementsordner/$subtarget/belegfreitextpostenneuformular.php");
}

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
echo "</table>";

echo "<div style=\"height: " . $listenhoehe . "px; overflow: auto; background-color: " . $bgcolor_formular . ";\">";
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td valign=\"top\">";
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";

if (count ( $aListeAlleNeu ) > 0) {
	$iArtikelCounter = 0;
	foreach ( $aListeAlleNeu as $listenzeile_id => $field ) {
		// +++++++++++ Formular anzeigen
		if (isset ( $field ["BelegMaterialPosten_id"] )) {
			$artikelId = $field ["fiArtikel"];
			
			if ($bBelegeWarnmeldungMengeBeauftragt) {
				if ($field ["dtLagerRelevant"] == 0 && $field_belegstatus ["dtAuftragRelevant"] == 0) {
					
					$aVariante = "";
					if ($field ["dtVariante"] != "")
						$aVarianteAktuell = unserialize ( $field ["dtVariante"] );
					
					foreach ( $aVarianteAktuell as $cpVarianteName => $cpVarianteKey ) {
						if ($cpVarianteKey != "-1")
							$aVariante [$cpVarianteName] = $cpVarianteKey;
					}
					
					$iAnzahlVerfuegbar = mengenfeld ( getArtikelAnzahlVerfuegbar ( $field ["fiArtikel"], 0, $field ["dtVariante"] ) );
					$iAnzahlBeauftragt = mengenfeld ( getArtikelAnzahlVerfuegbar ( $field ["fiArtikel"], 0, $field ["dtVariante"], 0, 1 ) );
					
					$sQuerySQL = $sql_query ["belegmaterialpostenliste"] . " AND $tblbelegmaterialposten.fiBeleg = " . $id . " AND $tblbelegmaterialposten.fiArtikel = " . $artikelId . " AND $tblbelegmaterialposten.dtVariante LIKE  '%" . $field ["dtVariante"] . "%'";
					$aBelegPostenResult = get_table_array ( $sQuerySQL );
					$iMenge = 0;
					
					if ($aBelegPostenResult) {
						foreach ( ( array ) $aBelegPostenResult as $cpBelegPostenResult ) {
							$iMenge += $cpBelegPostenResult ["dtMenge"];
						}
					}
					
					if ($iAnzahlBeauftragt - $iMenge > $iAnzahlVerfuegbar) {
						$bZuVielBeauftragt = true;
						$aBeauftragtZuVielArtikel [$iArtikelCounter] = $field ["dtArtikel"];
						$iArtikelCounter ++;
					}
				}
			}
			if (! $aArtikelMenge [$field ["fiArtikel"]] [$field ["dtVariante"]]) {
				$aArtikelMenge [$field ["fiArtikel"]] [$field ["dtVariante"]] += $field ["dtMenge"];
				$bMehrfachArtikel = 0;
			} else {
				$bMehrfachArtikel = 1;
			}
			
			include ("$elementsordner/$subtarget/belegmaterialpostenformular.php");
			
			if ($bMehrfachArtikel == 1)
				$aArtikelMenge [$field ["fiArtikel"]] [$field ["dtVariante"]] += $field ["dtMenge"];
		} else {
			
			if ($field ["dtIstZwischensumme"] == "1") {
				if ($bDarstellungBelegpostenUmgekehrt == 1) {
					berechneZwischensummeUmgekehrt ( $field, $aListeAlleNeu );
				}
				include ("$elementsordner/$subtarget/zwischensummeformular.php");
			} elseif ($field ["dtIstSeitenumbruch"] == "1") {
				include ("$elementsordner/$subtarget/seitenumbruchformular.php");
			} elseif ($field ["dtIstTextfeld"] == "1") {
				include ("$elementsordner/$subtarget/textfeldformular.php");
			} else {
				/*
				 * Festlegen, ob Rabattpreise immer, ber "R"-Button oder gar nicht angezeigt werden -1 = zeige nichts an 0 = zeige "R"-Button an 1 = zeige immer an
				 */
				if ($field ["dtPostenRabatt"] > 0) {
					if ($belegmaterialposten_rabattpreise_detailanzeige)
						$rabattpreise_anzeigen = 1;
					else
						$rabattpreise_anzeigen = 0;
				} else {
					$rabattpreise_anzeigen = - 1;
				}
				
				include ("$elementsordner/$subtarget/belegfreitextpostenformular.php");
			}
		}
	}
	
	if ($bZuVielBeauftragt == true) {
		$meldung = new Fehler ();
		$meldung->Ueberschrift = "<b>Bei den folgenden Artikeln ist die anderweitig beauftragte Menge grer als die verfgbare Menge </b>";
		
		for($iCounter = 0; $iCounter < $iArtikelCounter; $iCounter ++) {
			$sBeauftragtZuVielArtikel .= "Artikel " . ($iCounter + 1) . " : " . $aBeauftragtZuVielArtikel [$iCounter] . "<br>";
		}
		$meldung->Fehlertext = $sBeauftragtZuVielArtikel;
		echo $meldung->getErrorBox ();
	}
}

echo "</table>";
echo "<div id=ende></div>";
echo "</td></tr></table>";

echo "</div>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
echo "</table>";

// ++++++++++++++++++++++++++++++++
// +++++++++++ Rechnungssumme anzeigen
include ("$elementsordner/$target/belegsumme.php");

?>