<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// prfe, ob mindestens Artikeltext eingegeben wurden
check_fehlermeldung_output ( check_nozero ( $field_new ["fiArtikel"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "show", $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei Neu
if ($subid == "") {
	
	unset ( $field_new ["dtPreisBrutto"] );
	unset ( $field_new ["dtGesamtNetto"] );
	unset ( $field_new ["dtGesamtBrutto"] );
	
	$field_new ["fiBeleg"] = $id;
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtMenge"] ), 1, "Menge", $target, $typ, $id, $subtarget, "show", $subid );
	
	// prfe, ob Artikel in ausreichender Menge auf Lager ist
	$query = "select * from $tblartikelstueck where fiArtikel = " . $field_new ["fiArtikel"] . " and fiBeleg = 0 and fiBelegVerbrauch = 0 and fiArtikelStueckVerbrauch = 0";
	$anzahl = get_table_count ( $query );
	if ($anzahl < $field_new ["dtMenge"]) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 24, $anzahl );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
		throw $fehler;
	}
}

// wenn Beleg = gebucht, dann nicht ndern oder neu hinzufgen
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$sub_row = get_table_row ( $query );
if ($sub_row ["dtGebucht"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 22 );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
	throw $fehler;
}

// ordne die Artikel in tblArtikelStck diesem Beleg zu
for($n = 0; $n < $field_new ["dtMenge"]; $n ++) {
	$query = "select * from $tblartikelstueck where fiArtikel = " . $field_new ["fiArtikel"] . " and fiBeleg = 0 and fiBelegVerbrauch = 0 and fiArtikelStueckVerbrauch = 0";
	$artikelstueck_row = get_table_row ( $query );
	$artikelstueck_row ["fiBelegVerbrauch"] = $id;
	update_into_table ( $tblartikelstueck, $artikelstueck_row ["id"], $artikelstueck_row );
}

if ($field_new ["fiArtikel"] > 0) {
	$aArtikelNeu = array ();
	$aArtikelNeu ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
	update_into_table ( $tblartikel, $field_new ["fiArtikel"], $aArtikelNeu );
}

$query = "select * from $tblartikel where id = " . $field_new ["fiArtikel"];
$aEinheitRow = mysql_fetch_array ( mysql_query ( $query ) );

$query = "select * from $tblbelegmaterialverbrauch where fiArtikel = " . $field_new ["fiArtikel"] . " and fiBeleg = " . $id;
$aVorhandenRow = mysql_fetch_array ( mysql_query ( $query ) );

if ($aVorhandenRow) {
	$aVorhandenRow ["dtMenge"] += $field_new ["dtMenge"];
	
	update_into_table ( $tblbelegmaterialverbrauch, $aVorhandenRow ["id"], $aVorhandenRow );
} else {
	$aBelegVerbrauch ["fiBeleg"] = $id;
	$aBelegVerbrauch ["fiArtikel"] = $field_new ["fiArtikel"];
	$aBelegVerbrauch ["dtMenge"] = $field_new ["dtMenge"];
	$aBelegVerbrauch ["fiEinheit"] = $aEinheitRow ["fiEinheit"];
	$aBelegVerbrauch ["dtMwstSatz"] = $artikelstueck_row ["dtMwstSatzEK"];
	$aBelegVerbrauch ["dtPreisNetto"] = $artikelstueck_row ["dtPreisEK"];
	$aBelegVerbrauch ["dtVariante"] = $artikelstueck_row ["dtVariante"];
	$aBelegVerbrauch ["dtVarianteArtNr"] = $artikelstueck_row ["dtVarianteArtNr"];
	$aBelegVerbrauch ["dtVarianteArtName"] = $artikelstueck_row ["dtVarianteArtName"];
	
	$iProduktionsArtikel = getArtikelProduktion ( $field_new ["fiArtikel"] );
	
	// +++++ 1. Einkaufsartikel: Benutze immer den LieferantenEK der in der Lagerartikelansicht sichtbar ist und berechne die Variantensumme dazu, falls es welche gibt +++++ //
	if ($iProduktionsArtikel == 0 && $bArtikelEinkaufBenutzeImmerLieferantenEK == 1) {
		$sLieferantenQueryEK = mysql_query ( "SELECT * FROM $tblartikellieferanten WHERE fiArtikel = " . $field_new ["fiArtikel"] );
		$aResultLieferantenEK = mysql_fetch_array ( $sLieferantenQueryEK );
		$dLieferantenPreisEK = $aResultLieferantenEK ["dtStueckPreisEK"];
		
		if ($field_new ["dtVariante"] != "") {
			$fVariantenZuschlag = getVarianteSumme ( $field_new ["dtVariante"] );
		}
		
		$dEndpreisEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;
		
		$aBelegVerbrauch ["dtPreisNettoEK"] = $dEndpreisEinzelEK;
		$aBelegVerbrauch ["dtMwstNettoEK"] = $field_new ["dtMwstSatz"];
	} // +++++ 2. Einkaufsartikel: Benutze immer den letzten ArtikelstckpreisEK ohne Variantenberechnung (Falls bentigt, wird diese schnell hinzugefgt) +++++ //
elseif ($iProduktionsArtikel == 0 && $bArtikelEinkaufBenutzeImmerLieferantenEK == 0) {
		$sQueryArtikelstueckEK = $sql_query ["artikelstueckliste"];
		$sQueryArtikelstueckEK .= " and $tblartikelstueck.fiArtikel = " . $field_new ["fiArtikel"] . " LIMIT 0,1";
		
		$aResultArtikelstueckEK = get_table_array ( $sQueryArtikelstueckEK );
		// +++++ Gibt es einen Artikelstck Eintrag UND ist dieser Wert belegt oder grer als 0, weise diesen Wert zu +++++ //
		if ($aResultArtikelstueckEK != NULL || $aResultArtikelstueckEK [0] ["dtPreisEK"] != "" || $aResultArtikelstueckEK [0] ["dtPreisEK"] > 0) {
			$dEndpreisEinzelEK = $aResultArtikelstueckEK [0] ["dtPreisEK"];
			$dEndpreisEinzelMwst = $aResultArtikelstueckEK [0] ["dtMwstSatzEK"];
		}  // +++++ Sonst nehme den Lieferanten EK +++++ //
else {
			$sLieferantenQueryEK = mysql_query ( "SELECT * FROM $tblartikellieferanten WHERE fiArtikel = " . $field_new ["fiArtikel"] );
			$aLieferantenResultEK = mysql_fetch_array ( $sLieferantenQueryEK );
			$dLieferantenPreisEK = $aResultLieferantenEK ["dtStueckPreisEK"];
			
			if ($field_new ["dtVariante"] != "") {
				$fVariantenZuschlag = getVarianteSumme ( $field_new ["dtVariante"] );
			}
			
			$dEndpreisEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;
			$dEndpreisEinzelMwst = $field_new ["dtMwstSatz"];
		}
		
		$aBelegVerbrauch ["dtPreisNettoEK"] = $dEndpreisEinzelEK;
		$aBelegVerbrauch ["dtMwstNettoEK"] = $dEndpreisEinzelMwst;
	} // +++++ 3. Produktionsartikel: Benutze immer den letzten ProduktionsartikelstckpreisEK mit Variantenberechnung +++++ //
elseif ($iProduktionsArtikel == 1 && $bArtikelProduktionBenutzeImmerLieferantenEK == 0) {
		$aBelegVerbrauch ["dtPreisNettoEK"] = getProduktionsPreisEK ( $field_new ["fiArtikel"], $field_new ["dtVariante"] );
		$aBelegVerbrauch ["dtMwstNettoEK"] = $field_new ["dtMwstSatz"];
	} // +++++ 4. Produktionsartikel: Benutze die Produktionsstckliste, berechne die Preise und fge jeweils die Variantenkosten hinzu +++++ //
elseif ($iProduktionsArtikel == 1 && $bArtikelProduktionBenutzeImmerLieferantenEK == 1) {
		$sQueryLieferantenEK = mysql_query ( "SELECT * FROM $tblartikellieferanten WHERE fiArtikel = " . $field_new ["fiArtikel"] );
		$aResultLieferantenEK = mysql_fetch_array ( $sQueryLieferantenEK );
		$dLieferantenPreisEK = $aResultLieferantenEK ["dtStueckPreisEK"];
		
		if ($field_new ["dtVariante"] != "") {
			$fVariantenZuschlag = getVarianteSumme ( $field_new ["dtVariante"] );
		}
		
		$dEndpreisEinzelEK = $dLieferantenPreisEK + $fVariantenZuschlag;
		
		$aBelegVerbrauch ["dtPreisNettoEK"] = $dEndpreisEinzelEK;
		$aBelegVerbrauch ["dtMwstNettoEK"] = $field_new ["dtMwstSatz"];
	}
	
	insert_into_table ( $tblbelegmaterialverbrauch, $aBelegVerbrauch );
}

delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>