<?php

// Ttigkeitenfilter
$extendquery = filter_multiselect_return_query ( $filter [$listenname] ["taetigkeit"], "$tblprojektzeiten.fiTaetigkeit" );

// Mitarbeiter
$extendquery .= filter_multiselect_return_query ( $filter [$listenname] ["mitarbeiter"], "$tblprojektzeiten.fiMitarbeiter" );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["dtKW"] );
unset ( $field_new ["datum_tag"] );
unset ( $field_new ["datum_monat"] );
unset ( $field_new ["datum_jahr"] );
unset ( $field_new ["dtProjektzeitDezimal"] );
unset ( $field_new ["dtFahrzeit"] );
unset ( $field_new ["dtEntfernungKilometer"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtAktiv"] = (int)$field_new["dtAktiv"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
if ($field_new ["zeitposten"] == "true") {
	$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.fiProjekt = " . $field_new ["projektid"] . " and $tblprojektzeiten.dtAbgerechnet!=1";
	$query .= $extendquery;
	$query .= " order by $tblprojektzeiten.dtDatum asc";
	$liste = get_table_array ( $query );
	
	$bAlleZeitposten = true;
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $projektzeit_field ) {
			$aProjektzeiten [$listenzeile_id] = $projektzeit_field ["Projektzeiten_id"];
		}
	} else
		$aProjektzeiten = "";
} else {
	$aProjektzeiten [0] = $field_old ["Projektzeiten_id"];
}

foreach ( $aProjektzeiten as $cpProjektzeiten ) {
	
	if ($bAlleZeitposten) {
		unset ( $field_old );
		$query = $sql_query ["projektzeitenliste"] . " and $tblprojektzeiten.id = " . $cpProjektzeiten;
		$field_old = get_table_row ( $query );
		$subid = $cpProjektzeiten;
	}
	
	$field_new ["fiBeleg"] = $id;
	$field_new ["fiMitarbeiter"] = $field_old ["fiMitarbeiter"];
	$field_new ["fiProjektzeit"] = $cpProjektzeiten;
	$field_new ["dtDatum"] = $field_old ["dtDatum"];
	$field_new ["dtBezeichnung"] = $belegzeitposten_standardtext;
	$field_new ["dtMenge"] = $field_old ["dtProjektzeitDezimal"];
	$field_new ["dtPreisNetto"] = $field_old ["dtStdSatz"];
	$field_new ["fiBuchungsKonto"] = $standardbuchhaltungskonto_belegzeitposten;
	
	if ($bArbeitsnachweiseAutomatischAufBeleg == 1)
		$field_new ["dtBelegZeitZuBeleg"] = 1;
		// ermittle MwSt-Satz des Kunden
	$query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_old ["fiProjekt"];
	$field_projekt = get_table_row ( $query );
	
	$query = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = " . $field_projekt ["fiKunde"];
	
	$field_new ["dtMwstSatz"] = $stdmwstsatz;
	
	if (get_table_count ( $query ) != 0) {
		$field_mwst = get_table_row ( $query );
		if ($field_mwst ["dtMwstSatzTyp"] == 1 or $field_mwst ["dtMwstSatzTyp"] == 2) {
			$field_new ["dtMwstSatz"] = 0;
		}
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe neuen Datensatz
	
	$belegzeitposten_id = insert_into_table ( $tblbelegzeitposten, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe ggf. Zusatzzeiten (Fahrtzeit und Fahrtstrecke)
	unset ( $field_new );
	
	if ($field_old ["dtFahrzeit"] != 0) {
		
		$query = $sql_query ["zusatzzeitvorlagenliste"] . " and $tblzusatzzeitvorlagen.id = " . $belegzeitposten_fahrtzeit_zusatzzeit_id;
		$field_zusatzzeit = get_table_row ( $query );
		
		$field_new ["dtZusatzzeitTyp"] = 1;
		$field_new ["fiBelegZeitPosten"] = $belegzeitposten_id;
		$field_new ["dtZusatzzeitName"] = $field_zusatzzeit ["dtZusatzzeitName"];
		$field_new ["fiZusatzzeitEinheit"] = $field_zusatzzeit ["fiZusatzzeitEinheit"];
		$field_new ["dtZusatzzeitAnzahl"] = $field_old ["dtFahrzeit"];
		$field_new ["dtZusatzzeitSatz"] = 0;
		
		if ($field_zusatzzeit ["dtPreisGleichStdSatz"] == 1) {
			$field_new ["dtZusatzzeitPreisNetto"] = $field_old ["dtStdSatz"];
		} else {
			$field_new ["dtZusatzzeitPreisNetto"] = $field_zusatzzeit ["dtZusatzzeitPreis"];
		}
		
		insert_into_table ( $tblbelegzeitpostenzusatzzeiten, $field_new );
	}
	
	unset ( $field_new );
	
	if ($field_old ["dtEntfernungKilometer"] != 0) {
		
		$query = $sql_query ["zusatzzeitvorlagenliste"] . " and $tblzusatzzeitvorlagen.id = " . $belegzeitposten_fahrtkosten_zusatzzeit_id;
		$field_zusatzzeit = get_table_row ( $query );
		
		$field_new ["dtZusatzzeitTyp"] = 1;
		$field_new ["fiBelegZeitPosten"] = $belegzeitposten_id;
		$field_new ["dtZusatzzeitName"] = $field_zusatzzeit ["dtZusatzzeitName"];
		$field_new ["fiZusatzzeitEinheit"] = $field_zusatzzeit ["fiZusatzzeitEinheit"];
		$field_new ["dtZusatzzeitAnzahl"] = $field_old ["dtEntfernungKilometer"];
		$field_new ["dtZusatzzeitSatz"] = 0;
		
		if ($field_zusatzzeit ["dtPreisGleichStdSatz"] == 1) {
			$field_new ["dtZusatzzeitPreisNetto"] = $field_old ["dtStdSatz"];
		} else {
			$field_new ["dtZusatzzeitPreisNetto"] = $field_zusatzzeit ["dtZusatzzeitPreis"];
		}
		
		insert_into_table ( $tblbelegzeitpostenzusatzzeiten, $field_new );
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe ggf. berstunden
	
	$query = $sql_query ["ueberstundenliste"] . " and $tblueberstunden.fiProjektzeit = " . $subid;
	$liste = get_table_array ( $query );
	
	if (count ( $liste ) > 0) {
		foreach ( $liste as $listenzeile_id => $ueberstunden_field ) {
			unset ( $field_new );
			
			$field_new ["dtZusatzzeitTyp"] = 0;
			$field_new ["fiBelegZeitPosten"] = $belegzeitposten_id;
			$field_new ["dtZusatzzeitName"] = $ueberstunden_field ["dtBezeichnung"];
			$field_new ["fiZusatzzeitEinheit"] = $belegzeitposten_ueberstunden_standardeinheit;
			$field_new ["dtZusatzzeitAnzahl"] = $ueberstunden_field ["dtUeberstundenZeit"];
			$field_new ["dtZusatzzeitSatz"] = $ueberstunden_field ["dtUeberstundenSatz"];
			$field_new ["dtZusatzzeitPreisNetto"] = 0;
			
			insert_into_table ( $tblbelegzeitpostenzusatzzeiten, $field_new );
		}
	}
	
	bilanzbeleg_aktualisieren ( $id, true );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ setze Projektzeit auf abgerechnet
	unset ( $field_new );
	$field_new ["dtAbgerechnet"] = 1;
	update_into_table ( $tblprojektzeiten, $subid, $field_new );
}
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>