<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtAktiv"] = (int)$field_new["dtAktiv"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ berstunden
if ($field_new ["zusatzzeitart"] == "ueberstunden") {
	
	unset ( $field_new ["zusatzzeitart"] );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
	if ($subid == "") {
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Nachbearbeitung der gesendeten Werte
		
		$query = $sql_query ["ueberstundensaetzeliste"] . " and id = " . $field_new ["fiUeberstundenSatz"];
		$field_ueberstundensatz = get_table_row ( $query );
		
		$field_new ["dtZusatzzeitTyp"] = 0;
		$field_new ["fiBelegZeitPosten"] = $id;
		$field_new ["dtZusatzzeitName"] = $field_ueberstundensatz ["dtBezeichnung"];
		$field_new ["fiZusatzzeitEinheit"] = $belegzeitposten_ueberstunden_standardeinheit;
		$field_new ["dtZusatzzeitAnzahl"] = 1;
		$field_new ["dtZusatzzeitSatz"] = $field_ueberstundensatz ["dtSatz"];
		
		unset ( $field_new ["fiUeberstundenSatz"] );
		
		insert_into_table ( $tblbelegzeitpostenzusatzzeiten, $field_new );
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ sonst ndere bestehenden Datensatz
	} else {
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Nachbearbeitung der gesendeten Werte
		check_double ( $field_new ["dtZusatzzeitSatz"] );
		check_double ( $field_new ["dtZusatzzeitAnzahl"] );
		
		$field_new ["dtZusatzzeitAnzahl"] = double_to_sql ( $field_new ["dtZusatzzeitAnzahl"] );
		$field_new ["dtZusatzzeitSatz"] = double_to_sql ( $field_new ["dtZusatzzeitSatz"] );
		
		unset ( $field_new ["dtPreisNetto"] );
		unset ( $field_new ["dtGesamtNetto"] );
		
		update_into_table ( $tblbelegzeitpostenzusatzzeiten, $subid, $field_new );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zusatzzeiten
if ($field_new ["zusatzzeitart"] == "zusatzzeiten") {
	
	unset ( $field_new ["zusatzzeitart"] );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
	if ($subid == "") {
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Nachbearbeitung der gesendeten Werte
		
		$query = $sql_query ["zusatzzeitvorlagenliste"] . " and $tblzusatzzeitvorlagen.id = " . $field_new ["fiZusatzzeitVorlage"];
		$field_zusatzzeit = get_table_row ( $query );
		
		$field_new ["dtZusatzzeitTyp"] = 1;
		$field_new ["fiBelegZeitPosten"] = $id;
		$field_new ["dtZusatzzeitName"] = $field_zusatzzeit ["dtZusatzzeitName"];
		$field_new ["fiZusatzzeitEinheit"] = $field_zusatzzeit ["fiZusatzzeitEinheit"];
		$field_new ["dtZusatzzeitAnzahl"] = 1;
		if ($field_zusatzzeit ["dtPreisGleichStdSatz"] == 1) {
			$field_new ["dtZusatzzeitPreisNetto"] = $field_new ["stdsatz"];
		} else {
			$field_new ["dtZusatzzeitPreisNetto"] = $field_zusatzzeit ["dtZusatzzeitPreis"];
		}
		unset ( $field_new ["fiZusatzzeitVorlage"] );
		unset ( $field_new ["stdsatz"] );
		
		insert_into_table ( $tblbelegzeitpostenzusatzzeiten, $field_new );
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ sonst ndere bestehenden Datensatz
	} else {
		
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Nachbearbeitung der gesendeten Werte
		check_double ( $field_new ["dtPreisNetto"] );
		check_double ( $field_new ["dtZusatzzeitAnzahl"] );
		
		$field_new ["dtZusatzzeitPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );
		$field_new ["dtZusatzzeitAnzahl"] = double_to_sql ( $field_new ["dtZusatzzeitAnzahl"] );
		
		unset ( $field_new ["dtPreisNetto"] );
		unset ( $field_new ["dtGesamtNetto"] );
		
		update_into_table ( $tblbelegzeitpostenzusatzzeiten, $subid, $field_new );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$typ = "zusatzzeit";
include ($targetsordner . "/" . $target . "/zusatzzeit.php");

?>
