<?php
$query = $sql_query ["bestellungliste"] . " and $tblbestellungen.id = " . $id;
$field = get_table_row ( $query );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );
unset ( $field_new ["fiProjekt"] );

$aUebernehmen = $field_new ["uebernehmen"];
$aMenge = $field_new ["menge"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge Rechnung

// Teste, ob RechnungNr nicht schon vergeben ist
if (! empty ( $id )) {
	$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtRechnungNrIntern = $dtRechnungNrIntern and $tblrechnungen.id != $id";
} else {
	$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtRechnungNrIntern = $dtRechnungNrIntern";
}

check_fehlermeldung_output ( check_unique ( $query ), 7, "Rechnung Nr.", $target, $typ, $id, $subtarget, "show", $subid );

$field_new ["dtRechnungDatum"] = concat_date ( $field_new ["datum_rechnung_tag"], $field_new ["datum_rechnung_monat"], $field_new ["datum_rechnung_jahr"] );

unset ( $field_new ["datum_rechnung_tag"] );
unset ( $field_new ["datum_rechnung_monat"] );
unset ( $field_new ["datum_rechnung_jahr"] );

if (is_array ( $aUebernehmen ) && count ( ( array ) $aUebernehmen ) > 0) {
	$field_new ["dtGebucht"] = 0;
	$field_new ["fiBestellung"] = $id;
	$field_new ["dtBestellungNr"] = $field ["dtBestellungNr"];
	$field_new ["fiZahlart"] = standard_zahlart_rechnungen;
	$iRechnungId = insert_into_table ( $tblrechnungen, $field_new );
	
	// hole Rechnungs-Informationen
	$query = "select * from $tblrechnungen where id = " . $iRechnungId;
	$aRechnung = get_table_row ( $query );
} else {
	$f = new Fehler ();
	$f->setCustom ( "Keine Posten", "Es wurden keine Posten zur Rechnungserzeugung ausgewhlt!" );
	$f->setNext ( $target, $typ, $id, $subtarget, "show" );
	throw ($f);
}

// +++++ Belegung der Preisgruppevariablen mit -1 +++++//
$iPreisgruppe = - 1;

/*
 * Rechnungsposten erzeugen
 */
if (is_array ( $aUebernehmen ) && count ( ( array ) $aUebernehmen ) > 0) {
	foreach ( $aUebernehmen as $sIdPosten => $iEnabled ) {
		if ($iEnabled != 1)
			continue;
		
		$aExplodeId = explode ( "-", $sIdPosten, 2 );
		
		switch ($aExplodeId [0]) {
			case "m" :
				$sQuery = $sql_query ["bestellungmaterialpostenliste"] . " AND $tblbestellungmaterialposten.id = " . $aExplodeId [1];
				$aPosten = get_table_row ( $sQuery );
				
				// Als exportiert abspeichern
				$aPosten ["dtAlsRechnungExportiert"] = 1;
				update_into_table ( $tblbestellungmaterialposten, $aExplodeId [1], $aPosten );
				
				// benutze die Menge, die bei der Bestellung zur bernahme eingegeben wurde
				$aPosten ["dtMenge"] = double_to_sql ( $aMenge [$sIdPosten] );
				
				$sQuery = "SELECT * FROM $tblartikel WHERE id = " . $aPosten ["fiArtikel"];
				$aArtikel = get_table_row ( $sQuery );
				
				$aRechnungposten = array (
						"fiRechnung" => $iRechnungId,
						"fiArtikelListe" => $aPosten ["fiArtikel"],
						"dtArtikelNr" => $aArtikel ["dtEigeneArtikelNr"],
						"dtArtikelBezeichnung" => $aArtikel ["dtArtikel"],
						"dtArtikelFabrikat" => $aPosten ["dtFabrikat"],
						"dtMenge" => $aPosten ["dtMenge"],
						"fiEinheit" => $aPosten ["fiEinheit"],
						"dtMwstSatz" => $aPosten ["dtMwstSatz"],
						"dtPreisNetto" => $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]),
						"fiBuchungsKonto" => $aPosten ["fiBuchungsKonto"],
						"dtVariante" => $aPosten ["dtVariante"],
						"dtVarianteArtNr" => $aPosten ["dtVarianteArtNr"],
						"dtVarianteArtName" => $aPosten ["dtVarianteArtName"] 
				);
				
				insert_into_table ( $tblrechnungposten, $aRechnungposten );
				
				// Lagerrelevanz prfen
				$sQuery = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = " . $aPosten ["fiBuchungsKonto"];
				$aBuchungskonto = get_table_row ( $sQuery );
				
				if ($aBuchungskonto ["dtLagerRelevant"] == 1) // Artikel ist lagerrelevant, fge ArtikelStueck hinzu
{
					
					if (getArtikelTyp ( $aPosten ["fiArtikel"] ) == 0) // Stckgut
{
						$aStueck = array (
								"fiArtikel" => $aPosten ["fiArtikel"],
								"fiLieferant" => $aRechnung ["fiLieferant"],
								"fiRechnung" => $iRechnungId,
								"fiProjekt" => $field ["fiProjekt"],
								"fiProjektTaetigkeit" => $standardtaetigkeit_projektartikel,
								"dtFremdArtikelNr" => $aArtikel ["dtEigeneArtikelNr"],
								"dtPreisEK" => $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]),
								"dtMwstSatzEK" => $aPosten ["dtMwstSatz"],
								"dtVariante" => $aPosten ["dtVariante"],
								"dtVarianteArtNr" => $aPosten ["dtVarianteArtNr"],
								"dtVarianteArtName" => $aPosten ["dtVarianteArtName"],
								"fiPreisgruppe" => $iPreisgruppe 
						);
						
						for($i = 0; $i < ( int ) $aPosten ["dtMenge"]; $i ++) {
							insert_into_table ( $tblartikelstueck, $aStueck );
						}
					} elseif (getArtikelTyp ( $aPosten ["fiArtikel"] ) == 1) // Massengut
{
						setMassengutVerfuegbareMenge ( $aPosten ["fiArtikel"], $aPosten ["dtMenge"], $aPosten ["dtVariante"], NULL, $field ["fiProjekt"], $field ["fiBeleg"], $iRechnungId, TRUE );
						
						/*
						 * $aStueck = array( "fiArtikel" => $aPosten["fiArtikel"], "fiLieferant" => $aRechnung["fiLieferant"], "fiRechnung" => $iRechnungId, "fiProjekt" => $field["fiProjekt"], "fiProjektTaetigkeit" => $standardtaetigkeit_projektartikel, "dtFremdArtikelNr" => $aArtikel["dtEigeneArtikelNr"], "dtPreisEK" => $aPosten["dtPreisNetto"] - ( $aPosten["dtPreisNetto"] / 100 * $aPosten["dtBestellpostenRabatt"] ), "dtMwstSatzEK" => $aPosten["dtMwstSatz"], "dtVariante" => $aPosten["dtVariante"], "dtVarianteArtNr" => $aPosten["dtVarianteArtNr"], "dtVarianteArtName" => $aPosten["dtVarianteArtName"], "fiPreisgruppe" => $iPreisgruppe, "dtStueckMenge" => $aPosten["dtMenge"], ); insert_into_table($tblartikelstueck, $aStueck); setMassengutVerfuegbareMenge($aPosten["fiArtikel"], $aPosten["dtMenge"] * -1);
						 */
					}
				}
				
				break;
			
			case "f" :
				$sQuery = $sql_query ["bestellungpostenliste"] . " AND $tblbestellungposten.id = " . $aExplodeId [1];
				$aPosten = get_table_row ( $sQuery );
				
				// Als exportiert abspeichern
				$aPosten ["dtAlsRechnungExportiert"] = 1;
				update_into_table ( $tblbestellungposten, $aExplodeId [1], $aPosten );
				
				// benutze die Menge, die bei der Bestellung zur bernahme eingegeben wurde
				$aPosten ["dtMenge"] = double_to_sql ( $aMenge [$sIdPosten] );
				
				$sQuery = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = " . $aPosten ["fiBuchungsKonto"];
				$aBuchungskonto = get_table_row ( $sQuery );
				
				if ($aBuchungskonto ["dtLagerRelevant"] == 1) // Artikel ist lagerrelevant
{
					$sQuery = $sql_query ["warengruppenliste"] . " and $tblwarengruppen.dtWarengruppe = 'automatisch'";
					$aWarengruppe = get_table_row ( $sQuery );
					$iWarengruppeId = $aWarengruppe ["Warengruppe_id"];
					
					$aArtikelNeu = array (
							"dtEigeneArtikelNr" => $aPosten ["dtArtikelNr"],
							"dtArtikel" => $aPosten ["dtArtikelBezeichnung"],
							"dtFabrikat" => $aPosten ["dtArtikelFabrikat"],
							"dtBeschreibung" => "",
							"fiEinheit" => $aPosten ["fiEinheit"],
							"fiWarengruppe" => $iWarengruppeId,
							"dtMwstSatzVK" => $aPosten ["dtMwstSatz"] 
					);
					
					$aVK = vk_preisberechnung ( 0, $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]) );
					
					for($i = 0; $i < 5; $i ++) {
						if (! empty ( $aVK [$i] )) {
							$aArtikelNeu ["dtPreisVK" . ($i + 1)] = $aVK [$i];
						}
					}
					
					$iArtikelId = insert_into_table ( $tblartikel, $aArtikelNeu );
					
					// Lieferant einfgen
					$aLieferantNeu = array (
							"fiArtikel" => $iArtikelId,
							"fiLieferant" => $aRechnung ["fiLieferant"],
							"dtArtikelNrFremd" => $aPosten ["dtArtikelNr"],
							"dtAnzahl" => 1,
							"dtStueckPreisEK" => $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]),
							"dtMwstSatzEK" => $aPosten ["dtMwstSatz"],
							"dtLieferantIstHauptlieferant" => 1,
							"dtBemerkung" => "automatisch erzeugter Eintrag aus Rechnung Nr. " . $aRechnung ["dtRechnungNrIntern"] 
					);
					
					insert_into_table ( $tblartikellieferanten, $aLieferantNeu );
				} else {
					$iArtikelId = 0;
				}
				
				// Rechnungsposten einfgen
				$aRechnungposten = array (
						"fiRechnung" => $iRechnungId,
						"fiArtikelListe" => $iArtikelId,
						"dtArtikelNr" => $aPosten ["dtArtikelNr"],
						"dtArtikelBezeichnung" => $aPosten ["dtArtikelBezeichnung"],
						"dtArtikelFabrikat" => $aPosten ["dtArtikelFabrikat"],
						"dtMenge" => $aPosten ["dtMenge"],
						"fiEinheit" => $aPosten ["fiEinheit"],
						"dtMwstSatz" => $aPosten ["dtMwstSatz"],
						"dtPreisNetto" => $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]),
						"fiBuchungsKonto" => $aPosten ["fiBuchungsKonto"] 
				);
				
				insert_into_table ( $tblrechnungposten, $aRechnungposten );
				
				if ($aBuchungskonto ["dtLagerRelevant"] == 1) // Artikel ist lagerrelevant, Stck hinzufgen
{
					if (getArtikelTyp ( $iArtikelId ) == 0) // Stckgut
{
						$aStueck = array (
								"fiArtikel" => $iArtikelId,
								"fiLieferant" => $aRechnung ["fiLieferant"],
								"fiRechnung" => $iRechnungId,
								"fiProjekt" => $field ["fiProjekt"],
								"fiProjektTaetigkeit" => $standardtaetigkeit_projektartikel,
								"dtFremdArtikelNr" => $aArtikel ["dtEigeneArtikelNr"],
								"dtPreisEK" => $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]),
								"dtMwstSatzEK" => $aPosten ["dtMwstSatz"],
								"fiPreisgruppe" => $iPreisgruppe 
						);
						
						for($i = 0; $i < ( int ) $aPosten ["dtMenge"]; $i ++) {
							insert_into_table ( $tblartikelstueck, $aStueck );
						}
					} elseif (getArtikelTyp ( $iArtikelId ) == 1) // Massengut
{
						setMassengutVerfuegbareMenge ( $aPosten ["fiArtikel"], $aPosten ["dtMenge"], unserialize ( $aPosten ["dtVariante"] ), NULL, $field ["fiProjekt"], $field ["fiBeleg"], $iRechnungId, TRUE );
						
						$aStueck = array (
								"fiArtikel" => $aPosten ["fiArtikel"],
								"fiLieferant" => $aRechnung ["fiLieferant"],
								"fiRechnung" => $iRechnungId,
								"fiProjekt" => $field ["fiProjekt"],
								"fiProjektTaetigkeit" => $standardtaetigkeit_projektartikel,
								"dtFremdArtikelNr" => $aArtikel ["dtEigeneArtikelNr"],
								"dtPreisEK" => $aPosten ["dtPreisNetto"] - ($aPosten ["dtPreisNetto"] / 100 * $aPosten ["dtBestellpostenRabatt"]),
								"dtMwstSatzEK" => $aPosten ["dtMwstSatz"],
								"dtVariante" => $aPosten ["dtVariante"],
								"dtVarianteArtNr" => $aPosten ["dtVarianteArtNr"],
								"dtVarianteArtName" => $aPosten ["dtVarianteArtName"],
								"fiPreisgruppe" => $iPreisgruppe,
								"dtStueckMenge" => $aPosten ["dtMenge"] 
						);
						
						insert_into_table ( $tblartikelstueck, $aStueck );
						
						setMassengutVerfuegbareMenge ( $aPosten ["fiArtikel"], $aPosten ["dtMenge"], unserialize ( $aPosten ["dtVariante"] ), NULL, $field ["fiProjekt"], $field ["fiBeleg"], $iRechnungId, TRUE );
					}
				}
		}
	}
}

bilanzrechnung_aktualisieren ( $iRechnungId, true );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Erfolgsmeldung
echo "<br><br><center><table border=1 cellpadding=15 class=\"meldungbox\"><tr><td>";
echo "<br><center><b>Die Rechnung wurde erzeugt</b><br><br>";
echo button ( "Rechnung anzeigen", "rechnungen", "show", $iRechnungId, $benutzerrechte ) . "<br><br></center>";
echo "</td></tr></table></center>";

?>