<?php
$listenname = "bilanz";
bilanzbelege_aktualisieren ();
bilanzrechnungen_aktualisieren ();

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// Verkauf
$query = "select sum(dtSummeVerkaufNetto) as gesamtverkauf from $tblbilanzbelege where $tblbilanzbelege.fiStatus > 2 and $tblbilanzbelege.fiStatus < 6";

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

$liste = get_table_row ( $query );
$gesamtverkauf = $liste ["gesamtverkauf"];

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// Einkauf
$query = "select sum(dtSummeNetto) as gesamteinkauf from $tblbilanzrechnungen where $tblbilanzrechnungen.fiStatus > 2 and $tblbilanzrechnungen.fiStatus < 6";

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

$liste = get_table_row ( $query );
$gesamteinkauf = $liste ["gesamteinkauf"];

$gesamtueberschuss = $gesamtverkauf - $gesamteinkauf;
$gesamtbalkenfaktor = 400 / max ( 0.0001, abs ( $gesamtverkauf ), abs ( $gesamteinkauf ), abs ( $gesamtueberschuss ) );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanz anzeigen
// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanz anzeigen
include ("$elementsordner/$target/bilanzfilter.php");

if($me != "boeker")
	include ("$elementsordner/$target/bilanzformular.php");
	

// ++++++++++++++++++++++++++++++++
// +++++++++++ Submenu anzeigen
include ("$elementsordner/$target/bilanzsubmenu.php");

?>