<?php
$listenname = "bilanz";
$listenhoehe = 525;

// ++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++
// Verkauf
$query_verkauf = "select * from $tblbilanzbelege where $tblbilanzbelege.fiStatus > 2 and $tblbilanzbelege.fiStatus < 5";
$query_einkauf = "select * from $tblbilanzrechnungen where $tblbilanzrechnungen.fiStatus > 2 and $tblbilanzrechnungen.fiStatus < 5";

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query_datumfilter .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query_datumfilter .= " and (dtDatum <> '2030-01-01' and to_days(dtDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

$liste_verkauf = get_table_array ( $query_verkauf . $query_datumfilter );
$liste_einkauf = get_table_array ( $query_einkauf . $query_datumfilter );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
if (count ( $liste_verkauf ) != 0) {
	foreach ( $liste_verkauf as $listenzeile_id => $listenzeile ) {
		$verkauf_brutto [$listenzeile ["fiKunde"]] = $verkauf_brutto [$listenzeile ["fiKunde"]] + $listenzeile ["dtSummeVerkaufBrutto"];
		$umsaetze_brutto [$listenzeile ["fiKunde"]] = $umsaetze_brutto [$listenzeile ["fiKunde"]] + $listenzeile ["dtSummeBezahltBrutto"];
	}
	arsort ( $verkauf_brutto );
	
	foreach ( $verkauf_brutto as $key => $value ) {
		$offen_brutto [$key] = $verkauf_brutto [$key] - $umsaetze_brutto [$key];
		$offen_brutto_abs [$key] = abs ( $offen_brutto [$key] );
	}
}

$balkenfaktor = 300 / max ( array_merge ( ( array ) $offen_brutto_abs, array (
		0.001 
) ) );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
if (count ( $liste_einkauf ) != 0) {
	foreach ( $liste_einkauf as $listenzeile_id => $listenzeile ) {
		$einkauf_brutto [$listenzeile ["fiLieferant"]] = $einkauf_brutto [$listenzeile ["fiLieferant"]] + $listenzeile ["dtSummeBrutto"];
		$umsaetze_einkauf_brutto [$listenzeile ["fiLieferant"]] = $umsaetze_einkauf_brutto [$listenzeile ["fiLieferant"]] + $listenzeile ["dtSummeBezahltBrutto"];
	}
	arsort ( $einkauf_brutto );
	
	foreach ( $einkauf_brutto as $key => $value ) {
		$offen_einkauf_brutto [$key] = $einkauf_brutto [$key] + $umsaetze_einkauf_brutto [$key];
		$offen_einkauf_brutto_abs [$key] = abs ( $offen_einkauf_brutto [$key] );
	}
}

$balkenfaktor_einkauf = 300 / max ( array_merge ( ( array ) $offen_einkauf_brutto_abs, array (
		0.001 
) ) );

// ++++++++++++++++++++++++++++++++

$kunden_query = $sql_query ["kontaktliste"] . " and dtIstKunde = 1";
$kunden_liste = get_table_array ( $kunden_query );
if (count ( $kunden_liste ) != 0) {
	foreach ( $kunden_liste as $key => $kunde ) {
		$kunden_array [$kunde ["Kontakte_id"]] = $kunde ["dtKontaktDDText"];
	}
}

$lieferant_query = $sql_query ["kontaktliste"] . " and dtIstLieferant = 1";
$lieferant_liste = get_table_array ( $lieferant_query );
if (count ( $lieferant_liste ) != 0) {
	foreach ( $lieferant_liste as $key => $lieferant ) {
		$lieferanten_array [$lieferant ["Kontakte_id"]] = $lieferant ["dtKontaktDDText"];
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanz anzeigen
include ("$elementsordner/$subtarget/bilanzumsatzformular.php");

?>