<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );
unset ( $field_new ["referer"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

$field_new ["dtPreisEK"] = preis_to_sql ( $field_new ["dtEKNeu"] );
$field_new ["dtMengeNeu"] = str_replace ( ".", ",", double_to_sql ( $field_new ["dtMengeNeu"] ) );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe Datensatz

$field_new ["fiArtikel"] = $id;
$field_new ["dtSeriennummer"] = "";
$field_new ["fiRechnung"] = 0;
$field_new ["fiProjekt"] = 0;
$field_new ["fiBeleg"] = 0;
$field_new ["fiBelegVerbrauch"] = 0;
$field_new ["fiArtikelStueckVerbrauch"] = 0;

if ($filter [$listenname] ["lagerort"] != 0) {
	$field_new ["fiLagerOrt"] = $filter [$listenname] ["lagerort"];
}

/*
 * MwSt
 */
$query = $sql_query ["artikelliste"] . " and $tblartikel.id = " . $id;
$field_artikel = get_table_row ( $query );
$field_new ["dtMwstSatzEK"] = $field_artikel ["dtMwstSatzVK"];

if ($field_new ["varianteaktiv"] != "aktiv") {
	/*
	 * Stckgter und Massengter
	 */
	
	if (getArtikelTyp ( $id ) != 2 and ($field_new ["dtMengeNeu"] != "" || $field_new ["dtMengeNeu"] >= 0)) {
		$iVerfuegbar = getArtikelAnzahlVerfuegbar ( $id );
		
		if ($iVerfuegbar > $field_new ["dtMengeNeu"]) // Lschen
{
			$iAnzahlLoeschen = $iVerfuegbar - str_replace ( ",", ".", $field_new ["dtMengeNeu"] );
			
			if (getArtikelTyp ( $id ) == 0) // Stckgut
{
				$sSqlDelete = "DELETE FROM $tblartikelstueck WHERE fiArtikel = $id AND fiBeleg = 0 AND fiProjekt = 0 LIMIT " . ( int ) $iAnzahlLoeschen;
				mysql_query ( $sSqlDelete );
			} elseif (getArtikelTyp ( $id ) == 1) // Massengut
{
				setMassengutVerfuegbareMenge ( $id, ($iAnzahlLoeschen * - 1), NULL, NULL, NULL, NULL, NULL, NULL, TRUE );
			}
		} elseif ($iVerfuegbar < $field_new ["dtMengeNeu"]) // Hinzufgen
{
			
			if (getArtikelTyp ( $id ) == 0) // Stckgut
{
				$iAnzahl = str_replace ( ",", ".", $field_new ["dtMengeNeu"] ) - $iVerfuegbar;
				for($i = 0; $i < ( int ) $iAnzahl; $i ++) {
					insert_into_table ( $tblartikelstueck, $field_new );
				}
			} elseif (getArtikelTyp ( $id ) == 1) // Massengut
{
				$iAnzahl = str_replace ( ",", ".", $field_new ["dtMengeNeu"] );
				setMassengutVerfuegbareMenge ( $id, $iAnzahl, NULL, NULL, NULL, NULL, NULL, NULL, TRUE );
			}
		}
		
		$sSQL = "update tblArtikelLieferanten set dtStueckPreisEK = '" . $field_new ["dtPreisEK"] . "' where fiArtikel = '" . $id . "' AND dtLieferantIstHauptlieferant = 1";
		mysql_query ( $sSQL );
	}
	
	/*
	 * virtuelle Artikel (nur EK Preisnderung)
	 */
	if (getArtikelTyp ( $id ) == 2 or $bArtikelProduktionBenutzeImmerLieferantenEK) {
		$sSQL = "update tblArtikelLieferanten set dtStueckPreisEK = '" . $field_new ["dtPreisEK"] . "' where fiArtikel = '" . $id . "' AND dtLieferantIstHauptlieferant = 1";
		mysql_query ( $sSQL );
	}
} else {
	$iCounter = 0;
	
	while ( $field_new ["variantenr" . $iCounter] != "" && $field_new ["variantenr" . $iCounter] ) {
		// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
		// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
		
		$varianten_array = unserialize ( $field_new ["variantenr" . $iCounter] );
		$field_new ["dtMengeNeu"] = $field_new ["dtMengeNeu" . $iCounter];
		foreach ( ( array ) $varianten_array as $key => $value_string ) {
			$key_explode = explode ( "_", $key );
			if (count ( $key_explode ) == 2 and $value_string != - 1) {
				/*
				 * Zwangsauswahl checken
				 */
				$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
				;
				$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
				
				if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
					$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
				}
				
				$var_ek = 0.00;
				
				$value_array = explode ( ";", $value_string );
				foreach ( ( array ) $value_array as $valuekey => $value ) {
					if ($value != "") {
						
						$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
						$variante_row = get_table_row ( $query );
						
						$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
						$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
						
						$aVarLieferant = unserialize ( $variante_row ["dtArtikelVarianteLieferantenInfo"] );
						$var_ek += $aVarLieferant ["Lieferant_EK"];
						$var_mwst = $aVarLieferant ["Lieferant_MwSt"];
					}
				}
			}
		}
		
		$varianten_array = check_varianten_array ( $varianten_array );
		$varianten_array = cleanVariantenArray ( $varianten_array );
		
		// Varianten-Zusatzinfos
		if (count ( ( array ) $varianten_array ) > 0) {
			$field_new ["dtVariante"] = serialize ( $varianten_array );
			$field_new ["dtVarianteArtNr"] = $var_nr;
			$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
		} else {
			$field_new ["dtVariante"] = "";
			$field_new ["dtVarianteArtNr"] = "";
			$field_new ["dtVarianteArtName"] = "";
		}
		
		$iVerfuegbar = getArtikelAnzahlVerfuegbar ( $id, "", unserialize ( $field_new ["dtVariante"] ) );
		
		if ($iVerfuegbar > $field_new ["dtMengeNeu"]) // Lschen
{
			$iAnzahlLoeschen = $iVerfuegbar - str_replace ( ",", ".", $field_new ["dtMengeNeu"] );
			
			if (getArtikelTyp ( $id ) == 0) // Stckgut
{
				$sSqlDelete = "DELETE FROM $tblartikelstueck WHERE fiArtikel = $id AND fiBeleg = 0 AND fiProjekt = 0 AND fiBelegVerbrauch = 0 AND fiArtikelStueckVerbrauch = 0 AND dtVariante = '" . $field_new ["dtVariante"] . "' LIMIT " . ( int ) $iAnzahlLoeschen;
				mysql_query ( $sSqlDelete );
			} elseif (getArtikelTyp ( $id ) == 1) // Massengut
{
				setMassengutVerfuegbareMenge ( $id, str_replace ( ",", ".", $field_new ["dtMengeNeu"] ), unserialize ( $field_new ["dtVariante"] ), NULL, NULL, NULL, NULL, NULL, TRUE );
			}
		} elseif ($iVerfuegbar < $field_new ["dtMengeNeu"]) // Hinzufgen
{
			
			if (getArtikelTyp ( $id ) == 0) // Stckgut
{
				$iAnzahl = str_replace ( ",", ".", $field_new ["dtMengeNeu"] ) - $iVerfuegbar;
				
				for($i = 0; $i < ( int ) $iAnzahl; $i ++) {
					insert_into_table ( $tblartikelstueck, $field_new );
				}
			} elseif (getArtikelTyp ( $id ) == 1) // Massengut
{
				$iAnzahl = str_replace ( ",", ".", $field_new ["dtMengeNeu"] );
				setMassengutVerfuegbareMenge ( $id, $iAnzahl, unserialize ( $field_new ["dtVariante"] ), NULL, NULL, NULL, NULL, NULL, TRUE );
			}
		}
		$iCounter ++;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die vorige Ansicht
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>