<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

/*
 * Formularwerte durchgehen
 */

$field_ins = array ();

foreach ( $field_new as $feldname => $wert ) {
	if (strpos ( $feldname, "__" ) === false) {
		continue;
	}
	
	$feldname_arr = explode ( "__", $feldname );
	
	$rowid = $feldname_arr [1];
	
	if (! is_numeric ( $rowid ))
		continue;
	
	$feldname = $feldname_arr [0];
	
	$field_ins [$rowid] = array ();
	$field_old = get_table_row ( "SELECT * FROM tblKonfiguration WHERE id = '" . $rowid . "'" );
	
	switch ($field_old ["dtTyp"]) {
		case CONFIG_TYP_ARRAY :
			if ($feldname == "dtKey") { // Arrays serialisieren, leere Werte entfernen
				$value = array ();
				
				foreach ( $wert as $key => $_array_index ) {
					if ($_array_index == "")
						continue;
					$_array_value = $field_new ['dtValue__' . $rowid] [$key];
					$value [$_array_index] = $_array_value;
				}
			}
			
			break;
		
		case CONFIG_TYP_ARRAY_CHECKBOX :
			if ($feldname == "dtKey") {
				// Arrays serialisieren, leere Werte entfernen
				$value = array ();
				
				foreach ( $wert as $key => $_array_index ) {
					if ($_array_index == "")
						continue;
					$_array_value = $field_new ['dtValue__' . $rowid] [$key];
					$value [$_array_index] = $_array_value;
				}
			}
			
			break;
		
		case CONFIG_TYP_ARRAY_NOINDEX :
			$value = array ();
			
			foreach ( $wert as $key => $_array_value ) {
				if (empty ( $_array_value ))
					continue;
				$value [] = $_array_value;
			}
			
			break;
		
		case CONFIG_TYP_INT :
			$value = ( int ) $wert;
			break;
		
		case CONFIG_TYP_DOUBLE :
			$value = double_to_sql ( $wert );
			break;
		
		case CONFIG_TYP_BOOL :
			if ($wert > 1 || $wert < 0) {
				$value = 0;
			} else {
				$value = $wert;
			}
			
			break;
		
		case CONFIG_TYP_LICENSE :
			$value = implode ( "", $wert );
			break;
		
		// case CONFIG_TYP_ZEIT:
		// $value = time_to_sql($wert);
		// break;
		//
		default :
			$value = $wert;
			break;
	}
	
	schreibeInKonfiguration ( $field_old ["dtVarname"], $value );
}

$typ = "show";
include ($targetsordner . "/" . $target . "/list.php");

?>