<?php
include ("$targetsordner/$target/felder.php"); // Felder includen
                                               
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                                               // ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

if (check_link_permission ( "kontakte", "neu", $benutzerrechte )) {
	$field_new ["dtNeueKontakteAnlegen"] = ( int ) $field_new ["dtNeueKontakteAnlegen"];
} else {
	$field_new ["dtNeueKontakteAnlegen"] = 0;
}

$aCSV = array ();

/*
 * Standards setzen
 */
schreibeInKonfiguration ( "sImportKontakteDelimiter", $field_new ["dtFeldtrenner"] );
schreibeInKonfiguration ( "sImportKontakteEnclosure", $field_new ["dtTexttrenner"] );

$iCountUpdate = 0;
$iCountNeu = 0;

/*
 * CSV laden
 */
if (is_uploaded_file ( $_FILES ["importdatei"] ['tmp_name'] )) {
	if (($rHandle = fopen ( $_FILES ["importdatei"] ['tmp_name'], "r" )) !== false) {
		while ( $aRow = fgetcsv ( $rHandle, 0, $field_new ["dtFeldtrenner"], $field_new ["dtTexttrenner"] ) ) {
			if (count ( $aRow ) > 0) {
				$aCSV [] = $aRow;
			}
		}
		
		fclose ( $rHandle );
	}
}

/*
 * Kopfzeile mit mglichen Feldern abgleichen
 */
$aSpaltenCSV = $aCSV [0];
unset ( $aCSV [0] );

for($i = 0; $i < count ( $aSpaltenCSV ); $i ++) {
	$aCSV [0] [$i] = str_replace ( " ", "", $aCSV [0] [$i] );
	$aSpaltenCSV [$i] = str_replace ( " ", "", $aSpaltenCSV [$i] );
	
	if (! array_search ( $aSpaltenCSV [$i], $aFelder ) || empty ( $aSpaltenCSV [$i] )) {
		unset ( $aSpaltenCSV [$i] );
	}
}

if (count ( $aSpaltenCSV ) < 1) {
	$f = new Fehler ();
	$f->setCustom ( "Ungltige Importdatei", "Die Importdatei enthlt keine gltigen Kopfdaten!" );
	$f->setNext ( $target, $typ );
	throw ($f);
}

$aSpaltenCSV = array_flip ( $aSpaltenCSV );

foreach ( $aCSV as $aLine ) {
	$iKontaktId = 0;
	$bNeuKontakt = false;
	unset ( $aKontakt );
	
	if (! empty ( $aLine [$aSpaltenCSV ["Nr"]] )) {
		$aKontakt = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte.dtKontaktNr = '" . $aLine [$aSpaltenCSV ["Nr"]] . "'" );
		$iKontaktId = $aKontakt ["Kontakte_id"];
	}
	
	if (! $aKontakt || empty ( $aLine [$aSpaltenCSV ["Nr"]] )) {
		if ($field_new ["dtNeueKontakteAnlegen"] == 1) // berspringe wenn keine neuen Kontakte angelegt werden sollen
{
			$bNeuKontakt = true;
			
			$aKontakt = array ();
		} else {
			continue;
		}
	}
	
	$aKontakt ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
	$aKontakt ["dtKontaktGebucht"] = 0;
	
	/*
	 * Felder des Kontakts
	 */
	if (! empty ( $aLine [$aSpaltenCSV ["Nr"]] ))
		$aKontakt ["dtKontaktNr"] = $aLine [$aSpaltenCSV ["Nr"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Firmenname"]] ))
		$aKontakt ["dtFirmenname"] = $aLine [$aSpaltenCSV ["Firmenname"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Zusatzbezeichnung"]] ))
		$aKontakt ["dtNamenszusatz"] = $aLine [$aSpaltenCSV ["Zusatzbezeichnung"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Vorname"]] ))
		$aKontakt ["dtVorname"] = $aLine [$aSpaltenCSV ["Vorname"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Name"]] ))
		$aKontakt ["dtNachname"] = $aLine [$aSpaltenCSV ["Name"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Strasse"]] ))
		$aKontakt ["dtStrasse"] = $aLine [$aSpaltenCSV ["Strasse"]];
	if (! empty ( $aLine [$aSpaltenCSV ["PLZ"]] ))
		$aKontakt ["dtPLZ"] = $aLine [$aSpaltenCSV ["PLZ"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Ort"]] ))
		$aKontakt ["dtOrt"] = $aLine [$aSpaltenCSV ["Ort"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Telefon"]] ))
		$aKontakt ["dtTelefon"] = $aLine [$aSpaltenCSV ["Telefon"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Fax"]] ))
		$aKontakt ["dtFax"] = $aLine [$aSpaltenCSV ["Fax"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Mobil"]] ))
		$aKontakt ["dtMobil"] = $aLine [$aSpaltenCSV ["Mobil"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Email"]] ))
		$aKontakt ["dtEmail"] = $aLine [$aSpaltenCSV ["Email"]];
	if (! empty ( $aLine [$aSpaltenCSV ["URL"]] ))
		$aKontakt ["dtURL"] = $aLine [$aSpaltenCSV ["URL"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Tags"]] ))
		$aKontakt ["dtKontaktTags"] = $aLine [$aSpaltenCSV ["Tags"]];
	if (! empty ( $aLine [$aSpaltenCSV ["IstAktiv"]] ))
		$aKontakt ["dtAktiv"] = ( int ) $aLine [$aSpaltenCSV ["IstAktiv"]];
	if (! empty ( $aLine [$aSpaltenCSV ["IstKunde"]] ))
		$aKontakt ["dtIstKunde"] = ( int ) $aLine [$aSpaltenCSV ["IstKunde"]];
	if (! empty ( $aLine [$aSpaltenCSV ["IstLieferant"]] ))
		$aKontakt ["dtIstLieferant"] = ( int ) $aLine [$aSpaltenCSV ["IstLieferant"]];
	if (! empty ( $aLine [$aSpaltenCSV ["IstMitarbeiter"]] ))
		$aKontakt ["dtIstMitarbeiter"] = ( int ) $aLine [$aSpaltenCSV ["IstMitarbeiter"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Postfach"]] ))
		$aKontakt ["dtPostfach"] = $aLine [$aSpaltenCSV ["Postfach"]];
	if (! empty ( $aLine [$aSpaltenCSV ["PostfachPLZ"]] ))
		$aKontakt ["dtPostfachPLZ"] = $aLine [$aSpaltenCSV ["PostfachPLZ"]];
	if (! empty ( $aLine [$aSpaltenCSV ["PostfachOrt"]] ))
		$aKontakt ["dtPostfachOrt"] = $aLine [$aSpaltenCSV ["PostfachOrt"]];
	
	if (! empty ( $aLine [$aSpaltenCSV ["Bankname"]] ))
		$aKontakt ["dtBankName"] = $aLine [$aSpaltenCSV ["Bankname"]];
	if (! empty ( $aLine [$aSpaltenCSV ["BLZ"]] ))
		$aKontakt ["dtBankLeitZahl"] = $aLine [$aSpaltenCSV ["BLZ"]];
	if (! empty ( $aLine [$aSpaltenCSV ["IBAN"]] ))
		$aKontakt ["dtBankIBAN"] = $aLine [$aSpaltenCSV ["IBAN"]];
	if (! empty ( $aLine [$aSpaltenCSV ["BICSWIFT"]] ))
		$aKontakt ["dtBankBIC"] = $aLine [$aSpaltenCSV ["BICSWIFT"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Konto-Nummer"]] ))
		$aKontakt ["dtBankKontoNummer"] = $aLine [$aSpaltenCSV ["Konto-Nummer"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Konto-Inhaber"]] ))
		$aKontakt ["dtBankKontoInhaber"] = $aLine [$aSpaltenCSV ["Konto-Inhaber"]];
	
	if (! empty ( $aLine [$aSpaltenCSV ["Steuernummer"]] ))
		$aKontakt ["dtVAT"] = $aLine [$aSpaltenCSV ["Steuernummer"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Personalausweisnummer"]] ))
		$aKontakt ["dtPersAusweisNr"] = $aLine [$aSpaltenCSV ["Personalausweisnummer"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Kreditlimit"]] ))
		$aKontakt ["dtKreditlimit"] = preis_to_sql ( $aLine [$aSpaltenCSV ["Kreditlimit"]] );
	if (! empty ( $aLine [$aSpaltenCSV ["Kartentyp"]] ))
		$aKontakt ["dtKreditkarteTyp"] = $aLine [$aSpaltenCSV ["Kartentyp"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Kartennummer"]] ))
		$aKontakt ["dtKreditkarteNummer"] = $aLine [$aSpaltenCSV ["Kartennummer"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Karteninhaber"]] ))
		$aKontakt ["dtKreditkarteKarteninhaber"] = $aLine [$aSpaltenCSV ["Karteninhaber"]];
	if (! empty ( $aLine [$aSpaltenCSV ["GueltigBis"]] ))
		$aKontakt ["dtKreditkarteGueltigBis"] = $aLine [$aSpaltenCSV ["GueltigBis"]];
	
	if (! empty ( $aLine [$aSpaltenCSV ["IstPrivatkunde"]] ))
		$aKontakt ["dtKundeIstPrivatkunde"] = ( int ) $aLine [$aSpaltenCSV ["IstPrivatkunde"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Zahlart_Id"]] ))
		$aKontakt ["fiKundeZahlart"] = ( int ) $aLine [$aSpaltenCSV ["Zahlart_Id"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Zahlungsziel_Id"]] ))
		$aKontakt ["fiKundeZahlungsziel"] = ( int ) $aLine [$aSpaltenCSV ["Zahlungsziel_Id"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Lieferart_Id"]] ))
		$aKontakt ["fiKundeLieferart"] = ( int ) $aLine [$aSpaltenCSV ["Lieferart_Id"]];
	if (! empty ( $aLine [$aSpaltenCSV ["Artikeltextgruppe"]] ))
		$aKontakt ["dtKundeArtikeltextgruppe"] = ( int ) $aLine [$aSpaltenCSV ["Artikeltextgruppe"]];
	if (! empty ( $aLine [$aSpaltenCSV ["AnzahlBelegausdrucke"]] ))
		$aKontakt ["dtKundeAnzahlBelegausdrucke"] = ( int ) $aLine [$aSpaltenCSV ["AnzahlBelegausdrucke"]];
	
	if (! empty ( $aLine [$aSpaltenCSV ["LieferantEigeneKundennummer"]] ))
		$aKontakt ["dtLieferantEigeneKdNr"] = ( int ) $aLine [$aSpaltenCSV ["LieferantEigeneKundennummer"]];
	if (! empty ( $aLine [$aSpaltenCSV ["LieferantPortalURL"]] ))
		$aKontakt ["dtLieferantPortalURL"] = ( int ) $aLine [$aSpaltenCSV ["LieferantPortalURL"]];
	if (! empty ( $aLine [$aSpaltenCSV ["LieferantPortalBenutzername"]] ))
		$aKontakt ["dtLieferantPortalUser"] = ( int ) $aLine [$aSpaltenCSV ["LieferantPortalBenutzername"]];
	if (! empty ( $aLine [$aSpaltenCSV ["LieferantPortalPasswort"]] ))
		$aKontakt ["dtLieferantPortalPassword"] = ( int ) $aLine [$aSpaltenCSV ["LieferantPortalPasswort"]];
	
	if (! empty ( $aLine [$aSpaltenCSV ["BuchungskontoKunde"]] ))
		$aKontakt ["dtBuchhaltungKontoKunde"] = ( int ) $aLine [$aSpaltenCSV ["BuchungskontoKunde"]];
	if (! empty ( $aLine [$aSpaltenCSV ["BuchungskontoLieferant"]] ))
		$aKontakt ["dtBuchhaltungKontoLieferant"] = ( int ) $aLine [$aSpaltenCSV ["BuchungskontoLieferant"]];
	if (! empty ( $aLine [$aSpaltenCSV ["BuchungskontoMitarbeiter"]] ))
		$aKontakt ["dtBuchhaltungKontoMitarbeiter"] = ( int ) $aLine [$aSpaltenCSV ["BuchungskontoMitarbeiter"]];
		
		/*
	 * Kontaktnr
	 */
	if (! isset ( $aKontakt ["dtKontaktNr"] )) {
		$aKontakt ["dtKontaktNr"] = kontaktnummer_neu ();
	}
	
	/*
	 * Aktiv
	 */
	if (! isset ( $aKontakt ["dtAktiv"] )) {
		$aKontakt ["dtAktiv"] = 1;
	}
	
	/*
	 * Name, damit concat funktioniert
	 */
	if (! isset ( $aKontakt ["dtFirmenname"] )) {
		$aKontakt ["dtFirmenname"] = "";
	}
	
	if (! isset ( $aKontakt ["dtNamenszusatz"] )) {
		$aKontakt ["dtNamenszusatz"] = "";
	}
	
	if (! isset ( $aKontakt ["dtVorname"] )) {
		$aKontakt ["dtVorname"] = "";
	}
	
	if (! isset ( $aKontakt ["dtNachname"] )) {
		$aKontakt ["dtNachname"] = "";
	}
	
	/*
	 * Anz. Belegausdrucke
	 */
	if (! isset ( $aKontakt ["dtKundeAnzahlBelegausdrucke"] ) || $aKontakt ["dtKundeAnzahlBelegausdrucke"] < 1) {
		$aKontakt ["dtKundeAnzahlBelegausdrucke"] = 1;
	}
	
	/*
	 * Buchungskonten
	 */
	if ($aKontakt ["dtBuchhaltungKontoKunde"] == "") {
		$aKontakt ["dtBuchhaltungKontoKunde"] = $standardbuchhaltungskonto_kunden + $aKontakt ["dtKontaktNr"];
	}
	
	if ($aKontakt ["dtBuchhaltungKontoLieferant"] == "") {
		$aKontakt ["dtBuchhaltungKontoLieferant"] = $standardbuchhaltungskonto_lieferanten + $aKontakt ["dtKontaktNr"];
	}
	
	if ($aKontakt ["dtBuchhaltungKontoMitarbeiter"] == "") {
		$aKontakt ["dtBuchhaltungKontoMitarbeiter"] = $standardbuchhaltungskonto_mitarbeiter + $aKontakt ["dtKontaktNr"];
	}
	
	/*
	 * Anrede
	 */
	if (! empty ( $aLine [$aSpaltenCSV ["Anrede"]] )) {
		$aAnrede = get_table_row ( $sql_query ["anredenliste"] . " and $tblanreden.dtAnrede LIKE '" . $aLine [$aSpaltenCSV ["Anrede"]] . "'" );
		
		if ($aAnrede) {
			$aKontakt ["fiAnrede"] = $aAnrede ["Anreden_id"];
		} else {
			$aAnrede = array ();
			$aAnrede ["dtAnrede"] = $aLine [$aSpaltenCSV ["Anrede"]];
			$aAnrede ["dtDruckAnrede"] = $aLine [$aSpaltenCSV ["Anrede"]];
			$aKontakt ["fiAnrede"] = insert_into_table ( $tblanreden, $aAnrede );
		}
	}
	
	if (! $aKontakt ["fiAnrede"]) {
		$aKontakt ["fiAnrede"] = 1;
	}
	
	/*
	 * Land
	 */
	if (empty ( $aLine [$aSpaltenCSV ["Land"]] )) {
		if ($bNeuKontakt) {
			$aKontakt ["fiLand"] = 1;
		}
	} else {
		$aLand = get_table_row ( $sql_query ["landliste"] . " and $tbllaender.dtLandesname LIKE '" . $aLine [$aSpaltenCSV ["Land"]] . "'" );
		
		if ($aLand) {
			$aKontakt ["fiLand"] = $aLand ["Laender_id"];
		} else {
			$aLand = array ();
			$aLand ["dtLandesname"] = $aLine [$aSpaltenCSV ["Land"]];
			$aKontakt ["fiLand"] = insert_into_table ( $tbllaender, $aLand );
		}
	}
	
	/*
	 * Benutzergruppe
	 */
	if (empty ( $aLine [$aSpaltenCSV ["Benutzergruppe_Id"]] )) {
		if ($bNeuKontakt) {
			$aKontakt ["fiBenutzergruppe"] = 5;
		}
	} else {
		$aKontakt ["fiBenutzergruppe"] = ( int ) $aLine [$aSpaltenCSV ["Benutzergruppe_Id"]];
	}
	
	/*
	 * Personaldaten
	 * nur wenn dtIstMitarbeiter = 1
	 */
	$aPersonaldaten = array ();
	if ($aKontakt ["dtIstMitarbeiter"] == 1) {
		if ($iKontaktId > 0) {
			$sQuery = $sql_query ["personaldatenliste"] . " and $tblkontakte.id = " . $iKontaktId;
			if (get_table_count ( $sQuery ) > 0) {
				$aPersonaldaten = get_table_row ( $sQuery );
			}
		}
		
		if (! empty ( $aLine [$aSpaltenCSV ["Abteilung"]] ))
			$aPersonaldaten ["fiAbteilung"] = ( int ) $aLine [$aSpaltenCSV ["Abteilung"]];
		if (! empty ( $aLine [$aSpaltenCSV ["Funktion"]] ))
			$aPersonaldaten ["dtFunktion"] = $aLine [$aSpaltenCSV ["Funktion"]];
		if (! empty ( $aLine [$aSpaltenCSV ["StempelkarteNr"]] ))
			$aPersonaldaten ["dtKartenNr"] = $aLine [$aSpaltenCSV ["StempelkarteNr"]];
		if (! empty ( $aLine [$aSpaltenCSV ["AnruferkennungNr"]] ))
			$aPersonaldaten ["dtAnruferkennung"] = $aLine [$aSpaltenCSV ["AnruferkennungNr"]];
		if (! empty ( $aLine [$aSpaltenCSV ["Geburtsdatum"]] ))
			$aPersonaldaten ["dtGeburtsdatum"] = strtodate ( $aLine [$aSpaltenCSV ["Geburtsdatum"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["Eintrittsdatum"]] ))
			$aPersonaldaten ["dtDatumEintritt"] = strtodate ( $aLine [$aSpaltenCSV ["Eintrittsdatum"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["Austrittsdatum"]] ))
			$aPersonaldaten ["dtDatumAustritt"] = strtodate ( $aLine [$aSpaltenCSV ["Austrittsdatum"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["Stundensatz_Id"]] ))
			$aPersonaldaten ["fiStdSatz"] = ( int ) $aLine [$aSpaltenCSV ["Stundensatz_Id"]];
		if (! empty ( $aLine [$aSpaltenCSV ["SollstundenMontag"]] ))
			$aPersonaldaten ["dtStundenMontag"] = double_to_sql ( $aLine [$aSpaltenCSV ["SollstundenMontag"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["SollstundenDienstag"]] ))
			$aPersonaldaten ["dtStundenDienstag"] = double_to_sql ( $aLine [$aSpaltenCSV ["SollstundenDienstag"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["SollstundenMittwoch"]] ))
			$aPersonaldaten ["dtStundenMittwoch"] = double_to_sql ( $aLine [$aSpaltenCSV ["SollstundenMittwoch"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["SollstundenDonnerstag"]] ))
			$aPersonaldaten ["dtStundenDonnerstag"] = double_to_sql ( $aLine [$aSpaltenCSV ["SollstundenDonnerstag"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["SollstundenFreitag"]] ))
			$aPersonaldaten ["dtStundenFreitag"] = double_to_sql ( $aLine [$aSpaltenCSV ["SollstundenFreitag"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["SollstundenProWoche"]] ))
			$aPersonaldaten ["dtStundenWoche"] = double_to_sql ( $aLine [$aSpaltenCSV ["SollstundenProWoche"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["UrlaubstageProJahr"]] ))
			$aPersonaldaten ["dtUrlaubstage"] = double_to_sql ( $aLine [$aSpaltenCSV ["UrlaubstageProJahr"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["Teilzeit"]] ))
			$aPersonaldaten ["dtTeilzeit"] = ( int ) $aLine [$aSpaltenCSV ["Teilzeit"]];
		if (! empty ( $aLine [$aSpaltenCSV ["GleitzeitkontoAmMonatsanfangLoeschen"]] ))
			$aPersonaldaten ["dtGleitzeit"] = ( int ) $aLine [$aSpaltenCSV ["GleitzeitkontoAmMonatsanfangLoeschen"]];
	}
	
	/*
	 * Provisionsempfnger
	 * nur wenn dtIstKunde = 1
	 */
	if ($aKontakt ["dtIstKunde"] == 1) {
		if (! empty ( $aLine [$aSpaltenCSV ["ProvisionsempfaengerNr"]] )) {
			
			$sql = $sql_query ["kontaktliste"];
			$sql .= " and $tblkontakte.dtKontaktNr = '" . $aLine [$aSpaltenCSV ["ProvisionsempfaengerNr"]] . "'";
			$sql .= " and $tblkontakte.dtIstMitarbeiter = 1 ";
			
			$aProvEmpf = get_table_row ( $sql );
			$iProvEmpf = $aProvEmpf ["Kontakte_id"];
			
			if ($iProvEmpf != "") {
				$aKontakt ["fiKundeProvisionsempfaenger"] = ( int ) $iProvEmpf;
				if (! empty ( $aLine [$aSpaltenCSV ["Provision"]] ))
					$aKontakt ["dtKundeProvisionProzent"] = double_to_sql ( $aLine [$aSpaltenCSV ["Provision"]] );
				if (! empty ( $aLine [$aSpaltenCSV ["IstMaximalprovision"]] ))
					$aKontakt ["dtKundeIstMaximalprovision"] = ( int ) $aLine [$aSpaltenCSV ["IstMaximalprovision"]];
			}
		}
	}
	
	/*
	 * Rabatt
	 * nur wenn dtIstKunde = 1
	 */
	if ($aKontakt ["dtIstKunde"] == 1) {
		if (! empty ( $aLine [$aSpaltenCSV ["Rabatt"]] ))
			$aKontakt ["dtKundeRabattProzent"] = double_to_sql ( $aLine [$aSpaltenCSV ["Rabatt"]] );
		if (! empty ( $aLine [$aSpaltenCSV ["IstMaximalrabatt"]] ))
			$aKontakt ["dtKundeIstMaximalrabatt"] = ( int ) $aLine [$aSpaltenCSV ["IstMaximalrabatt"]];
	}
	
	/*
	 * Standardwahnsinn....
	 */
	
	// erzeuge Feld Nummern Suche fr Volltextsuche in Telefonnummern
	$nummer_telefon = normalisiere_telefonnummer ( $aKontakt ["dtTelefon"] );
	$nummer_mobil = normalisiere_telefonnummer ( $aKontakt ["dtMobil"] );
	$nummer_fax = normalisiere_telefonnummer ( $aKontakt ["dtFax"] );
	
	$aKontakt ["dtNummernSuche"] = str_replace ( " ", "", $nummer_telefon ) . " " . $nummer_telefon;
	$aKontakt ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_mobil ) . " " . $nummer_mobil;
	$aKontakt ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_fax ) . " " . $nummer_fax;
	$aKontakt ["dtSyncInfo"] .= $aKontaktsync_benutzergruppen_standard;
	
	$nummernsuche_array = array_unique ( explode ( " ", $aKontakt ["dtNummernSuche"] ) );
	$aKontakt ["dtNummernSuche"] = "";
	foreach ( $nummernsuche_array as $key => $value ) {
		if ($value != "") {
			$aKontakt ["dtNummernSuche"] .= $value . " ";
		}
	}
	
	/*
	 * In Datenbank eintragen
	 */
	if ($bNeuKontakt) {
		$iKontaktId = insert_into_table ( $tblkontakte, $aKontakt );
		$iCountNeu ++;
	} else {
		update_into_table ( $tblkontakte, $iKontaktId, $aKontakt );
		$iCountUpdate ++;
	}
	
	/*
	 * Ggf. Personaldaten in Datenbank eintragen
	 */
	if ($aKontakt ["dtIstMitarbeiter"] == 1) {
		if (isset ( $aPersonaldaten ["Personaldaten_id"] )) {
			update_into_table ( $tblpersonaldaten, $aPersonaldaten ["Personaldaten_id"], $aPersonaldaten );
		} else {
			if ($iKontaktId > 0) {
				$aPersonaldaten ["fiKontaktNr"] = $iKontaktId;
				insert_into_table ( $tblpersonaldaten, $aPersonaldaten );
			}
		}
	}
	
	/*
	 * Bemerkungen importieren (nur bei Neuanlage eines Kontaktes)
	 */
	$iCountSub = 1;
	if ($bNeuKontakt) {
		while ( isset ( $aLine [$aSpaltenCSV ["Bemerkung_" . $iCountSub]] ) ) {
			if (! empty ( $aLine [$aSpaltenCSV ["Bemerkung_" . $iCountSub]] )) {
				
				$dtDatum = $aktdatum;
				$dtBerechtigung = ";1;";
				$dtBelegrelevant = 0;
				
				if (! empty ( $aLine [$aSpaltenCSV ["BemerkungDatum_" . $iCountSub]] )) {
					$aDatum = explode ( ".", $aLine [$aSpaltenCSV ["BemerkungDatum_" . $iCountSub]] );
					$dtDatum = concat_date ( $aDatum [0], $aDatum [1], $aDatum [2] );
				}
				if (! empty ( $aLine [$aSpaltenCSV ["BemerkungBerechtigung_" . $iCountSub]] ))
					$dtBerechtigung = $aLine [$aSpaltenCSV ["BemerkungBerechtigung_" . $iCountSub]];
				if (! empty ( $aLine [$aSpaltenCSV ["BemerkungBelegrelevant_" . $iCountSub]] ))
					$dtBelegrelevant = ( int ) $aLine [$aSpaltenCSV ["BemerkungBelegrelevant_" . $iCountSub]];
				
				unset ( $aBemerkung );
				$aBemerkung ["dtZugehoerigkeit"] = "tblKontakte";
				$aBemerkung ["fiZugehoerigkeitNr"] = $iKontaktId;
				$aBemerkung ["fiBemerkungAutor"] = 0;
				$aBemerkung ["dtDatum"] = $dtDatum;
				$aBemerkung ["dtBemerkung"] = $aLine [$aSpaltenCSV ["Bemerkung_" . $iCountSub]];
				$aBemerkung ["dtBerechtigung"] = $dtBerechtigung;
				$aBemerkung ["dtBelegrelevant"] = $dtBelegrelevant;
				
				insert_into_table ( $tblbemerkungen, $aBemerkung );
			}
			$iCountSub ++;
		}
	}
	unset ( $aBemerkung );
}

include ("$elementsordner/$target/kontaktimportinfo.php");

// ++++++++++++++++++++++++++++++++
// +++++++++++ Importformular anzeigen
include ("$elementsordner/$target/kontaktimportformular.php");
include ("$elementsordner/$target/kontaktimportbeschreibung.php");

?>