<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = "select * from $tblartikelstueck where 1=1 and $tblartikelstueck.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new = remove_id_from_post_fields ( $_POST );

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

/*
 * Varianten
 */
$aFehlendeVariantenGruppen = array ();

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen sind als einzelne Felder mitgekommen (Materialposten ndern)

// hole Artikelvariantendaten
$var_query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $id;
$artikelvarianten_liste = get_table_array ( $var_query );

// suche Felder/Werte je Variantengruppe
foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
	$var_output = "";
	if ($value ["dtGruppenMehrfachauswahl"] != 1) {
		$var_output = $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]];
	} else {
		foreach ( ( array ) $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]] as $var_key => $var_value ) {
			$var_array [] = $var_value;
		}
		if (is_array ( $var_array ))
			$var_output = implode ( ";", array_unique ( $var_array ) );
	}
	
	if ($var_output != - 1 and $var_output != "") {
		$artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] = ( int ) $var_output;
	}
	
	/*
	 * Prfe Zwangsauswahl
	 */
	if ($value ["dtGruppenZwangsauswahl"] == 1) {
		if (empty ( $artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] )) {
			$aFehlendeVariantenGruppen [] = $value ["dtGruppenName"];
		}
	}
}

$field_new ["dtVariante"] = serialize ( $artikelvarianten_array );
if ($field_new ["dtVariante"] == "N;")
	$field_new ["dtVariante"] = "";
	
	// wenn sich an den Varianten nichts gendert hat, dann belasse alle Varianteninformation wie sie ist
if ($field_new ["dtVariante"] == $field_old ["dtVariante"]) {
	unset ( $field_new ["dtVariante"] );
	$field_new ["dtVarianteArtNr"] = $field_old ["dtVarianteArtNr"];
	$field_new ["dtVarianteArtName"] = $field_old ["dtVarianteArtName"];
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
if ($field_new ["dtVariante"] != "") {
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 and $value_string != - 1) {
			$varianten [$key] = ( int ) $value_string;
			
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
			
			$value_array = explode ( ";", $value_string );
			foreach ( ( array ) $value_array as $valuekey => $value ) {
				if ($value != "") {
					
					$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
					$variante_row = get_table_row ( $query );
					
					$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
					$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
					
					// prozentuale Preisnderung
					if ($variante_row ["dtArtikelVariantenPreisEinheit"] == 0) {
						$anteil = $field_new ["dtPreisNetto"] / 100 * $variante_row ["dtArtikelVariantenPreisdiffVK" . $field_preisgruppe ["fiPreisgruppe"]];
						$var_preis = $var_preis + $anteil;
					} 					

					// absolute Preisnderung
					else if ($variante_row ["dtArtikelVariantenPreisEinheit"] == 1) {
						$var_preis = $var_preis + ($variante_row ["dtArtikelVariantenPreisdiffVK" . $field_preisgruppe ["fiPreisgruppe"]]);
					}
				}
			}
		}
	}
	
	// Varianten-Zusatzinfos
	$field_new ["dtVariante"] = serialize ( $varianten );
	$field_new ["dtVarianteArtNr"] = $var_nr;
	$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
	
	// neuer Preis wegen Varianteninfo
	$query = "select * from $tblartikel where id = " . $id;
	$artikel_row = get_table_row ( $query );
	$field_new ["dtPreisNetto"] = $artikel_row ["dtPreisVK" . $field_preisgruppe ["fiPreisgruppe"]] + $var_preis;
} else {
	$field_new ["dtVariante"] = $field_old ["dtVariante"];
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere bestehenden Datensatz

update_into_table ( $tblartikelstueck, $subid, $field_new );

$aArtikelNeu = array ();
$aArtikelNeu ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
update_into_table ( $tblartikel, $id, $aArtikelNeu );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste
$typ = "show";
include ($targetsordner . "/" . $subtarget . "/list.php");

?>