<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

$meldung = "";
$fehlermeldung = "";
$fehlercount = 0;
$stueckliste_preis = 0;

check_fehlermeldung_output ( check_double ( $field_new ["anzahl"] ), 1, "Menge", $target, $typ, $id, $subtarget, "show", $subid );

$maximal_produzierbare_menge = $field_new ["anzahl"];

/*
 * Varianten
 */
$aFehlendeVariantenGruppen = array ();

/*
 * Keine Varianten bei neu bermittelt
 * - Prfe ob Varianten zum Artikel gehren und ob diese zwangsweise sind
 */

if ($field_new ["dtVariante"] == "") {
	$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $id . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
	$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
	
	if (count ( $aListeZwangsVarianten ) > 0) {
		foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
			$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu

if ($field_new ["dtVariante"] != "") {
	
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 and $value_string != - 1) {
			
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
			
			$var_ek = 0.00;
			
			$value_array = explode ( ";", $value_string );
			foreach ( ( array ) $value_array as $valuekey => $value ) {
				if ($value != "") {
					
					$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
					$variante_row = get_table_row ( $query );
					
					$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
					$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
					
					$aVarLieferant = unserialize ( $variante_row ["dtArtikelVarianteLieferantenInfo"] );
					$var_ek += $aVarLieferant ["Lieferant_EK"];
					$var_mwst = $aVarLieferant ["Lieferant_MwSt"];
				}
			}
		}
	}
	
	$varianten_array = check_varianten_array ( $varianten_array );
	$varianten_array = cleanVariantenArray ( $varianten_array );
	
	// Varianten-Zusatzinfos
	if (count ( ( array ) $varianten_array ) > 0) {
		$field_new ["dtVariante"] = serialize ( $varianten_array );
		$field_new ["dtVarianteArtNr"] = $var_nr;
		$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
	} else {
		$field_new ["dtVariante"] = "";
		$field_new ["dtVarianteArtNr"] = "";
		$field_new ["dtVarianteArtName"] = "";
	}
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
	throw $fehler;
}

/*
 * baue Stckliste auf
 */

if ($field_new ["dtVariante"] != "" && count ( ( array ) $varianten_array ) > 0)
	$sSqlVariante = " and $tblartikelstuecklisten.dtArtikelVariante LIKE '" . $field_new ["dtVariante"] . "'";
else
	$sSqlVariante = " and $tblartikelstuecklisten.dtArtikelVariante LIKE ''";

$query = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $id . $sSqlVariante;
$liste = get_table_array ( $query );

if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// prfe ob gengend Artikelstck aus der Stckliste zur Produktion vorhanden sind
		if ($listenzeile ["dtArtikelStuecklisteVariante"] != "") {
			$anzahl = getArtikelAnzahlVerfuegbar ( $listenzeile ["fiArtikelStueckliste"], 0, unserialize ( $listenzeile ["dtArtikelStuecklisteVariante"] ) );
		} else {
			$anzahl = getArtikelAnzahlVerfuegbar ( $listenzeile ["fiArtikelStueckliste"], 0 );
		}
		
		// wenn nicht, dann Fehlermeldung
		if ($anzahl < ($listenzeile ["dtAnzahlStueckliste"] * $field_new ["anzahl"])) {
			
			$shortcut_link = shortcutbutton ( "lagerartikel", "show", $listenzeile ["fiArtikelStueckliste"], $benutzerrechte );
			
			$fehlermeldung .= "<span style=\"color: #880000; font-weight: bold;\">";
			$fehlermeldung .= "Artikel '";
			$fehlermeldung .= $listenzeile ["dtArtikelDDText"];
			$fehlermeldung .= "' ist nicht in ausreichender Zahl verfgbar!</span>&nbsp;&nbsp;";
			$fehlermeldung .= "Bentigt: " . ($listenzeile ["dtAnzahlStueckliste"] * $field_new ["anzahl"]) . "&nbsp;&nbsp;";
			$fehlermeldung .= "Verfgbar: " . $anzahl . "&nbsp;&nbsp;";
			$fehlermeldung .= $shortcut_link . "<br>";
			
			$maximal_produzierbare_menge = min ( $maximal_produzierbare_menge, floor ( $anzahl / $listenzeile ["dtAnzahlStueckliste"] ) );
			
			$fehlercount ++;
		} 		

		// wenn verfgbar, berechne Stckpreis
		else {
			
			$stueckliste [$listenzeile ["fiArtikelStueckliste"]] = $listenzeile ["dtAnzahlStueckliste"] * $field_new ["anzahl"];
			$aVarianten [$listenzeile ["fiArtikelStueckliste"]] = $listenzeile ["dtArtikelStuecklisteVariante"];
			
			$query = "select * from $tblartikelstueck where fiArtikel = " . $listenzeile ["fiArtikelStueckliste"] . " and fiBeleg = 0 and fiProjekt = 0 and fiBelegVerbrauch = 0 and fiArtikelStueckVerbrauch = 0 ";
			
			if ($listenzeile ["dtArtikelStuecklisteVariante"] != "") {
				$query .= " and $tblartikelstueck.dtVariante = '" . $listenzeile ["dtArtikelStuecklisteVariante"] . "' ";
			} else {
				$query .= " and $tblartikelstueck.dtVariante = '' ";
			}
			
			$query .= " limit 0," . ($listenzeile ["dtAnzahlStueckliste"] * $field_new ["anzahl"]);
			$stuecklistenliste = get_table_array ( $query );
			
			$sQueryArtikel = $sql_query ["artikelliste"] . " AND $tblartikel.id = " . $listenzeile ["fiArtikelStueckliste"] . "";
			$aResultArtikel = get_table_array ( $sQueryArtikel );
			
			$fPreisEK = 0;
			$iProduktionsArtikel = getArtikelProduktion ( $listenzeile ["fiArtikelStueckliste"] );
			
			if ($iProduktionsArtikel == 0 && $bArtikelEinkaufBenutzeImmerLieferantenEK == 1) {
				$sQueryLieferant = $sql_query ["artikellieferantenliste"] . " AND $tblartikellieferanten.fiArtikel = " . $listenzeile ["fiArtikelStueckliste"] . " AND $tblartikellieferanten.dtLieferantIstHauptlieferant = 1";
				$sResultLieferant = get_table_array ( $sQueryLieferant );
				$fVariantenAufpreis = 0;
				
				$fPreisEK = $sResultLieferant [0] ["dtStueckPreisEK"];
				
				foreach ( $stuecklistenliste as $stuecklistenzeile_id => $artikelstueck ) {
					$aVariante = unserialize ( $artikelstueck ["dtVariante"] );
					
					if ($aVariante != "") {
						foreach ( $aVariante as $sName => $sArtikelVariantenId ) {
							if ($sArtikelVariantenId != - 1) {
								$sPosVarianteGruppe = strpos ( $sName, "_", 0 );
								$sIDVarianteGruppe = substr ( $sName, $sPosVarianteGruppe + 1 );
								
								$sQueryVariante = $sql_query ["artikelvariantenliste"] . " AND $tblartikelvarianten.fiArtikelVariantenGruppe = " . $sIDVarianteGruppe . " AND $tblartikelvarianten.dtArtikelVariantenNr = " . $sArtikelVariantenId;
								$sResultVariante = get_table_array ( $sQueryVariante );
								
								$aLieferantenInfo = unserialize ( $sResultVariante [0] ["dtArtikelVarianteLieferantenInfo"] );
								$fVariantenAufpreis += $aLieferantenInfo ["Lieferant_EK"];
							}
						}
					}
					
					$stueckliste_preis = $stueckliste_preis + $fPreisEK + $fVariantenAufpreis;
				}
			} elseif ($bArtikelProduktionBenutzeImmerLieferantenEK == 1 && $iProduktionsArtikel == 1) {
				$sQuery = $sql_query ["artikelstuecklistenliste"] . " and $tblartikelstuecklisten.fiArtikel = " . $listenzeile ["fiArtikelStueckliste"] . " and $tblartikelstuecklisten.dtArtikelVariante LIKE '" . $field_new ["dtVariante"] . "'";
				$aArtikelstueckListe = get_table_array ( $sQuery );
				
				for($i = 0; $i < count ( $aArtikelstueckListe ); $i ++) {
					$aEK = get_table_row ( "SELECT dtStueckPreisEK AS dtPreisEK FROM $tblartikellieferanten WHERE $tblartikellieferanten.fiArtikel = " . $aArtikelstueckListe [$i] ["fiArtikelStueckliste"] . " ORDER BY $tblartikellieferanten.dtLieferantIstHauptlieferant DESC LIMIT 1" );
					
					$aVarianten = unserialize ( $aArtikelstueckListe [$i] ["dtArtikelStuecklisteVariante"] );
					$fVariantenZuschlag = 0;
					
					if ($aVarianten != "") {
						foreach ( $aVarianten as $key => $value ) {
							$aVariantenInfoQuery = mysql_query ( "SELECT * FROM $tblartikelvarianten WHERE id = " . $value . "" );
							$aVarianteInfoRow = mysql_fetch_array ( $aVariantenInfoQuery );
							$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
							$fVariantenZuschlag += $aLieferantenInfo ["Lieferant_EK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"];
						}
					}
					
					$stueckliste_preis += ($aEK ["dtPreisEK"] * $aArtikelstueckListe [$i] ["dtAnzahlStueckliste"]) + $fVariantenZuschlag;
				}
			} else {
				foreach ( $stuecklistenliste as $stuecklistenzeile_id => $artikelstueck ) {
					
					$stueckliste_preis = $stueckliste_preis + $artikelstueck ["dtPreisEK"];
				}
			}
		}
	}
}

$stueckliste_preis = $stueckliste_preis / $field_new ["anzahl"];

$aArtikel ["fiArtikel"] = $id;
$aArtikel ["dtVariante"] = $field_new ["dtVariante"];

$stueckliste_preis2 = getBerechnungFuerEK ( $aArtikel );
$stueckliste_preis = $stueckliste_preis2 ["dtPreisNettoEK"];
/*
 * erzeuge neue Artikelstck
 */
$field_new ["fiArtikel"] = $id;
$field_new ["fiLieferant"] = 0;
$field_new ["dtSeriennummer"] = "";
$field_new ["fiRechnung"] = 0;
$field_new ["fiArtikelStueckVerbrauch"] = 0;
$field_new ["fiProjekt"] = 0;
$field_new ["fiBeleg"] = 0;
$field_new ["fiBelegVerbrauch"] = 0;
$field_new ["fiArtikelStueckVerbrauch"] = 0;
$field_new ["dtPreisEK"] = $stueckliste_preis;
$field_new ["dtMwstSatzEK"] = $field ["dtMwstSatzVK"];

$iArtikelTyp = getArtikelTyp ( $id );

if ($iArtikelTyp == 0) {
	if ($fehlercount == 0) {
		$anzahl = $field_new ["anzahl"];
		unset ( $field_new ["anzahl"] );
		for($n = 0; $n < $anzahl; $n ++) {
			insert_into_table ( $tblartikelstueck, $field_new );
		}
	}
} elseif ($iArtikelTyp == 1 || $iArtikelTyp == 2) {
	if ($fehlercount == 0) {
		$sQueryArtikelVorhanden = mysql_query ( "SELECT * FROM $tblartikelstueck WHERE $tblartikelstueck.fiArtikel = '" . $id . "' AND $tblartikelstueck.dtVariante LIKE '" . $field_new ["dtVariante"] . "' AND fiArtikelStueckVerbrauch = 0 AND fiProjekt = 0 AND fiProjektTaetigkeit = 0 AND fiBeleg = 0 AND fiBelegVerbrauch = 0" );
		$aResultArtikelVorhanden = mysql_fetch_array ( $sQueryArtikelVorhanden );
		
		if ($aResultArtikelVorhanden == false) {
			$anzahl = $field_new ["anzahl"];
			$field_new ["dtStueckMenge"] = $anzahl;
			insert_into_table ( $tblartikelstueck, $field_new );
		} else {
			$anzahl = $field_new ["anzahl"];
			$aResultArtikelVorhanden ["dtStueckMenge"] += $anzahl;
			$aResultArtikelVorhanden ["fiLieferant"] = 0;
			$aResultArtikelVorhanden ["fiRechnung"] = 0;
			$aResultArtikelVorhanden ["fiArtikelStueckVerbrauch"] = 0;
			$aResultArtikelVorhanden ["fiProjekt"] = 0;
			$aResultArtikelVorhanden ["fiBeleg"] = 0;
			$aResultArtikelVorhanden ["fiBelegVerbrauch"] = 0;
			$aResultArtikelVorhanden ["fiArtikelStueckVerbrauch"] = 0;
			$aResultArtikelVorhanden ["dtPreisEK"] = $field_new ["dtPreisEK"];
			$aResultArtikelVorhanden ["dtMwstSatzEK"] = $field ["dtMwstSatzVK"];
			
			update_into_table ( $tblartikelstueck, $aResultArtikelVorhanden ["id"], $aResultArtikelVorhanden );
		}
	}
}

/*
 * Markiere Artikelstck der Stckliste als verbraucht
 */
if ($fehlercount == 0) {
	if (is_array ( $stueckliste )) {
		foreach ( $stueckliste as $artikelid => $menge ) {
			
			$iArtikelTyp = getArtikelTyp ( $artikelid );
			
			if ($iArtikelTyp == 0) // Stckgut
{
				for($n = 0; $n < $menge; $n ++) {
					
					if ($aVarianten [$artikelid] != "")
						$sSqlVariante = " and $tblartikelstueck.dtVariante = '" . $aVarianten [$artikelid] . "'";
					else
						$sSqlVariante = " and $tblartikelstueck.dtVariante = ''";
					
					$query = "select * from $tblartikelstueck where fiArtikel = " . $artikelid . " and fiBeleg = 0 and fiProjekt = 0 and fiBelegVerbrauch = 0 and fiArtikelStueckVerbrauch = 0" . $sSqlVariante;
					
					$artikelstueck_row = get_table_row ( $query );
					
					$artikelstueck_row ["fiArtikelStueckVerbrauch"] = $id;
					update_into_table ( $tblartikelstueck, $artikelstueck_row ["id"], $artikelstueck_row );
				}
				
				$sSqlArtikel = $sql_query ["artikelliste"] . " and $tblartikel.id = '" . $artikelid . "'";
				$aArtikel = get_table_row ( $sSqlArtikel );
				$produktion_meldung .= "Verbrauch: " . $aArtikel ["dtEigeneArtikelNr"];
				if ($aVarianten [$artikelid] != "")
					$produktion_meldung .= getArtikelVarianteNummer ( $aVarianten [$artikelid] );
				$produktion_meldung .= " | " . $aArtikel ["dtArtikel"];
				$produktion_meldung .= ": " . $menge . " " . $aArtikel ["dtEinheit"] . "<br>";
			} elseif ($iArtikelTyp == 1) // Massengut
{
				setMassengutVerfuegbareMenge ( $artikelid, (0 - $menge), unserialize ( $aVarianten [$artikelid] ) );
				
				$sSqlArtikel = $sql_query ["artikelliste"] . " and $tblartikel.id = '" . $artikelid . "'";
				$aArtikel = get_table_row ( $sSqlArtikel );
				$produktion_meldung .= "Verbrauch: " . $aArtikel ["dtEigeneArtikelNr"];
				if ($aVarianten [$artikelid] != "")
					$produktion_meldung .= getArtikelVarianteNummer ( $aVarianten [$artikelid] );
				$produktion_meldung .= " | " . $aArtikel ["dtArtikel"];
				$produktion_meldung .= ": " . $menge . " " . $aArtikel ["dtEinheit"] . "<br>";
			}
		}
	}
}

/*
 * Gebe Meldung aus
 */
if ($fehlercount > 0) {
	$meldung = "Produktion nicht mglich: <br><br>" . $fehlermeldung;
	$meldung .= "<br>maximal produzierbare Menge: " . $maximal_produzierbare_menge;
} else {
	$meldung = "<span style=\"color: #008800; font-weight: bold;\">";
	$meldung .= "Produktion durchgefhrt. " . $anzahl . " Stck erzeugt.";
	$meldung .= "</span><br>";
	$meldung .= "<span style=\"color: #000; font-weight: normal;\">";
	$meldung .= $produktion_meldung;
	$meldung .= "</span>";
}

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td><br></td></tr>";
echo "<tr><td valign=\"top\">";

echo $meldung;

echo "</td></tr>";

echo "<tr><td><br></td></tr>";
echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
echo "</tr></table>";

/*
 * Anzeige des Formulars fr nchste Eingabe
 */
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>