<?php

// Projektfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["projekt"], "$tblbelege.fiKunde" );

// Kundefilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["kunde"], "$tblbelege.fiKunde" );

// Lieferantfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["lieferant"], "$tblbelege.fiKunde" );

// Belegfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["beleg"], "$tblbelege.fiKunde" );

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblbelege,
		$tblkontakte 
), $filter [$listenname] ["textfilter"] );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Kalkulation anzeigen

include ("$elementsordner/$subtarget/lagerartikelumsatzfilter.php");

echo "<div style=\"height: 580px; overflow: auto\">";
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";

include ("$elementsordner/$subtarget/lagerartikelumsatzformular.php");

echo "</table>";
echo "</div>";

?>