<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtIstKunde"] = ( int ) $field_new ["dtIstKunde"];
$field_new ["dtIstLieferant"] = ( int ) $field_new ["dtIstLieferant"];
$field_new ["dtIstMitarbeiter"] = ( int ) $field_new ["dtIstMitarbeiter"];
$field_new ["dtAktiv"] = ( int ) $field_new ["dtAktiv"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// Teste, ob Kontaktnr nicht schon vergeben ist
if ($id != "") {
	$query = $sql_query ["kontaktliste"] . " and $tblkontakte.dtKontaktNr = '" . $dtKontaktNr . "' and $tblkontakte.id != $id";
	$fehlertyp = "show";
} else {
	$query = $sql_query ["kontaktliste"] . " and $tblkontakte.dtKontaktNr = '" . $dtKontaktNr . "' ";
	$fehlertyp = "neu";
}
check_fehlermeldung_output ( check_unique ( $query ), 7, "Kontakt Nr.", $target, $fehlertyp, $id );

// Teste, ob Kontaktnr eine Zahl ist
check_fehlermeldung_output ( check_int ( $field_new ["dtKontaktNr"] ), 1, "Kontakt Nr.", $target, $fehlertyp, $id );

// erzeuge automatisch die Buchaltungs-Kontonummern, wenn Felder leer sind
if ($field_new ["dtBuchhaltungKontoKunde"] == "") {
	$field_new ["dtBuchhaltungKontoKunde"] = $standardbuchhaltungskonto_kunden + $field_new ["dtKontaktNr"];
}
;
if ($field_new ["dtBuchhaltungKontoLieferant"] == "") {
	$field_new ["dtBuchhaltungKontoLieferant"] = $standardbuchhaltungskonto_lieferanten + $field_new ["dtKontaktNr"];
}
;
if ($field_new ["dtBuchhaltungKontoMitarbeiter"] == "") {
	$field_new ["dtBuchhaltungKontoMitarbeiter"] = $standardbuchhaltungskonto_mitarbeiter + $field_new ["dtKontaktNr"];
}
;

check_fehlermeldung_output ( check_int ( $field_new ["dtBuchhaltungKontoKunde"] ), 1, "Buchhaltungskonto Kunde", $target, $fehlertyp, $id );
check_fehlermeldung_output ( check_int ( $field_new ["dtBuchhaltungKontoLieferant"] ), 1, "Buchhaltungskonto Lieferant", $target, $fehlertyp, $id );
check_fehlermeldung_output ( check_int ( $field_new ["dtBuchhaltungKontoMitarbeiter"] ), 1, "Buchhaltungskonto Mitarbeiter", $target, $fehlertyp, $id );

// erzeuge Feld Nummern Suche fr Volltextsuche in Telefonnummern
$nummernsuche_ersetzung_array = array (
		"/",
		".",
		",",
		"-",
		"_",
		"+",
		"(",
		")" 
);
$field_new ["dtNummernSuche"] = str_replace ( $nummernsuche_ersetzung_array, " ", $field_new ["dtTelefon"] );
$field_new ["dtNummernSuche"] .= " " . str_replace ( $nummernsuche_ersetzung_array, " ", $field_new ["dtMobil"] );
$field_new ["dtNummernSuche"] .= " " . str_replace ( $nummernsuche_ersetzung_array, " ", $field_new ["dtFax"] );

$field_new ["dtKontaktGebucht"] = 0;

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ aktualisiere ggf. Mwst Satz in Kundendaten wenn sich das Land gendert hat
if ($field_new ["dtIstKunde"] == 1 and $field_old ["fiLand"] != $field_new ["fiLand"]) {
	
	$land_query = "select * from $tbllaender where id = " . $field_new ["fiLand"];
	$land_row = get_table_row ( $land_query );
	
	$query_mwst = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = $id";
	if (get_table_count ( $query_mwst ) != 0) {
		$field_mwst = get_table_row ( $query_mwst );
	} else {
		$field_mwst ["dtMwstSatzTyp"] = 0;
	}
	
	if ($land_row ["dtIstHeimLand"] == 1 and $field_mwst ["dtMwstSatzTyp"] != 1) {
		
		$field_mwst ["dtMwstSatzTyp"] = 0;
		delete_all_from_table ( $tblmwstsatzkunden, "fiKunde", $id );
		insert_into_table ( $tblmwstsatzkunden, $field_mwst );
	} else if ($land_row ["dtIstHeimLand"] != 1 and $field_mwst ["dtMwstSatzTyp"] != 1) {
		
		$field_mwst ["dtMwstSatzTyp"] = 2;
		delete_all_from_table ( $tblmwstsatzkunden, "fiKunde", $id );
		insert_into_table ( $tblmwstsatzkunden, $field_mwst );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	$id = insert_into_table ( $tblkontakte, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblkontakte, $id, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge ggf. Personaldaten-Eintrag
$test_query = "select * from $tblpersonaldaten where fiKontaktNr = $id";
if ($field_new ["dtIstMitarbeiter"] != 0 and get_table_count ( $test_query ) == 0) {
	$field_personaldaten = array (
			"fiKontaktNr" => $id,
			"dtGeburtsdatum" => $aktdatum,
			"dtStundenMontag" => $vorgabe_sollstunden_tag,
			"dtStundenDienstag" => double_to_sql ( $vorgabe_sollstunden_tag ),
			"dtStundenMittwoch" => double_to_sql ( $vorgabe_sollstunden_tag ),
			"dtStundenDonnerstag" => double_to_sql ( $vorgabe_sollstunden_tag ),
			"dtStundenFreitag" => double_to_sql ( $vorgabe_sollstunden_tag ),
			"dtStundenSamstag" => double_to_sql ( $vorgabe_sollstunden_tag ),
			"dtStundenSonntag" => double_to_sql ( $vorgabe_sollstunden_tag ),
			"dtStundenWoche" => double_to_sql ( $vorgabe_sollstunden_woche ),
			"dtUrlaubstage" => double_to_sql ( $vorgabe_urlaub_jahr ),
			"dtGleitzeitkontoMinuten" => 0,
			"dtResturlaub" => 0,
			"dtGleitzeit" => 0,
			"dtTeilzeit" => 0,
			"dtUeberstundenMinuten" => 0,
			"dtUrlaubImMonat" => 0,
			"dtDatumEintritt" => "2030-01-01",
			"dtDatumAustritt" => "2030-01-01",
			"fiStdSatz" => 1 
	);
	
	$personaldatenid = insert_into_table ( $tblpersonaldaten, $field_personaldaten );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere ggf. mail-verteiler-Eintrge
$verteiler_query = "select * from $tblmailverteiler where fiKontakt = " . $id;
$verteiler_result = mysql_query ( $verteiler_query );
while ( $verteiler_row = mysql_fetch_array ( $verteiler_result, MYSQL_ASSOC ) ) {
	
	$anreden_query = $sql_query ["anredenliste"] . " and id = " . $field_new ["fiAnrede"];
	$anreden_row = get_table_row ( $anreden_query );
	
	$field_mailverteiler = array (
			"id" => $verteiler_row ["id"],
			"dtAdressePost" => format_name_html ( $field_new ["dtFirmenname"] . " " . $field_new ["dtNamenszusatz"] . " " . $anreden_row ["dtAnrede"] . " " . $field_new ["dtVorname"] . " " . $field_new ["dtNachname"] ),
			"dtAdresseMail" => $field_new ["dtEmail"] 
	);
	
	update_into_table ( $tblmailverteiler, $verteiler_row ["id"], $field_mailverteiler );
}

if ($bAgorumAktivieren == 1) {
	include ($include_prefix . $functionsordner . "/ext/agorum/fileTransfer.php");
	loginAgorum ();
	
	$sFilename = "Kontakt_" . $id . ".txt";
	$sFilePath = $sAgorumContentPfad;
	$sXmlFilename = "Kontakt_" . $id . ".ac.xml";
	
	$aData ["UniqueID"] ["INTEGER"] = $id;
	$aData ["Kontaktnummer"] ["STRING"] = $field_new ["dtKontaktNr"];
	$aData ["Asp_Name"] ["STRING"] = $field_new ["dtVorname"] . " " . $field_new ["dtNachname"];
	$aData ["PLZ"] ["INTEGER"] = $field_new ["dtPLZ"];
	$aData ["Ort"] ["STRING"] = $field_new ["dtOrt"];
	$aData ["Strasse"] ["STRING"] = $field_new ["dtStrasse"];
	$aData ["Telefon"] ["STRING"] = $field_new ["dtTelefon"];
	$aData ["Email"] ["STRING"] = $field_new ["dtEmail"];
	
	if ($field_new ["dtFirmenname"])
		$aData ["Firma"] ["STRING"] = $field_new ["dtFirmenname"];
	
	$aData ["Mitarbeiter"] ["INTEGER"] = $field_new ["dtIstMitarbeiter"];
	$aData ["Lieferant"] ["INTEGER"] = $field_new ["dtIstLieferant"];
	$aData ["Kunde"] ["INTEGER"] = $field_new ["dtIstKunde"];
	$aData ["Aktiv"] ["INTEGER"] = $field_new ["dtAktiv"];
	
	$oFile = new file ();
	$file = $oFile->createFile ( $sFilename );
	
	$oFileTransfer = new fileTransfer ();
	$oFileTransfer->connect ( $sFilename, $sAgorumContentPfad . $sFilename );
	
	$oXml = new xml ( $aData );
	$oXml->createXml ( $sFilename, $sXmlFilename );
	$oFileTransfer = new fileTransfer ();
	$oFileTransfer->connect ( $sXmlFilename, $sAgorumContentPfad . $sXmlFilename );
	
	unlink ( $sFilename );
	unlink ( $sXmlFilename );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Kontaktsynchronisation
synchronisiereKontakt ( $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige den Kontakt wieder
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>
