<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["gleitzeitstand_1"] );
unset ( $field_new ["gleitzeitstand_2"] );
unset ( $field_new ["gleitzeitstand_3"] );
unset ( $field_new ["gleitzeitstand_4"] );
unset ( $field_new ["urlaubsstand_1"] );
unset ( $field_new ["urlaubsstand_2"] );
unset ( $field_new ["urlaubsstand_3"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtUrlaubsanspruch"] = ( int ) $field_new ["dtUrlaubsanspruch"];
$field_new ["dtTeilzeit"] = ( int ) $field_new ["dtTeilzeit"];
$field_new ["dtGleitzeit"] = ( int ) $field_new ["dtGleitzeit"];

$field_new ["dtSyncAusERP"] = ( int ) $field_new ["dtSyncAusERP"];
$field_new ["dtSyncInERP"] = ( int ) $field_new ["dtSyncInERP"];
$field_new ["dtKontaktsyncImportiereNeue"] = ( int ) $field_new ["dtKontaktsyncImportiereNeue"];

/*
 * Checkboxen fr Zarafa Sync
 */

if ($field_new ["dtSyncAusERP"] != 1) {
	$field_new ["dtSyncInERP"] = 0;
}

if ($field_new ["dtSyncAusERP"] == 1 && $field_new ["dtSyncInERP"] == 1) {
	$field_new ["dtKontaktsyncSyncModus"] = 2;
} elseif ($field_new ["dtSyncAusERP"] == 1 && $field_new ["dtSyncInERP"] == 0) {
	$field_new ["dtKontaktsyncSyncModus"] = 1;
} else {
	$field_new ["dtKontaktsyncSyncModus"] = 0;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
$field_new ["fiKontaktNr"] = $id;

$field_new ["dtStundenMontag"] = double_to_sql ( $field_new ["dtStundenMontag"] );
$field_new ["dtStundenDienstag"] = double_to_sql ( $field_new ["dtStundenDienstag"] );
$field_new ["dtStundenMittwoch"] = double_to_sql ( $field_new ["dtStundenMittwoch"] );
$field_new ["dtStundenDonnerstag"] = double_to_sql ( $field_new ["dtStundenDonnerstag"] );
$field_new ["dtStundenFreitag"] = double_to_sql ( $field_new ["dtStundenFreitag"] );
$field_new ["dtStundenSamstag"] = double_to_sql ( $field_new ["dtStundenSamstag"] );
$field_new ["dtStundenSonntag"] = double_to_sql ( $field_new ["dtStundenSonntag"] );
$field_new ["dtStundenWoche"] = double_to_sql ( $field_new ["dtStundenWoche"] );
$field_new ["dtUrlaubstage"] = double_to_sql ( $field_new ["dtUrlaubstage"] );

$field_new ["dtGeburtsdatum"] = concat_date ( $field_new ["geburtsdatum_tag"], $field_new ["geburtsdatum_monat"], $field_new ["geburtsdatum_jahr"] );
unset ( $field_new ["geburtsdatum_tag"] );
unset ( $field_new ["geburtsdatum_monat"] );
unset ( $field_new ["geburtsdatum_jahr"] );

$field_new ["dtDatumEintritt"] = concat_date ( $field_new ["eintrittsdatum_tag"], $field_new ["eintrittsdatum_monat"], $field_new ["eintrittsdatum_jahr"] );
unset ( $field_new ["eintrittsdatum_tag"] );
unset ( $field_new ["eintrittsdatum_monat"] );
unset ( $field_new ["eintrittsdatum_jahr"] );

$field_new ["dtDatumAustritt"] = concat_date ( $field_new ["austrittsdatum_tag"], $field_new ["austrittsdatum_monat"], $field_new ["austrittsdatum_jahr"] );
unset ( $field_new ["austrittsdatum_tag"] );
unset ( $field_new ["austrittsdatum_monat"] );
unset ( $field_new ["austrittsdatum_jahr"] );

$field_new ["dtAnruferkennung"] = format_string_allowed_chars ( $field_new ["dtAnruferkennung"], array (
		"0",
		"1",
		"2",
		"3",
		"4",
		"5",
		"6",
		"7",
		"8",
		"9",
		" " 
) );

/*
 * berprfe Zarafa
 */

if ($zarafa_kontakt_sync_aktiv && $field_new ["dtSyncInERP"] > 0) {
	
	try {
		$z = new KontaktZarafa ();
		$z->Benutzername = $field_new ["dtKontaktsyncBenutzername"];
		$z->Passwort = $field_new ["dtKontaktsyncPasswort"];
		$z->Ordner = $field_new ["dtKontaktsyncOrdner"];
		$z->Server = $zarafa_sync_server;
		$z->login ();
	} 

	catch ( ZarafaLogonFailedException $e ) {
		// $fehler = new Fehler();
		// $fehler->setPredefined(47);
		// $fehler->setNext($target, $typ, $id, $subtarget, "show", $subid);
		// throw $fehler;
	} 

	catch ( ZarafaStoreOrFolderNotExists $e ) {
		// $fehler = new Fehler();
		// $fehler->setPredefined(48);
		// $fehler->setNext($target, $typ, $id, $subtarget, "show", $subid);
		// throw $fehler;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$subid = insert_into_table ( $tblpersonaldaten, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblpersonaldaten, $subid, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
