<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new = remove_id_from_post_fields ( $field_new, "__" );

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["warengruppe"] );
unset ( $field_new ["artikelnr"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// prfe, ob mindestens Artikeltext eingegeben wurden
check_fehlermeldung_output ( check_nozero ( $field_new ["Feldname"] ), 3, "Schritt", $target, $typ, $id, $subtarget, "show", $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei nderung
if ($subid != "") {
	$field_new ["fiAuftrag"] = $id;
	check_fehlermeldung_output ( check_int ( $field_new ["dtReihenfolge"] ), 1, "Pos.Nr", $target, $typ, $id, $subtarget, "show", $subid );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei Neu
if ($subid == "") {
	
	$field_new ["dtReihenfolge"] = 1000;
	$field_new ["fiAuftrag"] = $id;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$subid = insert_into_table ( $tblprojektqualitaetssicherungschritte, $field_new );
	
	$query = "select * from $tblprojektqualitaetssicherungschritte where $tblprojektqualitaetssicherungschritte.fiAuftrag = " . $id . " order by $tblprojektqualitaetssicherungschritte.dtReihenfolge";
	$liste = get_table_array ( $query );
	
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			
			$listenzeile ["dtReihenfolge"] = $listenzeile_id + 1;
			update_into_table ( $tblprojektqualitaetssicherungschritte, $listenzeile ["id"], $listenzeile );
		}
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	// +++++++++ wenn die Positionsnummer gendert wurde, dann sortiere den Artikel neu ein
	if ($field_old ["dtReihenfolge"] != $field_new ["dtReihenfolge"]) {
		$field_new ["dtReihenfolge"] = $field_new ["dtReihenfolge"] - 0.5;
	}
	;
	
	update_into_table ( $tblprojektqualitaetssicherungschritte, $subid, $field_new );
	
	// +++++++++ wenn die Positionsnummer gendert wurde, dann nehme alle Eintrge und sortiere sie mit ganzen Zahlen neu, beginnend bei 1
	if ($field_old ["dtReihenfolge"] != $field_new ["dtReihenfolge"]) {
		
		$query = "select * from $tblprojektqualitaetssicherungschritte where $tblprojektqualitaetssicherungschritte.fiAuftrag = " . $id . " order by $tblprojektqualitaetssicherungschritte.dtReihenfolge";
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				
				$listenzeile ["dtReihenfolge"] = $listenzeile_id + 1;
				update_into_table ( $tblprojektqualitaetssicherungschritte, $listenzeile ["id"], $listenzeile );
			}
		}
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
