<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtIstKunde"] = (int)$field_new["dtIstKunde"];

unset ( $field_new ["endbetrag"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte
if ($nachbearbeitung_auslassen != 1) {
	
	// Teste, ob RechnungNr nicht schon vergeben ist
	if ($id != "") {
		$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtRechnungNrIntern = '" . $dtRechnungNrIntern . "' and $tblrechnungen.id != " . $id;
		$fehlertyp = "show";
	} else {
		$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtRechnungNrIntern = '" . $dtRechnungNrIntern . "'";
		$fehlertyp = "neu";
	}
	
	check_fehlermeldung_output ( check_unique ( $query ), 7, "Rechnung Nr.", $target, $fehlertyp, $id );
	
	// Lieferant darf nicht mehr gendert werden, sobald es min. einen Rechnungsposten gibt
	if ($id != "" and $field_old ["fiLieferant"] != $field_new ["fiLieferant"]) {
		$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = " . $id;
		if (get_table_count ( $query ) != 0) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 16 );
			$fehler->setNext ( $target, $fehlertyp, $id );
			throw $fehler;
		}
	}
	
	$field_new ["dtRechnungDatum"] = concat_date ( $field_new ["datum_rechnung_tag"], $field_new ["datum_rechnung_monat"], $field_new ["datum_rechnung_jahr"] );
	unset ( $field_new ["datum_rechnung_tag"] );
	unset ( $field_new ["datum_rechnung_monat"] );
	unset ( $field_new ["datum_rechnung_jahr"] );
	
	$field_new ["dtDatumFaelligkeit"] = concat_date ( $field_new ["datum_faellig_tag"], $field_new ["datum_faellig_monat"], $field_new ["datum_faellig_jahr"] );
	unset ( $field_new ["datum_faellig_tag"] );
	unset ( $field_new ["datum_faellig_monat"] );
	unset ( $field_new ["datum_faellig_jahr"] );
	
	$field_new ["dtSkontoFaelligkeit"] = concat_date ( $field_new ["datum_skonto_faellig_tag"], $field_new ["datum_skonto_faellig_monat"], $field_new ["datum_skonto_faellig_jahr"] );
	unset ( $field_new ["datum_skonto_faellig_tag"] );
	unset ( $field_new ["datum_skonto_faellig_monat"] );
	unset ( $field_new ["datum_skonto_faellig_jahr"] );
	
	unset ( $field_new ["dtKontaktDDText"] );
}

if ($field_new ["dtSkonto"] > 0) {
	
	if ($field_new ["dtSkontoFaelligkeit"] == NULL || $field_new ["dtSkontoFaelligkeit"] == "2030-01-01") {
		check_fehlermeldung_output ( FALSE, 55, "Skonto", $target, $fehlertyp, $id );
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	$field_new ["dtGebucht"] = 0;
	$id = insert_into_table ( $tblrechnungen, $field_new );
	
	// schreibe Bilanz-Datensatz
	insert_into_table ( $tblbilanzrechnungen, array (
			"fiRechnung" => $id,
			"dtAktuell" => "0" 
	) );
	
	listeanzahl_aendern ( $tblrechnungen, 1 );
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	update_into_table ( $tblrechnungen, $id, $field_new );
	
	// schreibe Bilanz-Datensatz
	delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $id );
	insert_into_table ( $tblbilanzrechnungen, array (
			"fiRechnung" => $id,
			"dtAktuell" => "0" 
	) );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige den Beleg wieder
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>
