<?php
/*
 * conceptERP Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */

/*
 * TODO Automatische Bewertung anbieten
 */

/*
 * Include Path fr eBay Schnittstelle
 */
set_include_path ( get_include_path () . PATH_SEPARATOR . "functions/ext/riflonaEbatNs" );

require_once 'AddItemRequestType.php';
require_once 'VerifyAddItemRequestType.php';
require_once 'ReviseItemRequestType.php';
require_once 'EndItemRequestType.php';
require_once 'GetItemRequestType.php';
require_once 'GetStoreRequestType.php';
require_once 'GetSellerTransactionsRequestType.php';
require_once 'GetSellerTransactionsResponseType.php';
require_once 'ItemType.php';
require_once 'GeteBayOfficialTimeRequestType.php';
require_once 'GeteBayDetailsRequestType.php';
require_once 'EbatNs_Environment.php';

neuesKonfigurationsfeld ( $sTask . "_muster_titel", "Muster Auktionstitel. Platzhalter:\n\n%%%FABRIKAT%%% - Fabrikat\n%%%ARTIKEL%%% - Artikel", CONFIG_TYP_TEXT, "%%%FABRIKAT%%% - %%%ARTIKEL%%% TOP", $sTask );
neuesKonfigurationsfeld ( $sTask . "_paypal", "PayPaladresse", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_artikelstandort", "Artikelstandort", CONFIG_TYP_TEXT, "-- not given --", $sTask );

neuesKonfigurationsfeld ( $sTask . "_sandbox", "Sandboxmodus benutzen?", CONFIG_TYP_BOOL, true, $sTask );
neuesKonfigurationsfeld ( $sTask . "_appid", "Diese Daten kommen von eBay und sollten nicht gendert werden.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_devid", "Diese Daten kommen von eBay und sollten nicht gendert werden.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_certid", "Diese Daten kommen von eBay und sollten nicht gendert werden.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_token", "Diese Daten kommen von eBay und sollten nicht gendert werden.", CONFIG_TYP_TEXT, "", $sTask );

neuesKonfigurationsfeld ( $sTask . "_preisfeld", "In diesem Feld steht der Artikelpreis.", CONFIG_TYP_TEXT, "dtPreisVK1", $sTask );
neuesKonfigurationsfeld ( $sTask . "_widerrufsbelehrung", "Widerrufs- oder Rckgabebelehrung (kein HTML!)", CONFIG_TYP_TEXTLONG, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_versandkosten", "Versandkosten Standard, wenn Attribut Versandkosten nicht vorhanden ist.", CONFIG_TYP_DOUBLE, 4.20, $sTask );

neuesKonfigurationsfeld ( $sTask . "_zielPfadBilder", "An diesem Pfad werden Artikelbilder abgelegt.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_zielURLBilder", "ber diese URL werden die Artikelbilder bei eBay verlinkt. (Abschlieendes Slash!)", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_contentOrdner", "In diesem Content-Ordner sind die Artikelbilder gespeichert.", CONFIG_TYP_TEXT, "", $sTask );

neuesKonfigurationsfeld ( $sTask . "_artikeltemplate", "Template fr Artikelbeschreibungen. Platzhalter entsprechen den Feldnamen aus der Datenbankabfrage.", CONFIG_TYP_TEXTHTML, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_artikelImmerVerfuegbar", "Artikel sind immer verfgbar. Stckzahlen bei eBay sind immer > 400.", CONFIG_TYP_BOOL, false, $sTask );

define ( "EBAY_ARTIKEL_IMMER_VERFUEGBAR", 500 ); // Stckzahl eines Artikels wenn alle immer verfgbar sein sollen
define ( "EBAY_ARTIKEL_IMMER_VERFUEGBAR_SCHWELLE", 400 ); // Fllt die Stckzahl eines Artikels unter diesen Wert, erhhe wieder auf EBAY_ARTIKEL_IMMER_VERFUEGBAR.

define ( "EBAY_ZUSATZFELD1_ARTIKEL_NAME", "dtZusatz3Name" );
define ( "EBAY_ZUSATZFELD1_ARTIKEL_WERT", "dtZusatz3Wert" );

define ( "EBAY_ZUSATZFELD2_ARTIKEL_NAME", "dtZusatz4Name" );
define ( "EBAY_ZUSATZFELD2_ARTIKEL_WERT", "dtZusatz4Wert" );

define ( "EBAY_ZUSATZFELD1_KONTAKT_NAME", "dtZusatz1Name" );
define ( "EBAY_ZUSATZFELD1_KONTAKT_WERT", "dtZusatz1Wert" );

define ( "EBAY_ZUSATZFELD1_BELEG_NAME", "dtZusatz1Name" );
define ( "EBAY_ZUSATZFELD1_BELEG_WERT", "dtZusatz1Wert" );

define ( "EBAY_ZEITSPANNE_TRANSAKTIONEN", 3 ); // Zeitspanne in der nach Transaktionen gesucht wird

$aConfig = exportiereKonfiguration ();

$sMusterTitel = $aConfig [$sTask . "_muster_titel"];
$sPayPalAdresse = $aConfig [$sTask . "_paypal"];
$sPreisfeld = $aConfig [$sTask . "_preisfeld"];
$sArtikelStandort = $aConfig [$sTask . "_artikelstandort"];
$sWiderrufsbelehrung = $aConfig [$sTask . "_widerrufsbelehrung"];
$dVersandkosten = $aConfig [$sTask . "_versandkosten"];
$sZielpfadBilder = $aConfig [$sTask . "_zielPfadBilder"];
$sURLBilder = $aConfig [$sTask . "_zielURLBilder"];
$sContentOrdner = $aConfig [$sTask . "_contentOrdner"];
$sArtikelTemplate = $aConfig [$sTask . "_artikeltemplate"];
$bArtikelImmerVerfuegbar = $aConfig [$sTask . "_artikelImmerVerfuegbar"];

$bSandbox = $aConfig [$sTask . "_sandbox"];
$sAppId = $aConfig [$sTask . "_appid"];
$sDevId = $aConfig [$sTask . "_devid"];
$sCertId = $aConfig [$sTask . "_certid"];
$sToken = $aConfig [$sTask . "_token"];
class task_ebay extends EbatNs_Environment {
	/**
	 * Objekt konfigurieren
	 */
	public function setConfig() {
		global $bSandbox, $sAppId, $sDevId, $sCertId, $sToken;
		
		if ($bSandbox) {
			$this->session->setAppMode ( 1 );
		} else {
			$this->session->setAppMode ( 0 );
		}
		
		$this->session->setAppId ( $sAppId );
		$this->session->setDevId ( $sDevId );
		$this->session->setCertId ( $sCertId );
		$this->session->setSiteId ( 77 );
		
		$this->session->setTokenMode ( true );
		$this->session->setTokenUsePickupFile ( false );
		$this->session->setRequestToken ( $sToken );
	}
	
	/**
	 * (non-PHPdoc)
	 *
	 * @see EbatNs_Environment::init()
	 */
	public function init($logLevel = 0, $configFile) {
		if ($logLevel >= 1)
			$this->logger = new EbatNs_Logger ();
		$this->session = new EbatNs_Session ();
		$this->proxy = new EbatNs_ServiceProxy ( $this->session );
		$this->aStoreKategorien = array ();
		
		if ($this->logger)
			$this->proxy->attachLogger ( $this->logger );
	}
	
	/**
	 * (non-PHPdoc)
	 *
	 * @see EbatNs_Environment::dumpObject()
	 */
	protected function dumpObject($data) {
		print_r ( $data );
	}
	
	/**
	 * Offizielle Ebay Zeit abrufen
	 */
	public function getEbayZeit() {
		$req = new GeteBayOfficialTimeRequestType ();
		$res = $this->proxy->GeteBayOfficialTime ( $req );
		
		if ($this->testValid ( $res )) {
			$ebayzeit = strtotime ( $res->Timestamp );
			echo "Aktuelle eBay Zeit: " . date ( "d.m.Y H:i:s", $ebayzeit ) . "\n";
			return true;
		} else {
			return false;
		}
	}
	
	/**
	 *
	 *
	 * eBay Details abrufen
	 *
	 * @param string $sDetailName        	
	 */
	public function getEbayDetails($sDetailName) {
		$req = new GeteBayDetailsRequestType ( $sDetailName );
		$res = $this->proxy->GeteBayDetails ( $req );
		
		if ($this->testValid ( $res )) {
			echo "\n=====================================\neBay Detail:\n";
			$this->dumpObject ( $res );
			echo "\n=====================================\n\n";
			return true;
		} else {
			return false;
		}
	}
	
	/**
	 *
	 *
	 * Lagerartikel abrufen
	 *
	 * @param int $iArtikelId        	
	 */
	protected function getLagerartikel($iArtikelId) {
		global $tblartikel, $sql_query;
		
		$aArtikel = get_table_row ( $sql_query ["artikellisteexport"] . " and $tblartikel.id = '" . $iArtikelId . "'" );
		
		if (! $aArtikel) {
			return false;
		}
		
		$aArtikel ["Artikel_Beschreibung"] = nl2br ( $aArtikel ["Artikel_Beschreibung"] );
		$aArtikel ["dtBeschreibung2"] = nl2br ( $aArtikel ["dtBeschreibung2"] );
		$aArtikel ["dtBeschreibung3"] = nl2br ( $aArtikel ["dtBeschreibung3"] );
		$aArtikel ["dtBeschreibung4"] = nl2br ( $aArtikel ["dtBeschreibung4"] );
		$aArtikel ["dtBeschreibung5"] = nl2br ( $aArtikel ["dtBeschreibung5"] );
		
		return $aArtikel;
	}
	
	/*
	 * Varianten eines Artikels abrufen @param int $iArtikelId @return array Variantenliste
	 */
	protected function getArtikelVarianten($iArtikelId) {
		global $tblartikelvarianten, $sql_query;
		
		$sQuery = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $iArtikelId . "'";
		
		$aListe = get_table_array ( $sQuery );
		
		if (count ( $aListe ) < 1) {
			return array ();
		} else {
			return $aListe;
		}
	}
	
	/**
	 *
	 *
	 * Artikelattribute abrufen
	 *
	 * @param int $iArtikelId        	
	 * @return array
	 */
	protected function getArtikelAttribute($iArtikelId) {
		global $sql_query, $tblartikelattribute;
		
		$aAttribute = get_table_array ( $sql_query ["artikelattributliste"] . " and $tblartikelattribute.fiArtikel = " . $iArtikelId );
		return $aAttribute;
	}
	
	/**
	 *
	 *
	 * Erzeugt eine Dateiliste zum Artikel
	 *
	 * @param int $iArtikelId        	
	 * @return array
	 */
	protected function getArtikelContent($iArtikelId) {
		global $sql_query, $tblcontent, $sContentOrdner;
		$sQuery = $sql_query ["contentliste"] . " and fiArtikel like '%;" . $iArtikelId . ";%' and $tblcontent.fiContentTyp < 900";
		$aContentListe = get_table_array ( $sQuery );
		$aDateien = array ();
		
		if (count ( $aContentListe ) > 0) {
			foreach ( $aContentListe as $aContent ) {
				/*
				 * Speichere Dateipfade fr Artikel in Liste
				 */
				if (is_dir ( returnContentOrdner ( $aContent ["Content_id"] ) . "/" . $sContentOrdner )) {
					$aDateien = array_merge ( $aDateien, glob ( returnContentOrdner ( $aContent ["Content_id"] ) . "/" . $sContentOrdner . "/*" ) );
				}
			}
		}
		
		return $aDateien;
	}
	
	/**
	 * Fragt alle Kategorien vom eBay Store ab.
	 *
	 * @return array
	 */
	protected function getStoreCategorys() {
		$aListe = array ();
		
		$req = new GetStoreRequestType ();
		$req->CategoryStructureOnly = 1;
		$res = $this->proxy->GetStore ( $req );
		
		foreach ( $res->Store->CustomCategories as $aCategory ) {
			$aListe [$aCategory->CategoryID] = $aCategory->Name;
			
			if (count ( $aCategory->ChildCategory ) > 0) {
				foreach ( $aCategory->ChildCategory as $aChild ) {
					$aListe [$aChild->CategoryID] = $aChild->Name;
				}
			}
		}
		
		return $aListe;
	}
	
	/**
	 *
	 *
	 * Ruft ein benanntes Attribut von einem Artikel ab.
	 * Es muss die Ausgabe von getArtikelAttribute bergeben werden.
	 *
	 * @param string $sAttribut        	
	 * @param array $aAttribute        	
	 * @return string
	 */
	protected function getAttribut($sAttribut, $aAttribute) {
		foreach ( ( array ) $aAttribute as $aAttribut ) {
			if ($aAttribut ["dtAttributGruppeName"] == $sAttribut) {
				return $aAttribut ["dtAttributWert"];
			}
		}
		
		return false;
	}
	
	/**
	 *
	 *
	 * Exportiert einen Artikel zu eBay aus den Lagerartikeln
	 *
	 * @param int $iArtikelId        	
	 */
	protected function addItemFromLagerartikel($iArtikelId, $iWarengruppeId) {
		global $sPreisfeld, $Facet_BuyerPaymentMethodCodeType, $sPayPalAdresse;
		global $sMusterTitel, $sArtikelStandort, $sWiderrufsbelehrung, $dVersandkosten, $tblartikelstueck;
		global $sql_query, $sArtikelTemplate, $sZielpfadBilder, $sURLBilder, $bArtikelImmerVerfuegbar;
		global $tblwarengruppen, $sTask;
		
		$aArtikel = $this->getLagerartikel ( $iArtikelId );
		if (! $aArtikel) {
			return false;
		}
		
		$aDateien = $this->getArtikelContent ( $iArtikelId );
		
		echo "Exportiere Artikel " . $aArtikel ["dtArtikelDDText"] . " (" . $aArtikel ["Artikel_id"] . ") - Anzahl Dateien: " . count ( $aDateien ) . "\n";
		
		$req = new AddItemRequestType ();
		$item = new ItemType ();
		
		/*
		 * Warengruppeninformationen abrufen
		 */
		$aWarengruppe = get_table_row ( $sql_query ["warengruppenliste"] . " and $tblwarengruppen.id = '" . $iWarengruppeId . "'" );
		
		$sBeschreibungWarengruppe = $aWarengruppe ["dtWarengruppenBeschreibung"];
		$sBeschreibungWarengruppe = substr ( $sBeschreibungWarengruppe, strpos ( $sBeschreibungWarengruppe, $sTask ) );
		
		if (strpos ( $sBeschreibungWarengruppe, " " ) !== false) {
			$sBeschreibungWarengruppe = substr ( $sBeschreibungWarengruppe, 0, strpos ( $sBeschreibungWarengruppe, " " ) );
		}
		
		$iWarengruppeZuKategorie = substr ( $sBeschreibungWarengruppe, strpos ( $sBeschreibungWarengruppe, ":" ) + 1 );
		
		if (! is_numeric ( $iWarengruppeZuKategorie ) || $iWarengruppeZuKategorie < 1) {
			echo "Kann keine Warengruppenzuordnung finden... Abbruch.\n";
			return;
		}
		
		/*
		 * Zu Kategorie vom eBay-Store hinzufgen
		 */
		if (count ( $this->aStoreKategorien ) > 0) {
			if (($iStoreID = array_search ( $aWarengruppe ["dtWarengruppe"], $this->aStoreKategorien )) > 0) {
				echo "Weise Store-Kategorie '" . $iStoreID . "' ('" . $this->aStoreKategorien [$iStoreID] . "') hinzu.\n";
				$item->Storefront = new StorefrontType ();
				$item->Storefront->StoreCategoryID = $iStoreID;
			} else {
				echo "Keine Warengruppe mit dem Namen '" . $aWarengruppe ["dtWarengruppe"] . "' im eBay-Store gefunden! Ueberspringe Artikel...\n";
				return;
			}
		}
		
		/*
		 * If the seller is an eBay Store owner and wants to list the item in their storefront, the seller can optionally specify up to two custom categories defined for that storefront by using Storefront.StoreCategoryID and Storefront.Category2ID in addition to specifying the primary and secondary eBay categories.
		 */
		
		/*
		 * Titel, Whrung
		 */
		$sArtikelbezeichnung = str_replace ( array (
				"%%%FABRIKAT%%%",
				"%%%ARTIKEL%%%" 
		), array (
				$aArtikel ["dtFabrikat"],
				$aArtikel ["dtArtikel"] 
		), $sMusterTitel );
		
		$item->setTitle ( $sArtikelbezeichnung );
		$item->setCurrency ( "EUR" );
		
		/*
		 * Menge
		 */
		if (! $bArtikelImmerVerfuegbar) {
			$iMengeArtikel = get_table_count ( $sql_query ["artikelliste-verfuegbar-simple"] . " and $tblartikelstueck.fiArtikel = " . $iArtikelId );
			$item->setQuantity ( $iMengeArtikel );
			
			if ($iMengeArtikel < 1) {
				echo "Artikel nicht verfgbar! berspringe... \n\n";
				return false;
			}
		} else {
			$item->setQuantity ( EBAY_ARTIKEL_IMMER_VERFUEGBAR );
		}
		
		/*
		 * Dauer, Typ
		 */
		$item->ListingDuration = "Days_7";
		$item->ListingType = "FixedPriceItem";
		
		/*
		 * Preis
		 */
		$dPreis = $aArtikel [$sPreisfeld] + ($aArtikel [$sPreisfeld] / 100 * $aArtikel ["dtMwstSatzVK"]);
		
		if ($dPreis < 1) {
			echo "Artikel konnte nicht exportiert werden: Preis zu niedrig!\n\n";
			return;
		}
		
		$item->StartPrice = new AmountType ();
		$item->StartPrice->setTypeValue ( $dPreis );
		$item->StartPrice->setTypeAttribute ( "currencyID", "EUR" );
		
		/*
		 * Land
		 */
		$item->Country = "DE";
		$item->Location = $sArtikelStandort;
		
		/*
		 * Kategorie
		 */
		$item->PrimaryCategory = new CategoryType ();
		$item->PrimaryCategory->CategoryID = $iWarengruppeZuKategorie;
		
		/*
		 * Ebay Seite
		 */
		$item->Site = "Germany";
		
		/*
		 * Beschreibung
		 */
		
		$aReplaceFrom = array ();
		$aReplaceTo = array ();
		
		foreach ( $aArtikel as $sKey => $sValue ) {
			if (is_numeric ( $sKey ))
				continue;
			
			$aReplaceFrom [] = "%%%" . $sKey . "%%%";
			$aReplaceTo [] = $sValue;
		}
		
		$item->setDescription ( str_replace ( $aReplaceFrom, $aReplaceTo, $sArtikelTemplate ) );
		
		/*
		 * Zustand
		 */
		$item->setConditionID ( 1000 ); // Neu
		
		/*
		 * Attribute
		 */
		if (! empty ( $aArtikel ["dtArtikelEAN"] ) && check_ean13 ( $$aArtikel ["dtArtikelEAN"] )) {
			$ProductListingDetails = new ProductListingDetailsType ();
			$ProductListingDetails->setEAN ( $aArtikel ["dtArtikelEAN"] );
			$ProductListingDetails->setUseFirstProduct ( true );
			$ProductListingDetails->setListIfNoProduct ( true );
			$item->setProductListingDetails ( $ProductListingDetails );
		}
		
		/*
		 * Bild
		 */
		if (! is_writable ( $sZielpfadBilder )) {
			echo "\n\nBilder knnen nicht in '$sZielpfadBilder' gespeichert werden! Abbruch.\n\n";
			return;
		}
		
		$iIndexBild = 0;
		
		if (isset ( $aDateien [$iIndexBild] )) {
			$sDateinameNeu = $iArtikelId . "__" . $iIndexBild . "__." . returnDateiendung ( basename ( $aDateien [$iIndexBild] ) );
			copy ( $aDateien [$iIndexBild], $sZielpfadBilder . "/" . $sDateinameNeu );
			
			$PictureDetails = new PictureDetailsType ();
			$PictureDetails->addExternalPictureURL ( $sURLBilder . $sDateinameNeu );
			$item->setPictureDetails ( $PictureDetails );
		}
		
		/*
		 * Zahlungsmethoden
		 */
		$item->addPaymentMethods ( $Facet_BuyerPaymentMethodCodeType->PayPal );
		// $item->addPaymentMethods($Facet_BuyerPaymentMethodCodeType->MoneyXferAccepted);
		$item->PayPalEmailAddress = $sPayPalAdresse;
		
		/*
		 * Shipping http://developer.ebay.com/DevZone/XML/docs/Reference/eBay/types/ShippingServiceOptionsType.html
		 */
		
		if (! ($versand = $this->getAttribut ( "Versandkosten", $this->getArtikelAttribute ( $iArtikelId ) ))) {
			$versand = $dVersandkosten;
		}
		
		$item->addShipToLocations ( "DE" );
		
		$ShippingServiceOptions = new ShippingServiceOptionsType ();
		$ShippingServiceOptions->setShippingService ( "DE_Paket" );
		$ShippingServiceOptions->setFreeShipping ( 0 );
		$ShippingServiceOptions->setShippingServiceCost ( $versand );
		$ShippingServiceOptions->setShippingServiceAdditionalCost ( 0 );
		$ShippingServiceOptions->setShippingServicePriority ( 1 );
		$ShippingServiceOptions->setShippingTimeMin ( 2 );
		$ShippingServiceOptions->setShippingTimeMax ( 3 );
		
		$ShippingDetails = new ShippingDetailsType ();
		$ShippingDetails->setShippingType ( "Flat" );
		$ShippingDetails->addShippingServiceOptions ( $ShippingServiceOptions );
		
		$item->setDispatchTimeMax ( 1 );
		$item->setShippingDetails ( $ShippingDetails );
		
		/*
		 * Rckgabe
		 */
		$ReturnPolicy = new ReturnPolicyType ();
		$ReturnPolicy->setDescription ( $sWiderrufsbelehrung );
		$ReturnPolicy->setReturnsAcceptedOption ( "ReturnsAccepted" );
		$ReturnPolicy->setReturnsWithin ( "Days_14" );
		$ReturnPolicy->setRefundOption ( "MoneyBack" );
		$ReturnPolicy->setShippingCostPaidByOption ( "Buyer" );
		$item->setReturnPolicy ( $ReturnPolicy );
		
		$req = new AddItemRequestType ();
		$req->Item = $item;
		$res = $this->proxy->AddItem ( $req );
		// $res = $this->proxy->VerifyAddItem($req);
		
		if ($res->ItemID) {
			return $res->ItemID;
		} else {
			echo "\nFehler sind aufgetreten:\n";
			var_dump ( $res );
			return false;
		}
	}
	
	/**
	 *
	 *
	 * Angebot abrufen
	 *
	 * @param int $iEbayId        	
	 */
	protected function getItem($iEbayId) {
		$req = new GetItemRequestType ();
		$req->setItemID ( $iEbayId );
		$res = $this->proxy->GetItem ( $req );
		return $res;
	}
	
	/**
	 *
	 *
	 * Angebot beenden
	 *
	 * @param unknown_type $iEbayId        	
	 */
	protected function unlistItem($iEbayId) {
		$req = new EndItemRequestType ();
		$req->setItemID ( $iEbayId );
		$req->setEndingReason ( "NotAvailable" );
		$res = $this->proxy->EndItem ( $req );
		return $res;
	}
	
	/**
	 *
	 *
	 * Eine alte ItemID speichern um spter Transaktionen zuordnen zu knnen.
	 *
	 * @param int $iArtikelId        	
	 * @param int $iItemId        	
	 */
	protected function addOldItemIdToArray($iArtikelId, $iItemId) {
		global $tblartikel, $sTask;
		
		$aArtikel = $this->getLagerartikel ( $iArtikelId );
		if (! $aArtikel) {
			return false;
		}
		
		$aArtikelNeu = array ();
		
		if (! ($aIds = unserialize ( $aArtikel [EBAY_ZUSATZFELD2_ARTIKEL_WERT] ))) {
			$aArtikelNeu [EBAY_ZUSATZFELD2_ARTIKEL_NAME] = $sTask . "_alteItemIds";
			$aIds = array ();
		}
		
		$aIds [] = $iItemId;
		
		$aArtikelNeu [EBAY_ZUSATZFELD2_ARTIKEL_WERT] = serialize ( $aIds );
		
		update_into_table ( $tblartikel, $iArtikelId, $aArtikelNeu );
	}
	
	/**
	 *
	 *
	 * Aktualisiert eBay Listings
	 *
	 * @param int $iArtikelId        	
	 */
	protected function updateItemFromLagerartikel($iArtikelId) {
		global $sPreisfeld, $Facet_BuyerPaymentMethodCodeType, $sPayPalAdresse;
		global $sMusterTitel, $sArtikelStandort, $sWiderrufsbelehrung, $dVersandkosten, $tblartikelstueck;
		global $sql_query, $sArtikelTemplate, $sZielpfadBilder, $sURLBilder, $bArtikelImmerVerfuegbar, $tblartikel;
		
		$bAenderung = false;
		
		$aArtikel = $this->getLagerartikel ( $iArtikelId );
		if (! $aArtikel) {
			return false;
		}
		
		$itemold = $this->getItem ( $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] );
		$iItemVerfuegbar = $itemold->Item->Quantity - $itemold->Item->SellingStatus->QuantitySold;
		
		echo "Aktualisiere Angebot " . $aArtikel ["dtArtikelDDText"] . " (" . $aArtikel ["Artikel_id"] . ") - Anzahl Dateien: " . count ( $aDateien ) . " - eBay ID: " . $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] . " - Stck verfgbar: " . $iItemVerfuegbar . "\n";
		
		/*
		 * Artikel im ERP nicht mehr aktiv?
		 */
		if ($aArtikel ["dtArtikelAktiv"] != 1) {
			echo "Artikel nicht mehr aktiv, entferne Angebot und Zuordnung...\n";
			
			$this->unlistItem ( $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] );
			$this->addOldItemIdToArray ( $iArtikelId, $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] );
			
			$aArtikelNeu = array ();
			$aArtikelNeu [EBAY_ZUSATZFELD1_ARTIKEL_WERT] = "";
			update_into_table ( $tblartikel, $iArtikelId, $aArtikelNeu );
			
			return true;
		}
		
		/*
		 * Angebot noch aktiv? - Inaktive Angebote knnen nicht bearbeitet werden.
		 */
		if ($itemold->Item->SellingStatus->ListingStatus != "Active") {
			echo "Angebot nicht mehr aktiv. Entferne Zuordnung...\n";
			
			$this->addOldItemIdToArray ( $iArtikelId, $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] );
			
			$aArtikelNeu = array ();
			$aArtikelNeu [EBAY_ZUSATZFELD1_ARTIKEL_WERT] = "";
			update_into_table ( $tblartikel, $iArtikelId, $aArtikelNeu );
			
			return true;
		}
		
		/*
		 * Request starten
		 */
		$req = new ReviseItemRequestType ();
		$item = new ItemType ();
		$item->ItemID = $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT];
		
		/*
		 * Stckzahl anpassen
		 */
		if ($bArtikelImmerVerfuegbar) {
			if ($iItemVerfuegbar < EBAY_ARTIKEL_IMMER_VERFUEGBAR_SCHWELLE) {
				echo "Artikelstckzahl unter Schwellenwert, setze wieder hoch...\n";
				$item->setQuantity ( EBAY_ARTIKEL_IMMER_VERFUEGBAR + $itemold->Item->SellingStatus->QuantitySold );
				$bAenderung = true;
			}
		} else {
			$iMengeArtikel = get_table_count ( $sql_query ["artikelliste-verfuegbar-simple"] . " and $tblartikelstueck.fiArtikel = " . $iArtikelId );
			
			if ($iMengeArtikel < 1) {
				/*
				 * Artikel nicht mehr verfgbar, Listing entfernen
				 */
				
				echo "Artikel nicht mehr verfgbar, entferne Angebot...\n";
				
				$this->addOldItemIdToArray ( $iArtikelId, $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] );
				$this->unlistItem ( $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] );
				
				$aArtikelNeu = array ();
				$aArtikelNeu [EBAY_ZUSATZFELD1_ARTIKEL_WERT] = "";
				update_into_table ( $tblartikel, $iArtikelId, $aArtikelNeu );
				
				if (! $this->testValid ( $res )) {
					echo "\Angebot konnte nicht entfernt werden!\n";
					return false;
				} else {
					return true;
				}
			} else {
				if ($iItemVerfuegbar > 0) {
					if ($itemold->Item->Quantity != $iMengeArtikel) {
						echo "Passe Artikelstckzahl an...\n";
						$item->setQuantity ( $iMengeArtikel );
						$bAenderung = true;
					}
				}
			}
		}
		
		/*
		 * nderungen senden
		 */
		if ($bAenderung) {
			$req->setItem ( $item );
			$res = $this->proxy->ReviseItem ( $req );
			print_r ( $res );
		} else {
			echo "Keine nderungen notwendig...\n";
			return false;
		}
	}
	
	/**
	 * - Neue Artikel hinzufgen
	 * - Bestehende Artikel ggf.
	 * aktualisieren
	 */
	public function updateAndInsertArticles() {
		global $sql_query, $tbltaskplaner, $sTask, $tblartikel, $tblartikelwarengruppenalternativ;
		
		$this->aStoreKategorien = $this->getStoreCategorys ();
		
		$aWarengruppeIdExport = array ();
		$aWarengruppeNameExport = array ();
		$aTask = get_table_row ( $sql_query ["taskplanerliste"] . " and $tbltaskplaner.dtTaskName = '" . $sTask . "'" ); // Informationen ber den Task
		
		/*
		 * Sammle IDs der Warengruppen die fr diesen Task in Frage kommen
		 */
		$aListeWarengruppen = get_table_array ( $sql_query ["warengruppenliste"] );
		
		if (count ( $aListeWarengruppen ) > 0) {
			foreach ( $aListeWarengruppen as $aWarengruppe ) {
				if (! empty ( $aWarengruppe ["dtWarengruppeExportziele"] )) {
					$aExport = unserialize ( $aWarengruppe ["dtWarengruppeExportziele"] );
					
					if (array_search ( $aTask ["Taskplaner_id"], $aExport ) !== false) {
						$aWarengruppeIdExport [] = $aWarengruppe ["Warengruppe_id"];
						$aWarengruppeNameExport [] = $aWarengruppe ["dtWarengruppe"];
					}
				}
			}
		}
		
		if (count ( $aWarengruppeIdExport ) > 0) {
			echo "Exportiere folgende Warengruppen: " . join ( ", ", $aWarengruppeNameExport ) . "\n\n";
		} else {
			echo "Keine Warengruppen zum Export verfuegbar.\n";
			return;
		}
		
		/*
		 * Verarbeite Artikel in ausgewhlten Warengruppen
		 */
		$sQueryWG = $sql_query ["artikellisteexport"] . " and ( $tblartikel.fiWarengruppe = " . join ( " OR $tblartikel.fiWarengruppe = ", $aWarengruppeIdExport ) . " )";
		$sQueryAltWG = $sql_query ["artikelwarengruppenalternativliste"] . " and ( $tblartikelwarengruppenalternativ.fiWarengruppe = " . join ( " OR $tblartikelwarengruppenalternativ.fiWarengruppe = ", $aWarengruppeIdExport ) . " )";
		$aArtikelInWarengruppen = array_merge ( ( array ) get_table_array ( $sQueryWG ), ( array ) get_table_array ( $sQueryAltWG ) );
		if (count ( $aArtikelInWarengruppen ) > 0) {
			foreach ( $aArtikelInWarengruppen as $aArtikel ) {
				if ($aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_NAME] != $sTask || $aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] == "") {
					if ($aArtikel ["dtArtikelAktiv"] == 1) {
						$iItemId = $this->addItemFromLagerartikel ( $aArtikel ["Artikel_id"], $aArtikel ["Warengruppe_id"] );
						if ($iItemId) {
							$aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_NAME] = $sTask;
							$aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] = $iItemId;
							update_into_table ( $tblartikel, $aArtikel ["Artikel_id"], $aArtikel );
						}
						
						echo "\n\n";
					}
				} else {
					$this->updateItemFromLagerartikel ( $aArtikel ["Artikel_id"] );
					
					echo "\n\n";
				}
			}
		} else {
			echo "Keine Artikel zum Exportieren verfuegbar.\n";
			return;
		}
	}
	
	/**
	 *
	 *
	 * Belegdruckinfos zum neuen Beleg anlegen
	 *
	 * @param int $iBelegId        	
	 */
	protected function addBelegDruckinfos($iBelegId, $iKundeId) {
		global $sql_query, $tbldokumentlayout, $standard_layout_angebot, $standard_layout_auftragsanfrage, $standard_layout_auftragsbestaetigung;
		global $standard_layout_lieferschein, $standard_layout_rechnung, $standard_layout_mahnung, $standard_layout_stornierung;
		global $tblbelege, $tblkontaktebelegadressen, $tblbelegdruckinfo;
		
		$field_belegdruckinfo = array ();
		$field_belegdruckinfo ["fiBeleg"] = $iBelegId;
		
		// setze zunchst alle Felder auf Leer
		$field_belegdruckinfo ["dtAlternativFirma"] = "";
		$field_belegdruckinfo ["dtAlternativZusatz"] = "";
		$field_belegdruckinfo ["fiAlternativAnrede"] = 1;
		$field_belegdruckinfo ["dtAlternativVorname"] = "";
		$field_belegdruckinfo ["dtAlternativNachname"] = "";
		$field_belegdruckinfo ["fiAlternativASP"] = 0;
		$field_belegdruckinfo ["dtAlternativASP"] = "";
		$field_belegdruckinfo ["dtAlternativStrasse"] = "";
		$field_belegdruckinfo ["dtAlternativPLZ"] = "";
		$field_belegdruckinfo ["dtAlternativOrt"] = "";
		$field_belegdruckinfo ["fiAlternativLand"] = 0;
		$field_belegdruckinfo ["dtEmailEmpfaenger"] = "";
		$field_belegdruckinfo ["dtAlternativAdresseVererben"] = 0;
		$field_belegdruckinfo ["dtZusatzInfofeldVererben"] = 0;
		
		// nehme Standard Beleg-texte
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_angebot";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayAngebot"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_auftragsanfrage";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayAuftragsanfrage"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_auftragsbestaetigung";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayAuftragsbestaetigung"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_lieferschein";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayLieferschein"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_rechnung";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayRechnung"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_mahnung";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayMahnung"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = $standard_layout_stornierung";
		$field_temp = $row = get_table_row ( $query );
		unset ( $field_temp ["BelegTexte_id"] );
		unset ( $field_temp ["dtDokumentName"] );
		unset ( $field_temp ["dtTextbausteine"] );
		$field_belegdruckinfo ["dtTexteArrayStornierung"] = serialize ( array_merge ( $field_temp, ( array ) unserialize ( $row ["dtTextbausteine"] ) ) );
		
		// suche in den letzten 3 Belegen dieses Kunden nach Vererbungen und berschreibe damit die Standard-Texte (Limit ist 4, weil der aktuelle neue Beleg mit gefunden wird)
		$query = $sql_query ["belegliste"] . " and $tblbelege.fiKunde = " . $iKundeId . " order by $tblbelege.dtAngebotDatum desc, $tblbelege.id desc limit 0,4";
		$liste = get_table_array ( $query );
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $listenzeile ) {
				if ($listenzeile ["Beleg_id"] != $iBelegId) {
					
					// hole Druckinfos des alten Beleges
					$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $listenzeile ["Beleg_id"];
					$field_belegdruckinfo_alt = get_table_row ( $query );
					
					// suche nach Vererbungen in alternativer Belegadresse
					if ($field_belegdruckinfo_alt ["dtAlternativAdresseVererben"] == 1 and $altadresse_vererbt == 0) {
						$field_belegdruckinfo ["dtAlternativFirma"] = $field_belegdruckinfo_alt ["dtAlternativFirma"];
						$field_belegdruckinfo ["dtAlternativZusatz"] = $field_belegdruckinfo_alt ["dtAlternativZusatz"];
						$field_belegdruckinfo ["fiAlternativAnrede"] = $field_belegdruckinfo_alt ["fiAlternativAnrede"];
						$field_belegdruckinfo ["dtAlternativVorname"] = $field_belegdruckinfo_alt ["dtAlternativVorname"];
						$field_belegdruckinfo ["dtAlternativNachname"] = $field_belegdruckinfo_alt ["dtAlternativNachname"];
						$field_belegdruckinfo ["fiAlternativASP"] = $field_belegdruckinfo_alt ["fiAlternativASP"];
						$field_belegdruckinfo ["dtAlternativASP"] = $field_belegdruckinfo_alt ["dtAlternativASP"];
						$field_belegdruckinfo ["dtAlternativStrasse"] = $field_belegdruckinfo_alt ["dtAlternativStrasse"];
						$field_belegdruckinfo ["dtAlternativPLZ"] = $field_belegdruckinfo_alt ["dtAlternativPLZ"];
						$field_belegdruckinfo ["dtAlternativOrt"] = $field_belegdruckinfo_alt ["dtAlternativOrt"];
						$field_belegdruckinfo ["fiAlternativLand"] = $field_belegdruckinfo_alt ["fiAlternativLand"];
						$field_belegdruckinfo ["dtEmailEmpfaenger"] = $field_belegdruckinfo_alt ["dtEmailEmpfaenger"];
						$field_belegdruckinfo ["dtAlternativAdresseVererben"] = $field_belegdruckinfo_alt ["dtAlternativAdresseVererben"];
						$altadresse_vererbt = 1;
					}
					
					// suche nach Vererbungen in Lieferadresse
					if ($field_belegdruckinfo_alt ["dtLieferungAdresseVererben"] == 1 and $lieferadresse_vererbt == 0) {
						$field_belegdruckinfo ["dtLieferungFirma"] = $field_belegdruckinfo_alt ["dtLieferungFirma"];
						$field_belegdruckinfo ["dtLieferungZusatz"] = $field_belegdruckinfo_alt ["dtLieferungZusatz"];
						$field_belegdruckinfo ["fiLieferungAnrede"] = $field_belegdruckinfo_alt ["fiLieferungAnrede"];
						$field_belegdruckinfo ["dtLieferungVorname"] = $field_belegdruckinfo_alt ["dtLieferungVorname"];
						$field_belegdruckinfo ["dtLieferungNachname"] = $field_belegdruckinfo_alt ["dtLieferungNachname"];
						$field_belegdruckinfo ["fiLieferungASP"] = $field_belegdruckinfo_alt ["fiLieferungASP"];
						$field_belegdruckinfo ["dtLieferungASP"] = $field_belegdruckinfo_alt ["dtLieferungASP"];
						$field_belegdruckinfo ["dtLieferungStrasse"] = $field_belegdruckinfo_alt ["dtLieferungStrasse"];
						$field_belegdruckinfo ["dtLieferungPLZ"] = $field_belegdruckinfo_alt ["dtLieferungPLZ"];
						$field_belegdruckinfo ["dtLieferungOrt"] = $field_belegdruckinfo_alt ["dtLieferungOrt"];
						$field_belegdruckinfo ["fiLieferungLand"] = $field_belegdruckinfo_alt ["fiLieferungLand"];
						$field_belegdruckinfo ["dtLieferungAdresseDrucken"] = $field_belegdruckinfo_alt ["dtLieferungAdresseDrucken"];
						$field_belegdruckinfo ["dtLieferungAdresseVererben"] = $field_belegdruckinfo_alt ["dtLieferungAdresseVererben"];
						$lieferadresse_vererbt = 1;
					}
					
					// suche nach Vererbungen in zustzlichen Infofeldern
					if ($field_belegdruckinfo_alt ["dtZusatzInfofeldVererben"] == 1 and $zusinfofelder_vererbt == 0) {
						$field_belegdruckinfo ["dtZusatzInfofeld1Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld1Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld1Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld1Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld2Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld2Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld2Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld2Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld3Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld3Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld3Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld3Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld4Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld4Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld4Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld4Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeld5Name"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld5Name"];
						$field_belegdruckinfo ["dtZusatzInfofeld5Wert"] = $field_belegdruckinfo_alt ["dtZusatzInfofeld5Wert"];
						$field_belegdruckinfo ["dtZusatzInfofeldDrucken"] = $field_belegdruckinfo_alt ["dtZusatzInfofeldDrucken"];
						$field_belegdruckinfo ["dtZusatzInfofeldVererben"] = $field_belegdruckinfo_alt ["dtZusatzInfofeldVererben"];
						$zusinfofelder_vererbt = 1;
					}
					
					// suche nach Vererbungen in Texten
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayAngebot"] );
					if ($field_temp ["dtTextVererben"] == 1 and $angebot_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayAngebot"] = $field_belegdruckinfo_alt ["dtTexteArrayAngebot"];
						$angebot_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayAuftragsanfrage"] );
					if ($field_temp ["dtTextVererben"] == 1 and $auftragsanfrage_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayAuftragsanfrage"] = $field_belegdruckinfo_alt ["dtTexteArrayAuftragsanfrage"];
						$auftragsanfrage_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayAuftragsbestaetigung"] );
					if ($field_temp ["dtTextVererben"] == 1 and $auftragsbestaetigung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayAuftragsbestaetigung"] = $field_belegdruckinfo_alt ["dtTexteArrayAuftragsbestaetigung"];
						$auftragsbestaetigung_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayLieferschein"] );
					if ($field_temp ["dtTextVererben"] == 1 and $lieferschein_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayLieferschein"] = $field_belegdruckinfo_alt ["dtTexteArrayLieferschein"];
						$lieferschein_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayRechnung"] );
					if ($field_temp ["dtTextVererben"] == 1 and $rechnung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayRechnung"] = $field_belegdruckinfo_alt ["dtTexteArrayRechnung"];
						$rechnung_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayMahnung"] );
					if ($field_temp ["dtTextVererben"] == 1 and $mahnung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayMahnung"] = $field_belegdruckinfo_alt ["dtTexteArrayMahnung"];
						$mahnung_texte_vererben = 1;
					}
					
					$field_temp = unserialize ( $field_belegdruckinfo_alt ["dtTexteArrayStornierung"] );
					if ($field_temp ["dtTextVererben"] == 1 and $stornierung_texte_vererben == 0) {
						$field_belegdruckinfo ["dtTexteArrayStornierung"] = $field_belegdruckinfo_alt ["dtTexteArrayStornierung"];
						$stornierung_texte_vererben = 1;
					}
					
					// Drucklayouts vererben
					if ($field_belegdruckinfo_alt ["dtBelegDrucklayoutVererben"] == 1 && ! $druckinfo_layout_vererbt) {
						$field_belegdruckinfo ["dtBelegDrucklayout"] = $field_belegdruckinfo_alt ["dtBelegDrucklayout"];
						$field_belegdruckinfo ["dtBelegDrucklayoutVererben"] = $field_belegdruckinfo_alt ["dtBelegDrucklayoutVererben"];
						$druckinfo_layout_vererbt = true;
					}
				}
			}
		}
		
		/*
		 * Kundenbelegadresse bernehmen wenn keine Belegadressen vererbt wurden
		 */
		// Belegadresse
		$query_belegadressen = $sql_query ["kontaktbelegadressenliste"] . " and $tblkontaktebelegadressen.fiKontakt = " . $iKundeId;
		
		if (get_table_count ( $query_belegadressen ) > 0) {
			$aBelegadresse = get_table_row ( $query_belegadressen );
			
			if (! $altadresse_vererbt) {
				$field_belegdruckinfo ["dtAlternativFirma"] = $aBelegadresse ["dtBelegFirma"];
				$field_belegdruckinfo ["dtAlternativZusatz"] = $aBelegadresse ["dtBelegZusatz"];
				$field_belegdruckinfo ["fiAlternativAnrede"] = $aBelegadresse ["fiBelegAnrede"];
				$field_belegdruckinfo ["dtAlternativVorname"] = $aBelegadresse ["dtBelegVorname"];
				$field_belegdruckinfo ["dtAlternativNachname"] = $aBelegadresse ["dtBelegNachname"];
				$field_belegdruckinfo ["fiAlternativASP"] = $aBelegadresse ["fiBelegASP"];
				$field_belegdruckinfo ["dtAlternativASP"] = $aBelegadresse ["dtBelegASP"];
				$field_belegdruckinfo ["dtAlternativStrasse"] = $aBelegadresse ["dtBelegStrasse"];
				$field_belegdruckinfo ["dtAlternativPLZ"] = $aBelegadresse ["dtBelegPLZ"];
				$field_belegdruckinfo ["dtAlternativOrt"] = $aBelegadresse ["dtBelegOrt"];
				$field_belegdruckinfo ["fiAlternativLand"] = $aBelegadresse ["fiBelegLand"];
			}
			
			// Lieferadresse
			if (! $lieferadresse_vererbt) {
				$field_belegdruckinfo ["dtLieferungFirma"] = $aBelegadresse ["dtLieferungFirma"];
				$field_belegdruckinfo ["dtLieferungZusatz"] = $aBelegadresse ["dtLieferungZusatz"];
				$field_belegdruckinfo ["fiLieferungAnrede"] = $aBelegadresse ["fiLieferungAnrede"];
				$field_belegdruckinfo ["dtLieferungVorname"] = $aBelegadresse ["dtLieferungVorname"];
				$field_belegdruckinfo ["dtLieferungNachname"] = $aBelegadresse ["dtLieferungNachname"];
				$field_belegdruckinfo ["fiLieferungASP"] = $aBelegadresse ["fiLieferungASP"];
				$field_belegdruckinfo ["dtLieferungASP"] = $aBelegadresse ["dtLieferungASP"];
				$field_belegdruckinfo ["dtLieferungStrasse"] = $aBelegadresse ["dtLieferungStrasse"];
				$field_belegdruckinfo ["dtLieferungPLZ"] = $aBelegadresse ["dtLieferungPLZ"];
				$field_belegdruckinfo ["dtLieferungOrt"] = $aBelegadresse ["dtLieferungOrt"];
				$field_belegdruckinfo ["fiLieferungLand"] = $aBelegadresse ["fiLieferungLand"];
			}
		}
		
		// schreibe Beleg-Druck-Infos
		insert_into_table ( $tblbelegdruckinfo, $field_belegdruckinfo );
	}
	
	/**
	 * Einkufe abrufen und Belege erzeugen
	 */
	public function getTransactions() {
		global $Facet_DetailLevelCodeType, $sTask, $standard_zahlart_belege, $standardLieferart, $tblkontakte, $sql_query;
		global $standardbuchhaltungskonto_kunden, $standardbuchhaltungskonto_lieferanten, $standardbuchhaltungskonto_mitarbeiter, $tbllaender;
		global $tblbelege, $tblartikel, $tblartikelstuecknegativ, $tblbelegmaterialposten, $standardbuchhaltungskonto_belegmaterialposten;
		global $tblartikelstueck, $tblbilanzbelege;
		
		$iNow = time ();
		$iStart = $iNow - (3600 * 24 * EBAY_ZEITSPANNE_TRANSAKTIONEN);
		$iEnd = $iStart + (3600 * 24 * EBAY_ZEITSPANNE_TRANSAKTIONEN);
		
		$req = new GetSellerTransactionsRequestType ();
		$req->setModTimeFrom ( gmdate ( "Y-m-d H:i:s", $iStart ) );
		$req->setModTimeTo ( gmdate ( "Y-m-d H:i:s", $iEnd ) );
		
		$req->addDetailLevel ( $Facet_DetailLevelCodeType->ReturnAll );
		
		$res = $this->proxy->GetSellerTransactions ( $req );
		
		if (! $this->testValid ( $res )) {
			echo "Ein Fehler ist beim Abrufen der Transaktionen aufgetreten!\n";
			return;
		}
		
		if (count ( $res->TransactionArray ) < 1) {
			echo "Es sind keine Transaktionen vorhanden!\n";
			return false;
		}
		
		foreach ( $res->TransactionArray as $iTransaktionNummer => $oTransaktion ) {
			
			if (get_table_count ( $sql_query ["belegliste"] . " and $tblbelege." . EBAY_ZUSATZFELD1_BELEG_NAME . " = '" . $sTask . "' and $tblbelege." . EBAY_ZUSATZFELD1_BELEG_WERT . " = '" . $oTransaktion->TransactionID . "'" ) > 0) {
				echo "berspringe Transaktion " . $oTransaktion->TransactionID . ": Bereits bekannt!\n";
				continue;
			}
			
			echo "Erzeuge neuen Beleg...\n";
			
			/*
			 * Benutzername: $oTransaktion->Buyer->UserID Name: $oTransaktion->Buyer->BuyerInfo->Name Strasse: $oTransaktion->Buyer->BuyerInfo->Street1 PLZ: $oTransaktion->Buyer->BuyerInfo->PostalCode Ort: $oTransaktion->Buyer->BuyerInfo->CityName Land: $oTransaktion->Buyer->BuyerInfo->CountryName E-Mail: $oTransaktion->Buyer->BuyerInfo->Email ItemID: $oTransaktion->Item->ItemID Stck: $oTransaktion->QuantityPurchased Preis / Stck: $oTransaktion->TransactionPrice->value
			 */
			
			echo "=================\n";
			echo "ItemID: " . $oTransaktion->Item->ItemID . "\n";
			echo "TransactionID: " . $oTransaktion->TransactionID . "\n\n";
			echo "Benutzer: " . $oTransaktion->Buyer->UserID . "\n";
			echo "Name: " . $oTransaktion->Buyer->BuyerInfo->ShippingAddress->Name . "\n";
			echo "Str.: " . $oTransaktion->Buyer->BuyerInfo->ShippingAddress->Street1 . "\n";
			echo "PLZ: " . $oTransaktion->Buyer->BuyerInfo->ShippingAddress->PostalCode . "\n";
			echo "Ort: " . $oTransaktion->Buyer->BuyerInfo->ShippingAddress->CityName . "\n";
			echo "Land: " . $oTransaktion->Buyer->BuyerInfo->ShippingAddress->CountryName . "\n";
			echo "E-Mail: " . $oTransaktion->Buyer->Email . "\n";
			echo "Datum: " . date ( "d.m.Y", strtotime ( $oTransaktion->CreatedDate ) ) . "\n";
			echo $oTransaktion->QuantityPurchased . " * " . $oTransaktion->TransactionPrice->value . " Euro\n\n\n";
			
			$iTimeCreated = strtotime ( $oTransaktion->CreatedDate );
			
			/*
			 * Beleg anlegen
			 */
			
			$aBeleg = array ();
			$aBeleg ["dtBelegNr"] = belegnummer_neu ();
			$aBeleg ["dtAngebotDatum"] = date ( "Y-m-d", $iTimeCreated );
			$aBeleg ["dtAuftragDatum"] = date ( "Y-m-d", $iTimeCreated );
			$aBeleg ["dtLieferungDatum"] = date ( "Y-m-d", $iTimeCreated );
			$aBeleg ["dtRechnungDatum"] = date ( "Y-m-d", $iTimeCreated );
			$aBeleg ["dtMahnungDatum"] = "2030-01-01";
			$aBeleg ["dtStornierungDatum"] = "2030-01-01";
			$aBeleg ["dtDatumFaelligkeit"] = date ( "Y-m-d", $iTimeCreated );
			$aBeleg ["dtAnzeigeDatum"] = date ( "Y-m-d", $iTimeCreated );
			$aBeleg ["fiKundeAnsprechpartner"] = "0";
			$aBeleg ["fiEndkunde"] = "0";
			$aBeleg ["fiEndkundeAnsprechpartner"] = "0";
			$aBeleg ["fiProjekt"] = "0";
			$aBeleg ["dtGebucht"] = "0";
			$aBeleg ["dtBezeichnung"] = $sTask . ": automatisch erzeugter Beleg\nEinkauf von eBay User " . $oTransaktion->Buyer->UserID;
			$aBeleg ["fiStatus"] = 3;
			$aBeleg [EBAY_ZUSATZFELD1_BELEG_NAME] = $sTask;
			$aBeleg [EBAY_ZUSATZFELD1_BELEG_WERT] = $oTransaktion->TransactionID;
			$aBeleg ["fiZahlart"] = $standard_zahlart_belege;
			$aBeleg ["fiLieferart"] = $standardLieferart;
			
			/*
			 * Kunde suchen
			 */
			$aKunde = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte." . EBAY_ZUSATZFELD1_KONTAKT_NAME . " = '" . $sTask . "' and $tblkontakte." . EBAY_ZUSATZFELD1_KONTAKT_WERT . " = '" . $oTransaktion->Buyer->UserID . "'" );
			
			if ($aKunde) {
				echo "Zuordnung zu Kunde ID: " . $aKunde ["Kontakte_id"] . "\n";
				$aBeleg ["fiKunde"] = $aKunde ["Kontakte_id"];
			} else {
				echo "Erstelle neuen Kunden...\n";
				
				$aKontakt = array ();
				$aKontakt ["dtIstKunde"] = 1;
				$aKontakt ["dtAktiv"] = 1;
				$aKontakt ["dtLetzteAenderung"] = date ( "Y-m-d H:i:s" );
				$aKontakt ["dtKontaktNr"] = kontaktnummer_neu ();
				
				// erzeuge automatisch die Buchaltungs-Kontonummern, wenn Felder leer sind
				if ($aKontakt ["dtBuchhaltungKontoKunde"] == "") {
					$aKontakt ["dtBuchhaltungKontoKunde"] = $standardbuchhaltungskonto_kunden + $aKontakt ["dtKontaktNr"];
				}
				if ($aKontakt ["dtBuchhaltungKontoLieferant"] == "") {
					$aKontakt ["dtBuchhaltungKontoLieferant"] = $standardbuchhaltungskonto_lieferanten + $aKontakt ["dtKontaktNr"];
				}
				if ($aKontakt ["dtBuchhaltungKontoMitarbeiter"] == "") {
					$aKontakt ["dtBuchhaltungKontoMitarbeiter"] = $standardbuchhaltungskonto_mitarbeiter + $aKontakt ["dtKontaktNr"];
				}
				
				// erzeuge Feld Nummern Suche fr Volltextsuche in Telefonnummern
				$nummer_telefon = normalisiere_telefonnummer ( $aKontakt ["dtTelefon"] );
				$nummer_mobil = normalisiere_telefonnummer ( $aKontakt ["dtMobil"] );
				$nummer_fax = normalisiere_telefonnummer ( $aKontakt ["dtFax"] );
				
				$aKontakt ["dtNummernSuche"] = str_replace ( " ", "", $nummer_telefon ) . " " . $nummer_telefon;
				$aKontakt ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_mobil ) . " " . $nummer_mobil;
				$aKontakt ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_fax ) . " " . $nummer_fax;
				
				$nummernsuche_array = array_unique ( explode ( " ", $aKontakt ["dtNummernSuche"] ) );
				$aKontakt ["dtNummernSuche"] = "";
				foreach ( $nummernsuche_array as $key => $value ) {
					if ($value != "") {
						$aKontakt ["dtNummernSuche"] .= $value . " ";
					}
				}
				
				/*
				 * Land
				 */
				$aLand = get_table_row ( $sql_query ["landliste"] . " and $tbllaender.dtLandesname LIKE '" . $oTransaktion->Buyer->BuyerInfo->ShippingAddress->CountryName . "'" );
				
				if ($aLand) {
					$aKontakt ["fiLand"] = $aLand ["Laender_id"];
				} else {
					$aLand = array ();
					$aLand ["dtLandesname"] = $oTransaktion->Buyer->BuyerInfo->ShippingAddress->CountryName;
					$aKontakt ["fiLand"] = insert_into_table ( $tbllaender, $aLand );
				}
				
				$aKontakt ["dtFirmenname"] = $oTransaktion->Buyer->BuyerInfo->ShippingAddress->Name;
				$aKontakt ["dtStrasse"] = $oTransaktion->Buyer->BuyerInfo->ShippingAddress->Street1;
				$aKontakt ["dtPLZ"] = $oTransaktion->Buyer->BuyerInfo->ShippingAddress->PostalCode;
				$aKontakt ["dtOrt"] = $oTransaktion->Buyer->BuyerInfo->ShippingAddress->CityName;
				$aKontakt ["dtEmail"] = $oTransaktion->Buyer->Email;
				$aKontakt ["fiAnrede"] = 1;
				$aKontakt ["fiBenutzergruppe"] = 5;
				
				$aKontakt [EBAY_ZUSATZFELD1_KONTAKT_NAME] = $sTask;
				$aKontakt [EBAY_ZUSATZFELD1_KONTAKT_WERT] = $oTransaktion->Buyer->UserID;
				
				$iKontaktId = insert_into_table ( $tblkontakte, $aKontakt );
				$aBeleg ["fiKunde"] = $iKontaktId;
			}
			
			/*
			 * Beleg schreiben
			 */
			$iBelegId = insert_into_table ( $tblbelege, $aBeleg );
			
			// schreibe Belegdruckinfo
			$this->addBelegDruckinfos ( $iBelegId, $aBeleg ["fiKunde"] );
			
			/*
			 * Belegmaterialposten zuordnen
			 */
			$aArtikelListe = get_table_array ( $sql_query ["artikellisteexport"] . " and $tblartikel." . EBAY_ZUSATZFELD1_ARTIKEL_NAME . " = '" . $sTask . "'" );
			
			if (count ( $aArtikelListe ) > 0) {
				foreach ( $aArtikelListe as $aArtikel ) {
					/*
					 * Wenn die ItemID der Transaktion - in Zusatzfeld1 vorkommt (der Artikel also aktuell (noch) ein Angebot bei eBay _ist_ - oder in Zusatzfeld2 vorkommt (und damit mal ein Angebot bei eBay _war_)
					 */
					if ($aArtikel [EBAY_ZUSATZFELD1_ARTIKEL_WERT] == $oTransaktion->Item->ItemID || array_search ( $oTransaktion->Item->ItemID, ( array ) unserialize ( $aArtikel [EBAY_ZUSATZFELD2_ARTIKEL_WERT] ) )) {
						/*
						 * Belegmaterialposten gefunden, ordne zu....
						 */
						echo "Ordne Belegmaterialposten zu: " . $aArtikel ["dtArtikelDDText"] . " (" . $aArtikel ["Artikel_id"] . "), Anzahl: " . $oTransaktion->QuantityPurchased . "\n";
						
						// Belegmaterialposten hinzufgen
						$aBelegMaterialpostenNeu ["fiBeleg"] = $iBelegId;
						$aBelegMaterialpostenNeu ["fiArtikel"] = $aArtikel ["Artikel_id"];
						$aBelegMaterialpostenNeu ["fiEinheit"] = $aArtikel ["fiEinheit"];
						$aBelegMaterialpostenNeu ["dtMenge"] = $oTransaktion->QuantityPurchased;
						$aBelegMaterialpostenNeu ["dtMwstSatz"] = $aArtikel ["dtMwstSatzVK"];
						$aBelegMaterialpostenNeu ["dtPreisNetto"] = $oTransaktion->TransactionPrice->value / (100 + $aArtikel ["dtMwstSatzVK"]) * 100;
						$aBelegMaterialpostenNeu ["fiPreisgruppe"] = 5;
						
						if ($aArtikel ["fiArtikelBuchungsKonto"] > 0) {
							$aBelegMaterialpostenNeu ["fiBuchungsKonto"] = $aArtikel ["fiArtikelBuchungsKonto"];
						} else {
							$aBelegMaterialpostenNeu ["fiBuchungsKonto"] = $standardbuchhaltungskonto_belegmaterialposten;
						}
						
						$max_pos = get_max_from_table ( $tblbelegmaterialposten, "dtPosNr", "where fiBeleg = " . $iBelegId );
						$aBelegMaterialpostenNeu ["dtPosNr"] = $max_pos + 1;
						
						insert_into_table ( $tblbelegmaterialposten, $aBelegMaterialpostenNeu );
						
						if (get_table_count ( $sql_query ["artikelliste-verfuegbar-simple"] . " and $tblartikelstueck.fiArtikel = " . $aArtikel ["Artikel_id"] ) < $oTransaktion->QuantityPurchased) {
							/*
							 * ArtikelStueckNegativ hinzufgen
							 */
							
							echo "Artikel nicht mehr in ausreichender Menge verfgbar! ndere Beleg auf 'beauftragt offen' und fge negativen Belegmaterialposten hinzu.\n";
							
							$aBelegNeu = array ();
							$aBelegNeu ["fiStatus"] = 1;
							update_into_table ( $tblbelege, $iBelegId, $aBelegNeu );
							
							for($i = 0; $i < $oTransaktion->QuantityPurchased; $i ++) {
								$artikelstueckNegativNew = array ();
								$artikelstueckNegativNew ['fiArtikel'] = $aArtikel ["Artikel_id"];
								$artikelstueckNegativNew ['dtStatus'] = 0;
								$artikelstueckNegativNew ['fiBeleg'] = $iBelegId;
								$artikelstueckNegativNew ['fiProjekt'] = 0;
								$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
								$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
								
								insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
							}
						} else {
							echo "Fge Belegmaterialposten hinzu....\n";
							
							/*
							 * ArtikelStueck hinzufgen
							 */
							for($i = 0; $i < $oTransaktion->QuantityPurchased; $i ++) {
								$query = "select * from $tblartikelstueck where fiArtikel = " . $aArtikel ["Artikel_id"] . " and $tblartikelstueck.fiBeleg = 0 and fiBelegVerbrauch = 0 and $tblartikelstueck.fiArtikelStueckVerbrauch = 0";
								
								$artikelstueck_row = get_table_row ( $query );
								$artikelstueck_row ["fiBeleg"] = $iBelegId;
								
								update_into_table ( $tblartikelstueck, $artikelstueck_row ["id"], $artikelstueck_row );
							}
						}
						
						break;
					}
				}
			}
			
			echo "Beleg erzeugt!\n\n";
		}
		
		bilanzbelege_aktualisieren ();
	}
}

$x = new task_ebay ( 0 );
$x->setConfig ();

echo "Verbindung zu eBay testen...\n";

if (! $x->getEbayZeit ()) {
	echo "Verbindung fehlgeschlagen! Abbruch.\n";
	$iReturncode = 3;
	return;
} else {
	echo "Erfolgreich verbunden!\n\n";
}

$x->updateAndInsertArticles ();
$x->getTransactions ();

?>