<?php

/*
 * Felder aus Datenbank in entsprechene Felder schreiben Fr Belegdruck bentigt
 */
$aInfofelderTypenBelege = array (
		"angebot",
		"auftragsanfrage",
		"auftragsbestaetigung",
		"lieferschein",
		"rechnung",
		"mahnung",
		"stornierung",
		"packliste" 
);
$aInfofelderTypenBestellung = array (
		"bestellung" 
);

$aStandardInfofelderBeleg = array (
		"Belegbezeichnung",
		"KundenNr",
		"AngebotNr",
		"AuftragsNr",
		"LieferNr",
		"BestellNr",
		"BelegNr",
		"RechnungsNr",
		"AngebotDatum",
		"AuftragDatum",
		"LieferungDatum",
		"RechnungDatum",
		"MahnungDatum",
		"StornierungDatum",
		"VAT",
		"Autor",
		"Zahlart",
		"Zahlungsziel",
		"Lieferart",
		"Faelligkeit",
		"ProjektNr",
		"Projektname",
		"Kunde-Ansprechpartner",
		"Endkunde",
		"Endkunde-Ansprechpartner",
		"Verantwortlicher" 
);

$aStandardInfofelderBestellung = array (
		"LieferantNr",
		"BestellNr",
		"AngebotNr",
		"BelegNr",
		"BestellDatum",
		"Lieferdatum",
		"FaxNr",
		"EigKdNr" 
);

foreach ( $aInfofelderTypenBelege as $sTyp ) {
	$sVariableName = "beleg_statische_infofelder_" . $sTyp;
	$beleg_statische_infofelder [$sTyp] = $$sVariableName;
	
	$bInfofeldChanged = false;
	foreach ( $aStandardInfofelderBeleg as $sFieldStandard ) {
		if (! isset ( $beleg_statische_infofelder [$sTyp] [$sFieldStandard] )) {
			$beleg_statische_infofelder [$sTyp] [$sFieldStandard] = 0;
			$bInfofeldChanged = true;
		}
	}
	
	if ($bInfofeldChanged) {
		ksort ( $beleg_statische_infofelder [$sTyp] );
		schreibeInKonfiguration ( $sVariableName, $beleg_statische_infofelder [$sTyp] );
	}
}

foreach ( $aInfofelderTypenBestellung as $sTyp ) {
	$sVariableName = "bestellung_statische_infofelder_" . $sTyp;
	$bestellung_statische_infofelder [$sTyp] = $$sVariableName;
	
	$bInfofeldChanged = false;
	foreach ( $aStandardInfofelderBestellung as $sFieldStandard ) {
		if (! isset ( $bestellung_statische_infofelder [$sTyp] [$sFieldStandard] )) {
			$bestellung_statische_infofelder [$sTyp] [$sFieldStandard] = 0;
			$bInfofeldChanged = true;
		}
	}
	
	if ($bInfofeldChanged) {
		ksort ( $bestellung_statische_infofelder [$sTyp] );
		schreibeInKonfiguration ( $sVariableName, $bestellung_statische_infofelder [$sTyp] );
	}
}

?>