<?php

/*
 * conceptERP Copyright (C) 2008 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ fllige Mahnschritte
$daemon_typ = "mahnschritte_faellig";

$query_count = "select dtMahnschritt, BelegMahnschritt_ID, Beleg_ID, fiStatus, dtMahnschrittDatum, dtMahnschrittTage from ( ";
$query_count .= "select dtMahnschritt, BelegMahnschritt_ID, Beleg_ID, fiStatus, dtMahnschrittDatum, dtMahnschrittTage from ( ";
$query_count .= "select dtMahnschritt, $tblbelegmahnschritte.id as BelegMahnschritt_ID, $tblbelege.id as Beleg_ID, fiStatus, dtMahnschrittDatum, dtMahnschrittTage ";
$query_count .= "from $tblbelegmahnschritte ";
$query_count .= "left join $tblbelege on $tblbelegmahnschritte.fiBeleg = $tblbelege.id ";
$query_count .= "where ($tblbelege.fiStatus = 3 or $tblbelege.fiStatus = 4) order by dtMahnschritt DESC";
$query_count .= ") as tbl1 ";
$query_count .= "group by Beleg_ID ";
$query_count .= ") as tbl2 ";
$query_count .= "where (datediff(now(), dtMahnschrittDatum) >= dtMahnschrittTage)";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"700\">";
echo showWidget ( $daemon_typ, $query_count, $sWidgetAnzeige );

if ($typ == $daemon_typ || $bShowWidget) {
	
	$query_detail = $query_count;
	
	$show_fields = array (
			"dtBelegNr",
			"dtAnzeigeDatum",
			"dtKunde_Anzeige",
			"dtBezeichnung",
			"dtMahnschrittName",
			"dtWiedervorlage",
			"ButtonAnzeigen" 
	);
	$field_headlines = array (
			"Nr.",
			"Datum",
			"Kunde",
			"Bezeichnung",
			"letzter Mahnschritt",
			"Wiedervorlage am",
			"",
			"",
			"" 
	);
	$field_width = array (
			90,
			80,
			220,
			220,
			200,
			80,
			60 
	);
	$field_colors = array (
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			"",
			"" 
	);
	$field_sort_options = array (
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort",
			"nosort" 
	);
	
	$liste = get_table_array ( $query_detail );
	
	if (count ( $liste ) != 0) {
		foreach ( $liste as $listenzeile_id => $listenzeile ) {
			
			// hole Infos zum letzten Mahnschritt zu diesem Beleg
			$mahnschritt_query = $sql_query ["belegmahnschritteliste"] . " and fiBeleg = " . $listenzeile ["Beleg_ID"] . " order by dtMahnschritt desc";
			$mahnschritt_row = get_table_row ( $mahnschritt_query );
			
			// hole Infos zum Beleg
			$beleg_query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $listenzeile ["Beleg_ID"];
			$beleg_row = get_table_row ( $beleg_query );
			
			// baue Felder zusammen
			$liste [$listenzeile_id] ["dtBelegNr"] = $beleg_row ["dtBelegNr"];
			$liste [$listenzeile_id] ["dtKunde_Anzeige"] = shortcutlink ( format_name_html ( $beleg_row ["dtKunde_Anzeige"] ), "kontakte", "show", $beleg_row ["fiKunde"], $benutzerrechte );
			
			$datum_span_anzeige = "<span title=\" \n";
			
			if ($liste [$listenzeile_id] ["dtAngebotDatum"] != "2030-01-01") {
				$datum_span_anzeige .= "Datum Angebot: " . date_from_sql ( $beleg_row ["dtAngebotDatum"] ) . "\n";
			}
			if ($liste [$listenzeile_id] ["dtAuftragDatum"] != "2030-01-01") {
				$datum_span_anzeige .= "Datum Auftrag: " . date_from_sql ( $beleg_row ["dtAuftragDatum"] ) . "\n";
			}
			if ($liste [$listenzeile_id] ["dtLieferungDatum"] != "2030-01-01") {
				$datum_span_anzeige .= "Datum Lieferung: " . date_from_sql ( $beleg_row ["dtLieferungDatum"] ) . "\n";
			}
			if ($liste [$listenzeile_id] ["dtRechnungDatum"] != "2030-01-01") {
				$datum_span_anzeige .= "Datum Rechnung: " . date_from_sql ( $beleg_row ["dtRechnungDatum"] ) . "\n";
			}
			if ($liste [$listenzeile_id] ["dtMahnungDatum"] != "2030-01-01") {
				$datum_span_anzeige .= "Datum Mahnung: " . date_from_sql ( $beleg_row ["dtMahnungDatum"] ) . "\n";
			}
			if ($liste [$listenzeile_id] ["dtStornierungDatum"] != "2030-01-01") {
				$datum_span_anzeige .= "Datum Stornierung: " . date_from_sql ( $beleg_row ["dtStornierungDatum"] ) . "\n";
			}
			$datum_span_anzeige .= " \">" . date_from_sql ( $beleg_row ["dtAnzeigeDatum"] );
			$datum_span_anzeige .= "</span>";
			
			$liste [$listenzeile_id] ["dtAnzeigeDatum"] = $datum_span_anzeige;
			
			$liste [$listenzeile_id] ["dtBezeichnung"] = $beleg_row ["dtBezeichnung"];
			$liste [$listenzeile_id] ["dtMahnschrittName"] = $mahnschritt_row ["dtMahnschrittName"];
			
			$datum_ms = split_date ( $mahnschritt_row ["dtMahnschrittDatum"] );
			$datum_wiedervorlage = date ( "Y-m-d", mktime ( 0, 0, 0, $datum_ms ["monat"], ($datum_ms ["tag"] + $mahnschritt_row ["dtMahnschrittTage"]), $datum_ms ["jahr"] ) );
			$liste [$listenzeile_id] ["dtWiedervorlage"] = date_from_sql ( $datum_wiedervorlage );
			
			// +++++++++++ Buttons hinzufgen
			$liste [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $beleg_row ["Beleg_id"], "belege", $benutzerrechte );
		}
	}
	
	echo "<tr><td valign=\"top\" colspan=10>";
	listenkopf ( $listenname, $show_fields, $field_headlines, $field_width, $field_sort_options, $sortierung [$listenname], $target, $typ );
	liste_output ( $liste, $show_fields, $field_width, $field_colors, $listenhoehe, $target, $typ );
	echo "</td></tr>";
}

echo "<tr><td colspan=10></td></tr></table>";

?>