<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ zunchst ggf. Bilanzinfos aktualisieren
bilanzbeleg_aktualisieren ( $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ nun aktuelle Bilanzinfos auslesen und benutzen
$bilanzquery = "select * from $tblbilanzbelege where dtAktuell = 1 and fiBeleg = " . $id;

if (get_table_count ( $bilanzquery ) != 0) {
	
	$bilanzzeile = get_table_row ( $bilanzquery );
	
	$belegmaterialpostenendbetrag_netto = $bilanzzeile ["dtSummeMaterialPostenNetto"];
	$belegmaterialpostenendbetrag_brutto = $bilanzzeile ["dtSummeMaterialPostenBrutto"];
	
	$belegzeitpostenendbetrag_netto = $bilanzzeile ["dtSummeZeitPostenNetto"];
	$belegzeitpostenendbetrag_brutto = $bilanzzeile ["dtSummeZeitPostenBrutto"];
	
	$belegpostenendbetrag_netto = $bilanzzeile ["dtSummePostenNetto"];
	$belegpostenendbetrag_brutto = $bilanzzeile ["dtSummePostenBrutto"];
	
	$belegendbetrag_netto = $bilanzzeile ["dtSummeVerkaufNetto"];
	$belegendbetrag_brutto = $bilanzzeile ["dtSummeVerkaufBrutto"];
	
	$rabatte_netto = belegrabatte_netto ( $id );
	$rabatte_brutto = belegrabatte_brutto ( $id );
	
	$mahnkosten_netto = belegmahnkosten_netto ( $id );
	$mahnkosten_brutto = belegmahnkosten_brutto ( $id );
}

if (function_exists ( lwsAusgabeSpanneEK )) {
	
	$aSummen = lwsGesamtSummeEntfernen ( $id );
	$belegmaterialpostenendbetrag_netto = $aSummen ["GesamtMPSumme"];
	$belegmaterialpostenendbetrag_brutto = $aSummen ["GesamtMPSummeBrutto"];
	$belegpostenendbetrag_netto = $aSummen ["GesamtPSumme"];
	$belegpostenendbetrag_brutto = $aSummen ["GesamtPSummeBrutto"];
	$belegendbetrag_netto = $aSummen ["GesamtSumme"];
	$belegendbetrag_brutto = $aSummen ["GesamtSummeBrutto"];
	
	$rabatte_netto = $aSummen ["GesamtRabattNetto"];
	$rabatte_brutto = $aSummen ["GesamtRabattBrutto"];
}

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";

echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";
echo "<tr><td width=615> </td><td>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";

if($bBelegPostenAufSumme0Setzen == TRUE)
{
	echo "<tr><td valign=\"top\" style=\"width: 170px;\"><b>Summe auf 0 setzen</b></td><td nowrap>";
	echo uebernehmenbutton ( $id, $target, $benutzerrechte, "bernehmen", "bernehmen", 'name="summeZuruecksetzen"' );
	
		echo "</td></tr>";
	
}

echo "<tr><td valign=\"top\" style=\"width: 170px;\"><b>Materialposten Endbetrag</b></td><td nowrap>";
echo input_text ( "Materialposten Endbetrag Netto", "endbetrag", preis_from_sql ( $belegmaterialpostenendbetrag_netto ), "input_text_100", "readonly", "text-align: right" );
if ($bBruttoSummenAusblenden == 0)
	echo input_text ( "Materialposten Endbetrag Brutto", "endbetrag", preis_from_sql ( $belegmaterialpostenendbetrag_brutto ), "input_text_100", "readonly", "text-align: right" );
echo "</td></tr>";

echo "<tr><td valign=\"top\"><b>Zeitposten Endbetrag</b></td><td nowrap>";
echo input_text ( "Zeitposten Endbetrag Netto", "endbetrag", preis_from_sql ( $belegzeitpostenendbetrag_netto ), "input_text_100", "readonly", "text-align: right" );
if ($bBruttoSummenAusblenden == 0)
	echo input_text ( "Zeitposten Endbetrag Brutto", "endbetrag", preis_from_sql ( $belegzeitpostenendbetrag_brutto ), "input_text_100", "readonly", "text-align: right" );
echo "</td></tr>";

echo "<tr><td valign=\"top\"><b>Posten Endbetrag</b></td><td nowrap>";
echo input_text ( "Posten Endbetrag Netto", "endbetrag", preis_from_sql ( $belegpostenendbetrag_netto ), "input_text_100", "readonly", "text-align: right" );
if ($bBruttoSummenAusblenden == 0)
	echo input_text ( "Posten Endbetrag Brutto", "endbetrag", preis_from_sql ( $belegpostenendbetrag_brutto ), "input_text_100", "readonly", "text-align: right" );
echo "</td></tr>";

if ($rabatte_netto != 0) {
	echo "<tr><td valign=\"top\"><b>Rabatte Endbetrag ( - )</b></td><td nowrap>";
	echo input_text ( "Rabatte Endbetrag minus Netto", "endbetrag", preis_from_sql ( $rabatte_netto ), "input_text_100", "readonly", "text-align: right" );
	
	if ($bBruttoSummenAusblenden == 0)
		echo input_text ( "Rabatte Endbetrag minus Brutto", "endbetrag", preis_from_sql ( $rabatte_brutto ), "input_text_100", "readonly", "text-align: right" );
	
	echo "</td></tr>";
}

if ($mahnkosten_netto != 0) {
	echo "<tr><td valign=\"top\"><b>Mahnkosten</b></td><td nowrap>";
	echo input_text ( "Mahnkosten Netto", "endbetrag", preis_from_sql ( $mahnkosten_netto ), "input_text_100", "readonly", "text-align: right" );
	
	if ($bBruttoSummenAusblenden == 0)
		echo input_text ( "Mahnkosten Brutto", "endbetrag", preis_from_sql ( $mahnkosten_brutto ), "input_text_100", "readonly", "text-align: right" );
	
	echo "</td></tr>";
}

echo "<tr><td colspan=10><hr></td></tr>";

echo "<tr><td valign=\"top\"><b>Endbetrag</b></td><td nowrap>";
echo input_text ( "Endbetrag Netto", "endbetrag", preis_from_sql ( $belegendbetrag_netto ), "input_text_100", "readonly", "text-align: right" );
echo input_text ( "Endbetrag Brutto", "endbetrag", preis_from_sql ( $belegendbetrag_brutto ), "input_text_100", "readonly", "text-align: right" );
echo "</td></tr>";

// +++++ Skontosumme ermitteln +++++ //
$fSkontoSumme = belegskonto_brutto ( $id );

if ($fSkontoSumme != 0) {
	// +++++ Skontosumme Informationen wie Prozentsatz und Tage ermitteln +++++ //
	$aSkontoInfos = belegskonto_informationen ( $id );
	
	echo "<tr><td valign=\"top\"><b>Skonto (" . round ( $aSkontoInfos ["SkontoProzentsatz"], 2 ) . " %)</b></td><td nowrap>";
	echo input_text ( "--", "endbetrag", "--", "input_text_100", "readonly", "text-align: right" );
	echo input_text ( round ( $aSkontoInfos ["SkontoProzentsatz"], 2 ), "endbetrag", preis_from_sql ( $fSkontoSumme ), "input_text_100", "readonly", "text-align: right" );
	echo "</td></tr>";
	
	echo "<tr><td valign=\"top\"><b>Endbetrag abzgl. Skonto</b></td><td nowrap>";
	echo input_text ( "--", "endbetrag", "--", "input_text_100", "readonly", "text-align: right" );
	if ($bNachkommastellenMaxZwei == 1)
		$skontoEndBetrag = round ( $belegendbetrag_brutto, 2 ) - round ( $fSkontoSumme, 2 );
	else
		$skontoEndBetrag = $belegendbetrag_brutto - $fSkontoSumme;
	
	echo input_text ( "Endbetrag abzgl. Skonto", "endbetrag", preis_from_sql ( $skontoEndBetrag ), "input_text_100", "readonly", "text-align: right" );
	
	echo "</td></tr>";
	
	echo "<tr><td colspan=10><hr></td></tr>";
}

if ($mahnkosten_netto != 0) {
	echo "<tr><td valign=\"top\"><b>Endbetrag inkl. Mahnkosten</b></td><td nowrap>";
	echo input_text ( "Endbetrag inkl. Mahnkosten Netto", "endbetrag", preis_from_sql ( $belegendbetrag_netto + $mahnkosten_netto ), "input_text_100", "readonly", "text-align: right" );
	echo input_text ( "Endbetrag inkl. Mahnkosten Brutto", "endbetrag", preis_from_sql ( $belegendbetrag_brutto + $mahnkosten_brutto ), "input_text_100", "readonly", "text-align: right" );
	echo "</td></tr>";
}

if (function_exists ( lwsAusgabeSpanneEK )) {
	echo "<tr><td colspan=10><hr></td></tr>";
	echo lwsAusgabeSpanneEK ( $id, $belegendbetrag_netto );
}

echo "</table>";

// Zustzliche Ausgaben im Summenfeld (Custom Funktion)
if (function_exists ( "hook_belegsumme_ausgabe" )) {
	echo hook_belegsumme_ausgabe ( $id );
}

echo "</tr><tr><td colspan=10 class=\"formularrahmen_unten\"></td></tr>";
echo "</td></tr></table>";

?>
