<?php
$sQueryFilter = "";

// Lieferantfilter
$sQueryFilterArtikel = filter_multiselect_return_query ( $filter ["bilanzlagerartikelstueckumsatz"] ["artikel"], "$tblartikel.id" );

// Kundenfilter
$sQueryFilterKunde = filter_multiselect_return_query ( $filter ["bilanzlagerartikelstueckumsatz"] ["kunde"], "$tblbelege.fiKunde" );

// Projektfilter
$sQueryFilterProjekt = filter_multiselect_return_query ( $filter ["bilanzlagerartikelstueckumsatz"] ["projekt"], "$tblbelege.fiProjekt" );

// Belegstatusfilter
$sQueryFilterBelegstatus = filter_multiselect_return_query ( $filter ["bilanzlagerartikelstueckumsatz"] ["belegstatus"], "$tblbelege.fiStatus" );

// Kundenfilter
$sQueryFilterKunde = filter_multiselect_return_query ( $filter ["bilanzlagerartikelstueckumsatz"] ["kunde"], "$tblbelege.fiKunde" );

// Datumsbereich
if ($filter [$target] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$target] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	$datum_jahr_von_vorjahr = $datum_explode [2] - 1;
	$datum_jahr_bis_vorjahr = $datum_explode [5] - 1;
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$sQueryDatumFilter .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
		$sQueryDatumVorjahrFilter .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von_vorjahr ) . "'))";
		$sQueryDatumRechnungFilter .= " and (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$sQueryDatumFilter .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
		$sQueryDatumVorjahrFilter .= " and (dtAnzeigeDatum <> '2030-01-01' and to_days(dtAnzeigeDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis_vorjahr ) . "'))";
		$sQueryDatumRechnungFilter .= " and (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
	}
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["artikelvariantenlisteexportverkauft"];

$artikelvarianten = $sql_query ["artikelvariantenlisteexport"];
$anzahl_gesamt = mysql_num_rows ( mysql_query ( $artikelvarianten ) );

// Artikelfilter
$query .= filter_multiselect_return_query ( $filter [$listenname] ["artikel"], "$tblartikel.id" );
$query .= create_fulltext_index_search ( array (
		$tblartikel 
), $filter [$listenname] ["textfilter"] );

$groupierung_sql = " group by Artikel_id ";

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sie dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$gruppierung_sql = " GROUP BY $tblbelegmaterialposten.fiArtikel, $tblbelegmaterialposten.dtVariante ";

$queryAnzahlAusgabe = $query . $sQueryDatumFilter . $gruppierung_sql . $sortierung_sql;
$query .= $sQueryDatumFilter . $sQueryFilterArtikel . $sQueryFilterKunde . $sQueryFilterProjekt . $sQueryFilterBelegstatus . $gruppierung_sql . $sortierung_sql . $limit_sql;

$anzahl_ausgabe = mysql_num_rows ( mysql_query ( $queryAnzahlAusgabe ) );
$liste = get_table_array ( $query );

/*
 * Zur Darstellung der VK Preise
 */

$queryPreisgruppe = $sql_query ["preisgruppenliste"];

$field_preisgruppen_array = get_table_array ( $queryPreisgruppe );
foreach ( ( array ) $field_preisgruppen_array as $key => $value ) {
	$preisgruppen_array [$value ["PreisGruppen_id"]] = $value;
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$sArtikelIDs .= $listenzeile ["Artikel_id"] . ",";
		// +++++++++++ Cache
		$cache = CacheListe_getFromCache ( $target, $typ, $liste [$listenzeile_id] ["Artikel_id"], $tblartikel, $liste [$listenzeile_id] );
		
		$liste_output [$listenzeile_id] ["dtEigeneArtikelNr"] = $listenzeile ["dtEigeneArtikelNr"];
		$liste_output [$listenzeile_id] ["dtArtikel"] = $listenzeile ["dtArtikel"];
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$target] ["textfilter"] );
		
		// +++++++++++ Cache
		CacheListe_writeIntoCache ( $target, $typ, $liste [$listenzeile_id] ["Artikel_id"], $tblartikel, $listenzeile, $liste_output [$listenzeile_id] );
	}
}
$iAktuellerArtikel = "";
$sVariante = "";
$iVariantenCounter = 0;
foreach ( $liste_output as $cpListenzeile => $cpValue ) {
	
	$sQueryVerkauft = "SELECT $tblbelegmaterialposten.dtMenge, $tblbelegmaterialposten.dtPreisNetto FROM $tblbelege LEFT JOIN $tblbelegmaterialposten ON $tblbelegmaterialposten.fiBeleg = $tblbelege.id WHERE $tblbelegmaterialposten.fiArtikel = '" . $cpValue ["Artikel_id"] . "' AND $tblbelegmaterialposten.dtVariante LIKE '%" . $cpValue ["dtVariante"] . "%' " . $sQueryDatumFilter . $sQueryFilterKunde . $sQueryFilterProjekt . $sQueryFilterBelegstatus;
	$aListeVerkauft = get_table_array ( $sQueryVerkauft );
	
	foreach ( ( array ) $aListeVerkauft as $key => $cpVerkauft ) {
		
		$liste_output [$cpListenzeile] ["dtVerkauftAktuell"] += $cpVerkauft ["dtMenge"];
		$liste_output [$cpListenzeile] ["dtUmsatzAktuell"] += $cpVerkauft ["dtMenge"] * $cpVerkauft ["dtPreisNetto"];
	}
	$liste_output [$cpListenzeile] ["dtUmsatzAktuell"] = preis_from_sql ( $liste_output [$cpListenzeile] ["dtUmsatzAktuell"], "HTML", 2 );
	$liste_output [$cpListenzeile] ["dtArtikelVarianten"] = $cpValue ["dtVarianteArtNr"];
}

$sArtikelIDs .= "1=1";
// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>