<?php
if ($ziel != "archiv") {
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ SQL Abfragen aller relevanten Informationen
	$query = $sql_query ["contenttextliste"] . " and $tblcontenttext.fiContent = " . $id;
	$field_contenttext = get_table_row ( $query );
	
	if (substr ( $field_contenttext ["dtText"], 1, 0 ) != "\n") {
		$field_contenttext ["dtText"] = "\n" . $field_contenttext ["dtText"];
	}
	;
	
	$partcounter = 1;
	
	// ein PDF fr jeden Kontakt
	if ($field_contenttext ["fiKontakt"] != ";") {
		
		$contentkontakte_array = explode ( ";", $field_contenttext ["fiKontakt"] );
		foreach ( ( array ) $contentkontakte_array as $key => $kontaktid ) {
			if ($kontaktid != "") {
				
				$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $kontaktid;
				$field_kontakt = get_table_row ( $query );
				
				unset ( $printzeile );
				unset ( $zeilenzahl );
				unset ( $liste_print );
				unset ( $adressfeld );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ hole Layout Infos
				$query = $sql_query ["dokumentlayoutliste"] . " and $tbldokumentlayout.id = " . $field_contenttext ["fiDokumentLayout"];
				$field = get_table_row ( $query );
				
				$layout_vorlagen_ersteseite = unserialize ( $field ["dtVorlagenErsteSeite"] );
				$layout_vorlagen_folgeseiten = unserialize ( $field ["dtVorlagenFolgeSeiten"] );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ Definiere Seitenrnder
				$typ = "seitenraender";
				include ("$functionsordner/function_pdf.php");
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge neues PDF Dokument (nur fr Berechnung von Feldbreiten, je nach Schriftart)
				$pdf = new PDF ();
				$pdf->new_document ( $field ["dtDokumentName"], $ausrichtung );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge Adressfeld-Array
				
				// flle Array mit Kundendaten
				$adressfeld = array (
						"Firma" => $field_kontakt ["dtFirmenname"],
						"Zusatz" => $field_kontakt ["dtNamenszusatz"],
						"Anrede" => $field_kontakt ["dtAnrede"],
						"Vorname" => $field_kontakt ["dtVorname"],
						"Nachname" => $field_kontakt ["dtNachname"],
						"Land" => $field_kontakt ["dtLandesname"] 
				);
				
				if ($field_kontakt ["dtPostfach"] != "" and $field_kontakt ["dtPostfachPLZ"] != "" and $field_kontakt ["dtPostfachOrt"] != "") {
					$adressfeld ["Strasse"] = $field_kontakt ["dtPostfach"];
					$adressfeld ["PLZ"] = $field_kontakt ["dtPostfachPLZ"];
					$adressfeld ["Ort"] = $field_kontakt ["dtPostfachOrt"];
				} else {
					$adressfeld ["Strasse"] = $field_kontakt ["dtStrasse"];
					$adressfeld ["PLZ"] = $field_kontakt ["dtPLZ"];
					$adressfeld ["Ort"] = $field_kontakt ["dtOrt"];
				}
				
				// setze Ardessfeld-Array zusammen
				$adressfeld_array = create_adressfeld_array ( $adressfeld, $field ["dtAdressfeldSchriftGroesse"], $field ["dtAdressfeldSchriftArt"] );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge Textzeilen
				$textzeile ["zeilentyp"] = "textzeile";
				$textzeile ["zeilennr"] = 1;
				$textzeile ["zeilenmaxnr"] = 1;
				$textzeile ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
				$textzeile ["zeilen_spacing"] = $zeilen_spacing;
				// $textzeile["feldinhalte"] = $feldinhalte;
				$textzeile ["feldbreiten"] = $feldbreiten;
				$textzeile ["formatierungen"] ["hintergrund"] = $hintergrund;
				$textzeile ["formatierungen"] ["schriftfarbe"] = $schriftfarbe;
				$textzeile ["formatierungen"] ["rahmenstil"] = $rahmenstil;
				$textzeile ["formatierungen"] ["schriftstil"] = $schriftstil;
				$textzeile ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung;
				$textzeile ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
				$textzeile ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
				
				$textzeile_leer = $textzeile;
				$textzeile_leer ["feldinhalte"] = array (
						" " 
				);
				
				$textzeile_ausgabe [0] = $textzeile;
				$textzeile_ausgabe [0] ["feldinhalte"] = array (
						$field_contenttext ["dtText"] 
				);
				
				$pdf->SetFont ( "$field[dtStandardSchriftArt]", "$schriftstil_textzeile[$key]", $field ["dtStandardSchriftGroesse"] );
				$textzeile_ausgabe [0] ["feldinhalte"] [0] = $pdf->format_tabellenfeld ( $textzeile_ausgabe [0] ["feldinhalte"] [0], $textzeile ["feldbreiten"] [0] );
				
				// ++++ berechne grte Zeilenanzahl der Listenfelder
				$maxzeilen = $pdf->get_maxzeilen ( $textzeile_ausgabe [0] ["feldinhalte"] );
				
				// ++++ erzeuge neues Array mit jeweils einer Textzeile
				for($n = 0; $n < $maxzeilen + 1; $n ++) {
					
					$feldinhalte [0] = $pdf->extract_print_zeile ( $textzeile_ausgabe [0] ["feldinhalte"] [0], $n );
					
					$liste_print [$printzeile] ["zeilentyp"] = "zeile";
					$liste_print [$printzeile] ["zeilennr"] = $n + 1;
					$liste_print [$printzeile] ["zeilenmaxnr"] = $maxzeilen;
					$liste_print [$printzeile] ["zeilenhoehe"] = round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ) + $zeilen_spacing_innen;
					$liste_print [$printzeile] ["zeilen_spacing"] = $zeilen_spacing;
					$liste_print [$printzeile] ["feldinhalte"] = $feldinhalte;
					$liste_print [$printzeile] ["feldbreiten"] = $feldbreiten;
					$liste_print [$printzeile] ["formatierungen"] ["hintergrund"] = $hintergrund;
					$liste_print [$printzeile] ["formatierungen"] ["schriftfarbe"] = $schriftfarbe;
					$liste_print [$printzeile] ["formatierungen"] ["rahmenstil"] = $rahmenstil;
					$liste_print [$printzeile] ["formatierungen"] ["schriftstil"] = $schriftstil;
					$liste_print [$printzeile] ["formatierungen"] ["schriftausrichtung"] = $schriftausrichtung;
					$liste_print [$printzeile] ["formatierungen"] ["schriftart"] = $field ["dtStandardSchriftArt"];
					$liste_print [$printzeile] ["formatierungen"] ["schriftgroesse"] = $field ["dtStandardSchriftGroesse"];
					
					$printzeile ++;
				}
				$zeilenzahl ++;
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ schliesse temporres PDF Dokument
				$pdf->Close ();
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ fge Seitenumbrche ein
				$liste_print = $pdf->tabellenseitenumbrueche ( $liste_print, round ( $field ["dtStandardSchriftGroesse"] / 1.9, 0 ), $druckhoehe_p1, $druckhoehe );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ drucke alle Seiten
				$pdf->tabelle_output ( $liste_print, $rand_links_p1, $rand_oben_p1, $rand_links, $rand_oben, $druckbreite_p1, $druckbreite, $dateiname, $field ["dtDokumentName"], $ausrichtung );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge ggf. Seite mit Adressfeld auf erster Seite
				if ($field ["dtAdressfeldVorhanden"] == 1) {
					create_adressfeldseite ( $adressfeld_array, $ausrichtung, $field ["dtAdressfeldLinks"], $field ["dtAdressfeldOben"], $seitenbreite - $field ["dtAdressfeldLinks"] - $field ["dtAdressfeldRechts"], $seitenhoehe - $field ["dtAdressfeldOben"] - $field ["dtAdressfeldUnten"] );
				}
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge ggf. Seite mit Infofeld auf erster Seite
				if ($field ["dtInfofeldVorhanden"] == 1) {
					create_infofeldseite ( $infofeld_array, $ausrichtung, $field ["dtInfofeldLinks"], $field ["dtInfofeldOben"], $seitenbreite - $field ["dtInfofeldLinks"] - $field ["dtInfofeldRechts"], $seitenhoehe - $field ["dtInfofeldOben"] - $field ["dtInfofeldUnten"] );
				}
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge ggf. Seite mit Datumsfeld auf erster Seite
				if ($field ["dtDatumsfeldVorhanden"] == 1) {
					create_datumsfeldseite ( $field ["dtDatumsfeldText"], $ausrichtung, $field ["dtDatumsfeldLinks"], $field ["dtDatumsfeldOben"], $seitenbreite - $field ["dtDatumsfeldLinks"] - $field ["dtDatumsfeldRechts"], $field ["dtDatumsfeldSchriftArt"], $field ["dtDatumsfeldSchriftGroesse"], $belegdatum ["tag"], $belegdatum ["monat"], $belegdatum ["jahr"] );
				}
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge ggf. Seite mit Barcodefeld auf erster Seite
				if ($field ["dtBarcodefeldVorhanden"] == 1) {
					create_barcodefeldseite ( $field_contenttext ["Content_id"], $ausrichtung, $field ["dtBarcodefeldLinks"], $field ["dtBarcodefeldOben"], $seitenbreite - $field ["dtBarcodefeldLinks"] - $field ["dtBarcodefeldRechts"], $seitenhoehe - $field ["dtBarcodefeldOben"] - $field ["dtBarcodefeldUnten"], $field ["dtBarcodefeldZahlDrucken"] );
				}
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ erzeuge ggf. Seiten mit Seitenzahl-Feld fr alle Seiten
				if ($field ["dtSeitenzahlfeldVorhanden"] == 1) {
					create_seitenzahlseiten ( $field ["dtSeitenzahlfeldText"], $ausrichtung, $field ["dtSeitenzahlfeldLinks"], $field ["dtSeitenzahlfeldOben"], $seitenbreite - $field ["dtSeitenzahlfeldLinks"] - $field ["dtSeitenzahlfeldRechts"], $field ["dtSeitenzahlfeldSchriftArt"], $field ["dtSeitenzahlfeldSchriftGroesse"] );
				}
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ hinzufgen des Layouts und zusammenfhren aller Seiten
				$output_filename = create_document ( $layout_vorlagen_ersteseite, $layout_vorlagen_folgeseiten );
				
				// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
				// ++++ umbenennen des Dokumentes
				@rename ( $output_filename, $output_filename . ".part" . ($partcounter ++) );
			}
		}
	}
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Zusammenfgen der einzelnen PDF-Parts zu einer PDF-Datei
	merge_document ( $output_filename );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Archivieren des PDF
	// archive_document($output_filename, $belegarchivordner, $id, $layout.".pdf");
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF im Browser durch Reload der Seite
	if ($ziel == "anzeigen") {
		output_reload ( $output_filename );
	}
	;
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF direkt auf Systemdrucker
	if ($ziel == "drucken") {
		output_print ( $output_filename );
	}
	;
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe des PDF als eMail
	if ($ziel == "email") {
		output_email ( $output_filename, $layout . ".pdf", $belegdruckinfo_field ["dtEmailEmpfaenger"], $belegdruckinfo_texte ["dtEmailText"], $belegdruckinfo_texte ["dtEmailBetreff"] );
	}
	;
}

?>