<?php
$liste = array ();

$aVarianten = getArtikelVariantenKombinationenListe ( $id );

for($i = 0; $i < count ( $aVarianten ); $i ++) {
	$sVarianteText = "";
	$fLieferantenEK = "";
	$sVariantenNr = "";
	
	$fPreis1 = getArtikelPreis ( $id, 1, 1 );
	$fPreis2 = getArtikelPreis ( $id, 1, 2 );
	$fPreis3 = getArtikelPreis ( $id, 1, 3 );
	$fPreis4 = getArtikelPreis ( $id, 1, 4 );
	$fPreis5 = getArtikelPreis ( $id, 1, 5 );
	
	foreach ( $aAusgewaehlteVariante as $sAusgGruppe => $iAusgVar ) {
		if (! isset ( $aVarianten [$i] [$sAusgGruppe] ) || $aVarianten [$i] [$sAusgGruppe] != $iAusgVar) {
			continue 2;
		}
	}
	
	foreach ( $aVarianten [$i] as $sVarianteGruppe => $iVariante ) {
		$aVarianteGruppeSplit = explode ( "_", $sVarianteGruppe, 2 );
		$iVarianteGruppeId = $aVarianteGruppeSplit [1];
		
		$aVarianteInfoRow = get_table_row ( $sql_query ["artikelvariantenliste"] . " AND $tblartikelvarianten.id = " . $iVariante );
		
		$aLieferantenInfo = unserialize ( $aVarianteInfoRow ["dtArtikelVarianteLieferantenInfo"] );
		$fLieferantenEK += $aLieferantenInfo ["Lieferant_EK"];
		
		// ++++ Die Varianten Nr. wird zusammengesetzt
		$sVariantenNr .= $aVarianteInfoRow ["dtGruppenArtikelNrPrefix"] . "" . $aVarianteInfoRow ["dtArtikelVariantenNr"];
		
		$sVarianteText .= $aVarianteInfoRow ["dtGruppenName"] . ": " . $aVarianteInfoRow ["dtArtikelVariantenName"] . "<br>";
		
		if ($aVarianteInfoRow ["dtArtikelVariantenPreisEinheit"] == 1) // Aufschlag in Euro
{
			$fPreis1 += $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK1"];
			$fPreis2 += $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK2"];
			$fPreis3 += $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK3"];
			$fPreis4 += $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK4"];
			$fPreis5 += $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK5"];
		} else {
			$fPreis1 += $fPreis1 / 100 * $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK1"];
			$fPreis2 += $fPreis2 / 100 * $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK2"];
			$fPreis3 += $fPreis3 / 100 * $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK3"];
			$fPreis4 += $fPreis4 / 100 * $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK4"];
			$fPreis5 += $fPreis5 / 100 * $aVarianteInfoRow ["dtArtikelVariantenPreisdiffVK5"];
		}
	}
	
	$aListeNeu = array (
			"dtVariante" => $sVarianteText,
			"dtPreisVK1" => $fPreis1,
			"dtPreisVK2" => $fPreis2,
			"dtPreisVK3" => $fPreis3,
			"dtPreisVK4" => $fPreis4,
			"dtPreisVK5" => $fPreis5,
			"fiArtikel" => $aVarianteInfoRow ["fiArtikel"],
			"dtLieferantenEK" => $fLieferantenEK,
			"dtVariantenNr" => $sVariantenNr 
	);
	
	if (($iArtikelTyp = getArtikelTyp ( $id )) != 2) {
		$aListeNeu ["dtAnzahlVerfuegbar"] = mengenfeld ( getArtikelAnzahlVerfuegbar ( $id, 0, $aVarianten [$i] ) );
		$aListeNeu ["dtAnzahlReserviert"] = mengenfeld ( getArtikelAnzahlVerfuegbar ( $id, 0, $aVarianten [$i], 0, 1 ) );
		$aListeNeu ["dtAnzahlBestellt"] = mengenfeld ( getArtikelAnzahlVerfuegbar ( $id, 0, $aVarianten [$i], 0, 2 ) );
	} else {
		$aListeNeu ["dtAnzahlVerfuegbar"] = "(virtueller Artikel)";
	}
	
	$liste [] = $aListeNeu;
	unset ( $aListeNeu );
	$aVariantenSerialize [$sVariantenNr] = serialize ( $aVarianten [$i] );
}

$anzahl_gesamt = $anzahl_ausgabe = count ( $aVarianten );
$i = 0;
// +++++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$subtarget] ["textfilter"] );
		
		$liste_output [$listenzeile_id] ["dtVarianteNr"] .= $listenzeile ["dtVariantenNr"];
		
		// ++++ For-Schleife berprft, ob Werte in VK 1-2-3-4-5 vorhanden sind
		// ++++ wenn 0, dann geschieht keine Ausgabe
		// ++++ wenn > 0, dann geschieht eine Ausgabe
		$liste_output [$listenzeile_id] ["dtPreisVK"] = "";
		$liste_output [$listenzeile_id] ["dtUeberschuss"] = "";
		
		$aArtikel ["fiArtikel"] = $listenzeile ["fiArtikel"];
		$aArtikel ["dtVariante"] = $aVariantenSerialize [$listenzeile ["dtVariantenNr"]];
		$aArtikel ["dtMwstSatz"] = $field_new ["dtMwstSatz"];
		// +++++ Der EK Preis des Artikels wird berechnet +++++ //
		$aBerechnungEK = getBerechnungFuerEK ( $aArtikel );
		
		$fEK = $aBerechnungEK ["dtPreisNettoEK"];
		
		$liste_output [$listenzeile_id] ["dtPreisEK"] .= "<span style=\"float: left;\">EK : </span><span style=\"float: right;\">" . preis_from_sql ( $fEK ) . "&nbsp;&nbsp;&nbsp;&nbsp;</span>";
		
		for($iVK = 1; $iVK <= 5; $iVK ++) {
			$sPreisVK = "dtPreisVK" . $iVK;
			
			if ($listenzeile [$sPreisVK] != "0") {
				
				$liste_output [$listenzeile_id] ["dtPreisVK"] .= "<span style=\"float: left;\">VK " . $iVK . " : </span><span style=\"float: right;\">" . preis_from_sql ( $listenzeile [$sPreisVK] ) . "&nbsp;&nbsp;&nbsp;&nbsp;</span>";
				$liste_output [$listenzeile_id] ["dtPreisVK"] .= "<br>";
				
				if ($fEK != 0) {
					$dUeberschussVK [$iVK] = ($listenzeile [$sPreisVK] / $fEK * 100) - 100;
				}
				$sUeberschussVK [$iVK] = double_from_sql ( $dUeberschussVK [$iVK], 2 ) . " %";
				
				$sUeberschussStyle = "";
				if ($dUeberschussVK [$iVK] <= 0)
					$sUeberschussStyle = "background-color: " . $bgcolor_formular_rot;
				else if ($dUeberschussVK [$iVK] <= $dArtikelueberschussAnzeigeschwelleGelb)
					$sUeberschussStyle = "background-color: " . $bgcolor_formular_gelb;
				
				$liste_output [$listenzeile_id] ["dtUeberschuss"] .= "<span style=\"float: left;\">VK " . $iVK . " : </span><span style=\"float: right;" . $sUeberschussStyle . "\">" . $sUeberschussVK [$iVK] . "&nbsp;&nbsp;&nbsp;&nbsp;</span>";
				$liste_output [$listenzeile_id] ["dtUeberschuss"] .= "<br>";
			}
		}
		
		$i ++;
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>