<?php
$mailarchiv_search_query = array ();

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	// Benno liefert Ergebnisse nicht einschlielich tag_bis
	$datum_tag_bis ++;
	
	$mailarchiv_search_query [] = "sent:[" . trim ( $datum_jahr_von . $datum_monat_von . $datum_tag_von ) . " TO " . trim ( $datum_jahr_bis . $datum_monat_bis . $datum_tag_bis ) . "]";
}

// Absender
if ($filter [$listenname] ["textfilter_absender"] != "" && $filter [$listenname] ["textfilter_absender"] != "---") {
	$mailarchiv_search_query [] = "from:" . trim ( $filter [$listenname] ["textfilter_absender"] );
}

// Empfnger
if ($filter [$listenname] ["textfilter_empfaenger"] != "" && $filter [$listenname] ["textfilter_empfaenger"] != "---") {
	$mailarchiv_search_query [] = "to:" . trim ( $filter [$listenname] ["textfilter_empfaenger"] );
}

// Betreff
if ($filter [$listenname] ["textfilter_betreff"] != "") {
	$mailarchiv_search_query [] = "title:" . trim ( $filter [$listenname] ["textfilter_betreff"] );
}

// Nachricht
if ($filter [$listenname] ["textfilter_nachricht"] != "") {
	$mailarchiv_search_query [] = "text:" . trim ( $filter [$listenname] ["textfilter_nachricht"] );
}

/*
 * Filtern wenn Benutzerrechte es vorschreiben
 */
if ($benutzerrechte [$target] ["zugriffsart"] > 0) {
	$mailarchiv_search_query [] = "(to:$emailadresse_filtern OR from:$emailadresse_filtern)";
}

if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;

// ++++++++++++++++++++++++++++++++
// +++++++++++ Query an Mailarchiv senden, jedoch nur wenn gesucht wird.

if (is_array ( $mailarchiv_search_query )) {
	$benno->search ( implode ( " AND ", $mailarchiv_search_query ), $sortierung [$listenname] ["anzahl"] + $sortierung [$listenname] ["position"] - 1 );
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ Liste erzeugen aus Antwort vom Mailarchiv
	$liste = $benno->getMailObjectsInArrayWithPaging ( $sortierung [$listenname] ["position"] - 1 );
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Anzahl der Ergebnisse
$anzahl_gesamt = $benno->getSearchResultCount ();
$anzahl_ausgabe = $benno->getSearchResultOutputCount ();

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		$liste_output [$listenzeile_id] = $listenzeile->toArray ();
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["Betreff"] = _utf8_decode ( $liste_output [$listenzeile_id] ["Betreff"] );
		$liste_output [$listenzeile_id] ["DateTime"] = $listenzeile->getReadableDateTime ();
		$liste_output [$listenzeile_id] ["Absender"] = decodeEmailAddress ( $liste_output [$listenzeile_id] ["Absender"] );
		$liste_output [$listenzeile_id] ["Empfaenger"] = decodeEmailAddress ( $liste_output [$listenzeile_id] ["Empfaenger"] );
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste_output [$listenzeile_id] ["Id"], $target, $benutzerrechte );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>