<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfrage
$query = $sql_query ["belegliste"] . " and $tblbelege.fiProjekt = " . $id;
$query .= " and $tblbelege.fiStatus < 900 ";

$anzahl_gesamt = get_table_count ( $query );

// Belegstatusfilter
if ($filter [$listenname] ["belegstatus"] != "") {
	$query .= " and $tblbelege.fiStatus = " . $filter [$listenname] ["belegstatus"] . " ";
}

// Kundefilter
if ($filter [$listenname] ["kunde"] != "") {
	$query .= " and $tblbelege.fiKunde = " . $filter [$listenname] ["kunde"] . " ";
}

// Datumsbereich
if ($filter [$listenname] ["datumsbereich"] != "") {
	
	$datum_explode = explode ( "-", $filter [$listenname] ["datumsbereich"] );
	$datum_tag_von = $datum_explode [0];
	$datum_monat_von = $datum_explode [1];
	$datum_jahr_von = $datum_explode [2];
	$datum_tag_bis = $datum_explode [3];
	$datum_monat_bis = $datum_explode [4];
	$datum_jahr_bis = $datum_explode [5];
	
	if (! ($datum_tag_von == 1 and $datum_monat_von == 1 and $datum_jahr_von == 1970) and ! ($datum_tag_von == "" and $datum_monat_von == "" and $datum_jahr_von == "")) {
		$query .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
		$query .= " or  (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "'))";
		$query .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) >= to_days('" . concat_date ( $datum_tag_von, $datum_monat_von, $datum_jahr_von ) . "')))";
	}
	
	if (! ($datum_tag_bis == 1 and $datum_monat_bis == 1 and $datum_jahr_bis == 2030) and ! ($datum_tag_bis == "" and $datum_monat_bis == "" and $datum_jahr_bis == "")) {
		$query .= " and ((dtAngebotDatum <> '2030-01-01' and to_days(dtAngebotDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
		$query .= " or (dtAuftragDatum <> '2030-01-01' and to_days(dtAuftragDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "'))";
		$query .= " or (dtRechnungDatum <> '2030-01-01' and to_days(dtRechnungDatum) <= to_days('" . concat_date ( $datum_tag_bis, $datum_monat_bis, $datum_jahr_bis ) . "')))";
	}
}

// Volltextsuche
$query .= create_fulltext_index_search ( array (
		$tblbelege 
), $filter [$listenname] ["textfilter"] );

// wenn es eine Sortierung gibt, dann fge sie dem SQL-String hinzu
if ($sortierung [$listenname] ["feldname"] != "") {
	$sortierung_sql = " order by " . $sortierung [$listenname] ["feldname"] . " " . $sortierung [$listenname] ["richtung"];
	if ($sortierung [$listenname] ["feldname2"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname2"] . " " . $sortierung [$listenname] ["richtung2"];
	}
	if ($sortierung [$listenname] ["feldname3"] != "") {
		$sortierung_sql .= ", " . $sortierung [$listenname] ["feldname3"] . " " . $sortierung [$listenname] ["richtung3"];
	}
} else {
	$sortierung_sql = "";
}

// wenn es eine Limitierung der Liste gibt, dann fge sei dem SQL-String hinzu
if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$listenname] ))) {
	$sortierung [$listenname] ["anzahl"] = 50;
	$sortierung [$listenname] ["position"] = 1;
}
;
if ($sortierung [$listenname] ["anzahl"] != "") {
	$limit_sql = " limit " . ($sortierung [$listenname] ["position"] - 1) . "," . $sortierung [$listenname] ["anzahl"];
} else {
	$limit_sql = "";
	$sortierung [$listenname] ["anzahl"] = "";
}

$anzahl_ausgabe = get_table_count ( $query );
$query .= $sortierung_sql . $limit_sql;
$liste = get_table_array ( $query );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Listenwerte formatieren
unset ( $liste_output );
if (count ( $liste ) != 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		// +++++++++++ hole Bilanzdaten
		$bilanz_query = "select * from $tblbilanzbelege where fiBeleg = " . $listenzeile ["Beleg_id"];
		$bilanz_row = get_table_row ( $bilanz_query );
		
		// +++++++++++ Zeile durch Textfilter laufen lassen
		$liste_output [$listenzeile_id] = liste_output_textfilter_markieren ( $listenzeile, $field_textfilter_active, $filter [$listenname] ["textfilter"] );
		
		// +++++++++++ Felder formatieren
		$liste_output [$listenzeile_id] ["dtAngebotDatum"] = date_from_sql ( $liste_output [$listenzeile_id] ["dtAngebotDatum"] );
		
		$datum_span_anzeige = "<span title=\" \n";
		
		if ($liste_output [$listenzeile_id] ["dtAngebotDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Angebot: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtAngebotDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtAuftragDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Auftrag: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtAuftragDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtLieferungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Lieferung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtLieferungDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtRechnungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Rechnung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtRechnungDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtMahnungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Mahnung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtMahnungDatum"] ) . "\n";
		}
		if ($liste_output [$listenzeile_id] ["dtStornierungDatum"] != "2030-01-01") {
			$datum_span_anzeige .= "Datum Stornierung: " . date_from_sql ( $liste_output [$listenzeile_id] ["dtStornierungDatum"] ) . "\n";
		}
		$datum_span_anzeige .= " \">" . date_from_sql ( $liste_output [$listenzeile_id] ["dtAnzeigeDatum"] );
		$datum_span_anzeige .= "</span>";
		
		$liste_output [$listenzeile_id] ["dtAnzeigeDatum"] = $datum_span_anzeige;
		
		$summenetto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nVerkauf Netto: " . preis_from_sql ( $bilanz_row ["dtSummeVerkaufNetto"], null, 2 ) . "\n \n";
		$summenetto_span_anzeige .= "Einkauf Netto: " . preis_from_sql ( $bilanz_row ["dtSummeEinkaufNetto"], null, 2 ) . "\n";
		$summenetto_span_anzeige .= "berschu Netto: " . preis_from_sql ( $bilanz_row ["dtSummeUeberschussNetto"], null, 2 ) . "\n";
		$summenetto_span_anzeige .= " \" >";
		$summenetto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeVerkaufNetto"], null, 2 );
		$summenetto_span_anzeige .= "</span>";
		
		$summebrutto_span_anzeige = "<span style=\"text-align: right;\" title=\" \nVerkauf Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeVerkaufBrutto"], null, 2 ) . "\n \n";
		$summebrutto_span_anzeige .= "Einkauf Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeEinkaufBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= "berschu Brutto: " . preis_from_sql ( $bilanz_row ["dtSummeUeberschussBrutto"], null, 2 ) . "\n";
		$summebrutto_span_anzeige .= " \" >";
		$summebrutto_span_anzeige .= preis_from_sql ( $bilanz_row ["dtSummeVerkaufBrutto"], null, 2 );
		$summebrutto_span_anzeige .= "</span>";
		
		if ($bilanz_row ["dtAktuell"] == 1) {
			
			$liste_output [$listenzeile_id] ["dtBelegSummeNetto"] = $summenetto_span_anzeige;
			$liste_output [$listenzeile_id] ["dtBelegSummeBrutto"] = $summebrutto_span_anzeige;
			
			$summe_verkauf_netto = $summe_verkauf_netto + $bilanz_row ["dtSummeVerkaufNetto"];
			$summe_verkauf_brutto = $summe_verkauf_brutto + $bilanz_row ["dtSummeVerkaufBrutto"];
			$summe_einkauf_netto = $summe_einkauf_netto + $bilanz_row ["dtSummeEinkaufNetto"];
			$summe_einkauf_brutto = $summe_einkauf_brutto + $bilanz_row ["dtSummeEinkaufBrutto"];
			$summe_ueberschuss_netto = $summe_ueberschuss_netto + $bilanz_row ["dtSummeUeberschussNetto"];
			$summe_ueberschuss_brutto = $summe_ueberschuss_brutto + $bilanz_row ["dtSummeUeberschussBrutto"];
		} else {
			$bilanz_nicht_aktuell = 1;
		}
		
		// +++++++++++ Buttons hinzufgen
		$liste_output [$listenzeile_id] ["ButtonAnzeigen"] = detailbutton ( $liste [$listenzeile_id] ["Beleg_id"], "belege", $benutzerrechte );
		$liste_output [$listenzeile_id] ["ButtonLoeschen"] = loeschensubbutton ( $target, $typ, $id, $subtarget, $liste [$listenzeile_id] ["Beleg_id"], $benutzerrechte, "", "lschen", "Diese Zuordnung entfernen" );
	}
}

// Zeilen zum Listenobjekt hinzufgen
$oListe->addZeilen ( $liste_output );

?>