<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ grafischen Button zeichnen
if (! function_exists ( "erzeuge_button" )) {
	function erzeuge_button($text, $link = "", $attrib = "", $title = "", $accesskey = "", $laenge = "") {
		// erzeuge Link-Teil
		if ($title == "") {
			$title = $text;
		}
		if ($accesskey != "") {
			$accesskey_output = "accesskey=\"" . $accesskey . "\"";
		}
		
		if (strtolower ( substr ( $attrib, 0, 7 ) ) != "onclick") {
			$attrib .= " onClick=\"return unload()\"";
		}
		$html_link = "<a tabindex=500  href=\"" . $link . "\" title=\"" . $title . "\" $attrib $accesskey_output>%%%BUTTON%%%</a>";
		
		// erzeuge Button
		$buttontext = $text;
		if (trim ( $text ) == "+")
			$buttontext = "plus";
		if (trim ( $text ) == "-")
			$buttontext = "minus";
		$buttongrafik = "config/pics/button_" . trim ( $buttontext ) . ".png";
		
		if (is_file ( $buttongrafik )) {
			
			$html_button = "<span id=\"clickbutton\"><img src=\"" . $buttongrafik . "\" border=0 ";
			if ($laenge != "") {
				$html_button .= "width: " . $html_button . "px; ";
			}
			$html_button .= "></span>";
		} else {
			$html_button = "<nobr><span id=\"clickbutton\" class=\"standardbutton\" title=\"" . $title . "\" ";
			if ($laenge != "")
				$html_button .= "style=\"width: " . $laenge . "px;\" ";
			$html_button .= ">";
			$html_button .= "&nbsp;&nbsp;" . $text . "&nbsp;&nbsp;";
			$html_button .= "</span></nobr>";
		}
		
		// fge Link-Teil und Button zusammen
		return (str_replace ( "%%%BUTTON%%%", $html_button, $html_link ));
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Submenu zeichnen
if (! function_exists ( "erzeuge_submenu" )) {
	function erzeuge_submenu($buttonarray) {
		foreach ( ( array ) $buttonarray as $key => $value ) {
			
			if (! file_exists ( "targets/" . $value [4] ))
				continue;
			
			$buttoncounter ++;
			if (check_link_permission ( $value [4], $value [5], $value [7] ) == true) {
				$buttonhtml .= submenubutton ( $value [0], $value [1], $value [2], $value [3], $value [4], $value [5], $value [6], $value [7], $value [8], $value [9], $value [10], $buttoncounter . "-" . count ( $buttonarray ) );
				if ($buttoncounter != count ( $buttonarray )) {
					$buttonhtml .= "<td style=\"width: 2px;\" class=\"buttonsub_aktiv\">&nbsp;</td>";
				} else {
					$buttonhtml .= "<td style=\"width: 2px;\" class=\"buttonsub\">&nbsp;</td>";
				}
			}
		}
		
		if ($buttonhtml != "") {
			$html .= "<table id=\"submenu\" width=\"100%\" border=0 cellspacing=0 cellpadding=0 >";
			$html .= "<tr><td width=78 class=\"buttonsub_aktiv\">&nbsp;</td>";
			$html .= "<td style=\"width: 2px;\" class=\"buttonsub\">&nbsp;</td>";
			$html .= "<td valign=\"top\" class=\"buttonsub_aktiv\">";
			
			$html .= "<div id=\"submenu_outerframe\" style=\"width: 930px; height: 28px; overflow: hidden;\">";
			$html .= "<div id=\"submenu_srcollframe\" style=\"width: 930px; overflow: hidden; scroll: auto;\" onMouseOver=\"submenuStartScroll();\" onMouseOut=\"submenuStopScroll()\">";
			$html .= "<div id=\"submenu_innerframe\" style=\"scroll: none;\">";
			
			$html .= "<table id=\"submenu_table\" border=0 cellspacing=0 cellpadding=0 class=\"text\">";
			$html .= "<tr>";
			
			$html .= $buttonhtml;
			
			$html .= "</tr></table>";
			$html .= "</div></div></div>";
			$html .= "</td></tr></table>";
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Submenu-Button
if (! function_exists ( "submenubutton" )) {
	function submenubutton($text, $target, $typ, $id, $subtarget, $subtyp, $subid, $rechte, $bgcolor_formular, $aktsubtarget = "", $values = "", $buttonnumber = "") {
		
		// erster if-Zweig kann entfallen, wenn alle Submens auf erzeuge_submenu ($buttonarray) umgestellt wurden
		if ($buttonnumber == "") {
			
			if ($aktsubtarget == $subtarget) {
				$bgcolor = $bgcolor_formular;
			} else {
				$bgcolor = "#ffffff";
			}
			
			$html = "<td valign=\"top\" style=\"background-color: " . $bgcolor . "\">";
			$html .= "<a href=\"main.php?target=" . $target . "&subtarget=" . $subtarget . "&typ=" . $typ . "&subtyp=" . $subtyp . "&id=" . $id . "&subid=" . $subid . $values . "\" ";
			$html .= "class=\"" . $linkclass . "\" title=\"" . $text . "\" onClick=\"return unload()\"><nobr>";
			$html .= "<b>" . $text . "</b>";
			$html .= "</nobr></a>";
			$html .= "</td>";
		} else {
			
			$name = "submenubutton_" . rand ( 0, 10000 );
			
			if ($aktsubtarget == $subtarget) {
				$class = "buttonsub_aktiv";
				$linkclass = "button_head_aktiv";
			} else {
				$class = "buttonsub";
				$linkclass = "button_head";
			}
			
			$values .= "&smbk=" . $buttonnumber;
			
			$html = "<td id=\"" . $name . "_td\" valign=\"top\" class=\"" . $class . "\" style=\"padding-left: 10px; padding-right: 10px; padding-top: 5px; padding-bottom: 3px;\">";
			$html .= "<a id=\"" . $name . "_link\" href=\"main.php?target=" . $target . "&subtarget=" . $subtarget . "&typ=" . $typ . "&subtyp=" . $subtyp . "&id=" . $id . "&subid=" . $subid . $values . "\" ";
			$html .= "class=\"" . $linkclass . "\" title=\"" . $text . "\" onClick=\"return unload()\"><nobr>";
			$html .= $text;
			$html .= "</nobr></a>";
			$html .= "</td>";
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Allgemeiner-Button fr freien Link
if (! function_exists ( "externbutton" )) {
	function externbutton($text, $link, $attrib, $values = "", $title = "", $no_unload = "") {
		if ($title == "") {
			$title = $text;
		}
		;
		if ($no_unload != "") {
			$attrib .= "onClick=\"\"";
		}

		$html = erzeuge_button ( $text, $link, "$attrib", $title );
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Allgemeiner-Button innerhalb conceptERP
if (! function_exists ( "button" )) {
	function button($text, $target, $typ, $id, $rechte, $values = "", $title = "", $acceskey = "", $laenge = "") {
		if ($title == "") {
			$title = $text;
		}
		
		if (check_link_permission ( $target, $typ, $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . $values;
			$html = erzeuge_button ( $text, $link, "", $title, $acceskey, $laenge );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Allgemeiner-SubButton innerhalb conceptERP
if (! function_exists ( "subbutton" )) {
	function subbutton($text, $target, $typ, $id, $subtarget, $subtyp, $subid, $rechte, $values = "", $title = "", $acceskey = "", $laenge = "") {
		if ($title == "") {
			$title = $text;
		}
		;
		
		if (check_link_permission ( $target, $typ, $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . $values;
			$html = erzeuge_button ( $text, $link, "", $title, $acceskey, $laenge );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Klick-Button fr Javascript-Aufruf
if (! function_exists ( "klickbutton" )) {
	function klickbutton($text, $attrib, $style = "", $title = "") {
		if ($title == "") {
			$title = $text;
		}
		;
		
		$buttonname = "config/pics/button_" . trim ( $text ) . ".png";
		
		if (is_file ( $buttonname )) {
			$is = getimagesize ( $buttonname );
			$width = $is [0];
			$height = $is [1];
			$html = "<button id=\"clickbutton\" type=\"button\" $attrib title=\"" . $title . "\" class=\"klickbutton\" style=\"background-image: url(" . $buttonname . "); height: " . $height . "px; width: " . $width . "px; border: none; cursor: pointer;" . $style . "\"></button>";
			
			// $html = "<span id=\"clickbutton\" $attrib title=\"".$title."\" style=\"height: ".$height."px; width: ".$width."px; border: none; cursor: pointer;\"><img src=\"".$buttonname."\" border=0></span>";
		} else {
			
			$html .= "<nobr><span class=\"grafikbutton\" title=\"$title\" $attrib style=\"" . $style . "\">";
			$html .= "<img src=\"config/pics/button_part_links.png\" border=0 style=\"position: relative; top: 3px;\">";
			$html .= "<span id=\"clickbutton\" style=\"font-size: 10px; position: relative; top: 0px;\">&nbsp;" . $text . "&nbsp;</span>";
			$html .= "<img src=\"config/pics/button_part_rechts.png\" border=0 style=\"position: relative; top: 3px;\"></span></nobr>";
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Neu-Button
if (! function_exists ( "neubutton" )) {
	function neubutton($text, $target, $rechte, $values = "") {
		if (check_link_permission ( $target, "neu", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=neu" . $values;
			$html = erzeuge_button ( $text, $link, "", "neuen Eintrag hinzufgen", "n" );
		}
		return ($html);
	}
}
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Neu-Belege Button
if (! function_exists ( "neuprojektbelegebutton" )) {
	function neuprojektbelegebutton($text, $target, $rechte, $values = "") {
		if (check_link_permission ( $target, "neu", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=send_neuprojekt" . $values;
			$html = erzeuge_button ( $text, $link, "", "neuen Eintrag hinzufgen", "n" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Neu-Button
if (! function_exists ( "neusubbutton" )) {
	function neusubbutton($text, $target, $typ, $id, $subtarget, $rechte, $values = "") {
		if (check_link_permission ( $subtarget, "neu", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=neu" . $values;
			$html = erzeuge_button ( $text, $link, "", "neuen Eintrag hinzufgen", "n" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ ndern-Button
if (! function_exists ( "aendernbutton" )) {
	function aendernbutton($id, $target, $rechte, $values = "", $text = "anzeigen") {
		if (check_link_permission ( $target, "aendern", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=aendern&id=" . $id . $values;
			$html = erzeuge_button ( $text, $link, "", "diesen Eintrag ndern", "" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Detail-Button
if (! function_exists ( "detailbutton" )) {
	function detailbutton($id, $target, $rechte, $values = "", $text = "anzeigen", $attr = "") {
		if (check_link_permission ( $target, "show", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=show&id=" . $id . $values;
			$html = erzeuge_button ( $text, $link, $attr, "Details zu diesem Eintrag anzeigen", "" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Kopieren-Button
if (! function_exists ( "kopierenbutton" )) {
	function kopierenbutton($id, $target, $rechte, $values = "", $text = "kopieren", $title = "diesen Eintrag kopieren", $bestaetigungsfrage = "wirklich kopieren?") {
		if ($id == "")
			return;
		
		if (check_link_permission ( $target, "kopieren", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=kopieren&id=" . $id . $values;
			$html = erzeuge_button ( $text, $link, "onClick='return confirm(\"" . $bestaetigungsfrage . "\")'", $title, "k" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Kopieren-Button
if (! function_exists ( "kopierenohneabfragebutton" )) {
	function kopierenohneabfragebutton($id, $target, $rechte, $values = "", $text = "kopieren", $title = "diesen Eintrag kopieren") {
		if ($id == "")
			return;
		
		if (check_link_permission ( $target, "kopieren", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=kopieren&id=" . $id . $values;
			$html = erzeuge_button ( $text, $link, "", $title, "k" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Kopieren-Button aus subtarget
if (! function_exists ( "kopierensubbutton" )) {
	function kopierensubbutton($target, $typ, $id, $subtarget, $subid, $rechte, $values = "", $text = "kopieren", $title = "diesen Eintrag kopieren", $bestaetigungsfrage = "wirklich kopieren?") {
		if (check_link_permission ( $subtarget, "kopieren", $rechte ) == true and $subid != "") {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=kopieren&subid=" . $subid . $values;
			$html = erzeuge_button ( $text, $link, "onClick='return confirm(\"" . $bestaetigungsfrage . "\")'", $title, "k" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Kopieren-Button aus subtarget
if (! function_exists ( "kopierensubbutton_kurz" )) {
	function kopierensubbutton_kurz($target, $typ, $id, $subtarget, $subid, $rechte, $values = "", $text = "kopieren_kurz", $title = "diesen Eintrag kopieren", $bestaetigungsfrage = "wirklich kopieren?") {
		if (check_link_permission ( $subtarget, "kopieren", $rechte ) == true and $subid != "") {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=kopieren&subid=" . $subid . $values;
			$html = erzeuge_button ( $text, $link, "onClick='return confirm(\"" . $bestaetigungsfrage . "\")'", $title, "k" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ zurck-zur-Liste-Button
if (! function_exists ( "zurueckzurlistebutton" )) {
	function zurueckzurlistebutton($id, $target, $rechte, $values = "") {
		if (check_link_permission ( $target, "list", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=list" . $values;
			$html = erzeuge_button ( "schliessen", $link, "", "Detailansicht schlieen und Liste anzeigen", "z" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ zurck-zur-Liste-Button
if (! function_exists ( "zurueckzurlistesubbutton" )) {
	function zurueckzurlistesubbutton($target, $typ, $id, $subtarget, $rechte, $values = "") {
		if (check_link_permission ( $subtarget, "list", $rechte ) == true) {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=list" . $values;
			$html = erzeuge_button ( "schliessen", $link, "", "Detailansicht schlieen und Liste anzeigen", "z" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ nchster-Eintrag-Button
if (! function_exists ( "naechsterbutton" )) {
	function naechsterbutton($id, $target, $sql_table, $sql_feld, $sql_wert, $rechte, $sql_values = "", $values = "") {
		if (check_link_permission ( $target, "show", $rechte ) == true) {
			
			// suche nchstgreren Eintrag
			$query = "select * from $sql_table where $sql_feld > '$sql_wert' $sql_values order by $sql_feld";
			$field = get_table_row ( $query );
			
			if ($field ["id"] != "") {
				
				$link = "main.php?target=" . $target . "&typ=show&id=" . $field ["id"] . $values;
				$html = erzeuge_button ( "nchster", $link, "", "nchsten Eintrag anzeigen", "+" );
			}
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ voriger-Eintrag-Button
if (! function_exists ( "vorigerbutton" )) {
	function vorigerbutton($id, $target, $sql_table, $sql_feld, $sql_wert, $rechte, $sql_values = "", $values = "") {
		if (check_link_permission ( $target, "show", $rechte ) == true) {
			
			// suche nchstkleineren Eintrag
			$query = "select * from $sql_table where $sql_feld < '$sql_wert' $sql_values order by $sql_feld";
			$field = get_table_row ( $query );
			
			if ($field ["id"] != "") {
				
				$link = "main.php?target=" . $target . "&typ=show&id=" . $field ["id"] . $values;
				$html = erzeuge_button ( "voriger", $link, "", "vorigen Eintrag anzeigen", "-" );
			}
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "standardfilterladenbutton" )) {
	function standardfilterladenbutton($listenname, $target, $typ, $id = "", $subtarget = "", $subtyp = "", $subid = "") {
		$ziel = zielstring ( $target, $typ, $id, $subtarget, $subtyp, $subid );
		$link = "main.php?" . $ziel . "&listenname=" . $listenname . "&standardfilterladen=1";
		$html = erzeuge_button ( "&lt;&lt;", $link, "", "Standard-Filter-Einstellungen wiederherstellen" );
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "standardfilterspeichernbutton" )) {
	function standardfilterspeichernbutton($listenname, $target, $typ, $id = "", $subtarget = "", $subtyp = "", $subid = "") {
		$ziel = zielstring ( $target, $typ, $id, $subtarget, $subtyp, $subid );
		$link = "main.php?" . $ziel . "&listenname=" . $listenname . "&standardfilterspeichern=1";
		$html = erzeuge_button ( "S", $link, "onClick=\"return confirm('Wollen Sie diese Filtereinstellungen wirklich als Standard speichern?')\"", "Diese Filter-Einstellungen als Standard speichern" );
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "filterleerenbutton" )) {
	function filterleerenbutton($listenname, $target, $typ, $id = "", $subtarget = "", $subtyp = "", $subid = "") {
		$ziel = zielstring ( $target, $typ, $id, $subtarget, $subtyp, $subid );
		$link = "main.php?" . $ziel . "&listenname=" . $listenname . "&filter_leeren=1";
		$html = erzeuge_button ( "X", $link, "", "Alle Filter-Einstellungen entfernen" );
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ bernehmen-Button
if (! function_exists ( "uebernehmenbutton" )) {
	function uebernehmenbutton($id, $target, $rechte, $text = "bernehmen", $title = "nderungen speichern", $attrib = "") {
		if (strtolower ( substr ( $attrib, 0, 7 ) ) != "onclick") {
			$attrib .= " onClick=\"ZeitAusblenden()\"";
		}
		
		if (check_link_permission ( $target, "send", $rechte ) == true) {
			if ($text == "bernehmen") {
				$html = "<input id=\"absendenbutton\" type=\"image\" src=\"config/pics/button_uebernehmen.png\" title=\"" . $title . "\" " . $attrib . " accesskey=\"\">";
			} else {
				$html = "<input id=\"absendenbutton\" type=\"submit\" value=\"" . $text . "\" title=\"" . $title . "\" class=\"standardbutton\" " . $attrib . " accesskey=\"\">";
			}
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ bernehmen-Button kurz
if (! function_exists ( "uebernehmenbutton_kurz" )) {
	function uebernehmenbutton_kurz($id, $target, $rechte, $text = "", $title = "nderungen speichern", $attrib = "") {
		if (check_link_permission ( $target, "send", $rechte ) == true) {
			$html = "<input id=\"absendenbutton\"  type=\"image\" src=\"config/pics/button_uebernehmen_kurz.png\"  title=\"" . $title . "\" " . $attrib . " accesskey=\"\">";
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Zurcksetzen-Button
if (! function_exists ( "zuruecksetzenbutton" )) {
	function zuruecksetzenbutton($id, $target, $rechte) {
		if (check_link_permission ( $target, "send", $rechte ) == true) {
			$html = "<input id=\"absendenbutton\"  type=\"image\" src=\"config/pics/button_zuruecksetzen.png\"  title=\"" . $title . "\" onclick='this.form.reset(); aenderung_in_liste_reset(this.form); return false;' accesskey=\"z\">";
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Zurcksetzen-Button kurz
if (! function_exists ( "zuruecksetzenbutton_kurz" )) {
	function zuruecksetzenbutton_kurz($id, $target, $rechte) {
		if (check_link_permission ( $target, "send", $rechte ) == true) {
			$html = "<input id=\"absendenbutton\"  type=\"image\" src=\"config/pics/button_zuruecksetzen_kurz.png\"  title=\"" . $title . "\" onclick='this.form.reset(); aenderung_in_liste_reset(this.form); return false;' accesskey=\"z\">";
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Lschen-Button
if (! function_exists ( "loeschenbutton" )) {
	function loeschenbutton($id, $target, $rechte, $values = "", $text = "loeschen", $title = "diesen Eintrag lschen", $bestaetigungsfrage = "wirklich lschen?", $typ = "loeschen") {
		if (check_link_permission ( $target, "loeschen", $rechte ) == true and $id != "") {
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . $values;
			$html = erzeuge_button ( $text, $link, "onClick=\"return confirm('" . $bestaetigungsfrage . "')\"", $title );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Lschen-Button
if (! function_exists ( "loeschenbutton_kurz" )) {
	function loeschenbutton_kurz($id, $target, $rechte, $values = "", $title = "diesen Eintrag lschen", $bestaetigungsfrage = "wirklich lschen?") {
		if (check_link_permission ( $target, "loeschen", $rechte ) == true and $id != "") {
			
			$link = "main.php?target=" . $target . "&typ=loeschen&id=" . $id . $values;
			$html = erzeuge_button ( "loeschen_kurz", $link, "onClick=\"return confirm('" . $bestaetigungsfrage . "')\"", $title );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Lschen-Button aus subtarget
if (! function_exists ( "loeschensubbutton" )) {
	function loeschensubbutton($target, $typ, $id, $subtarget, $subid, $rechte, $values = "", $text = "loeschen", $title = "diesen Eintrag lschen", $bestaetigungsfrage = "wirklich lschen?") {
		if (check_link_permission ( $subtarget, "loeschen", $rechte ) == true and $subid != "") {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=loeschen&subid=" . $subid . $values;
			$html = erzeuge_button ( $text, $link, "onClick=\"return confirm('" . $bestaetigungsfrage . "')\"", $title );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Lschen-Button aus subtarget
if (! function_exists ( "loeschensubbutton_kurz" )) {
	function loeschensubbutton_kurz($target, $typ, $id, $subtarget, $subid, $rechte, $values = "", $text = "loeschen_kurz", $title = "diesen Eintrag lschen", $bestaetigungsfrage = "wirklich lschen?") {
		if (check_link_permission ( $subtarget, "loeschen", $rechte ) == true and $subid != "") {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=loeschen&subid=" . $subid . $values;
			$html = erzeuge_button ( $text, $link, "onClick=\"return confirm('" . $bestaetigungsfrage . "')\"", $title );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Lschen-Button aus subtarget
if (! function_exists ( "loeschensubbutton_text" )) {
	function loeschensubbutton_text($target, $typ, $id, $subtarget, $subid, $rechte, $values = "", $text = "loeschen_kurz", $title = "diesen Eintrag lschen", $bestaetigungsfrage = "wirklich lschen?") {
		if (check_link_permission ( $subtarget, "loeschen", $rechte ) == true and $subid != "") {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=loeschen&subid=" . $subid . $values;
			$html = erzeuge_button ( "loeschen_kurz", $link, "onClick=\"return confirm('" . $bestaetigungsfrage . "')\"", $title );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Lschen-Button aus Zusatzfenster
if (! function_exists ( "loeschenzusatzfensterbutton_kurz" )) {
	function loeschenzusatzfensterbutton_kurz($target, $typ, $id, $rechte, $values = "") {
		if (check_link_permission ( $target, $typ, $rechte ) == true and $id != "") {
			
			$link = "zusatzfenster.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . $values;
			$html = erzeuge_button ( "loeschen_kurz", $link, "", "diesen Eintrag lschen", "l" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ OutputButton
if (! function_exists ( "outputbutton" )) {
	function outputbutton($link, $values = "", $text = "", $title = "", $onclick = "", $target = "", $typ = "", $rechte = "") {
		if (check_link_permission ( $target, $typ, $rechte ) == true) {
			// ++++ Ausgabe ber Javascript-Link mit Ausbeldung der Menleisten des Browsers
			if ($onclick != "") {
				$attrib = "onClick=\"" . $onclick . "\"";
			}
			$link = "javascript:output('" . $link . "&" . $values . "')";
			$html = erzeuge_button ( $text, $link, $attrib, $title, "d" );
		}
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Drucken-Button
if (! function_exists ( "druckenbutton" )) {
	function druckenbutton($target, $typ, $id, $rechte, $values = "", $text = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;drucken&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;", $title = "Druckversion als PDF anzeigen", $onclick = "") {
		if (check_link_permission ( $target, $typ, $rechte ) == true) {
			// ++++ Ausgabe ber Javascript-Link mit Ausbeldung der Menleisten des Browsers
			if ($onclick != "") {
				$attrib = "onClick=\"" . $onclick . "\"";
			}
			$link = "javascript:PDFOutput('pdfoutput.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . $values . "')";
			$html = erzeuge_button ( $text, $link, $attrib, $title, "d" );
		}
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Export-Button
if (! function_exists ( "exportbutton" )) {
	function exportbutton($target, $typ, $id, $rechte, $values = "", $text = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;export&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;", $title = "Druckversion als PDF anzeigen", $onclick = "") {
		if (check_link_permission ( $target, $typ, $rechte ) == true) {
			// ++++ Ausgabe ber Javascript-Link mit Ausbeldung der Menleisten des Browsers
			if ($onclick != "") {
				$attrib = "onClick=\"" . $onclick . "\"";
			}
			$link = "javascript:dtausexport('dtausexport.php?target=" . $target . "&typ=" . $typ . $values . "')";
			$html = erzeuge_button ( $text, $link, $attrib, $title, "d" );
		}
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Contentordner-ffnen-Button
if (! function_exists ( "contentopenbutton" )) {
	function contentopenbutton($target, $typ, $id, $rechte, $values = "", $text = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Ordner ffnen&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;", $title = "Ordnerinhalt anzeigen") {
		global $lizenzstatus;
		
		if ($lizenzstatus ["content"]) {
			$html = erzeuge_button ( "Ordner in DCA &ouml;ffnen", "concepterpdca://" . $id . "/", "Ordnerinhalt anzeigen", "o" );
		}
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ nderungsanzeiger
if (! function_exists ( "aenderungsanzeiger" )) {
	function aenderungsanzeiger() {
		$html = "<span id=\"clickbutton\"><input tabindex=9999 type=\"text\" name=\"aenderung\" size=1 class=\"aenderungszeiger\" value=\"&nbsp;\" title=\"Die Werte dieser Datenzeile sind aktuell\" readonly></span>";
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "link_anzeigen" )) {
	function link_anzeigen($link, $text = "H", $attrib = "target=\"_blank\"", $title = "Homepage anzeigen") {
		if ($link != "") {
			if (substr ( $link, 0, 7 ) != "http://") {
				$link = "http://" . $link;
			}
			$html = erzeuge_button ( $text, $link, $attrib, $title, "h" );
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
if (! function_exists ( "mail_schreiben" )) {
	function mail_schreiben($adresse) {
		if ($adresse != "") {
			
			$html = erzeuge_button ( "@", "mailto:" . $adresse, "", "Mail schreiben", "h" );
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ zurck zur Liste-Button
if (! function_exists ( "zumverteilerbutton" )) {
	function zumverteilerbutton($referer, $id, $rechte) {
		if (check_link_permission ( "mailverteiler", "neu", $rechte ) == true and $id != "") {
			
			$link = "main.php?target=mailverteiler&typ=neu&referer=" . $referer . "&id=" . $id;
			$html = erzeuge_button ( "zumverteiler", $link, "", "Diese Adresse zum Standard-Verteiler hinzufgen", "v" );
		}
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Shortcut-Button
if (! function_exists ( "shortcutbutton" )) {
	function shortcutbutton($target, $typ, $id, $rechte, $subtarget = "", $subtyp = "", $subid = "") {
		if (check_link_permission ( $target, $typ, $rechte ) == true and $id != "" and $id != 0) {
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid;
			$html = "<!--Button-->" . erzeuge_button ( "rechts", $link, "", "Details anzeigen", "" ) . "<!--ButtonEnde-->";
		}
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Shortcut-Link
if (! function_exists ( "shortcutlink" )) {
	function shortcutlink($text, $target, $typ, $id, $rechte, $subtarget = "", $subtyp = "", $subid = "", $title = "anzeigen") {
		if (check_link_permission ( $target, $typ, $rechte ) == true and $id != "" and $id != 0) {
			$html = "<a href=\"main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . "\" ";
			$html .= "title=\"" . $title . "\" onClick=\"return unload()\">" . $text . "</a>&nbsp;";
		} else {
			$html = $text;
		}
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ aufzuklapp-button
if (! function_exists ( "aufzuklappbutton" )) {
	function aufzuklappbutton($id, $titel = false, $auf = false, $zu = false, $offen = false, $onClickAuf = "", $onClickZu = "", $mouseovertitle = "") {
		if (! $zu) {
			$pfeilgrafik_zu = "config/pics/button_hoch.png";
		}
		if (! $auf) {
			$pfeilgrafik_auf = "config/pics/button_runter.png";
		}
		
		if ($offen) {
			$display_auf = "display: none;";
			$display_zu = "";
		} else {
			$display_zu = "display: none;";
			$display_auf = "";
		}
		
		$html .= "<img src=\"" . $pfeilgrafik_zu . "\" border=0 id=\"clickbutton_zu_" . $id . "\" style=\"" . $display_zu . "\" ";
		$html .= "title=\"" . $mouseovertitle . "\" ";
		$html .= "onClick=\"getElementById('" . $id . "').style.display = 'none'; getElementById('clickbutton_zu_" . $id . "').style.display = 'none'; getElementById('clickbutton_auf_" . $id . "').style.display = ''; $onClickZu;\">";
		
		$html .= "<img src=\"" . $pfeilgrafik_auf . "\" border=0 id=\"clickbutton_auf_" . $id . "\" style=\"" . $display_auf . "\" ";
		$html .= "title=\"" . $mouseovertitle . "\" ";
		$html .= "onClick=\"getElementById('" . $id . "').style.display = 'block'; getElementById('clickbutton_zu_" . $id . "').style.display = ''; getElementById('clickbutton_auf_" . $id . "').style.display = 'none';  $onClickAuf;\">&nbsp;&nbsp;";
		
		if ($titel)
			$html .= "<b>" . $titel . "</b>&nbsp;&nbsp;";
		
		return $html;
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ nach oben Button
if (! function_exists ( "nachobenbutton" )) {
	function nachobenbutton($aktpos, $target, $typ, $id, $rechte, $subtarget = "", $subtyp = "", $subid = "") {
		if (check_link_permission ( $subtarget, $subtyp, $rechte ) == true and $id != "" and $id != 0) {
			
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . "&aktpos=" . $aktpos;
			$html = erzeuge_button ( "hoch", $link, "", "nach oben verschieben", "" );
		}
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ nach unten Button
if (! function_exists ( "nachuntenbutton" )) {
	function nachuntenbutton($aktpos, $target, $typ, $id, $rechte, $subtarget = "", $subtyp = "", $subid = "") {
		if (check_link_permission ( $subtarget, $subtyp, $rechte ) == true and $id != "" and $id != 0) {
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . "&aktpos=" . $aktpos;
			$html = erzeuge_button ( "runter", $link, "", "nach unten verschieben", "" );
		}
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ MinMax Button
if (! function_exists ( "minmax_button" )) {
	function minmax_button($status, $target, $typ, $id, $subtarget = "", $subtyp = "", $subid = "") {
		if ($status == "min") {
			$text = "hoch";
			$title = "Kopfdaten minimieren";
		} else {
			$text = "runter";
			$title = "Kopfdaten maximieren";
		}
		
		if (basename ( $_SERVER ["SCRIPT_FILENAME"] ) != "uwa.php") {
			$link = "main.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . "&minmaxstatus_neu=" . $status;
		} else {
			$link = "uwa.php?target=" . $target . "&typ=" . $typ . "&id=" . $id . "&subtarget=" . $subtarget . "&subtyp=" . $subtyp . "&subid=" . $subid . "&minmaxstatus_neu=" . $status;
		}
		
		$html = erzeuge_button ( $text, $link, "", $title, "" );
		
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// +++++++++++ Zusatzfenster Button
if (! function_exists ( "zusatzfenster" )) {
	function zusatzfenster($beschriftung, $tooltip, $target, $typ, $titel = false, $jsonload = false, $hoehe = 450, $breite = 700, $args = false) {
		if (! $args)
			$args = "";
		if (! $titel)
			$titel = $typ;
		if ($jsonload)
			$jsonload = base64_encode ( $jsonload );
		if (! $jsonload)
			$jsonload = "";
		if (! $titel)
			$titel = "";
		
		$titel = str_replace ( " ", "_", $titel );
		
		$html = klickbutton ( $beschriftung, "onClick='zusatzfenster(\"" . $target . "\", \"" . $typ . "\", \"" . $titel . "\", \"" . $jsonload . "\", \"" . $hoehe . "\", \"" . $breite . "\", \"" . $args . "\")'", "", $tooltip );
		return ($html);
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// Zeigt einen Button zum Wiedervorlage hinzufgen Pop Up
if (! function_exists ( "zeigeWiedervorlageButton" )) {
	function zeigeWiedervorlageButton($target, $typ, $id, $vorauswahlText, $vorauswahlBenutzer = false, $vorauswahlDatum = false, $subtarget = "", $subtyp = "", $subid = "") {
		global $benutzerrechte;
		
		if (check_link_permission ( "wiedervorlagen", "send", $benutzerrechte )) {
			echo zusatzfenster ( "wiedervorlage", "Wiedervorlage hinzufgen", "wiedervorlagen", "fenster-wiedervorlagehinzu", "Wiedervorlage hinzuf&uuml;gen", false, 485, 625, "&dttarget=$target&dttyp=$typ&dtid=$id&vorauswahlText=" . urlencode ( $vorauswahlText ) . "&vorauswahlBenutzer=$vorauswahlBenutzer&vorauswahlDatum=$vorauswahlDatum&dtsubtarget=$subtarget&dtsubtyp=$subtyp&dtsubid=$subid" );
		}
	}
}

?>