<?php
// lade Standardsortierungseinstellungen und aktuelle Sortierungseinstellung des Benutzers
$standardsortierung = unserialize ( $benutzer_row ["dtArraySortierungStandard"] );
$sortierung = unserialize ( $benutzer_row ["dtArraySortierungAktuell"] );

// wenn neue Sortierung gesetzt wurde, dann bernehme diese in die aktuelle Einstellung
if (isset ( $sortierung_name ) and ! (isset ( $sortierung_richtung )) and isset ( $sortierung_feld )) {
	
	if ($sortierung [$sortierung_name] ["feldname"] != $sortierung_feld) {
		
		$sortierung [$sortierung_name] ["feldname3"] = $sortierung [$sortierung_name] ["feldname2"];
		$sortierung [$sortierung_name] ["richtung3"] = $sortierung [$sortierung_name] ["richtung2"];
		
		$sortierung [$sortierung_name] ["feldname2"] = $sortierung [$sortierung_name] ["feldname"];
		$sortierung [$sortierung_name] ["richtung2"] = $sortierung [$sortierung_name] ["richtung"];
		
		$sortierung [$sortierung_name] ["feldname"] = $sortierung_feld;
		$sortierung [$sortierung_name] ["richtung"] = $sortierung_richtung;
		$sortierung_update = 1;
	}
}

// wenn neue Sortierrichtung gesetzt wurde, dann bernehme diese in die aktuelle Einstellung
if (isset ( $sortierung_name ) and isset ( $sortierung_richtung ) and isset ( $sortierung_feld )) {
	if ($sortierung [$sortierung_name] ["feldname"] == $sortierung_feld) {
		$sortierung [$sortierung_name] ["richtung"] = $sortierung_richtung;
	}
	if ($sortierung [$sortierung_name] ["feldname2"] == $sortierung_feld) {
		$sortierung [$sortierung_name] ["richtung2"] = $sortierung_richtung;
	}
	if ($sortierung [$sortierung_name] ["feldname3"] == $sortierung_feld) {
		$sortierung [$sortierung_name] ["richtung3"] = $sortierung_richtung;
	}
	$sortierung_update = 1;
}

// wenn neue max.Anzahl gesetzt wurde, dann bernehme diese in die aktuelle Einstellung
if (isset ( $sortierung_name ) and isset ( $sortierung_anzahl )) {
	$sortierung [$sortierung_name] ["anzahl"] = $sortierung_anzahl;
	if ($sortierung_anzahl == "") {
		$sortierung [$sortierung_name] ["position"] = 1;
	}
	$sortierung_update = 1;
}
;

// wenn neue Position gesetzt wurde, dann bernehme diese in die aktuelle Einstellung
if (isset ( $sortierung_name ) and isset ( $sortierung_position )) {
	$sortierung [$sortierung_name] ["position"] = $sortierung_position;
	if (! (array_key_exists ( "anzahl", ( array ) $sortierung [$sortierung_name] ))) {
		$sortierung [$sortierung_name] ["anzahl"] = 50;
	}
	;
	$sortierung_update = 1;
}

// nach dem Login mssen alle Standard-Sortierungs-Einstellungen wiederhergestellt werden
if ($allestandardsortierungladen == 1) {
	$sortierung = $standardsortierung;
	$sortierung_update = 1;
}

// wenn die Standard-Sortierungs-Einstellungen wiederhergestellt werden sollen, dann lade sie
if ($standardsortierungladen == 1) {
	$sortierung [$sortierung_name] = $standardsortierung [$sortierung_name];
	$sortierung_update = 1;
}

// wenn diese Einstellung als Standard genommen werden soll, dann speichere sie
if ($standardsortierungspeichern == 1) {
	
	/*
	 * Speichern der Sortierungen fr Standard-Listen
	 */
	$standardsortierung [$sortierung_name] = $sortierung [$sortierung_name];
	$benutzer_row ["dtArraySortierungStandard"] = serialize ( $standardsortierung );
	$sortierung_update = 1;
}

// schreibe aktuelle Einstellung bei nderungen
if ($sortierung_update == 1) {
	$benutzer_row ["dtArraySortierungAktuell"] = serialize ( $sortierung );
	replace_into_table ( $tblsession, $benutzer_row );
}

// setze alle Variablen zurck
unset ( $allestandardsortierungladen );
unset ( $standardsortierungladen );
unset ( $standardsortierungspeichern );
unset ( $sortierung_richtung );
unset ( $sortierung_name );
unset ( $sortierung_feld );
unset ( $sortierung_update );

?>