<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;
$field_new ["fiKontaktID"] = $id;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtIstKunde"] = (int)$field_new["dtIstKunde"];

$field_new ["dtASPLetzteAenderung"] = date ( "Y-m-d H:i:s" );

// ++++ Falls ASP nicht aktiv ist, auf inaktiv setzen
if (! $field_new ["dtAktiv"])
	$field_new ["dtAktiv"] = 0;
	

	// erzeuge Feld Nummern Suche fr Volltextsuche in Telefonnummern
$nummer_telefon = normalisiere_telefonnummer ( $field_new ["dtTelefon"] );
$nummer_mobil = normalisiere_telefonnummer ( $field_new ["dtMobil"] );
$nummer_fax = normalisiere_telefonnummer ( $field_new ["dtFax"] );

$field_new ["dtNummernSuche"] = str_replace ( " ", "", $nummer_telefon ) . " " . $nummer_telefon;
$field_new ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_mobil ) . " " . $nummer_mobil;
$field_new ["dtNummernSuche"] .= " " . str_replace ( " ", "", $nummer_fax ) . " " . $nummer_fax;

$nummernsuche_array = array_unique ( explode ( " ", $field_new ["dtNummernSuche"] ) );
$field_new ["dtNummernSuche"] = "";
foreach ( $nummernsuche_array as $key => $value ) {
	if ($value != "") {
		$field_new ["dtNummernSuche"] .= $value . " ";
	}
}

if ($field_new ["dtVorname"] == "" && $field_new ["dtNachname"] == "") {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 61 );
	$fehler->setNext ( $target, "show", $id, $subtarget, "show", $subid );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	
	$field_new ["dtAktiv"] = 1;
	$subid = insert_into_table ( $tblkontaktasp, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	update_into_table ( $tblkontaktasp, $subid, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere ggf. mail-verteiler-Eintrge
$verteiler_query = "select * from $tblmailverteiler where fiKontaktASP = " . $subid;
$verteiler_result = mysql_query ( $verteiler_query );
while ( $verteiler_row = mysql_fetch_array ( $verteiler_result, MYSQL_ASSOC ) ) {
	
	$anreden_query = $sql_query ["anredenliste"] . " and id = " . $field_new ["fiAnrede"];
	$anreden_row = get_table_row ( $anreden_query );
	
	$field_mailverteiler = array (
			"id" => $verteiler_row ["id"],
			"dtAdressePost" => $anreden_row ["dtAnrede"] . " " . $field_new ["dtVorname"] . " " . $field_new ["dtNachname"],
			"dtAdresseMail" => $field_new ["dtEmail"] 
	);
	
	update_into_table ( $tblmailverteiler, $verteiler_row ["id"], $field_mailverteiler );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Datensatz zum bergeordneten Kontakt
$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = " . $id;
$field_kontakt = get_table_row ( $query );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Kontaktsynchronisation

if ($zarafa_kontakt_sync_aktiv) {
	synchronisiereKontakt ( $id );
}

if ($bAgorumAktivieren == 1) {
	include ($include_prefix . $functionsordner . "/ext/agorum/fileTransfer.php");
	loginAgorum ();
	
	$sFilename = "Asp_" . $subid . ".txt";
	$sFilePath = $sAgorumContentPfad;
	$sXmlFilename = "Asp_" . $subid . ".ac.xml";
	
	$qAnsprechpartner = $sql_query ["kontaktliste"] . " AND id = " . $field_new ["fiKundeAnsprechpartner"];
	$rAnsprechpartner = get_table_row ( $qAnsprechpartner );
	
	$qKunde = $sql_query ["kontaktliste"] . " AND id = " . $field_new ["fiKunde"];
	$rKunde = get_table_row ( $qKunde );
	
	$aData ["UniqueID"] ["INTEGER"] = $subid;
	$aData ["KontaktID"] ["INTEGER"] = $field_new ["fiKontaktID"];
	$aData ["Asp_Name"] ["STRING"] = $field_new ["dtVorname"] . " " . $field_new ["dtNachname"];
	$aData ["Email"] ["STRING"] = $field_new ["dtEmail"];
	
	$oFile = new file ();
	$file = $oFile->createFile ( $sFilename );
	
	$oFileTransfer = new fileTransfer ();
	$oFileTransfer->connect ( $sFilename, $sAgorumContentPfad . $sFilename );
	
	$oXml = new xml ( $aData );
	$oXml->createXml ( $sFilename, $sXmlFilename );
	$oFileTransfer = new fileTransfer ();
	$oFileTransfer->connect ( $sXmlFilename, $sAgorumContentPfad . $sXmlFilename );
	
	unlink ( $sFilename );
	unlink ( $sXmlFilename );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
