<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["referer"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtStundennachweisGeprueft"] = (int)$field_new["dtStundennachweisGeprueft"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// unset($field_new["dtBeginnZeit"]);

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Absolute Urlaubsstandnderung
if ($id == "urlaub_absolut") {
	
	$urlaubsstandneu = double_from_sql ( double_to_sql ( $field_new ["url_abs"] ), 1 );
	
	$field_pz ["fiTaetigkeit"] = $standard_taetigkeit_urlaubsstandaenderung_absolut;
	if ($urlaubsstandneu == 1) {
		$field_pz ["dtBemerkungProjektzeit"] = "manuelle nderung des Urlaubsstandes auf " . $urlaubsstandneu . " Tag";
	} else {
		$field_pz ["dtBemerkungProjektzeit"] = "manuelle nderung des Urlaubsstandes auf " . $urlaubsstandneu . " Tage";
	}
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ relative Urlaubsstandnderung
} elseif ($id == "urlaub_relativ") {
	
	$urlaubsstandneu = double_from_sql ( double_to_sql ( $field_new ["url_rel"] ), 1 );
	
	$field_pz ["fiTaetigkeit"] = $standard_taetigkeit_urlaubsstandaenderung_relativ;
	if ($urlaubsstandneu == 1) {
		$field_pz ["dtBemerkungProjektzeit"] = "manuelle nderung des Urlaubsstandes um " . $urlaubsstandneu . " Tag";
	} else {
		$field_pz ["dtBemerkungProjektzeit"] = "manuelle nderung des Urlaubsstandes um " . $urlaubsstandneu . " Tage";
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Projektzeiteneintrag

$field_pz ["fiMitarbeiter"] = $field_new ["mitarbeiterid"];
$field_pz ["dtDatum"] = concat_date ( $field_new ["datum_tag"], $field_new ["datum_monat"], $field_new ["datum_jahr"] );

$field_pz ["dtBeginnZeit"] = "00:00:00";
$field_pz ["dtEndeZeit"] = "00:00:00";
$field_pz ["dtAnwesendZeit"] = "00:00:00";
$field_pz ["dtPauseZeit"] = "00:00:00";
$field_pz ["dtArbeitsZeit"] = "00:00:00";
$field_pz ["dtZusatzZeit"] = "00:00:00";
$field_pz ["dtVergueteZeit"] = "00:00:00";
$field_pz ["dtSollzeit"] = 0;
$field_pz ["dtProjektzeitAutoManuell"] = 0;
$field_pz ["fiStempelungBeginn"] = 0;
$field_pz ["fiStempelungEnde"] = 0;
$field_pz ["fiProjekt"] = 0;
$field_pz ["dtProjektzeitDezimal"] = 0;
$field_pz ["dtBemerkungArbeitszeit"] = "";
$field_pz ["dtErlaeuterungStundennachweis"] = "";
$field_pz ["dtBemerkungKontrolle"] = "";
$field_pz ["dtStundennachweisGeprueft"] = 0;
$field_pz ["dtAbgerechnet"] = 0;
$field_pz ["dtAutoEintragProjektzeit"] = 0;
$field_pz ["dtOrt"] = "";
$field_pz ["dtEinsatzort"] = "";
$field_pz ["dtKommentarUebernehmen"] = 0;
$field_pz ["dtFahrzeit"] = 0;
$field_pz ["dtArtDerFahrt"] = "";
$field_pz ["dtEntfernungKilometer"] = 0;
$field_pz ["dtStdSatz"] = 0;
$field_pz ["dtStdSatzAutoManuell"] = 0;
$field_pz ["dtProjektzeitDezimalBericht"] = 0;
$field_pz ["dtDatensatzDrucken"] = 0;
$field_pz ["dtVonZeitBerichtManuell"] = "";
$field_pz ["dtBisZeitBerichtManuell"] = "";
$field_pz ["dtUeberstundenAutoManuell"] = 0;

$id = insert_into_table ( $tblprojektzeiten, $field_pz );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Urlaubsstand in Personaldaten bernehmen
unset ( $field_pd );

$query = $sql_query ["personaldatenliste"] . " and fiKontaktNr = " . $field_new ["mitarbeiterid"];
$liste = get_table_array ( $query );

$aktmonatdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, 1, $aktjahr ) );
$aktdatum = date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, $akttag, $aktjahr ) );

// $field_pd["dtGleitzeitkontoMinuten"] = get_gleitzeit($field_new["mitarbeiterid"], "1970-01-01", $aktdatum, "daemon");
// $field_pd["dtUeberstundenMinuten"] = get_gleitzeit($field_new["mitarbeiterid"], $aktmonatdatum, $aktdatum, "daemon");

$field_pd ["dtResturlaub"] = get_urlaubsstand ( $field_new ["mitarbeiterid"], "1970-01-01", $aktdatum, "daemon" );
$field_pd ["dtUrlaubImMonat"] = get_urlaubsstand ( $field_new ["mitarbeiterid"], $aktmonatdatum, $aktdatum, "daemon" );

// ++++ trage die neuen Werte in tblPersonaldaten ein
update_into_table ( $tblpersonaldaten, $liste ["Personaldaten_id"], $field_pd );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste wieder
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>
