<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["aufgabenliste"] . " and $tblaufgaben.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

unset ( $field_new ["aufgabenid"] );
unset ( $field_new ["verbleibendeTage"] );
unset ( $field_new ["projektreadonly"] );
unset ( $field_new ["kontaktreadonly"] );

// Datumsfelder erzeugen
$field_new ["dtStartDatum"] = concat_date ( $field_new ["datum_start_tag"], $field_new ["datum_start_monat"], $field_new ["datum_start_jahr"] );
unset ( $field_new ["datum_start_tag"] );
unset ( $field_new ["datum_start_monat"] );
unset ( $field_new ["datum_start_jahr"] );

$field_new ["dtEndDatum"] = concat_date ( $field_new ["datum_ende_tag"], $field_new ["datum_ende_monat"], $field_new ["datum_ende_jahr"] );
unset ( $field_new ["datum_ende_tag"] );
unset ( $field_new ["datum_ende_monat"] );
unset ( $field_new ["datum_ende_jahr"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($id == "") {
	
	// wenn es ein Projekt gibt, dann setze Kunde nach Projekt
	if ($field_new ["fiProjekt"] != "") {
		$projekt_query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_new ["fiProjekt"];
		$projekt_field = get_table_row ( $projekt_query );
		
		$field_new ["fiKunde"] = $projekt_field ["fiKunde"];
	}
	
	if ($field_new ["fiAufgabeBeleg"] != "") {
		$sQuerySQL = $sql_query ["belegliste"] . " and $tblbelege.id = " . $field_new ["fiAufgabeBeleg"];
		$rBelegResult = get_table_row ( $sQuerySQL );
		
		if ($rBelegResult ["fiKunde"] != "") {
			$field_new ["fiAufgabeKunde"] = $rBelegResult ["fiKunde"];
		}
	}
	
	if ($field_new ["fiAufgabeProjekt"] != "") {
		$sQuerySQL = $sql_query ["belegliste"] . " and $tblbelege.fiProjekt = " . $field_new ["fiAufgabeProjekt"];
		$rBelegResult = get_table_row ( $sQuerySQL );
		
		if (! $rBelegResult) {
			$field_new ["fiAufgabeBeleg"] = "";
		}
	}
	
	if ($field_new ["fiAufgabeBeleg"] != "" && $field_new ["fiAufgabeProjekt"] == "") {
		$sQuerySQL = $sql_query ["belegliste"] . " and $tblbelege.id = " . $field_new ["fiAufgabeBeleg"];
		$rBelegResult = get_table_row ( $sQuerySQL );
		
		if ($rBelegResult ["fiProjekt"] != "") {
			$field_new ["fiAufgabeProjekt"] = $rBelegResult ["fiProjekt"];
		}
	}
	
	$id = insert_into_table ( "$tblaufgaben", $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	
	// wenn sich das Projekt gendert hat, dann setze ggf. Kunde nach Projekt
	if ($field_old ["fiProjekt"] != $field_new ["fiProjekt"] and $field_new ["fiProjekt"] != "") {
		$projekt_query = $sql_query ["projektliste"] . " and $tblprojekte.id = " . $field_new ["fiProjekt"];
		$projekt_field = get_table_row ( $projekt_query );
		
		$field_new ["fiKunde"] = $projekt_field ["fiKunde"];
	}	

	// wenn sich der Kunde gendert hat, dann setze Ansprechpartner und Projekt zurck
	elseif ($field_old ["fiKunde"] != $field_new ["fiKunde"]) {
		$field_new ["fiProjekt"] = 0;
	}
	
	if ($field_new ["fiAufgabeBeleg"] != "") {
		$sQuerySQL = $sql_query ["belegliste"] . " and $tblbelege.id = " . $field_new ["fiAufgabeBeleg"];
		$rBelegResult = get_table_row ( $sQuerySQL );
		
		if ($rBelegResult ["fiKunde"] != "") {
			$field_new ["fiAufgabeKunde"] = $rBelegResult ["fiKunde"];
		}
	}
	
	if ($field_new ["fiAufgabeProjekt"] != "") {
		$sQuerySQL = $sql_query ["belegliste"] . " and $tblbelege.fiProjekt = " . $field_new ["fiAufgabeProjekt"];
		$rBelegResult = get_table_row ( $sQuerySQL );
		
		if (! $rBelegResult) {
			$field_new ["fiAufgabeBeleg"] = "";
		}
	}
	
	if ($field_new ["fiAufgabeBeleg"] != "" && $field_new ["fiAufgabeProjekt"] == "") {
		$sQuerySQL = $sql_query ["belegliste"] . " and $tblbelege.id = " . $field_new ["fiAufgabeBeleg"];
		$rBelegResult = get_table_row ( $sQuerySQL );
		
		if ($rBelegResult ["fiProjekt"] != "") {
			$field_new ["fiAufgabeProjekt"] = $rBelegResult ["fiProjekt"];
		}
	}
	
	update_into_table ( "$tblaufgaben", $id, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige den Beleg wieder
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>
