<?php
unset ( $beleg_field );

if ($id != $_GET ["id"]) {
	echo "Bitte die Rechnungsnummer prfen, es knnte ein Fehler vorliegen";
	$id = $_GET ["id"];
}
// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste formatieren
$listenname = "beleg";

// ++++++++++++++++++++++++++++++++
// +++++++++++ SQL Abfragen aller relevanten Informationen
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$beleg_field = get_table_row ( $query );

$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelege.id = " . $id . " order by $tblbelegmaterialposten.dtPosNr";
$anzahl_materialposten_gesamt = get_table_count ( $query );
$liste_materialposten = get_table_array ( $query );

$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = " . $id . " order by $tblbelegzeitposten.dtDatum, $tblkontakte.dtNachname";
$anzahl_zeitposten_gesamt = get_table_count ( $query );
$liste_zeitposten = get_table_array ( $query );

$query = $sql_query ["belegpostenliste"] . " and $tblbelege.id = " . $id . " order by $tblbelegposten.dtPosNr";
$anzahl_posten_gesamt = get_table_count ( $query );
$liste_posten = get_table_array ( $query );

$query = $sql_query ["belegabschlagliste"] . " and $tblbelegabschlag.fiBeleg = " . $id . " order by $tblbelegabschlag.dtZahlungNr";
$anzahl_abschlaege_gesamt = get_table_count ( $query );
$liste_abschlaege = get_table_array ( $query );

if ($beleg_field ["fiProjekt"] != 0) {
	$query = $sql_query ["belegliste"] . " and $tblbelege.id != " . $id;
	$query .= " and $tblbelege.fiProjekt = " . $beleg_field ["fiProjekt"];
	$query .= " and $tblbelege.fiStatus > 2 and $tblbelege.fiStatus < 7";
	$query .= " order by $tblbelege.dtBelegNr";
	$anzahl_projektbelege_gesamt = get_table_count ( $query );
	$liste_projektbelege = get_table_array ( $query );
}

$query = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = " . $beleg_field ["Kontakte_id"];
$mwstsatz_kunde_field = get_table_row ( $query );

$query = $sql_query ["artikeleinheitenliste"] . " and $tblartikeleinheiten.id = " . $belegzeitposten_ueberstunden_standardeinheit;
$ueberstunden_standardeinheit_field = get_table_row ( $query );

$fRabatt = 0;
$fRabatt2 = 0;
$iErsatzlayout = 0;

if ($bErsatzLayoutOhneRabattAktivieren == 1) {
	$iAnzahlSeitenumbrueche2 = 0;
	$aListePosten2 = array_merge ( ( array ) $liste_posten, ( array ) $liste_materialposten );
	
	$aListePostenNeu2 = array ();
	$iAnzahlPostenGesamt2 = count ( $aListePosten2 );
	$iZaehlerPostenAddition2 = 0;
	
	for($i = 0; $i < $iAnzahlPostenGesamt2; $i ++) {
		$iPos = ( int ) $aListePosten2 [$i] ["dtPosNr"];
		
		if (isset ( $aListePostenNeu2 [$iPos] )) {
			$iZaehlerPostenAddition2 ++;
		}
		
		$aListePostenNeu2 [$iPos + $iZaehlerPostenAddition2] = $aListePosten2 [$i];
	}
	
	unset ( $aListePosten2 );
	ksort ( $aListePostenNeu2 ); // Array sortieren
	
	foreach ( $aListePostenNeu2 as $listenzeile_id2 => $listenzeile2 ) {
		if ($listenzeile2 ["BelegMaterialPosten_Rabattfaehig"] == "1" && $listenzeile2 ["dtMaterialpostenRabatt"] > 0) {
			$fRabattArtikelHoehe2 = $listenzeile2 ["dtMaterialpostenRabatt"];
			$posten_netto2 = ($listenzeile2 ["dtPreisNetto"]) - $listenzeile2 ["dtPreisNetto"] / 100 * $listenzeile2 ["dtMaterialpostenRabatt"];
			$fRabatt2 += $listenzeile2 ["dtMaterialpostenRabatt"];
		} elseif ($listenzeile2 ["dtPostenRabatt"] > 0) {
			$fRabattArtikelHoehe2 = $listenzeile2 ["dtPostenRabatt"];
			$posten_netto2 = ($listenzeile ["dtPreisNetto"]) - $listenzeile2 ["dtPreisNetto"] / (100 * $listenzeile2 ["dtPostenRabatt"]);
			$fRabatt2 += $listenzeile2 ["dtPostenRabatt"];
		}
	}
	
	if ($fRabatt2 == 0)
		$iErsatzlayout = 1;
	else
		$iErsatzlayout = 0;
	
	$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $id . " AND $tblbelegdruckinfo.dtErsatzLayout = " . $iErsatzlayout;
	$belegdruckinfo_field = get_table_row ( $query );
	
	if ($iErsatzlayout == 1) {
		$sDokumentLayout = unserialize ( $belegdruckinfo_field ["dtBelegDrucklayout"] );
		$iDokumentLayout = $sDokumentLayout [$layout];
		
		unset ( $belegdruckinfo_field );
		$query = $sql_query ["dokumentlayoutliste"] . " and $tblbelegtexte.fiDokumentLayout = " . $iDokumentLayout;
		$dokumentlayout_field = get_table_row ( $query );
		$aTextbausteine = unserialize ( $dokumentlayout_field ["dtTextbausteine"] );
		unset ( $dokumentlayout_field ["dtTextbausteine"] );
		$belegdruckinfo_texte = array_merge ( $dokumentlayout_field, $aTextbausteine );
	}
} else {
	/*
	 * Druckinfos holen
	 */
	$iErsatzlayout = 0;
	$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelege.id = " . $id . " AND $tblbelegdruckinfo.dtErsatzLayout = " . $iErsatzlayout;
	$belegdruckinfo_field = get_table_row ( $query );
}

if ($belegdruckinfo_field ["dtTexteArrayAngebot"]) {
	if ($layout == "angebot") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayAngebot"] );
	} else if ($layout == "auftragsanfrage") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayAuftragsanfrage"] );
	} else if ($layout == "auftragsbestaetigung") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayAuftragsbestaetigung"] );
	} else if ($layout == "lieferschein") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayLieferschein"] );
	} else if ($layout == "rechnung") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayRechnung"] );
	} else if ($layout == "mahnung") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayMahnung"] );
	} else if ($layout == "stornierung") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayStornierung"] );
	} else if ($layout == "packliste") {
		$belegdruckinfo_texte = unserialize ( $belegdruckinfo_field ["dtTexteArrayPackliste"] );
	}
}

$belegdruckinfo_textbausteine = $belegdruckinfo_texte;

/*
 * mbakustik spezifisch, da verlieren manchmal Belege Ihren Status und Ihre Nummer,
 * dieser Algorithmus soll dafr sorgen, falls alles verloren geht, dass diese Nummer nicht
 * wieder vergeben wird
 */
if (($layout == "rechnung" && $ziel == "anzeigen" && $me == "mbak")) {
	$sQuery = "SELECT * FROM $tblbelegrechnungsnummer WHERE fiBeleg = " . $beleg_field ["Beleg_id"];
	$rNummer = get_table_row ( $sQuery );
	
	if (! $rNummer) {
		$renr = explode ( "-", $beleg_field ["dtBelegNr"] );
		$aBelegNummer ["fiBeleg"] = $beleg_field ["Beleg_id"];
		$aBelegNummer ["dtNummer"] = $renr [1];
		
		insert_into_table ( $tblbelegrechnungsnummer, $aBelegNummer );
	}
}

$show_fields_zeitposten = array (
		"dtDatum",
		"dtPosten",
		"dtMenge",
		"dtStdSatz",
		"dtGesamtPreisNetto" 
);

if ($belegzeitposten_datum_als_kw == 1) {
	$field_headlines_zeitposten = array (
			$belegdruckinfo_textbausteine ["ZeitpostenKalenderwoche"],
			$belegdruckinfo_textbausteine ["ZeitpostenBezeichnung"],
			$belegdruckinfo_textbausteine ["ZeitpostenMenge"],
			$belegdruckinfo_textbausteine ["ZeitpostenPreisnetto"],
			$belegdruckinfo_textbausteine ["ZeitpostenSumme"] 
	);
} else {
	$field_headlines_zeitposten = array (
			$belegdruckinfo_textbausteine ["ZeitpostenDatum"],
			$belegdruckinfo_textbausteine ["ZeitpostenBezeichnung"],
			$belegdruckinfo_textbausteine ["ZeitpostenMenge"],
			$belegdruckinfo_textbausteine ["ZeitpostenPreisnetto"],
			$belegdruckinfo_textbausteine ["ZeitpostenSumme"] 
	);
}

$field_width_zeitposten = array (
		$belegdruckinfo_textbausteine ["BreiteZeitpostenKalenderwoche"],
		$belegdruckinfo_textbausteine ["BreiteZeitpostenBezeichnung"],
		$belegdruckinfo_textbausteine ["BreiteZeitpostenMenge"],
		$belegdruckinfo_textbausteine ["BreiteZeitpostenPreisnetto"],
		$belegdruckinfo_textbausteine ["BreiteZeitpostenSumme"] 
);
$field_colors_zeitposten = array (
		"",
		"",
		"",
		"",
		"" 
);
$field_sort_options_zeitposten = array (
		"",
		"",
		"",
		"",
		"" 
);

$schriftausrichtung_kopfzeile_zeitposten = array (
		"L",
		"L",
		"R",
		"R",
		"R" 
);
$schriftausrichtung_textzeile_zeitposten = array (
		"L",
		"L",
		"R",
		"R",
		"R" 
);

// Tabellenstruktur Mahninfos
$show_fields_mahninfo = array (
		"dtMahnschrittName",
		"dtMahnschrittMwSt",
		"dtMahnschrittKostenNetto",
		"dtMahnschrittKostenBrutto" 
);
$field_headlines_mahninfo = array (
		$belegdruckinfo_textbausteine ["PostenArtikel"],
		$belegdruckinfo_textbausteine ["PostenMwst"],
		$belegdruckinfo_textbausteine ["PostenPreisnetto"],
		$belegdruckinfo_textbausteine ["PostenSumme"] 
);
$field_width_mahninfo = array (
		$belegdruckinfo_textbausteine ["BreitePostenArtikel"],
		$belegdruckinfo_textbausteine ["BreitePostenMwst"],
		$belegdruckinfo_textbausteine ["BreitePostenPreisnetto"],
		$belegdruckinfo_textbausteine ["BreitePostenSumme"] 
);
$field_colors_mahninfo = array (
		"",
		"",
		"" 
);
$field_sort_options_mahninfo = array (
		"",
		"",
		"" 
);

$schriftausrichtung_kopfzeile_mahninfo = array (
		"L",
		"R",
		"R",
		"R" 
);
$schriftausrichtung_textzeile_mahninfo = array (
		"L",
		"R",
		"R",
		"R" 
);

// Tabellenstruktur Projektinfos (Gesamtbreite: 17cm)
$show_fields_projektinfo = array (
		"dtText",
		"dtNetto",
		"dtMwst",
		"dtBrutto" 
);
$field_headlines_projektinfo = array (
		$belegdruckinfo_textbausteine ["Projektzahlungen"],
		$belegdruckinfo_textbausteine ["Summenetto"],
		$belegdruckinfo_textbausteine ["PostenMwst"],
		$belegdruckinfo_textbausteine ["Gesamtsumme"] 
);
$field_width_projektinfo = array (
		90,
		30,
		25,
		35 
);
$field_colors_projektinfo = array (
		"",
		"",
		"",
		"" 
);
$field_sort_options_projektinfo = array (
		"",
		"",
		"",
		"" 
);

$schriftausrichtung_kopfzeile_projektinfo = array (
		"L",
		"R",
		"R",
		"R" 
);
$schriftausrichtung_textzeile_projektinfo = array (
		"L",
		"R",
		"R",
		"R" 
);

// Tabellenstruktur Zahlungsbedingungen/Abschlge (Gesamtbreite: 17cm)
$show_fields_abschlag = array (
		"dtText",
		"dtNetto",
		"dtMwst",
		"dtBrutto" 
);
$field_headlines_abschlag = array (
		$belegdruckinfo_textbausteine ["Abschlaege"],
		$belegdruckinfo_textbausteine ["Summenetto"],
		$belegdruckinfo_textbausteine ["PostenMwst"],
		$belegdruckinfo_textbausteine ["Gesamtsumme"] 
);
$field_width_abschlag = array (
		75,
		40,
		25,
		40 
);
$field_colors_abschlag = array (
		"",
		"",
		"",
		"" 
);
$field_sort_options_abschlag = array (
		"",
		"",
		"",
		"" 
);

$schriftausrichtung_kopfzeile_abschlag = array (
		"L",
		"R",
		"R",
		"R" 
);
$schriftausrichtung_textzeile_abschlag = array (
		"L",
		"R",
		"R",
		"R" 
);

$zellen_spacing = 0;
$zeilen_spacing_innen = 0;
$zeilen_spacing = 0.1;

$hintergrund_kopfzeile = array (
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255 
);
$hintergrund_textzeile_ungerade = array (
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255 
);
$hintergrund_textzeile_gerade = array (
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255,
		255 
);

$schriftfarbe_kopfzeile = array (
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0 
);
$schriftfarbe_textzeile = array (
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0 
);

$rahmenstil_kopfzeile = array (
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B" 
);
$rahmenstil_textzeile = array (
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"" 
);

$schriftstil_kopfzeile = array (
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B",
		"B" 
);
$schriftstil_textzeile = array (
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"",
		"" 
);

$show_fields_posten = array (
		"dtPosNr",
		"dtArtikelNr",
		"dtArtikel",
		"dtMenge",
		"dtMwstSatz",
		"dtMwstHoehe",
		"dtPreisNettoExklRabatt",
		"dtRabattSatz",
		"dtRabattHoehe",
		"dtPreisNetto",
		"dtGesamtPreisNetto" 
);
$field_headlines_posten = array (
		$belegdruckinfo_textbausteine ["Posten"],
		$belegdruckinfo_textbausteine ["PostenArtikelNr"],
		$belegdruckinfo_textbausteine ["PostenArtikel"],
		$belegdruckinfo_textbausteine ["PostenMenge"],
		$belegdruckinfo_textbausteine ["PostenMwst"],
		$belegdruckinfo_textbausteine ["PostenMwstHoehe"],
		$belegdruckinfo_textbausteine ["PostenPreisnettoRabatt"],
		$belegdruckinfo_textbausteine ["PostenRabatt"],
		$belegdruckinfo_textbausteine ["PostenRabattHoehe"],
		$belegdruckinfo_textbausteine ["PostenPreisnetto"],
		$belegdruckinfo_textbausteine ["PostenSumme"] 
);
$field_width_posten = array (
		$belegdruckinfo_textbausteine ["BreitePosten"],
		$belegdruckinfo_textbausteine ["BreitePostenArtikelNr"],
		$belegdruckinfo_textbausteine ["BreitePostenArtikel"],
		$belegdruckinfo_textbausteine ["BreitePostenMenge"],
		$belegdruckinfo_textbausteine ["BreitePostenMwst"],
		$belegdruckinfo_textbausteine ["BreitePostenMwstHoehe"],
		$belegdruckinfo_textbausteine ["BreitePostenPreisnettoRabatt"],
		$belegdruckinfo_textbausteine ["BreitePostenRabatt"],
		$belegdruckinfo_textbausteine ["BreitePostenRabattHoehe"],
		$belegdruckinfo_textbausteine ["BreitePostenPreisnetto"],
		$belegdruckinfo_textbausteine ["BreitePostenSumme"] 
);
$field_colors_posten = array (
		"",
		"",
		"",
		"",
		"",
		"",
		"" 
);
$field_sort_options_posten = array (
		"",
		"",
		"",
		"",
		"",
		"",
		"" 
);

$schriftausrichtung_kopfzeile_posten = array (
		"L",
		"L",
		"L",
		"R",
		"R",
		"R",
		"R",
		"R",
		"R",
		"R",
		"R" 
);
$schriftausrichtung_textzeile_posten = array (
		"L",
		"L",
		"L",
		"R",
		"R",
		"R",
		"R",
		"R",
		"R",
		"R",
		"R" 
);

$iMax = count ( $show_fields_posten );
for($i = 0; $i < $iMax; $i ++) {
	if (empty ( $field_width_posten [$i] )) {
		unset ( $show_fields_posten [$i] );
		unset ( $field_headlines_posten [$i] );
		unset ( $field_width_posten [$i] );
		unset ( $field_colors_posten [$i] );
		unset ( $field_sort_options_posten [$i] );
		unset ( $schriftausrichtung_kopfzeile_posten [$i] );
		unset ( $schriftausrichtung_textzeile_posten [$i] );
	}
}

$show_fields_posten = array_merge ( $show_fields_posten );
$field_headlines_posten = array_merge ( $field_headlines_posten );
$field_width_posten = array_merge ( $field_width_posten );
$field_colors_posten = array_merge ( $field_colors_posten );
$field_sort_options_posten = array_merge ( $field_sort_options_posten );
$schriftausrichtung_kopfzeile_posten = array_merge ( $schriftausrichtung_kopfzeile_posten );
$schriftausrichtung_textzeile_posten = array_merge ( $schriftausrichtung_textzeile_posten );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste drucken
include ("$elementsordner/$target/belegdrucken.php");

?>