<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelegdruckinfo.fiBeleg = " . $id . " and $tblbelegdruckinfo.dtErsatzLayout = 0";
	$field_old = get_table_row ( $query );
	
	$query = $sql_query ["belegdruckinfoliste"] . " and $tblbelegdruckinfo.fiBeleg = " . $id . " and $tblbelegdruckinfo.dtErsatzLayout = 1";
	$field_old2 = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["dtBelegDrucklayoutVererben"] = ( int ) $field_new ["dtBelegDrucklayoutVererben"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

$aLayouts = array ();
$aLayouts ["angebot"] = $drucklayout_angebot;
$aLayouts ["auftragsanfrage"] = $drucklayout_auftragsanfrage;
$aLayouts ["auftragsbestaetigung"] = $drucklayout_auftragsbestaetigung;
$aLayouts ["lieferschein"] = $drucklayout_lieferschein;
$aLayouts ["rechnung"] = $drucklayout_rechnung;
$aLayouts ["mahnung"] = $drucklayout_mahnung;
$aLayouts ["stornierung"] = $drucklayout_stornierung;
$aLayouts ["packliste"] = $drucklayout_packliste;
$aLayouts ["kundenmahnung"] = $drucklayout_kundenmahnung;
$field_new ["dtBelegDrucklayout"] = serialize ( $aLayouts );

update_into_table ( $tblbelegdruckinfo, $field_old ["BelegDruckInfo_id"], $field_new );

if ($field_new ["drucklayout_angebot_2"]) {
	$field_new ["drucklayout_angebot"] = $field_new ["drucklayout_angebot_2"];
	$field_new ["drucklayout_auftragsanfrage"] = $field_new ["drucklayout_auftragsanfrage_2"];
	$field_new ["drucklayout_auftragsbestaetigung"] = $field_new ["drucklayout_auftragsbestaetigung_2"];
	$field_new ["drucklayout_packliste"] = $field_new ["drucklayout_packliste_2"];
	$field_new ["drucklayout_lieferschein"] = $field_new ["drucklayout_lieferschein_2"];
	$field_new ["drucklayout_rechnung"] = $field_new ["drucklayout_rechnung_2"];
	$field_new ["drucklayout_mahnung"] = $field_new ["drucklayout_mahnung_2"];
	
	$aLayouts_2 ["angebot"] = $drucklayout_angebot_2;
	$aLayouts_2 ["auftragsanfrage"] = $drucklayout_auftragsanfrage_2;
	$aLayouts_2 ["auftragsbestaetigung"] = $drucklayout_auftragsbestaetigung_2;
	$aLayouts_2 ["lieferschein"] = $drucklayout_lieferschein_2;
	$aLayouts_2 ["rechnung"] = $drucklayout_rechnung_2;
	$aLayouts_2 ["mahnung"] = $drucklayout_mahnung_2;
	$aLayouts_2 ["stornierung"] = $drucklayout_stornierung_2;
	$aLayouts_2 ["packliste"] = $drucklayout_packliste_2;
	$field_new ["dtBelegDrucklayout"] = serialize ( $aLayouts_2 );
	
	if ($bErsatzLayoutOhneRabattAktivieren == 1) {
		if (! $field_old2) {
			// Wenn sich ein Kunde ndert, sollen die BelegDruckInfos auf neu gesetzt werden
			erzeugeBelegDruckinfo ( $id, $field_old ["fiKunde"], 1 );
		} elseif ($field_old2) {
			update_into_table ( $tblbelegdruckinfo, $field_old2 ["BelegDruckInfo_id"], $field_new );
		}
	}
}

// Sollen die eingestellten Dokumenttexte behalten werden, wird Textbehalten auf True gesetzt
if ($iBelegTextBehalten == NULL)
	$bTextBehalten = false;
else
	$bTextBehalten = true;

$aLayoutsOld = unserialize ( $field_old ["dtBelegDrucklayout"] );
$sAusgabe = "";

foreach ( $aLayouts as $sLayout => $iAuswahl ) {
	if ($aLayoutsOld [$sLayout] != $iAuswahl && ! empty ( $iAuswahl )) {
		$sAusgabe .= "Dokumentlayout " . ucfirst ( $sLayout ) . " wurde gendert.<br>";
		resetBelegDruckinfo ( $id, $sLayout, $iAuswahl, $bTextBehalten, 0 );
	}
}

if ($field_old2) {
	$aLayoutsOld = unserialize ( $field_old2 ["dtBelegDrucklayout"] );
	foreach ( $aLayouts_2 as $sLayout => $iAuswahl ) {
		if ($aLayoutsOld [$sLayout] != $iAuswahl && ! empty ( $iAuswahl )) {
			$sAusgabe .= "Dokumentlayout " . ucfirst ( $sLayout ) . " wurde gendert.<br>";
			resetBelegDruckinfo ( $id, $sLayout, $iAuswahl, $bTextBehalten, 1 );
		}
	}
}

if (! empty ( $sAusgabe )) {
	$meldung = new Meldung ();
	$meldung->Ueberschrift = $sAusgabe;
	$meldung->Fehlertext = "";
	echo $meldung->getErrorBox ();
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen
include ("$targetsordner/$subtarget/show.php");

?>