<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
$field_old = get_table_row ( $query );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ berprfung, ob gelscht werden darf

// wenn Beleg = gebucht, dann nicht lschen
if ($field_old ["dtGebucht"] != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 27, "Dieser Beleg darf nicht mehr gelscht werden, weil er bereits gebucht ist" );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

// wenn es Umstze gibt, dann nicht lschen
$query = $sql_query ["umsatzliste"] . " and $tblbankumsatz.fiBeleg = " . $id;
if (get_table_count ( $query ) != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 27, "Dieser Beleg darf nicht mehr gelscht werden, weil es Umstze zu diesem Beleg gibt" );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

// wenn es gebuchte Mahnschritte gibt, dann nicht lschen
$query = $sql_query ["belegmahnschritteliste"] . " and $tblbelegmahnschritte.fiBeleg = " . $id . "' and dtMahnschrittGebucht != 1";
if (get_table_count ( $query ) != 0) {
	$fehler = new Fehler ();
	$fehler->setPredefined ( 27, "Dieser Beleg darf nicht mehr gelscht werden, weil es bereits verbuchte Mahnschritte zu diesem Beleg gibt" );
	$fehler->setNext ( $target, "show", $id );
	throw $fehler;
}

if ($erlaubeLoeschenTrotzPosten) {
	$aField ["fiBeleg"] = 0;
	$aCondition ["fiBeleg"] = $id;
	update_with_condition ( $tblbelegposten, $aField, $aCondition );
	update_with_condition ( $tblbelegmaterialposten, $aField, $aCondition );
	update_with_condition ( $tblbelegmaterialverbrauch, $aField, $aCondition );
	
	unset ( $aCondition );
	unset ( $aField );
	
	$aField ["fiBelegVerbrauch"] = 0;
	$aField ["fiBeleg"] = 0;
	$aCondition ["fiBeleg"] = $id;
	update_with_condition ( $tblartikelstueck, $aField, $aCondition );
	
	unset ( $aCondition );
	unset ( $aField );
} else {
	
	// wenn es Material-Posten gibt, dann nicht lschen
	$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelege.id = " . $id;
	if (get_table_count ( $query ) != 0) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 27, "Dieser Beleg darf nicht mehr gelscht werden, weil es Material-Posten zu diesem Beleg gibt" );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	
	// wenn es Posten gibt, dann nicht lschen
	$query = $sql_query ["belegpostenliste"] . " and $tblbelege.id = " . $id;
	if (get_table_count ( $query ) != 0) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 27, "Dieser Beleg darf nicht mehr gelscht werden, weil es Posten zu diesem Beleg gibt" );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	
	// wenn es Materialverbrauch gibt, dann nicht lschen
	$query = $sql_query ["artikelstueckliste"] . " and $tblartikelstueck.fiBelegVerbrauch = " . $id;
	if (get_table_count ( $query ) != 0) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 27, "Dieser Beleg darf nicht mehr gelscht werden, weil es Materialverbrauch zu diesem Beleg gibt" );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
}

// ++++ nicht lschen, wenn es Content gibt, der auf diesen Beleg zeigt
$query = $sql_query ["contentliste"] . " having $tblcontent.fiBeleg like '%;" . $id . ";%' ";
check_fehlermeldung_output ( check_delete_allow ( $query ), 27, "Es ist Content zu diesem Beleg vorhanden", $target, "show", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche den Datensatz
delete_from_table ( $tblbelege, $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche den Bilanz-Datensatz
delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Beleg-Abschlge
delete_all_from_table ( $tblbelegabschlag, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Druck-Infos
delete_all_from_table ( $tblbelegdruckinfo, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Druck-Infos
delete_all_from_table ( $tblbelegposten, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Bemerkungen
mysql_query ( "delete from $tblbemerkungen where dtZugehoerigkeit = 'tblBelege' and fiZugehoerigkeitNr = " . $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ lsche Belegarchiv
if (is_dir ( $dateipfad . "/" . $belegarchivordner . "/" . $id )) {
	if ($objs = glob ( $dateipfad . "/" . $belegarchivordner . "/" . $id . "/*" )) {
		foreach ( $objs as $obj ) {
			is_dir ( $obj ) ? rmdirr ( $obj ) : unlink ( $obj );
		}
	}
	rmdir ( $dateipfad . "/" . $belegarchivordner . "/" . $id );
}

listeanzahl_aendern ( $tblbelege, - 1 );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Liste
$typ = "list";
include ($targetsordner . "/" . $target . "/list.php");

?>