<?php
$aID = explode ( "-", $subid, 2 );
$subid = $aID [1];

// suche grte dtPosNr
$max_pos_f = get_max_from_table ( $tblbelegposten, "dtPosNr", "where fiBeleg = " . $id );
$max_pos_m = get_max_from_table ( $tblbelegmaterialposten, "dtPosNr", "where fiBeleg = " . $id );

if ($max_pos_f >= $max_pos_m)
	$max_pos = $max_pos_f;
else
	$max_pos = $max_pos_m;

if ($aID [0] == "m") {
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ hole Originaldatensatz, wenn es ihn gibt
	$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.id = " . $subid;
	$field_new = get_table_row ( $query );
	
	$field_new ["dtPosNr"] = $max_pos + 1;
	unset ( $field_new ["BelegMaterialPosten_id"] );
	
	// prfe, ob mindestens Artikeltext eingegeben wurden
	check_fehlermeldung_output ( check_nozero ( $field_new ["fiArtikel"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "show", $subid );
	
	/*
	 * Prfen ob Artikel in entsprechender Menge vorhanden ist
	 */
	if ($field_belegstatus ["dtLagerRelevant"] != 0 && getArtikelTyp ( $field_new ["fiArtikel"] ) != 2) // Wenn Status >= Beauftragt erledigt und nicht virtueller Artikel
{
		if ($bAlleArtikelInProjektBelegenVerfuegbar == TRUE)
			$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], 0, unserialize ( $field_new ["dtVariante"] ) );
		else
			$anzahlArtikelStueckVerfuegbar = getArtikelAnzahlVerfuegbar ( $field_new ["fiArtikel"], $field ["fiProjekt"], unserialize ( $field_new ["dtVariante"] ) );
		
		if ($anzahlArtikelStueckVerfuegbar < $field_new ["dtMenge"]) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
			$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
			throw $fehler;
		}
	}
	
	/*
	 * hole Belegstatus Datensatz
	 */
	$query = $sql_query ["belegstatusliste"] . " and id = '" . $field ["fiStatus"] . "'";
	$field_belegstatus = get_table_row ( $query );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ wenn Beleg = gebucht, dann nicht ndern oder neu hinzufgen
	$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
	$sub_row = get_table_row ( $query );
	
	if ($sub_row ["dtGebucht"] != 0) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 22 );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	
	$subid = insert_into_table ( $tblbelegmaterialposten, $field_new );
	
	if ($field_belegstatus ["dtLagerRelevant"] != 0) // Wenn Status >= Beauftragt erledigt
{
		/*
		 * ordne die Artikel in tblArtikelStck diesem Beleg zu
		 */
		if ($subid_old == "") {
			$fMenge = $field_new ["dtMenge"];
			$bProjektHinzufuegen = true;
		} else {
			$fMenge = $field_new ["dtMenge"] - $field_old ["dtMenge"];
			
			if ($fMenge < 0) {
				$bProjektHinzufuegen = false;
			} else {
				$bProjektHinzufuegen = true;
			}
		}
		
		$bResultAdd = addArtikelStueckToBeleg ( $field_new ["fiArtikel"], $id, $fMenge, $field ["fiProjekt"], unserialize ( $field_new ["dtVariante"] ), false, $bAlleArtikelInProjektBelegenVerfuegbar, $dOldMenge, $field_old ["dtMenge"] );
		
		if (! $bResultAdd) {
			$fehler = new Fehler ();
			$fehler->setPredefined ( 24, $anzahlArtikelStueckVerfuegbar );
			$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
			throw $fehler;
		}
		
		if (getArtikelTyp ( $field_new ["fiArtikel"] ) != 1 && $belegmaterialposten_seriennummern_uebernehmen && $artikelstueck_row ["dtSeriennummer"] != "") {
			$sQuery = "SELECT dtSeriennummer FROM $tblartikelstueck WHERE fiBeleg = '" . $id . "' AND fiArtikel = '" . $field_new ["fiArtikel"] . "'";
			$aSeriennummern = get_table_array ( $sQuery );
			
			foreach ( $aSeriennummern as $aRow ) {
				$sn [] = $aRow ["dtSeriennummer"];
			}
		}
	} else {
		if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0 || getArtikelTyp ( $field_new ["fiArtikel"] ) == 2) // Stckgut, oder virtueller Artikel
{
			/*
			 * Artikel in tblArtikelStueckNegativ schreiben
			 */
			
			if ($field ["fiProjekt"] != "") {
				$sQuery = "SELECT * FROM ($tblartikelstuecknegativ, $tblartikel) WHERE $tblartikel.id = $tblartikelstuecknegativ.fiArtikel";
				$sQuery .= " AND $tblartikelstuecknegativ.fiProjekt = '" . $field ["fiProjekt"] . "'";
				$sQuery .= " AND $tblartikelstuecknegativ.fiArtikel = " . $field_new ["fiArtikel"] . " AND $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' AND $tblartikelstuecknegativ.fiBeleg = 0 LIMIT 0," . $field_new ["dtMenge"] . "";
				$aListe = get_table_array ( $sQuery );
			}
			
			$belegmaterialposten_seriennummern_uebernehmen = false;
			
			if ($aListe != NULL) {
				foreach ( $aListe as $aArtikel ) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					update_into_table ( $tblartikelstuecknegativ, $aArtikel [0], $artikelstueckNegativNew );
				}
			} else {
				
				for($i = 0; $i < ( int ) $field_new ["dtMenge"]; $i ++) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
					$artikelstueckNegativNew ['dtStatus'] = 0;
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ['fiProjekt'] = $field ["fiProjekt"];
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					
					$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
			}
		} elseif (getArtikelTyp ( $field_new ["fiArtikel"] ) == 1) // Massengut
{
			if ($field ["fiProjekt"] != "") {
				$sQuery = "SELECT * FROM ($tblartikelstuecknegativ, $tblartikel) WHERE $tblartikel.id = $tblartikelstuecknegativ.fiArtikel";
				$sQuery .= " AND $tblartikelstuecknegativ.fiProjekt = '" . $field ["fiProjekt"] . "'";
				$sQuery .= " AND $tblartikelstuecknegativ.fiArtikel = " . $field_new ["fiArtikel"] . " AND $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' AND $tblartikelstuecknegativ.fiBeleg = 0 LIMIT 0," . $field_new ["dtMenge"] . "";
				$aListe = get_table_array ( $sQuery );
			}
			
			if ($aListe != NULL) {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ["dtStueckMenge"] = $aListe [0] ["dtStueckMenge"] - $field_new ["dtMenge"];
				update_into_table ( $tblartikelstuecknegativ, $aListe [0] [0], $artikelstueckNegativNew );
				
				$sQuery = "SELECT * FROM ($tblartikelstuecknegativ, $tblartikel) WHERE $tblartikel.id = $tblartikelstuecknegativ.fiArtikel";
				$sQuery .= " AND $tblartikelstuecknegativ.fiProjekt = '" . $field ["fiProjekt"] . "'";
				$sQuery .= " AND $tblartikelstuecknegativ.fiArtikel = " . $field_new ["fiArtikel"] . " AND $tblartikelstuecknegativ.dtVariante = '" . $field_new ["dtVariante"] . "' AND $tblartikelstuecknegativ.fiBeleg = " . $id . " LIMIT 0," . $field_new ["dtMenge"] . "";
				$aArtikelstueckNegativBelegVorhanden = get_table_array ( $sQuery );
				
				if ($aArtikelstueckNegativBelegVorhanden != NULL) {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ["dtStueckMenge"] = $aArtikelstueckNegativBelegVorhanden [0] ["dtStueckMenge"] + $field_new ["dtMenge"];
					
					update_into_table ( $tblartikelstuecknegativ, $aArtikelstueckNegativBelegVorhanden [0] [0], $artikelstueckNegativNew );
				} else {
					$artikelstueckNegativNew = array ();
					$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
					$artikelstueckNegativNew ['dtStatus'] = 0;
					$artikelstueckNegativNew ['fiBeleg'] = $id;
					$artikelstueckNegativNew ['fiProjekt'] = $field ["fiProjekt"];
					$artikelstueckNegativNew ['fiProjektTaetigkeit'] = $aListe [0] ["fiProjektTaetigkeit"];
					$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
					
					$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
					$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
					$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
					$artikelstueckNegativNew ["dtStueckMenge"] = $field_new ["dtMenge"];
					$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
					
					insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
				}
			} else {
				$artikelstueckNegativNew = array ();
				$artikelstueckNegativNew ['fiArtikel'] = $field_new ["fiArtikel"];
				$artikelstueckNegativNew ['dtStatus'] = 0;
				$artikelstueckNegativNew ['fiBeleg'] = $id;
				$artikelstueckNegativNew ['fiProjekt'] = $field ["fiProjekt"];
				$artikelstueckNegativNew ['fiProjektTaetigkeit'] = 0;
				$artikelstueckNegativNew ['dtProjektArtikelTextIndividuell'] = "";
				
				$artikelstueckNegativNew ["dtVariante"] = $field_new ["dtVariante"];
				$artikelstueckNegativNew ["dtVarianteArtNr"] = $field_new ["dtVarianteArtNr"];
				$artikelstueckNegativNew ["dtVarianteArtName"] = $field_new ["dtVarianteArtName"];
				$artikelstueckNegativNew ["dtStueckMenge"] = $field_new ["dtMenge"];
				$artikelstueckNegativNew ["fiBelegPosten"] = $subid;
				
				insert_into_table ( $tblartikelstuecknegativ, $artikelstueckNegativNew );
			}
		}
	}
} else if ($aID [0] == "f") {
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ hole Originaldatensatz, wenn es ihn gibt
	$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.id = " . $subid;
	$field_new = get_table_row ( $query );
	
	$field_new ["dtPosNr"] = $max_pos + 1;
	unset ( $field_new ["BelegPosten_id"] );
	
	if ($subid != "") {
		check_fehlermeldung_output ( check_int ( $field_new ["dtPosNr"] ), 1, "Pos.Nr", $target, $typ, $id, $subtarget, "show", $subid );
	}
	
	// wenn Beleg = gebucht, dann nicht ndern oder neu hinzufgen
	$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $id;
	$sub_row = get_table_row ( $query );
	if ($sub_row ["dtGebucht"] != 0) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 22 );
		$fehler->setNext ( $target, $typ, $id, $subtarget, "show", $subid );
		throw $fehler;
	}
	
	$subid = insert_into_table ( $tblbelegposten, $field_new );
}

delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $id );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>