<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($subid != "") {
	$query = $sql_query ["bestellungmaterialpostenliste"] . " and $tblbestellungmaterialposten.id = " . $subid;
	$field_old = get_table_row ( $query );
}

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

// prfe, ob mindestens Artikeltext eingegeben wurden
check_fehlermeldung_output ( check_nozero ( $field_new ["fiArtikel"] ), 3, "Artikel", $target, $typ, $id, $subtarget, "show", $subid );

/*
 * Varianten
 */
$aFehlendeVariantenGruppen = array ();

/*
 * Keine Varianten bei neu bermittelt
 * - Prfe ob Varianten zum Artikel gehren und ob diese zwangsweise sind
 */
if ($subid == "" && $field_new ["dtVariante"] == "") {
	$sSqlArtikel = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $field_new ["fiArtikel"] . "' and $tblartikelvariantengruppen.dtGruppenZwangsauswahl = 1";
	$aListeZwangsVarianten = get_table_array ( $sSqlArtikel );
	
	if (count ( $aListeZwangsVarianten ) > 0) {
		foreach ( $aListeZwangsVarianten as $aZwangsvariantenRow ) {
			$aFehlendeVariantenGruppen [] = $aZwangsvariantenRow ["dtGruppenName"];
		}
	}
}

$query = "select * from $tblartikellieferanten where fiArtikel = " . $field_new ["fiArtikel"] . " and fiLieferant = " . $lieferantid;
$artikellieferant_row = get_table_row ( $query );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen sind als einzelne Felder mitgekommen (Materialposten ndern)
if ($subid != "") {
	$field_new ["fiArtikel"] = $field_old ["fiArtikel"];
	
	// hole Artikelvariantendaten
	$var_query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = " . $field_new ["fiArtikel"];
	$artikelvarianten_liste = get_table_array ( $var_query );
	
	// suche Felder/Werte je Variantengruppe
	foreach ( ( array ) $artikelvarianten_liste as $key => $value ) {
		$var_output = "";
		if ($value ["dtGruppenMehrfachauswahl"] != 1) {
			$var_output = $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]];
		} else {
			foreach ( ( array ) $field_new ["variante_" . $value ["fiArtikelVariantenGruppe"]] as $var_key => $var_value ) {
				$var_array [] = $var_value;
			}
			if (is_array ( $var_array ))
				$var_output = implode ( ";", array_unique ( $var_array ) );
		}
		
		if ($var_output != - 1 and $var_output != "") {
			$artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] = $var_output;
		}
		
		/*
		 * Prfe Zwangsauswahl
		 */
		if ($value ["dtGruppenZwangsauswahl"] == 1) {
			if (empty ( $artikelvarianten_array ["variante_" . $value ["fiArtikelVariantenGruppe"]] )) {
				$aFehlendeVariantenGruppen [] = $value ["dtGruppenName"];
			}
		}
	}
	
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $artikelvarianten_array ) );
	if ($field_new ["dtVariante"] == "N;")
		$field_new ["dtVariante"] = "";
		
		// wenn sich an den Varianten nichts gendert hat, dann belasse alle Varianteninformation wie sie sind
	if ($field_new ["dtVariante"] == $field_old ["dtVariante"]) {
		unset ( $field_new ["dtVariante"] );
		$field_new ["dtVarianteArtNr"] = $field_old ["dtVarianteArtNr"];
		$field_new ["dtVarianteArtName"] = $_POST ["dtVarianteBeschreibungIndividuell"];
	}
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Varianteninformationen liegen als Array vor: Berechne Preis und Varianten-Texte neu
$var_ek = $artikellieferant_row ["dtStueckPreisEK"];
if ($field_new ["dtVariante"] != "") {
	
	$varianten_array = unserialize ( $field_new ["dtVariante"] );
	
	foreach ( ( array ) $varianten_array as $key => $value_string ) {
		$key_explode = explode ( "_", $key );
		if (count ( $key_explode ) == 2 and $value_string != - 1) {
			/*
			 * Zwangsauswahl checken
			 */
			$sSqlVariantenGruppe = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $key_explode [1] . "'";
			;
			$aRowVariantenGruppe = get_table_row ( $sSqlVariantenGruppe );
			
			if ($aRowVariantenGruppe ["dtGruppenZwangsauswahl"] == 1 && trim ( $value_string ) == "") {
				$aFehlendeVariantenGruppen [] = $aRowVariantenGruppe ["dtGruppenName"];
			}
			
			$value_array = explode ( ";", $value_string );
			foreach ( ( array ) $value_array as $valuekey => $value ) {
				if ($value != "") {
					
					$query = $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.id ='" . $value . "'";
					$variante_row = get_table_row ( $query );
					
					$var_nr .= $variante_row ["dtGruppenArtikelNrPrefix"] . $variante_row ["dtArtikelVariantenNr"];
					$var_name .= $variante_row ["dtGruppenName"] . ": " . $variante_row ["dtArtikelVariantenName"] . "\n";
					
					$aVarLieferant = unserialize ( $variante_row ["dtArtikelVarianteLieferantenInfo"] );
					
					$fEK = $aBerechnungEK ["dtPreisNettoEK"];
					
					$var_ek += $aVarLieferant ["Lieferant_EK"];
					$var_mwst = $aVarLieferant ["Lieferant_MwSt"];
				}
			}
		}
	}
	
	// Varianten-Zusatzinfos
	$field_new ["dtVariante"] = serialize ( cleanVariantenArray ( $varianten_array ) );
	$field_new ["dtVarianteArtNr"] = $var_nr;
	$field_new ["dtVarianteArtName"] = substr ( $var_name, 0, - 1 );
	
	// neuer Preis wegen Varianteninfo
	$field_new ["dtPreisNetto"] = $var_ek;
	$field_new ["dtMwstSatz"] = $var_mwst;
	
	if ($field_new ["dtVariante"] != "") {
		
		$field_new ["dtVariante"] = urldecode ( $field_new ["dtVariante"] );
		$varianten_array = unserialize ( $field_new ["dtVariante"] );
		
		foreach ( $varianten_array as $sVariantenName => $iVarianteKey ) {
			if ($iVarianteKey == - 1) {
				unset ( $varianten_array [$sVariantenName] );
			}
		}
		$field_new ["dtVariante"] = serialize ( $varianten_array ); // +++++ Die SQL-Query wird erweitert um die Abfrage, ob die Variante vorhanden ist oder nicht
		$sSqlVariante = " AND dtVariante = '" . $field_new ["dtVariante"] . "' ";
	} else
		$sSqlVariante = " AND dtVariante = '' ";
		
		// nehme ggf. EK aus Beleg
	if ($subid == "" and $bBenutzeBelegEinkaufspreisBeiBestellungen == 1) {
		$sQueryNegativ = mysql_query ( "SELECT * FROM $tblartikelstuecknegativ,$tblbelege WHERE $tblartikelstuecknegativ.fiBeleg = $tblbelege.id AND $tblartikelstuecknegativ.fiArtikel = '" . $field_new ["fiArtikel"] . "' $sSqlVariante GROUP BY fiBeleg LIMIT 0,1" );
		$aBelegeZuArtikel = mysql_fetch_array ( $sQueryNegativ );
		if ($aBelegeZuArtikel != null) {
			$sQueryBeleg = mysql_query ( "SELECT * FROM $tblbelegmaterialposten WHERE $tblbelegmaterialposten.fiBeleg = '" . $aBelegeZuArtikel ["fiBeleg"] . "'" . $sSqlVariante );
			$aBelegMaterialPosten = mysql_fetch_array ( $sQueryBeleg );
			
			$field_new ["dtPreisNetto"] = $aBelegMaterialPosten ["dtPreisNettoEK"];
			$field_new ["dtMwstSatz"] = $aBelegMaterialPosten ["dtMwstNettoEK"];
		}
	}
} else {
	$field_new ["dtVariante"] = $field_old ["dtVariante"];
}

/*
 * Fehlermeldung bei Zwangsauswahl werfen, falls ntig.
 */
if (count ( $aFehlendeVariantenGruppen ) > 0) {
	$fehler = new Fehler ();
	$fehler->setCustom ( "Zwangsvarianten", "Bei den folgenden Gruppen muss eine Variante ausgewhlt werden:<br>" . join ( "<br>", array_unique ( $aFehlendeVariantenGruppen ) ) );
	$fehler->setNext ( $target, $typ, $id, $subtarget, "show" );
	throw $fehler;
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei nderung
if ($subid != "") {
	
	unset ( $field_new ["dtPreisBrutto"] );
	unset ( $field_new ["dtGesamtNetto"] );
	unset ( $field_new ["dtGesamtBrutto"] );
	
	$field_new ["fiBestellung"] = $id;
	$field_new ["fiArtikel"] = $field_old ["fiArtikel"];
	
	if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0) {
		$field_new ["dtMenge"] = ( int ) $field_new ["dtMenge"];
	} else {
		$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
	}
	
	check_fehlermeldung_output ( check_int ( $field_new ["dtPosNr"] ), 1, "Pos.Nr", $target, $typ, $id, $subtarget, "show", $subid );
	
	check_double ( $field_new ["dtMwstSatz"] );
	check_double ( $field_new ["dtPreisNetto"] );
	
	// $query = "select * from $tblartikellieferanten where fiArtikel = " . $field_new["fiArtikel"] . " and fiLieferant = " . $lieferantid;
	// $artikellieferant_row = get_table_row($query);
	
	$field_new ["dtMwstSatz"] = double_to_sql ( $field_new ["dtMwstSatz"] );
	$field_new ["dtPreisNetto"] = preis_to_sql ( $field_new ["dtPreisNetto"] );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte bei Neu
if ($subid == "") {
	unset ( $field_new ["dtPreisBrutto"] );
	unset ( $field_new ["dtGesamtNetto"] );
	unset ( $field_new ["dtGesamtBrutto"] );
	
	$field_new ["fiBestellung"] = $id;
	
	if (getArtikelTyp ( $field_new ["fiArtikel"] ) == 0) {
		$field_new ["dtMenge"] = ( int ) $field_new ["dtMenge"];
	} else {
		$field_new ["dtMenge"] = double_to_sql ( $field_new ["dtMenge"] );
	}
	
	// ermittle Preis und MwSt-Satz des Artikels
	$query = "select * from $tblartikel where id = " . $field_new ["fiArtikel"];
	$artikel_row = get_table_row ( $query );
	
	// $query = "select * from $tblartikellieferanten where fiArtikel = " . $field_new["fiArtikel"] . " and fiLieferant = " . $lieferantid;
	// $artikellieferant_row = get_table_row($query);
	
	$field_new ["dtBeschreibungIndividuell"] = $artikel_row ["dtBeschreibung"];
	
	if (empty ( $field_new ["dtPreisNetto"] )) {
		$field_new ["dtPreisNetto"] = $artikellieferant_row ["dtStueckPreisEK"];
		
		if ($artikellieferant_row ["dtMwstSatzEK"] > 0)
			$field_new ["dtMwstSatz"] = $artikellieferant_row ["dtMwstSatzEK"];
		else
			$field_new ["dtMwstSatz"] = $artikel_row ["dtMwstSatzVK"];
		
		$field_new ["dtBestellpostenRabatt"] = $artikellieferant_row ["dtLieferantRabatt"];
	}
	
	$field_new ["fiEinheit"] = $artikel_row ["fiEinheit"];
	
	// MwSt. Overwrite wenn der Lieferant eine besondere Anganbe zum MwstSatz in den Stammdaten hat
	$query_mwst = $sql_query ["mwstsatzkundenliste"] . " and $tblmwstsatzkunden.fiKunde = $lieferantid";
	if (get_table_count ( $query_mwst ) != 0) {
		$field_lieferant_mwst = get_table_row ( $query_mwst );
		if ($field_lieferant_mwst ["dtMwstSatzTyp"] != 0) {
			$field_new ["dtMwstSatz"] = 0;
		}
	}
}

if ($artikellieferant_row ["dtAnzahl"] > 1 && $field_new ["dtMenge"] % $artikellieferant_row ["dtAnzahl"]) {
	$field_new ["dtMenge"] = ceil ( $field_new ["dtMenge"] / $artikellieferant_row ["dtAnzahl"] ) * $artikellieferant_row ["dtAnzahl"];
	
	$meldung = new Meldung ();
	$meldung->Ueberschrift = "Stckzahl gendert";
	$meldung->Fehlertext = "Die Stckzahl wurde der Verpackungseinheit (" . double_from_sql ( $artikellieferant_row ["dtAnzahl"], 0 ) . ") des Lieferanten angepasst.";
	echo $meldung->getErrorBox ();
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "") {
	$subid = insert_into_table ( $tblbestellungmaterialposten, $field_new );
}  // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  // ++++ sonst ndere bestehenden Datensatz
else {
	
	// +++++++++ wenn die Positionsnummer gendert wurde, dann sortiere den Artikel neu ein
	if ($field_old ["dtPosNr"] != $field_new ["dtPosNr"]) {
		$field_new ["dtPosNr"] = $field_new ["dtPosNr"] - 0.5;
	}
	
	update_into_table ( $tblbestellungmaterialposten, $subid, $field_new );
	bestellungPostenDurchnummerieren ( $id );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>