<?php

// ++++ erzeuge RechnungsNr
$field_rechnung ["dtRechnungNrIntern"] = rechnungnummerintern_neu ();

// ++++ Standard-Werte vorbelegen
$field_rechnung ["dtRechnungDatum"] = $aktdatum;

// ++++++++++++++++++++++++++++++++
include ("$elementsordner/$subtarget/bestellungrechnungerzeugenformular.php");

// ++++++++++++++++++++++++++++++++

/*
 * - Tabellenabfragen starten
 * - Ergebnisse in _einem_ Array speichern
 * - Array durchgehen und nach dtPosNr ein zweites Array aufbauen. Hierbei auf Eintrge aufpassen, die die gleiche dtPosNr haben.
 * - Neues Array sortieren
 * - Neuformular anzeigen
 * - Neues Array durchgehen und die passenden Formulare includen
 */

$sQueryMaterialposten = $sql_query ["bestellungmaterialpostenliste"] . " and $tblbestellungen.id = " . $id . " order by $tblbestellungmaterialposten.dtPosNr";
$aMaterialpostenListe = get_table_array ( $sQueryMaterialposten );

$sQueryFreitextposten = $sql_query ["bestellungpostenliste"] . " and $tblbestellungen.id = " . $id . " order by $tblbestellungposten.dtPosNr";
$aFreitextpostenListe = get_table_array ( $sQueryFreitextposten );

$aListeAlle = array_merge ( ( array ) $aMaterialpostenListe, ( array ) $aFreitextpostenListe );
$liste = array ();

$iAnzahlGesamt = count ( $aListeAlle );
$iZaehlerAddition = 0;

for($i = 0; $i < $iAnzahlGesamt; $i ++) {
	$iPos = ( int ) $aListeAlle [$i] ["dtPosNr"];
	
	if (isset ( $liste [$iPos] )) {
		$iZaehlerAddition ++;
	}
	
	$liste [$iPos + $iZaehlerAddition] = $aListeAlle [$i];
}

unset ( $aListeAlle, $aFreitextpostenListe, $aMaterialpostenListe );
ksort ( $liste ); // Array sortieren
                  
// ++++++++++++++++++++++++++++++++
                  // +++++++++++ alle Posten anzeigen
echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td class=\"formularrahmen_oben\"></td></tr>";
echo "<tr><td>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\">";

echo "<tr><td colspan=9></td><td>";
echo klickbutton ( "Alle deaktivieren", "onclick='deaktiviereAlleCheckboxen();'" );
echo "</td></tr>";

if (count ( $liste ) > 0) {
	foreach ( $liste as $listenzeile_id => $field ) {
		$form_output = "";
		
		// +++++++++++ Formular anzeigen
		if (isset ( $field ["BestellungMaterialPosten_id"] )) {
			include ("$elementsordner/$subtarget/bestellungmaterialpostenformular.php");
		} else {
			include ("$elementsordner/$subtarget/bestellungfreitextpostenformular.php");
		}
	}
}

echo "</table>";
echo "</td></tr>";
echo "<tr><td class=\"formularrahmen_unten\"></td></tr>";
echo "</table>";

include ("$elementsordner/$subtarget/bestellungrechnungerzeugenformularunten.php");

?>