<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
$field_new ["export_belege"] = ( int ) $field_new ["export_belege"];
$field_new ["export_belegmahnschritte"] = ( int ) $field_new ["export_belegmahnschritte"];
$field_new ["export_rechnungen"] = ( int ) $field_new ["export_rechnungen"];
$field_new ["export_umsaetze"] = ( int ) $field_new ["export_umsaetze"];
$field_new ["export_kontakte"] = ( int ) $field_new ["export_kontakte"];
$field_new ["export_buchungskonten"] = ( int ) $field_new ["export_buchungskonten"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

$field_new ["export_datum"] = concat_date ( $field_new ["datum_export_tag"], $field_new ["datum_export_monat"], $field_new ["datum_export_jahr"] );
unset ( $field_new ["datum_export_tag"] );
unset ( $field_new ["datum_export_monat"] );
unset ( $field_new ["datum_export_jahr"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ prfe auf vorhandene Ordnerdatei
if (($dh = opendir ( $dateipfad . "/" . $buchungsexportordner )) !== false) {
	while ( ($entry = readdir ( $dh )) !== false ) {
		if (substr ( $entry, 0, 7 ) == "export_") {
			
			$subid = $entry;
			
			$dateiname_array = explode ( "_", substr ( $entry, 0, - 4 ) );
			$exportziel = $dateiname_array [1];
			
			if (! (strpos ( $dateiname_array [2], "b" ) === false)) {
				$export_belege = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "g" ) === false)) {
				$export_belegmahnschritte = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "r" ) === false)) {
				$export_rechnungen = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "k" ) === false)) {
				$export_umsaetze = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "m" ) === false)) {
				$export_kontakte = 1;
				$exportdatei_kontakte_vorhanden = 1;
				$exportdatei_kontakte = $entry;
				$datum_kontakte_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "z" ) === false)) {
				$export_buchungskonten = 1;
				$exportdatei_buchungskonten_vorhanden = 1;
				$exportdatei_buchungskonten = $entry;
				$datum_buchungskonten_export_bis = $dateiname_array [3];
			}
			
			// $exportdatei_link =
		}
	}
}
closedir ( $dh );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ erzeuge neuen Export der Buchungen
if ($field_new ["export_buchungen"] == 1 and $exportdatei_buchungen_vorhanden != 1) {
	
	$exportcounter = 0;
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Belege
	if ($field_new ["export_belege"] == 1) {
		
		$query = $sql_query ["belegliste"] . " and $tblbelege.dtGebucht = 0";
		// $query .= " and $tblbelege.fiStatus > 2";
		$query .= " and $tblbelegstatus.dtBuchungsRelevant = 1";
		$query .= " and $tblbelege.dtRechnungDatum <= '" . $field_new ["export_datum"] . "'";
		$query .= " order by $tblbelege.dtRechnungDatum";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_beleg ) {
				
				unset ( $export_materialposten );
				
				// ++++Belegmaterialposten
				$query = $sql_query ["belegmaterialpostenliste"] . " and $tblbelegmaterialposten.fiBeleg = '" . $field_beleg ["Beleg_id"] . "'";
				$query .= " order by $tblbelegmaterialposten.dtPosNr";
				
				$belegmaterialposten_liste = get_table_array ( $query );
				
				if (count ( $belegmaterialposten_liste ) != 0) {
					foreach ( $belegmaterialposten_liste as $listenzeile_id => $field_belegmaterialposten ) {
						
						if ($field_belegmaterialposten ["BelegMaterialPosten_Rabattfaehig"] == "1") {
							$posten_netto = $field_belegmaterialposten ["dtPreisNetto"] - $field_belegmaterialposten ["dtPreisNetto"] / 100 * $field_belegmaterialposten ["dtMaterialpostenRabatt"];
						} else {
							$posten_netto = $field_belegmaterialposten ["dtPreisNetto"];
						}
						
						// Errechne Brutto Postensumme
						$posten_brutto = $posten_netto + ($posten_netto / 100 * $field_belegmaterialposten ["dtMwstSatz"]);
						$posten_brutto *= $field_belegmaterialposten ["dtMenge"];
						
						// Summiere nach Buchungskonto und Mwst-Satz auf
						$export_materialposten [$field_belegmaterialposten ["fiBuchungsKonto"]] [$field_belegmaterialposten ["dtMwstSatz"]] = $export_materialposten [$field_belegmaterialposten ["fiBuchungsKonto"]] [$field_belegmaterialposten ["dtMwstSatz"]] + $posten_brutto;
					}
				}
				
				// ++++ Belegposten
				$query = $sql_query ["belegpostenliste"] . " and $tblbelegposten.fiBeleg = '" . $field_beleg ["Beleg_id"] . "' and $tblbelegposten.dtIstZwischensumme = 0";
				$query .= " order by $tblbelegposten.dtPosNr";
				
				$belegposten_liste = get_table_array ( $query );
				
				if (count ( $belegposten_liste ) != 0) {
					foreach ( $belegposten_liste as $listenzeile_id => $field_belegposten ) {
						
						// Errechne Brutto Postensumme
						$posten_brutto = ($field_belegposten ["dtMenge"] * $field_belegposten ["dtPreisNetto"]) + (($field_belegposten ["dtMenge"] * $field_belegposten ["dtPreisNetto"]) / 100 * $field_belegposten ["dtMwstSatz"]);
						
						// Summiere nach Buchungskonto und Mwst-Satz auf
						$export_materialposten [$field_belegposten ["fiBuchungsKonto"]] [$field_belegposten ["dtMwstSatz"]] = $export_materialposten [$field_belegposten ["fiBuchungsKonto"]] [$field_belegposten ["dtMwstSatz"]] + $posten_brutto;
					}
				}
				
				// ++++ Belegzeitposten
				$query = $sql_query ["belegzeitpostenliste"] . " and $tblbelegzeitposten.fiBeleg = '" . $field_beleg ["Beleg_id"] . "'";
				$query .= " order by $tblbelegzeitposten.dtDatum";
				
				$belegzeitposten_liste = get_table_array ( $query );
				
				if (count ( $belegzeitposten_liste ) != 0) {
					foreach ( $belegzeitposten_liste as $listenzeile_id => $field_belegzeitposten ) {
						
						// Errechne Brutto Postensumme
						$query = $sql_query ["belegzeitpostenzusatzeitliste"] . " and $tblbelegzeitpostenzusatzzeiten.fiBelegZeitPosten = " . $field_belegzeitposten ["BelegZeitPosten_id"];
						$zusatzzeiten_count = get_table_count ( $query );
						$zusatzzeiten_liste = get_table_array ( $query );
						$zusatzzeiten_gesamtpreis = 0;
						if (is_array ( $zusatzzeiten_liste )) {
							foreach ( $zusatzzeiten_liste as $key => $zusatzzeiten_field ) {
								if ($zusatzzeiten_field ["dtZusatzzeitTyp"] == 0) {
									$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $field_belegzeitposten ["dtPreisNetto"] / 100 * $zusatzzeiten_field ["dtZusatzzeitSatz"]);
								} else {
									$zusatzzeiten_gesamtpreis = $zusatzzeiten_gesamtpreis + ($zusatzzeiten_field ["dtZusatzzeitAnzahl"] * $zusatzzeiten_field ["dtZusatzzeitPreisNetto"]);
								}
							}
						}
						$posten_brutto = $field_belegzeitposten ["dtMenge"] * $field_belegzeitposten ["dtPreisNetto"] + $zusatzzeiten_gesamtpreis + ($field_belegzeitposten ["dtMwstSatz"] / 100 * (($field_belegzeitposten ["dtMenge"] * $field_belegzeitposten ["dtPreisNetto"]) + $zusatzzeiten_gesamtpreis));
						
						// Summiere nach Buchungskonto und Mwst-Satz auf
						$export_materialposten [$field_belegzeitposten ["fiBuchungsKonto"]] [$field_belegzeitposten ["dtMwstSatz"]] = $export_materialposten [$field_belegzeitposten ["fiBuchungsKonto"]] [$field_belegzeitposten ["dtMwstSatz"]] + $posten_brutto;
					}
				}
				
				$export_materialposten [$standardbuchhaltungskonto_belegposten] [$stdmwstsatz] = 0;
				
				// ++++ Exportliste aus den Belegdaten aufbauen
				if (is_array ( $export_materialposten )) {
					foreach ( ( array ) $export_materialposten as $export_materialposten_buchungskonto => $export_materialposten_mwst_array ) {
						foreach ( ( array ) $export_materialposten_mwst_array as $export_materialposten_mwst => $export_materialposten_betrag_brutto ) {
							
							$exportcounter ++;
							$export_beleg_id [] = $field_beleg ["Beleg_id"];
							$export_array [$exportcounter] ["Belegnummer"] = $field_beleg ["dtBelegNr"];
							$export_array [$exportcounter] ["Belegdatum"] = date_from_sql ( $field_beleg ["dtRechnungDatum"] );
							$export_array [$exportcounter] ["Whrung"] = $standard_waehrung;
							$export_array [$exportcounter] ["MWST"] = double_from_sql ( $export_materialposten_mwst, 0 );
							$export_array [$exportcounter] ["Buchungsbetrag"] = str_replace ( ".", "", double_from_sql ( abs ( $export_materialposten_betrag_brutto ), 2 ) );
							$export_array [$exportcounter] ["Sollspalte"] = "S";
							$export_array [$exportcounter] ["ER-Schluessel"] = "";
							
							$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_beleg ["fiKunde"] . "'";
							$kontakt_field = get_table_row ( $query );
							$export_array [$exportcounter] ["Buchungstext"] = "AR Nr. " . $field_beleg ["dtBelegNr"] . " - " . $kontakt_field ["dtKontaktDDText2"];
							
							// Sollkonto ist Buchungskonto des Kunden
							$export_array [$exportcounter] ["Sollkonto"] = $kontakt_field ["dtBuchhaltungKontoKunde"];
							
							// Habenkonto ist das Konto, welches beim Belegposten angegeben wurde (ggf. Automatik-Konto)
							$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $export_materialposten_buchungskonto . "'";
							$buchungskonto_field = get_table_row ( $query );
							
							if ($buchungskonto_field ["dtBuchhaltungKonto"] == "auto") {
								
								if ($kontakt_field ["dtIstHeimLand"] == 1)
									$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstAutoArray"] );
								else if ($kontakt_field ["dtIstEULand"] == 1)
									$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstAutoEUArray"] );
								else
									$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstNonEUAutoArray"] );
								
								$export_array [$exportcounter] ["Habenkonto"] = $buchungsKontoMwstAutoArray [$export_array [$exportcounter] ["MWST"]];
							} else {
								$export_array [$exportcounter] ["Habenkonto"] = $buchungskonto_field ["dtBuchhaltungKonto"];
							}
							
							// immer positiven Betrag senden -> ggf. Konten umdrehen
							if ($export_materialposten_betrag_brutto < 0) {
								$tausch_var = $export_array [$exportcounter] ["Sollkonto"];
								$export_array [$exportcounter] ["Sollkonto"] = $export_array [$exportcounter] ["Habenkonto"];
								$export_array [$exportcounter] ["Habenkonto"] = $tausch_var;
							}
						}
					}
				}
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++
		// ++++ Nullbuchungen entfernen
		unset ( $export_array_neu );
		foreach ( ( array ) $export_array as $key => $zeile ) {
			if ($zeile ["Buchungsbetrag"] != 0) {
				$export_array_neu [] = $zeile;
			}
		}
		$export_array = $export_array_neu;
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Beleg-Mahnschritte
	if ($field_new ["export_belegmahnschritte"] == 1) {
		
		unset ( $field_beleg );
		
		// ++++ Standard-Buchungskonto fr Mahnbetrge suchen
		$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $standardbuchhaltungskonto_mahnkosten . "'";
		$buchungskonto_field = get_table_row ( $query );
		
		// ++++ Mahnbetrge zu Belegen suchen
		$query = $sql_query ["belegmahnschritteliste"] . " and $tblbelegmahnschritte.dtMahnschrittGebucht = 0";
		$query .= " and $tblbelegmahnschritte.dtMahnschrittDatum <= '" . $field_new ["export_datum"] . "'";
		$query .= " order by $tblbelegmahnschritte.dtMahnschrittDatum";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_mahnschritt ) {
				
				// suche Beleg zum Mahnschritt
				$query = $sql_query ["belegliste"] . " and $tblbelege.id = '" . $field_mahnschritt ["fiBeleg"] . "' ";
				$field_beleg = get_table_row ( $query );
				
				// ++++ Exportliste aufbauen
				$exportcounter ++;
				$export_belegmahnschirtt_id [] = $field_mahnschritt ["BelegMahnschritte_id"];
				$export_array [$exportcounter] ["Belegnummer"] = $field_beleg ["dtBelegNr"];
				$export_array [$exportcounter] ["Belegdatum"] = date_from_sql ( $field_mahnschritt ["dtMahnschrittDatum"] );
				$export_array [$exportcounter] ["Waehrung"] = $standard_waehrung;
				$export_array [$exportcounter] ["MWST"] = double_from_sql ( $field_mahnschritt ["dtMahnschrittMwSt"], 0 );
				$export_array [$exportcounter] ["Buchungsbetrag"] = str_replace ( ".", "", double_from_sql ( abs ( $field_mahnschritt ["dtMahnschrittKosten"] ), 2 ) );
				$export_array [$exportcounter] ["Sollspalte"] = "S";
				$export_array [$exportcounter] ["ER-Schluessel"] = "";
				
				// hole Kundendaten
				$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_beleg ["fiKunde"] . "'";
				$kontakt_field = get_table_row ( $query );
				$export_array [$exportcounter] ["Buchungstext"] = "Mahnkosten (" . $field_mahnschritt ["dtMahnschrittName"] . ") zu AR Nr. " . $field_beleg ["dtBelegNr"] . " - " . $kontakt_field ["dtKontaktDDText2"];
				
				// Sollkonto ist Buchungskonto des Kunden
				$export_array [$exportcounter] ["Sollkonto"] = $kontakt_field ["dtBuchhaltungKontoKunde"];
				
				// Habenkonto ist das Standard-Konto fr Mahnkosten
				$export_array [$exportcounter] ["Habenkonto"] = $buchungskonto_field ["dtBuchhaltungKonto"];
				
				// immer positiven Betrag senden -> ggf. Konten umdrehen
				if ($field_mahnschritt ["dtMahnschrittKosten"] < 0) {
					$tausch_var = $export_array [$exportcounter] ["Sollkonto"];
					$export_array [$exportcounter] ["Sollkonto"] = $export_array [$exportcounter] ["Habenkonto"];
					$export_array [$exportcounter] ["Habenkonto"] = $tausch_var;
				}
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++
		// ++++ Nullbuchungen entfernen
		unset ( $export_array_neu );
		foreach ( ( array ) $export_array as $key => $zeile ) {
			if ($zeile ["Buchungsbetrag"] != 0) {
				$export_array_neu [] = $zeile;
			}
		}
		$export_array = $export_array_neu;
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Rechnungen
	if ($field_new ["export_rechnungen"] == 1) {
		
		$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtGebucht = 0";
		$query .= " and $tblrechnungen.fiStatus > 2";
		$query .= " and $tblrechnungen.dtRechnungDatum <= '" . $field_new ["export_datum"] . "'";
		$query .= " order by $tblrechnungen.dtRechnungDatum";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_rechnung ) {
				
				unset ( $export_posten );
				unset ( $export_posten_einzeln );
				
				// ++++Rechnungs-Posten
				$query = $sql_query ["rechnungpostenliste"] . " and $tblrechnungposten.fiRechnung = '" . $field_rechnung ["Rechnung_id"] . "'";
				$rechnungposten_liste = get_table_array ( $query );
				
				if (count ( $rechnungposten_liste ) != 0) {
					foreach ( $rechnungposten_liste as $listenzeile_id => $field_rechnungposten ) {
						
						$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $field_rechnungposten ["fiBuchungsKonto"] . "'";
						$buchungskonto_field = get_table_row ( $query );
						
						if ($buchungskonto_field ["fiBuchungsKonto"] == 1) {
							
							// Errechne Brutto Postensumme
							$posten_brutto = ($field_rechnungposten ["dtMenge"] * $field_rechnungposten ["dtPreisNetto"]) + (($field_rechnungposten ["dtMenge"] * $field_rechnungposten ["dtPreisNetto"]) / 100 * $field_rechnungposten ["dtMwstSatz"]);
							
							// Erzeuge einen einzelnen Eintrag zu diesem Posten
							$export_posten_einzeln [] = array (
									"Buchungstext" => $field_rechnungposten ["dtArtikelBezeichnung"],
									"Buchungsbetrag" => $posten_brutto,
									"MWST" => $field_rechnungposten ["dtMwstSatz"],
									"Buchungskonto" => $field_rechnungposten ["dtBuchhaltungKonto"] 
							);
						} else {
							
							// Errechne Brutto Postensumme
							$posten_brutto = ($field_rechnungposten ["dtMenge"] * $field_rechnungposten ["dtPreisNetto"]) + (($field_rechnungposten ["dtMenge"] * $field_rechnungposten ["dtPreisNetto"]) / 100 * $field_rechnungposten ["dtMwstSatz"]);
							
							// Summiere nach Buchungskonto und Mwst-Satz auf
							$export_posten [$field_rechnungposten ["fiBuchungsKonto"]] [$field_rechnungposten ["dtMwstSatz"]] = $export_posten [$field_rechnungposten ["fiBuchungsKonto"]] [$field_rechnungposten ["dtMwstSatz"]] + $posten_brutto;
						}
					}
				}
				
				// ++++ Exportliste aus den Rechnungsdaten aufbauen
				if (is_array ( $export_posten )) {
					foreach ( ( array ) $export_posten as $export_posten_buchungskonto => $export_posten_mwst_array ) {
						foreach ( ( array ) $export_posten_mwst_array as $export_posten_mwst => $export_posten_betrag_brutto ) {
							
							$exportcounter ++;
							$export_rechnung_id [] = $field_rechnung ["Rechnung_id"];
							$export_array [$exportcounter] ["Belegnummer"] = $field_rechnung ["dtRechnungNrIntern"];
							$export_array [$exportcounter] ["Belegdatum"] = date_from_sql ( $field_rechnung ["dtRechnungDatum"] );
							$export_array [$exportcounter] ["Waehrung"] = $standard_waehrung;
							$export_array [$exportcounter] ["MWST"] = double_from_sql ( $export_posten_mwst, 0 );
							$export_array [$exportcounter] ["Buchungsbetrag"] = str_replace ( ".", "", double_from_sql ( abs ( $export_posten_betrag_brutto ), 2 ) );
							$export_array [$exportcounter] ["Sollspalte"] = "S";
							
							$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_rechnung ["fiLieferant"] . "'";
							$kontakt_field = get_table_row ( $query );
							$export_array [$exportcounter] ["Buchungstext"] = "ER Nr. " . $field_rechnung ["dtRechnungNrIntern"] . " - " . $kontakt_field ["dtKontaktDDText2"];
							
							// Sollkonto ist das Konto, welches beim Rechnungsposten angegeben wurde (ggf. Automatik-Konto)
							$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $export_posten_buchungskonto . "'";
							$buchungskonto_field = get_table_row ( $query );
							
							if ($buchungskonto_field ["dtBuchhaltungKonto"] == "auto") {
								
								if ($kontakt_field ["dtIstHeimLand"] == 1)
									$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstAutoArray"] );
								else if ($kontakt_field ["dtIstEULand"] == 1)
									$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstAutoEUArray"] );
								else
									$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstNonEUAutoArray"] );
								
								$export_array [$exportcounter] ["Sollkonto"] = $buchungsKontoMwstAutoArray [$export_array [$exportcounter] ["MWST"]];
							} else {
								$export_array [$exportcounter] ["Sollkonto"] = $buchungskonto_field ["dtBuchhaltungKonto"];
							}
							
							// Habenkonto ist Buchungskonto des Lieferanten
							$export_array [$exportcounter] ["Habenkonto"] = $kontakt_field ["dtBuchhaltungKontoLieferant"];
							
							// immer positiven Betrag senden -> ggf. Konten umdrehen
							if ($export_posten_betrag_brutto < 0) {
								$tausch_var = $export_array [$exportcounter] ["Sollkonto"];
								$export_array [$exportcounter] ["Sollkonto"] = $export_array [$exportcounter] ["Habenkonto"];
								$export_array [$exportcounter] ["Habenkonto"] = $tausch_var;
							}
							
							// ER-Schlssel je nach MWST
							if ($export_array [$exportcounter] ["MWST"] == 19) {
								$export_array [$exportcounter] ["ER-Schluessel"] = 9;
							} else if ($export_array [$exportcounter] ["MWST"] == 7) {
								$export_array [$exportcounter] ["ER-Schluessel"] = 8;
							} else {
								$export_array [$exportcounter] ["ER-Schluessel"] = "";
							}
						}
					}
				}
				
				if (is_array ( $export_posten_einzeln )) {
					foreach ( ( array ) $export_posten_einzeln as $key => $export_posten_einzeln_array ) {
						
						$exportcounter ++;
						$export_rechnung_id [] = $field_rechnung ["Rechnung_id"];
						$export_array [$exportcounter] ["Belegnummer"] = $field_rechnung ["dtRechnungNrIntern"];
						$export_array [$exportcounter] ["Belegdatum"] = date_from_sql ( $field_rechnung ["dtRechnungDatum"] );
						$export_array [$exportcounter] ["Waehrung"] = $standard_waehrung;
						$export_array [$exportcounter] ["MWST"] = double_from_sql ( $export_posten_einzeln_array ["MWST"], 0 );
						$export_array [$exportcounter] ["Buchungsbetrag"] = str_replace ( ".", "", double_from_sql ( abs ( $export_posten_einzeln_array ["Buchungsbetrag"] ), 2 ) );
						$export_array [$exportcounter] ["Sollspalte"] = "S";
						
						$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_rechnung ["fiLieferant"] . "'";
						$kontakt_field = get_table_row ( $query );
						
						// Sollkonto ist das Konto, welches beim Rechnungsposten angegeben wurde (ggf. Automatik-Konto)
						$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $export_posten_einzeln_array ["Buchungskonto"] . "'";
						$buchungskonto_field = get_table_row ( $query );
						
						if ($export_posten_einzeln_array ["Buchungskonto"] == "auto") {
							
							if ($kontakt_field ["dtIstHeimLand"] == 1)
								$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstAutoArray"] );
							else if ($kontakt_field ["dtIstEULand"] == 1)
								$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstAutoEUArray"] );
							else
								$buchungsKontoMwstAutoArray = unserialize ( $buchungskonto_field ["dtBuchungsKontoMwstNonEUAutoArray"] );
							
							$export_array [$exportcounter] ["Sollkonto"] = $buchungsKontoMwstAutoArray [$export_posten_einzeln_array ["Buchungskonto"]] [$export_array [$exportcounter] ["MWST"]];
						} else {
							$export_array [$exportcounter] ["Sollkonto"] = $export_posten_einzeln_array ["Buchungskonto"];
						}
						
						// Habenkonto ist Buchungskonto des Lieferanten
						$export_array [$exportcounter] ["Habenkonto"] = $kontakt_field ["dtBuchhaltungKontoLieferant"];
						
						// $export_array[$exportcounter]["Buchungstext"] = "ER Nr. " . $field_rechnung["dtRechnungNrIntern"] . " - " . $kontakt_field["dtKontaktDDText2"] . " ";
						// $export_array[$exportcounter]["Buchungstext"] .= $buchungskonto_field["dtKontoBezeichnung"] . " - " . $export_posten_einzeln_array["Buchungstext"];
						$export_array [$exportcounter] ["Buchungstext"] = "ER " . $export_posten_einzeln_array ["Buchungstext"] . " - ";
						$export_array [$exportcounter] ["Buchungstext"] .= $kontakt_field ["dtKontaktDDText2"] . " - " . $buchungskonto_field ["dtKontoBezeichnung"];
						
						// immer positiven Betrag senden -> ggf. Konten umdrehen
						if ($export_posten_einzeln_array ["Buchungsbetrag"] < 0) {
							$tausch_var = $export_array [$exportcounter] ["Sollkonto"];
							$export_array [$exportcounter] ["Sollkonto"] = $export_array [$exportcounter] ["Habenkonto"];
							$export_array [$exportcounter] ["Habenkonto"] = $tausch_var;
						}
						
						// ER-Schlssel je nach MWST
						if ($export_array [$exportcounter] ["MWST"] == 19) {
							$export_array [$exportcounter] ["ER-Schluessel"] = 9;
						} else if ($export_array [$exportcounter] ["MWST"] == 7) {
							$export_array [$exportcounter] ["ER-Schluessel"] = 8;
						} else {
							$export_array [$exportcounter] ["ER-Schluessel"] = "";
						}
					}
				}
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++
		// ++++ Nullbuchungen entfernen
		unset ( $export_array_neu );
		foreach ( ( array ) $export_array as $key => $zeile ) {
			if ($zeile ["Buchungsbetrag"] != 0) {
				$export_array_neu [] = $zeile;
			}
		}
		$export_array = $export_array_neu;
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Kontoumstze
	if ($field_new ["export_umsaetze"] == 1) {
		
		$query = $sql_query ["umsatzliste"] . " and ($tblbankumsatz.dtUmsatzGebucht = 0 or isnull($tblbankumsatz.dtUmsatzGebucht)) ";
		$query .= " and $tblbankumsatz.dtValutaDatum <= '" . $field_new ["export_datum"] . "'";
		$query .= " order by $tblbankumsatz.dtValutaDatum";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_umsaetze ) {
				
				if ($field_umsaetze ["dtUmsatzDifferenz"] == 0) {
					
					$exportcounter ++;
					$export_umsatz_id [] = $field_umsaetze ["Umsatz_id"];
					$export_array [$exportcounter] ["Belegdatum"] = date_from_sql ( $field_umsaetze ["dtValutaDatum"] );
					$export_array [$exportcounter] ["Buchungsbetrag"] = str_replace ( ".", "", double_from_sql ( abs ( $field_umsaetze ["dtValutaBetrag"] ), 2 ) );
					$export_array [$exportcounter] ["Waehrung"] = $standard_waehrung;
					$export_array [$exportcounter] ["Sollspalte"] = "S";
					
					if ($field_umsaetze ["dtUmsatzBemerkung"] != "") {
						$field_umsaetze ["dtUmsatzBemerkung"] = " - " . $field_umsaetze ["dtUmsatzBemerkung"];
					}
					
					// Mwst ist Mwst des Buchungskontos
					$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = '" . $field_umsaetze ["fiBuchungsKonto"] . "'";
					$buchungskonto_field = get_table_row ( $query );
					if ($buchungskonto_field ["dtBuchungsKontoMwst"] != - 1) {
						$export_array [$exportcounter] ["MWST"] = $buchungskonto_field ["dtBuchungsKontoMwst"];
					}
					
					// Sollkonto ist Buchungskonto des Bankkontos
					$query = $sql_query ["bankkontenliste"] . " and $tblbankkonten.id = '" . $field_umsaetze ["fiBankKonto"] . "'";
					$bankkonto_field = get_table_row ( $query );
					
					$export_array [$exportcounter] ["Sollkonto"] = $bankkonto_field ["dtBuchhaltungKonto"];
					
					// Habenkonto ist Buchungskonto des Kunden/Lieferanten oder das Konto, das beim Konto-Umsatz angegeben wurde
					if ($field_umsaetze ["fiRechnung"] != 0 and $field_umsaetze ["fiRechnung"] != "") {
						
						$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_umsaetze ["fiLieferant"] . "'";
						$kontakt_field = get_table_row ( $query );
						
						$export_array [$exportcounter] ["Habenkonto"] = $kontakt_field ["dtBuchhaltungKontoLieferant"];
						$export_array [$exportcounter] ["Buchungstext"] = "Umsatz Nr. " . $field_umsaetze ["Umsatz_id"] . " - Zahlung zu ER Nr. " . $field_umsaetze ["dtRechnungNrIntern"] . " - " . $kontakt_field ["dtKontaktDDText2"] . $field_umsaetze ["dtUmsatzBemerkung"];
						$export_array [$exportcounter] ["Belegnummer"] = $field_umsaetze ["dtRechnungNrIntern"];
					} elseif ($field_umsaetze ["fiBeleg"] != 0 and $field_umsaetze ["fiBeleg"] != "") {
						
						$query = $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $field_umsaetze ["fiKunde"] . "'";
						$kontakt_field = get_table_row ( $query );
						
						$export_array [$exportcounter] ["Habenkonto"] = $kontakt_field ["dtBuchhaltungKontoKunde"];
						$export_array [$exportcounter] ["Buchungstext"] = "Umsatz Nr. " . $field_umsaetze ["Umsatz_id"] . " - Zahlung zu AR Nr. " . $field_umsaetze ["dtBelegNr"] . " - " . $kontakt_field ["dtKontaktDDText2"] . $field_umsaetze ["dtUmsatzBemerkung"];
						$export_array [$exportcounter] ["Belegnummer"] = $field_umsaetze ["dtBelegNr"];
					} else {
						
						$export_array [$exportcounter] ["Habenkonto"] = $buchungskonto_field ["dtBuchhaltungKonto"];
						$export_array [$exportcounter] ["Buchungstext"] = "Umsatz Nr. " . $field_umsaetze ["Umsatz_id"] . " - Zahlung - " . $buchungskonto_field ["dtKontoBezeichnung"] . $field_umsaetze ["dtUmsatzBemerkung"];
						$export_array [$exportcounter] ["Belegnummer"] = "";
					}
					
					// immer positiven Betrag senden -> ggf. Konten umdrehen
					if ($field_umsaetze ["dtValutaBetrag"] < 0) {
						$tausch_var = $export_array [$exportcounter] ["Sollkonto"];
						$export_array [$exportcounter] ["Sollkonto"] = $export_array [$exportcounter] ["Habenkonto"];
						$export_array [$exportcounter] ["Habenkonto"] = $tausch_var;
					}
					
					// ER-Schlssel je nach MWST
					// if ($export_array[$exportcounter]["MWST"] == 19) {
					// $export_array[$exportcounter]["ER-Schluessel"] = 9;
					// } else if ($export_array[$exportcounter]["MWST"] == 7) {
					// $export_array[$exportcounter]["ER-Schluessel"] = 8;
					// } else {
					// $export_array[$exportcounter]["ER-Schluessel"] = "";
					// }
					$export_array [$exportcounter] ["ER-Schluessel"] = ( int ) $buchungskonto_field ["dtSteuerschluessel"];
				}
			}
		}
		
		// ++++++++++++++++++++++++++++++++++++++
		// ++++ Nullbuchungen entfernen
		unset ( $export_array_neu );
		foreach ( ( array ) $export_array as $key => $zeile ) {
			if ($zeile ["Buchungsbetrag"] != 0) {
				$export_array_neu [] = $zeile;
			}
		}
		$export_array = $export_array_neu;
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Dateinamen erzeugen
	$dateiname = "export_" . $field_new ["export_ziel"] . "_";
	if ($field_new ["export_belege"] == 1) {
		$dateiname .= "b";
	}
	if ($field_new ["export_belegmahnschritte"] == 1) {
		$dateiname .= "g";
	}
	if ($field_new ["export_rechnungen"] == 1) {
		$dateiname .= "r";
	}
	if ($field_new ["export_umsaetze"] == 1) {
		$dateiname .= "k";
	}
	$dateiname .= "_" . $field_new ["export_datum"] . ".csv";
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Datei erzeugen
	if ($field_new ["export_ziel"] == "datev") {
		
		$reihenfolge_array = array (
				"Sollkonto",
				"Habenkonto",
				"Belegdatum",
				"Belegnummer",
				"Buchungstext",
				"Buchungsbetrag",
				"MWST",
				"Waehrung",
				"Sollspalte",
				"ER-Schluessel" 
		);
		$export_array = array_strings_kuerzen ( $export_array, 30 );
		$exportstring = csv_erzeugen ( $export_array, $reihenfolge_array, $reihenfolge_array, "" );
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe Exportergebnis
	if ($exportstring != "") {
		$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/" . $dateiname, 'w' );
		fwrite ( $exportdatei, stripslashes ( $exportstring ) );
		fclose ( $exportdatei );
		echo "<br><span style=\"color: $bgcolor_statistikbalken_gruen;\">Es wurden " . $exportcounter . " Buchungsstze exportiert</span><br><br>";
	} else {
		echo "<br><span style=\"color: $bgcolor_statistikbalken_rot;\">Fehler beim Export!</span><br><br>";
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ ERP Exportdatei erzeugen (fr sptere Besttigung -> auf "gebucht" setzen)
	$export_beleg_id = array_unique ( ( array ) $export_beleg_id );
	foreach ( ( array ) $export_beleg_id as $key => $zeile ) {
		$erp_b_exportstring .= $zeile . "\n";
	}
	$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/erp_b_" . $dateiname, 'w' );
	fwrite ( $exportdatei, stripslashes ( $erp_b_exportstring ) );
	fclose ( $exportdatei );
	
	$export_belegmahnschirtt_id = array_unique ( ( array ) $export_belegmahnschirtt_id );
	foreach ( ( array ) $export_belegmahnschirtt_id as $key => $zeile ) {
		$erp_m_exportstring .= $zeile . "\n";
	}
	$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/erp_g_" . $dateiname, 'w' );
	fwrite ( $exportdatei, stripslashes ( $erp_m_exportstring ) );
	fclose ( $exportdatei );
	
	$export_rechnung_id = array_unique ( ( array ) $export_rechnung_id );
	foreach ( ( array ) $export_rechnung_id as $key => $zeile ) {
		$erp_r_exportstring .= $zeile . "\n";
	}
	$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/erp_r_" . $dateiname, 'w' );
	fwrite ( $exportdatei, stripslashes ( $erp_r_exportstring ) );
	fclose ( $exportdatei );
	
	$export_umsatz_id = array_unique ( ( array ) $export_umsatz_id );
	foreach ( ( array ) $export_umsatz_id as $key => $zeile ) {
		$erp_k_exportstring .= $zeile . "\n";
	}
	$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/erp_k_" . $dateiname, 'w' );
	fwrite ( $exportdatei, stripslashes ( $erp_k_exportstring ) );
	fclose ( $exportdatei );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ besttigen des Export der Buchungen
} else if ($field_new ["export_buchungen"] == 1 and $exportdatei_buchungen_vorhanden == 1) {
	
	// ++++ setze alle Belege auf "gebucht"
	unset ( $update_array );
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/erp_b_*.csv" ) as $filename ) {
		if (filesize ( $filename ) > 0) {
			
			$exportdatei = fopen ( $filename, 'r' );
			$exportdatei_string = fread ( $exportdatei, filesize ( $filename ) );
			fclose ( $exportdatei );
			
			$export_belege_zeilen = explode ( "\n", $exportdatei_string );
			
			if (is_array ( $export_belege_zeilen )) {
				foreach ( $export_belege_zeilen as $key => $beleg_id ) {
					if ($beleg_id != "") {
						
						$update_array ["dtGebucht"] = 1;
						update_into_table ( $tblbelege, $beleg_id, $update_array );
					}
				}
			}
		}
	}
	
	// ++++ setze alle Beleg-Mahnschritte auf "gebucht"
	unset ( $update_array );
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/erp_g_*.csv" ) as $filename ) {
		if (filesize ( $filename ) > 0) {
			
			$exportdatei = fopen ( $filename, 'r' );
			$exportdatei_string = fread ( $exportdatei, filesize ( $filename ) );
			fclose ( $exportdatei );
			
			$export_belegmahnschritte_zeilen = explode ( "\n", $exportdatei_string );
			
			if (is_array ( $export_belegmahnschritte_zeilen )) {
				foreach ( $export_belegmahnschritte_zeilen as $key => $belegmahnschritt_id ) {
					if ($belegmahnschritt_id != "") {
						
						$update_array ["dtMahnschrittGebucht"] = 1;
						update_into_table ( $tblbelegmahnschritte, $belegmahnschritt_id, $update_array );
					}
				}
			}
		}
	}
	
	// ++++ setze alle Rechnungen auf "gebucht"
	unset ( $update_array );
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/erp_r_*.csv" ) as $filename ) {
		if (filesize ( $filename ) > 0) {
			
			$exportdatei = fopen ( $filename, 'r' );
			$exportdatei_string = fread ( $exportdatei, filesize ( $filename ) );
			fclose ( $exportdatei );
			
			$export_rechnungen_zeilen = explode ( "\n", $exportdatei_string );
			
			if (is_array ( $export_rechnungen_zeilen )) {
				foreach ( $export_rechnungen_zeilen as $key => $rechnung_id ) {
					if ($rechnung_id != "") {
						
						$update_array ["dtGebucht"] = 1;
						update_into_table ( $tblrechnungen, $rechnung_id, $update_array );
					}
				}
			}
		}
	}
	
	// ++++ setze alle Umstze auf "gebucht"
	unset ( $update_array );
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/erp_k_*.csv" ) as $filename ) {
		if (filesize ( $filename ) > 0) {
			
			$exportdatei = fopen ( $filename, 'r' );
			$exportdatei_string = fread ( $exportdatei, filesize ( $filename ) );
			fclose ( $exportdatei );
			
			$export_konto_zeilen = explode ( "\n", $exportdatei_string );
			
			if (is_array ( $export_konto_zeilen )) {
				foreach ( $export_konto_zeilen as $key => $kontoumsatz_id ) {
					if ($kontoumsatz_id != "") {
						
						$update_array ["dtUmsatzGebucht"] = 1;
						update_into_table ( $tblbankumsatz, $kontoumsatz_id, $update_array );
					}
				}
			}
		}
	}
	
	// ++++ benenne Exportdatei um -> Archiv
	$filename_array_b = glob ( $dateipfad . "/" . $buchungsexportordner . "/export_*_*b*_*.csv" );
	$filename_array_g = glob ( $dateipfad . "/" . $buchungsexportordner . "/export_*_*g*_*.csv" );
	$filename_array_r = glob ( $dateipfad . "/" . $buchungsexportordner . "/export_*_*r*_*.csv" );
	$filename_array_k = glob ( $dateipfad . "/" . $buchungsexportordner . "/export_*_*k*_*.csv" );
	
	foreach ( array_unique ( array_merge ( $filename_array_b, $filename_array_r, $filename_array_k ) ) as $filename ) {
		
		$dateiname = substr ( basename ( $filename ), 0, - 4 );
		
		if (is_file ( $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . ".csv" )) {
			$filecounter = 1;
			while ( is_file ( $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . "_" . $filecounter . ".csv" ) ) {
				$filecounter ++;
			}
			rename ( $filename, $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . "_" . $filecounter . ".csv" );
		} else {
			rename ( $filename, $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . ".csv" );
		}
	}
	
	// ++++ lsche ERP-Exportdateien
	file_delete_wildcard ( $dateipfad . "/" . $buchungsexportordner . "/erp_b_*.csv" );
	file_delete_wildcard ( $dateipfad . "/" . $buchungsexportordner . "/erp_g_*.csv" );
	file_delete_wildcard ( $dateipfad . "/" . $buchungsexportordner . "/erp_r_*.csv" );
	file_delete_wildcard ( $dateipfad . "/" . $buchungsexportordner . "/erp_k_*.csv" );
	
	$subid = "";
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge neuen Export der Kontakte
} else if ($field_new ["export_kontakte"] == 1 and $exportdatei_kontakte_vorhanden != 1) {
	
	$exportcounter = 0;
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Kontakte
	if ($field_new ["export_kontakte"] == 1) {
		
		$query = $sql_query ["kontaktliste"];
		if ($export_art == 0) {
			$query .= " and $tblkontakte.dtKontaktGebucht = 0 ";
		}
		$query .= " and $tblkontakte.dtIstKunde = 1";
		$query .= " order by $tblkontakte.dtKontaktNr";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_kontakte ) {
				
				$exportcounter ++;
				$export_kontakt_id [] = $field_kontakte ["Kontakte_id"];
				
				$export_array [$exportcounter] ["KontaktNr"] = $field_kontakte ["dtKontaktNr"];
				$export_array [$exportcounter] ["Kontoname"] = $field_kontakte ["dtKontaktDDText"];
				$export_array [$exportcounter] ["Firma"] = $field_kontakte ["dtFirmenname"];
				$export_array [$exportcounter] ["Firmenzusatz"] = $field_kontakte ["dtNamenszusatz"];
				$export_array [$exportcounter] ["Nachname"] = $field_kontakte ["dtNachname"];
				$export_array [$exportcounter] ["Vorname"] = $field_kontakte ["dtVorname"];
				$export_array [$exportcounter] ["Strasse"] = $field_kontakte ["dtStrasse"];
				$export_array [$exportcounter] ["PLZ"] = $field_kontakte ["dtPLZ"];
				$export_array [$exportcounter] ["Ort"] = $field_kontakte ["dtOrt"];
				$export_array [$exportcounter] ["Land"] = $field_kontakte ["dtLandesname"];
				$export_array [$exportcounter] ["Typ"] = "Kunde";
				$export_array [$exportcounter] ["Buchungskonto"] = $field_kontakte ["dtBuchhaltungKontoKunde"];
				
				$export_array [$exportcounter] ["Anrede"] = $field_kontakte ["dtAnrede"];
				$export_array [$exportcounter] ["Telefon"] = $field_kontakte ["dtTelefon"];
				$export_array [$exportcounter] ["Telefax"] = $field_kontakte ["dtFax"];
				$export_array [$exportcounter] ["Email"] = $field_kontakte ["dtEmail"];
				$export_array [$exportcounter] ["PLZ-Postfach"] = $field_kontakte ["dtPostfach"];
				$export_array [$exportcounter] ["Postfach"] = $field_kontakte ["dtPostfachOrt"];
				$export_array [$exportcounter] ["Bankname"] = $field_kontakte ["dtBankName"];
				$export_array [$exportcounter] ["Bankkonto"] = $field_kontakte ["dtBankKontoNummer"];
				$export_array [$exportcounter] ["BLZ"] = $field_kontakte ["dtBankLeitZahl"];
				$export_array [$exportcounter] ["IBAN"] = $field_kontakte ["dtBankIBAN"];
				$export_array [$exportcounter] ["BIC"] = $field_kontakte ["dtBankBIC"];
				$export_array [$exportcounter] ["VAT"] = $field_kontakte ["dtVAT"];
			}
		}
		
		$query = $sql_query ["kontaktliste"];
		if ($export_art == 0) {
			$query .= " and $tblkontakte.dtKontaktGebucht = 0 ";
		}
		$query .= " and $tblkontakte.dtIstLieferant = 1";
		$query .= " order by $tblkontakte.dtKontaktNr";
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_kontakte ) {
				
				$exportcounter ++;
				$export_kontakt_id [] = $field_kontakte ["Kontakte_id"];
				
				$export_array [$exportcounter] ["KontaktNr"] = $field_kontakte ["dtKontaktNr"];
				$export_array [$exportcounter] ["Kontoname"] = $field_kontakte ["dtKontaktDDText"];
				$export_array [$exportcounter] ["Firma"] = $field_kontakte ["dtFirmenname"];
				$export_array [$exportcounter] ["Firmenzusatz"] = $field_kontakte ["dtNamenszusatz"];
				$export_array [$exportcounter] ["Nachname"] = $field_kontakte ["dtNachname"];
				$export_array [$exportcounter] ["Vorname"] = $field_kontakte ["dtVorname"];
				$export_array [$exportcounter] ["Strasse"] = $field_kontakte ["dtStrasse"];
				$export_array [$exportcounter] ["PLZ"] = $field_kontakte ["dtPLZ"];
				$export_array [$exportcounter] ["Ort"] = $field_kontakte ["dtOrt"];
				$export_array [$exportcounter] ["Land"] = $field_kontakte ["dtLandesname"];
				$export_array [$exportcounter] ["Typ"] = "Lieferant";
				$export_array [$exportcounter] ["Buchungskonto"] = $field_kontakte ["dtBuchhaltungKontoLieferant"];
				
				$export_array [$exportcounter] ["Anrede"] = $field_kontakte ["dtAnrede"];
				$export_array [$exportcounter] ["Telefon"] = $field_kontakte ["dtTelefon"];
				$export_array [$exportcounter] ["Telefax"] = $field_kontakte ["dtFax"];
				$export_array [$exportcounter] ["Email"] = $field_kontakte ["dtEmail"];
				$export_array [$exportcounter] ["PLZ-Postfach"] = $field_kontakte ["dtPostfach"];
				$export_array [$exportcounter] ["Postfach"] = $field_kontakte ["dtPostfachOrt"];
				$export_array [$exportcounter] ["Bankname"] = $field_kontakte ["dtBankName"];
				$export_array [$exportcounter] ["Bankkonto"] = $field_kontakte ["dtBankKontoNummer"];
				$export_array [$exportcounter] ["BLZ"] = $field_kontakte ["dtBankLeitZahl"];
				$export_array [$exportcounter] ["IBAN"] = $field_kontakte ["dtBankIBAN"];
				$export_array [$exportcounter] ["BIC"] = $field_kontakte ["dtBankBIC"];
				$export_array [$exportcounter] ["VAT"] = $field_kontakte ["dtVAT"];
			}
		}
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Dateinamen erzeugen
	$dateiname = "export_" . $field_new ["export_ziel"] . "_";
	if ($field_new ["export_kontakte"] == 1) {
		$dateiname .= "m";
	}
	$dateiname .= "_" . $aktdatum . ".csv";
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Datei erzeugen
	if ($field_new ["export_ziel"] == "datev") {
		
		$reihenfolge_array = array (
				"Buchungskonto",
				"Firma",
				"Firmenzusatz",
				"Nachname",
				"Vorname",
				"Strasse",
				"PLZ",
				"Ort",
				"Land",
				"Typ",
				"KontaktNr",
				"VAT" 
		);
		$export_array = array_strings_kuerzen ( $export_array, 30 );
		$exportstring = csv_erzeugen ( $export_array, $reihenfolge_array, $reihenfolge_array, "" );
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe Exportergebnis
	if ($exportstring != "") {
		$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/" . $dateiname, 'w' );
		fwrite ( $exportdatei, stripslashes ( $exportstring ) );
		fclose ( $exportdatei );
		echo "<br><span style=\"color: $bgcolor_statistikbalken_gruen;\">Es wurden " . $exportcounter . " Buchungsstze exportiert</span><br><br>";
	} else {
		echo "<br><span style=\"color: $bgcolor_statistikbalken_rot;\">Fehler beim Export!</span><br><br>";
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ ERP Exportdatei erzeugen (fr sptere Besttigung -> auf "gebucht" setzen)
	$export_kontakt_id = array_unique ( ( array ) $export_kontakt_id );
	foreach ( ( array ) $export_kontakt_id as $key => $zeile ) {
		$erp_m_exportstring .= $zeile . "\n";
	}
	$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/erp_m_" . $dateiname, 'w' );
	fwrite ( $exportdatei, stripslashes ( $erp_m_exportstring ) );
	fclose ( $exportdatei );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ besttigen des Export der Kontakte
} else if ($field_new ["export_kontakte"] == 1 and $exportdatei_kontakte_vorhanden == 1) {
	
	// ++++ setze alle Kontakte auf "gebucht"
	unset ( $update_array );
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/erp_m_*.csv" ) as $filename ) {
		if (filesize ( $filename ) > 0) {
			
			$exportdatei = fopen ( $filename, 'r' );
			$exportdatei_string = fread ( $exportdatei, filesize ( $filename ) );
			fclose ( $exportdatei );
			
			$export_kontakte_zeilen = explode ( "\n", $exportdatei_string );
			
			if (is_array ( $export_kontakte_zeilen )) {
				foreach ( $export_kontakte_zeilen as $key => $kontakt_id ) {
					if ($kontakt_id != "") {
						
						$update_array ["dtKontaktGebucht"] = 1;
						update_into_table ( $tblkontakte, $kontakt_id, $update_array );
					}
				}
			}
		}
	}
	
	// ++++ benenne Exportdatei um -> Archiv
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/export_*_*m*_*.csv" ) as $filename ) {
		
		$dateiname = substr ( basename ( $filename ), 0, - 4 );
		
		if (is_file ( $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . ".csv" )) {
			$filecounter = 1;
			while ( is_file ( $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . "_" . $filecounter . ".csv" ) ) {
				$filecounter ++;
			}
			rename ( $filename, $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . "_" . $filecounter . ".csv" );
		} else {
			rename ( $filename, $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . ".csv" );
		}
	}
	
	// ++++ lsche ERP-Exportdateien
	file_delete_wildcard ( $dateipfad . "/" . $buchungsexportordner . "/erp_m_*.csv" );
	
	$subid = "";
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ erzeuge neuen Export der Buchungskonten
} else if ($field_new ["export_buchungskonten"] == 1 and $exportdatei_buchungskonten_vorhanden != 1) {
	
	$exportcounter = 0;
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Buchungskonten
	if ($field_new ["export_buchungskonten"] == 1) {
		
		$query = $sql_query ["buchungskontenliste"];
		
		$liste = get_table_array ( $query );
		
		if (count ( $liste ) != 0) {
			foreach ( $liste as $listenzeile_id => $field_buchungskonten ) {
				
				$exportcounter ++;
				$export_bk_id [] = $field_buchungskonten ["Buchungskonto_id"];
				
				$export_array [$exportcounter] ["KontoID"] = $field_buchungskonten ["dtKontoID"];
				$export_array [$exportcounter] ["BuchhaltungKonto"] = $field_buchungskonten ["dtBuchhaltungKonto"];
				$export_array [$exportcounter] ["KontoBezeichnung"] = $field_buchungskonten ["dtKontoBezeichnung"];
				$export_array [$exportcounter] ["KontoBemerkung"] = $field_buchungskonten ["dtKontoBemerkung"];
			}
		}
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Dateinamen erzeugen
	$dateiname = "export_" . $field_new ["export_ziel"] . "_";
	if ($field_new ["export_buchungskonten"] == 1) {
		$dateiname .= "z";
	}
	$dateiname .= "_" . $aktdatum . ".csv";
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Datei erzeugen
	if ($field_new ["export_ziel"] == "datev") {
		
		$reihenfolge_array = array (
				"KontoID",
				"BuchhaltungKonto",
				"KontoBezeichnung",
				"KontoBemerkung" 
		);
		$export_array = array_strings_kuerzen ( $export_array, 30 );
		$exportstring = csv_erzeugen ( $export_array, $reihenfolge_array, $reihenfolge_array, "" );
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ Ausgabe Exportergebnis
	if ($exportstring != "") {
		$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/" . $dateiname, 'w' );
		fwrite ( $exportdatei, stripslashes ( $exportstring ) );
		fclose ( $exportdatei );
		echo "<br><span style=\"color: $bgcolor_statistikbalken_gruen;\">Es wurden " . $exportcounter . " Buchungsstze exportiert</span><br><br>";
	} else {
		echo "<br><span style=\"color: $bgcolor_statistikbalken_rot;\">Fehler beim Export!</span><br><br>";
	}
	
	// ++++++++++++++++++++++++++++++++++++++
	// ++++ ERP Exportdatei erzeugen (fr sptere Besttigung -> auf "gebucht" setzen)
	$export_bk_id = array_unique ( ( array ) $export_bk_id );
	foreach ( ( array ) $export_bk_id as $key => $zeile ) {
		$erp_z_exportstring .= $zeile . "\n";
	}
	$exportdatei = fopen ( $dateipfad . "/" . $buchungsexportordner . "/erp_z_" . $dateiname, 'w' );
	fwrite ( $exportdatei, stripslashes ( $erp_z_exportstring ) );
	fclose ( $exportdatei );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ besttigen des Export der Buchungskonten
} else if ($field_new ["export_buchungskonten"] == 1 and $exportdatei_buchungskonten_vorhanden == 1) {
	
	// ++++ benenne Exportdatei um -> Archiv
	foreach ( glob ( $dateipfad . "/" . $buchungsexportordner . "/export_*_*z*_*.csv" ) as $filename ) {
		
		$dateiname = substr ( basename ( $filename ), 0, - 4 );
		
		if (is_file ( $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . ".csv" )) {
			$filecounter = 1;
			while ( is_file ( $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . "_" . $filecounter . ".csv" ) ) {
				$filecounter ++;
			}
			rename ( $filename, $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . "_" . $filecounter . ".csv" );
		} else {
			rename ( $filename, $dateipfad . "/" . $buchungsexportordnerarchiv . "/archiv_" . $dateiname . ".csv" );
		}
	}
	
	// ++++ lsche ERP-Exportdateien
	file_delete_wildcard ( $dateipfad . "/" . $buchungsexportordner . "/erp_z_*.csv" );
	
	$subid = "";
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
