<?php
$exportziel_array = array ();
$exportziel_array ["datev"] = "Datev CSV";

$listenname = "bilanz";
$listenhoehe = 360;
$listenhoehe_archiv = 170;

$datum_vormonat_bis = split_date ( date ( "Y-m-d", mktime ( 0, 0, 0, $aktmonat, 0, $aktjahr ) ) );
$datum_export_bis = concat_date ( $datum_vormonat_bis ["tag"], $datum_vormonat_bis ["monat"], $datum_vormonat_bis ["jahr"] );

// ++++ prfe auf vorhandene Ordnerdatei
if (($dh = opendir ( $dateipfad . "/" . $buchungsexportordner )) !== false) {
	while ( ($entry = readdir ( $dh )) !== false ) {
		if (substr ( $entry, 0, 7 ) == "export_") {
			
			$subid = $entry;
			
			$dateiname_array = explode ( "_", substr ( $entry, 0, - 4 ) );
			$exportziel = $dateiname_array [1];
			
			if (! (strpos ( $dateiname_array [2], "b" ) === false)) {
				$export_belege = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "g" ) === false)) {
				$export_belegmahnschritte = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "r" ) === false)) {
				$export_rechnungen = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "k" ) === false)) {
				$export_umsaetze = 1;
				$exportdatei_buchungen_vorhanden = 1;
				$exportdatei_buchungen = $entry;
				$datum_buchungen_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "m" ) === false)) {
				$export_kontakte = 1;
				$exportdatei_kontakte_vorhanden = 1;
				$exportdatei_kontakte = $entry;
				$datum_kontakte_export_bis = $dateiname_array [3];
			}
			
			if (! (strpos ( $dateiname_array [2], "z" ) === false)) {
				$export_buchungskonten = 1;
				$exportdatei_buchungskonten_vorhanden = 1;
				$exportdatei_buchungskonten = $entry;
				$datum_buchungskonten_export_bis = $dateiname_array [3];
			}
		}
	}
}
closedir ( $dh );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Bilanzexport anzeigen

include ("$elementsordner/$subtarget/bilanzexportbuchungenformular.php");
include ("$elementsordner/$subtarget/bilanzexportkontakteformular.php");
include ("$elementsordner/$subtarget/bilanzexportbuchungskontenformular.php");

include ("$elementsordner/$subtarget/bilanzexportarchivformular.php");

?>
