<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

$field_new = remove_id_from_post_fields ( $field_new, "__" );

$field_new ["dtArtikelVariantenPreisdiffVK1"] = double_to_sql ( $field_new ["dtArtikelVariantenPreisdiffVK1"] );
$field_new ["dtArtikelVariantenPreisdiffVK2"] = double_to_sql ( $field_new ["dtArtikelVariantenPreisdiffVK2"] );
$field_new ["dtArtikelVariantenPreisdiffVK3"] = double_to_sql ( $field_new ["dtArtikelVariantenPreisdiffVK3"] );
$field_new ["dtArtikelVariantenPreisdiffVK4"] = double_to_sql ( $field_new ["dtArtikelVariantenPreisdiffVK4"] );
$field_new ["dtArtikelVariantenPreisdiffVK5"] = double_to_sql ( $field_new ["dtArtikelVariantenPreisdiffVK5"] );

$field_new ["Lieferant_EK"] = double_to_sql ( $field_new ["Lieferant_EK"] );

$field_new ["dtArtikelVarianteAktiv"] = ( int ) $field_new ["dtArtikelVarianteAktiv"];

$lieferant = array ();
$hersteller = array ();

foreach ( $field_new as $key => $value ) {
	if (strpos ( $key, "Lieferant_" ) !== false) {
		$lieferant [$key] = $value;
	}
}

foreach ( $field_new as $key => $value ) {
	if (strpos ( $key, "Hersteller_" ) !== false) {
		$hersteller [$key] = $value;
	}
}

$field_new ["dtArtikelVarianteLieferantenInfo"] = serialize ( $lieferant );
$field_new ["dtArtikelVarianteHerstellerInfo"] = serialize ( $hersteller );

check_fehlermeldung_output ( check_nozero ( $field_new ["dtArtikelVariantenNr"] ), 3, "Nr", $target, $typ, $id, $subtarget, "show", $subid );
check_fehlermeldung_output ( check_nozero ( $field_new ["dtArtikelVariantenName"] ), 3, "Name", $target, $typ, $id, $subtarget, "show", $subid );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ schreibe neuen Datensatz, wenn es ein neuer Eintrag ist
if ($subid == "neu") {
	$subid = insert_into_table ( $tblartikelvarianten, $field_new );
	
	// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ sonst ndere bestehenden Datensatz
} else {
	update_into_table ( $tblartikelvarianten, $subid, $field_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige die Subliste zur Kontaktliste
$subtyp = "show";
include ($targetsordner . "/" . $subtarget . "/show.php");

?>
