<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Liste formatieren
$oListe = getListeObject ( "mailarchiv", true );
$oListe->addSpalte ( new Listenspalte ( "Von", "Absender", 250, true ) );
$oListe->addSpalte ( new Listenspalte ( "An", "Empfaenger", 250, true ) );
$oListe->addSpalte ( new Listenspalte ( "Betreff", "Betreff", 300, true ) );
$oListe->addSpalte ( new Listenspalte ( "Datum", "DateTime", 120, true ) );
$oListe->addSpalte ( new ListenspalteButton ( "ButtonAnzeigen", 80 ) );

// ++++++++++++++++++++++++++++++++
// +++++++++++ Vorbereitung der Filter
if (isset ( $_POST ['emailabsender'] ) && $_POST ['emailabsender'] != "------------------") {
	$filter [$target] ["textfilter_absender"] = $_POST ['emailabsender'];
	
	// speicher Filterwert aus Dropdownbox in Textfilter-Zeile
	$benutzer_row ["dtArrayFilterAktuell"] = serialize ( $filter );
	replace_into_table ( $tblsession, $benutzer_row );
}

if (isset ( $_POST ['emailempfaenger'] ) && $_POST ['emailempfaenger'] != "------------------") {
	$filter [$target] ["textfilter_empfaenger"] = $_POST ['emailempfaenger'];
	
	// speicher Filterwert aus Dropdownbox in Textfilter-Zeile
	$benutzer_row ["dtArrayFilterAktuell"] = serialize ( $filter );
	replace_into_table ( $tblsession, $benutzer_row );
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Filter
include ("$elementsordner/$target/mailarchivfilter.php");

/*
 * Falls Benutzerrechte eine weitere Filterung erfordern
 */
$benutzer_kontakt = get_table_row ( $sql_query ["kontaktliste"] . " and $tblkontakte.id = '" . $benutzer_row ['fiUserNr'] . "'" );
$emailadresse_filtern = $benutzer_kontakt ["dtEmail"];

// ++++++++++++++++++++++++++++++++
// +++++++++++ Benno-Objekt erstellen
if ($benno_aktiv) {
	
	try {
		$benno = new Benno ();
		$benno->baseurl = $benno_url;
		$benno->login ( $benno_username, $benno_password );
		
		// +++++++++++ Liste
		include ("$elementsordner/$target/mailarchivliste.php");
		$oListe->output ( $anzahl_ausgabe, $anzahl_gesamt );
		
		// +++++++++++ Destruktor
		unset ( $benno );
	} 

	catch ( Exception $e ) {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 50, "<br>" . $e->getMessage () . "<br>Bitte berprfen Sie die Einstellungen unter konfiguration->OpenBenno" );
		throw $fehler;
	}
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ Ausgabe Fehlermeldung
} else {
	
	fehlerausgabe ( 50, "Die OpenBenno-Schnittstelle ist inaktiv<br>Bitte aktivieren Sie die Schnittstelle unter konfiguration->OpenBenno", "meldungbox" );
}

?>