<?php
$show_fields = array (
		"Dateiname",
		"Groesse",
		"ButtonAnzeigen" 
);
$field_headlines = array (
		"Dateiname",
		"Gr&ouml;&szlig;e",
		"" 
);
$field_width = array (
		300,
		500,
		90 
);
$field_colors = array (
		"",
		"",
		"" 
);
$field_sort_options = array (
		"nosort",
		"nosort",
		"" 
);

if ($benno_aktiv) {
	/*
	 * Benno
	 */
	$benno = new Benno ();
	$benno->baseurl = $benno_url;
	$benno->login ( $benno_username, $benno_password );
	
	$emailmime = $benno->get ( $id );
	
	/*
	 * mime_parser
	 */
	$mime = new mime_parser_class ();
	$mime->mbox = 0; // Kein mbox Format
	
	$parameters = array ();
	$message = array ();
	
	$parameters ['Data'] = $emailmime;
	$mime->Decode ( $parameters, $message ); // Dekodieren
	
	/*
	 * Betreff
	 */
	if (isset ( $message [0] ['DecodedHeaders'] ['subject:'] [0] [0] ['Value'] )) {
		$betreff = _utf8_decode ( $message [0] ['DecodedHeaders'] ['subject:'] [0] [0] ['Value'] );
	} else {
		$betreff = _utf8_decode ( $message [0] ['Headers'] ['subject:'] );
	}
	
	/*
	 * From, To, CC, BCC
	 */
	$von_text_array = array ();
	$an_text_array = array ();
	$cc_text_array = array ();
	$bcc_text_array = array ();
	
	$absender = utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['from:'] );
	$empfaenger = utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['to:'] );
	$cc = utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['cc:'] );
	$bcc = utf8_array_decode ( $message [0] ['ExtractedAddresses'] ['bcc:'] );
	
	if (is_array ( $absender )) {
		foreach ( $absender as $sender ) {
			$von_text_array [] = $sender ['name'] . " &lt;<a href=\"mailto:" . $sender ['address'] . "\"><u>" . $sender ['address'] . "</u></a>&gt;";
		}
	}
	
	if (is_array ( $empfaenger )) {
		foreach ( $empfaenger as $sender ) {
			$an_text_array [] = $sender ['name'] . " &lt;<a href=\"mailto:" . $sender ['address'] . "\"><u>" . $sender ['address'] . "</u></a>&gt;";
		}
	}
	
	if (is_array ( $cc )) {
		foreach ( $cc as $sender ) {
			$cc_text_array [] = $sender ['name'] . " &lt;<a href=\"mailto:" . $sender ['address'] . "\"><u>" . $sender ['address'] . "</u></a>&gt;";
		}
	}
	
	if (is_array ( $bcc )) {
		foreach ( $bcc as $sender ) {
			$bcc_text_array [] = $sender ['name'] . " &lt;<a href=\"mailto:" . $sender ['address'] . "\"><u>" . $sender ['address'] . "</u></a>&gt;";
		}
	}
	
	$von_text = implode ( "; ", $von_text_array );
	$an_text = implode ( "; ", $an_text_array );
	$cc_text = implode ( "; ", $cc_text_array );
	$bcc_text = implode ( "; ", $bcc_text_array );
	
	/*
	 * Datum, Zeit
	 */
	$datumzeit = $message [0] ['Headers'] ['date:'];
	$zeit_anz = date ( "d.m.Y, H:i", strtotime ( $datumzeit ) );
	
	/*
	 * Body
	 */
	
	$email = array ();
	$email ["dateien"] = array ();
	
	extract_mail_array ( $message [0] ['Parts'], $email );
	
	$email = utf8_array_decode ( $email );
	
	if (! is_array ( $email ['body'] )) {
		$email_plain = $message [0] ['Body'];
	} else {
		foreach ( $email ['body'] as $emailtyp => $emailinhalt ) {
			if (strpos ( $emailtyp, "text/plain" ) !== false) {
				$email_plain = $emailinhalt;
			}
			
			if (strpos ( $emailtyp, "text/html" ) !== false) {
				$email_html = $emailinhalt;
			}
		}
	}
	
	/*
	 * Liste der Anhnge
	 */
	$liste = array ();
	foreach ( $email ["dateien"] as $dateiname => $dateiinhalt ) {
		$i = count ( $liste );
		$liste [$i] ["Dateiname"] = $dateiname;
		$liste [$i] ["Groesse"] = format_bytes ( strlen ( $dateiinhalt ) );
	}
	
	/*
	 * Formular anzeigen
	 */
	include ("$elementsordner/$target/mailarchivformular.php");
	
	/*
	 * Destruktor
	 */
	unset ( $benno );
}

?>
