<?php

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formularkopf
echo "<table border=0>";
echo "<tr><td valign=\"top\">";
echo "<b>neuen Umsatz eingeben:&nbsp;&nbsp;&nbsp;&nbsp;</b>";
echo "</td></tr></table>";

echo "<table border=0 cellspacing=0 cellpadding=1 class=\"text\" style=\"background-color: " . $bgcolor_formular . ";\" width=\"100%\">";
echo "<tr><td colspan=10 class=\"formularrahmen_oben\"></td></tr>";
echo "</table>";

// ++++++++++++++++++++++++++++++++
// ++++ Standard-Werte vorbelegen
if ($_POST ["schritt"] == "") {
	$field ["fiBankKonto"] = $filter [$target] ["bankkonto"];
	
	// suche aktuellestes Valuta-Datum
	$query = "select max(dtValutaDatum) as valutadatum from $tblbankumsatz";
	$field_valuta = get_table_row ( $query );
	// $field["dtValutaDatum"] = $aktjahr . "--";
	$field ["dtValutaDatum"] = $field_valuta ["valutadatum"];
	
	if ($filter [$target] ["buchungskonto"] != "" and $filter [$target] ["buchungskonto"] != 0) {
		$field ["fiBuchungskonto"] = $filter [$target] ["buchungskonto"];
	}
} else {
	$field = $_POST;
}

// ++++++++++++++++++++++++++++++++
// ++++ Werte aus Schritt 1 berprfen und bearbeiten
if ($field ["schritt"] == 1 || $field ["schritt"] == 2) {
	
	check_double ( $field ["dtValutaBetrag"] );
	$field ["dtValutaBetrag"] = preis_to_sql ( $field ["dtValutaBetrag"] );
	
	if ($field ["datum_valuta_tag"] == "" and $field ["datum_valuta_monat"] == "" and $field ["datum_valuta_jahr"] == "") {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 13 );
		$fehler->setNext ( $target, "neu", $id );
		throw $fehler;
	}
	
	$field ["dtValutaDatum"] = concat_date ( $field ["datum_valuta_tag"], $field ["datum_valuta_monat"], $field ["datum_valuta_jahr"] );
	
	unset ( $field ["datum_valuta_tag"] );
	unset ( $field ["datum_valuta_monat"] );
	unset ( $field ["datum_valuta_jahr"] );
}

// ++++++++++++++++++++++++++++++++
// ++++ Wenn Schritt 1, dann bestimme Schritt2 ber Buchungskonto
if ($field ["fiBuchungsKonto"] > 0 && ($field ["schritt"] == 2 || $field ["schritt"] == 3)) {
	$query = $sql_query ["buchungskontenliste"] . " and $tblbuchungskonten.id = " . $field ["fiBuchungsKonto"];
	$bk_field = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen Schritt 1
if ($field ["schritt"] == "" or $field ["schritt"] == "1") {
	include ("$elementsordner/$target/umsatzneuformular_schritt1.php");
}

// ++++++++++++++++++++++++++++++++
// +++++++++++ Formular anzeigen Schritt 2a (Belegzuordnung)
elseif ($field ["schritt"] == 2 && ($field ["fiBuchungsKonto"] == "-1" || $bk_field ["dtBelegRelevant"] == 1)) {
	include ("$elementsordner/$target/umsatzneuformular_schritt1.php");
	
	$readonly = "";
	include ("$elementsordner/$target/umsatzneuformular_schritt2a.php");
	
	// ++++++++++++++++++++++++++++++++
	// +++++++++++ Formular anzeigen Schritt 2b (Rechnungszuordnung)
} elseif ($field ["schritt"] == 2 && ($field ["fiBuchungsKonto"] == "-2" || $bk_field ["dtRechnungRelevant"] == 1)) {
	include ("$elementsordner/$target/umsatzneuformular_schritt1.php");
	
	$readonly = "";
	include ("$elementsordner/$target/umsatzneuformular_schritt2b.php");
	
	// ++++++++++++++++++++++++++++++++
	// ++++ Werte aus Schritt 1 berprfen und bearbeiten, wenn es keinen Schritt 2 gibt
} elseif ($field ["schritt"] == 2) {
	// ++++ lschen der nicht-Datenbank-relevanten Felder
	unset ( $field ["id"] );
	unset ( $field ["PHPSESSID"] );
	unset ( $field ["target"] );
	unset ( $field ["typ"] );
	unset ( $field ["aenderung"] );
	unset ( $field ["subtarget"] );
	unset ( $field ["subtyp"] );
	unset ( $field ["subid"] );
	
	unset ( $field ["schritt"] );
	
	if ($field ["dtValutaBetrag"] != 0) {
		$field ["dtUmsatzGebucht"] = 0;
		$gesendet_id [] = insert_into_table ( $tblbankumsatz, $field );
	}
}

if ($field ["schritt"] == 3 && ($bk_field ["dtBelegRelevant"] == 1 || $field ["fiBuchungsKonto"] == "-1")) {
	// ++++++++++++++++++++++++++++++++
	// ++++ Werte aus Schritt 2a berprfen und bearbeiten
	if ($field ["belegeselected"] == "") {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 25 );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	
	$field ["belege_selected_array"] = explode ( ";", substr ( $field ["belegeselected"], 0, - 1 ) );
	
	// ++++ lschen der nicht-Datenbank-relevanten Felder
	unset ( $field ["id"] );
	unset ( $field ["PHPSESSID"] );
	unset ( $field ["target"] );
	unset ( $field ["typ"] );
	unset ( $field ["aenderung"] );
	unset ( $field ["subtarget"] );
	unset ( $field ["subtyp"] );
	unset ( $field ["subid"] );
	
	unset ( $field ["schritt"] );
	
	unset ( $field ["datum_valuta_tag"] );
	unset ( $field ["datum_valuta_monat"] );
	unset ( $field ["datum_valuta_jahr"] );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Aufteilen des Umsatzes auf die ausgewhlten Belege
	$field_new = $field;
	unset ( $field_new ["belege_selected_array"] );
	unset ( $field_new ["buchungsart"] );
	unset ( $field_new ["belegzuordnung"] );
	unset ( $field_new ["belegeselected"] );
	unset ( $field_new ["summebelege"] );
	
	// ++++ Zusammenstellen der notwendigen Inofs aller selektierten Belege
	foreach ( $field ["belege_selected_array"] as $key => $belegnr ) {
		$query = $sql_query ["belegliste"] . " and $tblbelege.dtBelegNr = '" . $belegnr . "' order by $tblbelege.dtRechnungDatum";
		$beleg_field = get_table_row ( $query );
		$beleg_id [$beleg_field ["Beleg_id"]] = array (
				"betrag_offen" => belegendbetrag_brutto ( $beleg_field ["Beleg_id"] ) - belegbuchungen_brutto ( $beleg_field ["Beleg_id"] ),
				"belegstatus_alt" => $beleg_field ["fiStatus"] 
		);
		$summe_offen_allebelege = $summe_offen_allebelege + $beleg_id [$beleg_field ["Beleg_id"]] ["betrag_offen"];
	}
	
	// ++++ Berechnung des Umsatz-Anteils pro Beleg
	// ++++ Aufteilung nach Datum
	if ($field ["buchungsart"] == 1) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		
		foreach ( $beleg_id as $key => $belegid ) {
			$beleg_id [$key] ["umsatz"] = min ( $summe_valuta, $beleg_id [$key] ["betrag_offen"] );
			$summe_valuta = $summe_valuta - $beleg_id [$key] ["umsatz"];
		}
		
		if ($summe_valuta != 0) {
			$beleg_id [$key] ["umsatz"] = $beleg_id [$key] ["umsatz"] + $summe_valuta;
		}
		
		// ++++ Aufteilung prozentual
	} elseif ($field ["buchungsart"] == 2) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		$anteil = preis_to_sql ( preis_from_sql_no_euro ( $summe_offen_allebelege / $summe_valuta ) );
		foreach ( $beleg_id as $key => $belegid ) {
			$beleg_id [$key] ["umsatz"] = preis_to_sql ( preis_from_sql_no_euro ( $beleg_id [$key] ["betrag_offen"] / $anteil ) );
			$summe_valuta = $summe_valuta - $beleg_id [$key] ["umsatz"];
		}
		
		if ($summe_valuta != 0) {
			$beleg_id [$key] ["umsatz"] = $beleg_id [$key] ["umsatz"] + $summe_valuta;
		}
	}
	
	// ++++ Erzeugen einer Datenbankzeile pro Beleg (wenn es einen Umsatz zu diesem Beleg gibt)
	foreach ( $beleg_id as $key => $belegid ) {
		if ($beleg_id [$key] ["umsatz"] != 0) {
			
			if ($id != "" && $id != NULL && ! $ersetzt) {
				
				$sQueryUmsatzOld = "SELECT * FROM $tblbankumsatz WHERE id = " . $id;
				$rUmsatzOld = get_table_row ( $sQueryUmsatzOld );
				
				$query_edit = $sql_query ["belegliste"] . " and $tblbelege.id = '" . $rUmsatzOld ["fiBeleg"] . "' order by $tblbelege.dtRechnungDatum";
				$beleg_field_edit = get_table_row ( $query_edit );
				
				$field_new ["fiBeleg"] = $key;
				$field_new ["dtValutaBetrag"] = $beleg_id [$key] ["umsatz"];
				$field_new ["dtUmsatzGebucht"] = 0;
				
				update_into_table ( $tblbankumsatz, $id, $field_new );
				$gesendet_id [] = $id;
				$ersetzt = 1;
				
				bilanzbeleg_aktualisieren ( $rUmsatzOld ["fiBeleg"] );
				
				$dSummeOffen1 = belegendbetrag_brutto ( $rUmsatzOld ["fiBeleg"] ) - belegbuchungen_brutto ( $rUmsatzOld ["fiBeleg"] );
				$dSummeOffen2 = belegendbetrag_brutto ( $rUmsatzOld ["fiBeleg"] ) - belegskonto_brutto ( $rUmsatzOld ["fiBeleg"] ) - belegbuchungen_brutto ( $rUmsatzOld ["fiBeleg"] );
				
				// ++++ ggf. nderung des Belegstatus
				if (($dSummeOffen1 >= - 0.01 && $dSummeOffen1 <= 0.01) and ($beleg_field_edit ["fiStatus"] == 3 or $beleg_field_edit ["fiStatus"] == 4)) {
					$beleg_field_new ["fiStatus"] = 5;
					update_into_table ( $tblbelege, $rUmsatzOld ["fiBeleg"], $beleg_field_new );
					delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $rUmsatzOld ["fiBeleg"] );
					$statusaenderung_text [$rUmsatzOld ["fiBeleg"]] = "Der Beleg ist vollstndig bezahlt";
				} 

				elseif (($dSummeOffen2 >= - 0.01 && $dSummeOffen2 <= 0.01)) {
					$beleg_field_new ["fiStatus"] = 5;
					update_into_table ( $tblbelege, $rUmsatzOld ["fiBeleg"], $beleg_field_new );
					delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $rUmsatzOld ["fiBeleg"] );
					$statusaenderung_text [$rUmsatzOld ["fiBeleg"]] = "Der Beleg ist vollstndig bezahlt abzglich gewhrtem Skonto";
				} 

				elseif (belegbuchungen_brutto ( $rUmsatzOld ["fiBeleg"] ) != 0) {
					$beleg_field_new ["fiStatus"] = 4;
					update_into_table ( $tblbelege, $rUmsatzOld ["fiBeleg"], $beleg_field_new );
					delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $rUmsatzOld ["fiBeleg"] );
					$statusaenderung_text [$rUmsatzOld ["fiBeleg"]] = "Der Beleg ist teilweise bezahlt";
				}
				
				if (function_exists ( custom_umsatz_belegstatus )) {
					$statusaenderung_text_custom [$rUmsatzOld ["fiBeleg"]] = custom_umsatz_belegstatus ( $rUmsatzOld ["fiBeleg"], $beleg_id [$key] ["belegstatus_alt"], 5 );
					
					if ($statusaenderung_text_custom [$rUmsatzOld ["fiBeleg"]] != NULL)
						$statusaenderung_text [$rUmsatzOld ["fiBeleg"]] = $statusaenderung_text_custom [$rUmsatzOld ["fiBeleg"]];
				}
			} else {
				$field_new ["fiBeleg"] = $key;
				$field_new ["dtValutaBetrag"] = $beleg_id [$key] ["umsatz"];
				$field_new ["dtUmsatzGebucht"] = 0;
				$gesendet_id [] = insert_into_table ( $tblbankumsatz, $field_new );
			}
			
			$dSummeOffen1 = belegendbetrag_brutto ( $key ) - belegbuchungen_brutto ( $key );
			$dSummeOffen2 = belegendbetrag_brutto ( $key ) - belegskonto_brutto ( $key ) - belegbuchungen_brutto ( $key );
			
			// ++++ ggf. nderung des Belegstatus
			if (($dSummeOffen1 >= - 0.01 && $dSummeOffen1 <= 0.01) and ($beleg_id [$key] ["belegstatus_alt"] == 3 or $beleg_id [$key] ["belegstatus_alt"] == 4)) {
				$beleg_field_new ["fiStatus"] = 5;
				update_into_table ( $tblbelege, $key, $beleg_field_new );
				delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $key );
				$statusaenderung_text [$key] = "Der Beleg ist vollstndig bezahlt";
			} 

			elseif (($dSummeOffen2 >= - 0.01 && $dSummeOffen2 <= 0.01)) {
				$beleg_field_new ["fiStatus"] = 5;
				update_into_table ( $tblbelege, $key, $beleg_field_new );
				delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $key );
				$statusaenderung_text [$key] = "Der Beleg ist vollstndig bezahlt abzglich gewhrtem Skonto";
			} 

			elseif (belegbuchungen_brutto ( $key ) != 0) {
				$beleg_field_new ["fiStatus"] = 4;
				update_into_table ( $tblbelege, $key, $beleg_field_new );
				delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $key );
				$statusaenderung_text [$key] = "Der Beleg ist teilweise bezahlt";
			}
			
			if (function_exists ( custom_umsatz_belegstatus )) {
				$statusaenderung_text_custom [$key] = custom_umsatz_belegstatus ( $key, $beleg_id [$key] ["belegstatus_alt"], 5 );
				
				if ($statusaenderung_text_custom [$key] != NULL)
					$statusaenderung_text [$key] = $statusaenderung_text_custom [$key];
			}
			
			// lsche Cachedaten zu diesem Beleg
			$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='belege' and dtZeileID='" . $key . "' ";
			mysql_query ( "delete from tblCache where $cachequerybedingungen " );
		}
	}
	
	// ++++++++++++++++++++++++++++++++
	// ++++ Werte aus Schritt 2b berprfen und bearbeiten
} elseif ($field ["schritt"] == 3 && ($bk_field ["dtRechnungRelevant"] == 1 || $field ["fiBuchungsKonto"] == "-2")) {
	
	if ($field ["rechnungenselected"] == "") {
		$fehler = new Fehler ();
		$fehler->setPredefined ( 28 );
		$fehler->setNext ( $target, "show", $id );
		throw $fehler;
	}
	
	$field ["rechnungen_selected_array"] = explode ( ";", substr ( $field ["rechnungenselected"], 0, - 1 ) );
	
	// ++++ lschen der nicht-Datenbank-relevanten Felder
	unset ( $field ["id"] );
	unset ( $field ["PHPSESSID"] );
	unset ( $field ["target"] );
	unset ( $field ["typ"] );
	unset ( $field ["aenderung"] );
	unset ( $field ["subtarget"] );
	unset ( $field ["subtyp"] );
	unset ( $field ["subid"] );
	
	unset ( $field ["schritt"] );
	
	unset ( $field ["datum_valuta_tag"] );
	unset ( $field ["datum_valuta_monat"] );
	unset ( $field ["datum_valuta_jahr"] );
	
	// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	// ++++ Aufteilen des Umsatzes auf die ausgewhlten Rechnungen
	$field_new = $field;
	unset ( $field_new ["rechnungen_selected_array"] );
	unset ( $field_new ["buchungsart"] );
	unset ( $field_new ["rechnungzuordnung"] );
	unset ( $field_new ["rechnungenselected"] );
	unset ( $field_new ["summerechnungen"] );
	
	// ++++ Zusammenstellen der notwendigen Inofs aller selektierten Rechnungen
	foreach ( $field ["rechnungen_selected_array"] as $key => $rechnungnr ) {
		$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.dtRechnungNrIntern = '" . $rechnungnr . "' order by $tblrechnungen.dtRechnungDatum";
		$rechnung_field = get_table_row ( $query );
		$rechnung_id [$rechnung_field ["Rechnung_id"]] = array (
				"betrag_offen" => 0 - rechnungsendbetrag_brutto ( $rechnung_field ["Rechnung_id"] ) - rechnungbuchungen_brutto ( $rechnung_field ["Rechnung_id"] ),
				"rechnungsstatus_alt" => $rechnung_field ["fiStatus"] 
		);
		$summe_offen_allerechnungen = $summe_offen_allerechnungen + $rechnung_id [$rechnung_field ["Rechnung_id"]] ["betrag_offen"];
	}
	
	// ++++ Berechnung des Umsatz-Anteils pro Rechnung
	// ++++ Aufteilung nach Datum
	if ($field ["buchungsart"] == 1) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		foreach ( $rechnung_id as $key => $rechnungid ) {
			$rechnung_id [$key] ["umsatz"] = max ( $summe_valuta, $rechnung_id [$key] ["betrag_offen"] );
			$summe_valuta = $summe_valuta - $rechnung_id [$key] ["umsatz"];
		}
		
		if ($summe_valuta != 0) {
			$rechnung_id [$key] ["umsatz"] = $rechnung_id [$key] ["umsatz"] + $summe_valuta;
		}
		
		// ++++ Aufteilung prozentual
	} elseif ($field ["buchungsart"] == 2) {
		$summe_valuta = $field_new ["dtValutaBetrag"];
		$anteil = preis_to_sql ( preis_from_sql_no_euro ( $summe_offen_allerechnungen / $summe_valuta ) );
		
		foreach ( $rechnung_id as $key => $rechnungid ) {
			$rechnung_id [$key] ["umsatz"] = preis_to_sql ( preis_from_sql_no_euro ( $rechnung_id [$key] ["betrag_offen"] / $anteil ) );
			$summe_valuta = $summe_valuta - $rechnung_id [$key] ["umsatz"];
		}
		
		if ($summe_valuta != 0) {
			$rechnung_id [$key] ["umsatz"] = $rechnung_id [$key] ["umsatz"] + $summe_valuta;
		}
	}
	
	// ++++ Erzeugen einer Datenbankzeile pro Rechnung (wenn es einen Umsatz zu dieser Rechnung gibt)
	foreach ( $rechnung_id as $key => $rechnungid ) {
		if ($rechnung_id [$key] ["umsatz"] != 0) {
			
			if ($id != "" && $id != NULL && ! $ersetzt) {
				$field_new ["fiRechnung"] = $key;
				$field_new ["dtValutaBetrag"] = $rechnung_id [$key] ["umsatz"];
				$field_new ["dtUmsatzGebucht"] = 0;
				
				$sQueryUmsatzOld = "SELECT * FROM $tblbankumsatz WHERE id = " . $id;
				$rUmsatzOld = get_table_row ( $sQueryUmsatzOld );
				
				update_into_table ( $tblbankumsatz, $id, $field_new );
				$gesendet_id [] = $id;
				$ersetzt = 1;
				
				$dRechnungSummeOffen1 = rechnungsendbetrag_brutto ( $rUmsatzOld ) + rechnungbuchungen_brutto ( $rUmsatzOld );
				
				// ++++ ggf. nderung des Rechnungsstatus
				if (($dRechnungSummeOffen1 >= - 0.01 && $dRechnungSummeOffen1 <= 0.01)) {
					$rechnung_field_new ["fiStatus"] = 5;
					update_into_table ( $tblrechnungen, $rUmsatzOld, $rechnung_field_new );
					delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $rUmsatzOld );
					insert_into_table ( $tblbilanzrechnungen, array (
							"fiRechnung" => $rUmsatzOld,
							"dtAktuell" => "0" 
					) );
					$statusaenderung_text [$rUmsatzOld] = "Die Rechnung ist vollstndig bezahlt";
				} elseif (rechnungbuchungen_brutto ( $rUmsatzOld ) != 0) {
					$rechnung_field_new ["fiStatus"] = 4;
					update_into_table ( $tblrechnungen, $rUmsatzOld, $rechnung_field_new );
					delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $rUmsatzOld );
					insert_into_table ( $tblbilanzrechnungen, array (
							"fiRechnung" => $rUmsatzOld,
							"dtAktuell" => "0" 
					) );
					$statusaenderung_text [$rUmsatzOld] = "Die Rechnung ist teilweise bezahlt";
				}
			} else {
				$field_new ["fiRechnung"] = $key;
				$field_new ["dtValutaBetrag"] = $rechnung_id [$key] ["umsatz"];
				$field_new ["dtUmsatzGebucht"] = 0;
				$gesendet_id [] = insert_into_table ( $tblbankumsatz, $field_new );
			}
			
			$dRechnungSummeOffen1 = rechnungsendbetrag_brutto ( $key ) + rechnungbuchungen_brutto ( $key );
			
			// ++++ ggf. nderung des Rechnungsstatus
			if (($dRechnungSummeOffen1 >= - 0.01 && $dRechnungSummeOffen1 <= 0.01)) {
				$rechnung_field_new ["fiStatus"] = 5;
				update_into_table ( $tblrechnungen, $key, $rechnung_field_new );
				delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $key );
				insert_into_table ( $tblbilanzrechnungen, array (
						"fiRechnung" => $key,
						"dtAktuell" => "0" 
				) );
				$statusaenderung_text [$key] = "Die Rechnung ist vollstndig bezahlt";
			} elseif (rechnungbuchungen_brutto ( $key ) != 0) {
				$rechnung_field_new ["fiStatus"] = 4;
				update_into_table ( $tblrechnungen, $key, $rechnung_field_new );
				delete_all_from_table ( $tblbilanzrechnungen, "fiRechnung", $key );
				insert_into_table ( $tblbilanzrechnungen, array (
						"fiRechnung" => $key,
						"dtAktuell" => "0" 
				) );
				$statusaenderung_text [$key] = "Die Rechnung ist teilweise bezahlt";
			}
			
			// lsche Cachedaten zu diesem Beleg
			$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='rechnungen' and dtZeileID='" . $key . "' ";
			mysql_query ( "delete from tblCache where $cachequerybedingungen " );
		}
	}
}

// ++++++++++++++++++++++++++++++++
// ++++ Wenn neue Eintrge gesendet wurden, zeige Zusammenfassung der gesendeten Informatioen
if (is_array ( $gesendet_id )) {
	$readonly = "";
	
	if ($id != "" && $id != NULL) {
		include ("$elementsordner/$target/umsaetzeedit_gesendet.php");
	} else {
		include ("$elementsordner/$target/umsaetze_gesendet.php");
	}
}

?>