<?php

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ hole Originaldatensatz, wenn es ihn gibt
if ($id != "") {
	$query = $sql_query ["umsatzliste"] . " and $tblbankumsatz.id = " . $id;
	$field_old = get_table_row ( $query );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Zuordnung der Felder (alle nicht bertragenen Felder bleiben unverndert)
$field_new = $_POST;

// ++++ lschen der nicht-Datenbank-relevanten Felder
unset ( $field_new ["id"] );
unset ( $field_new ["PHPSESSID"] );
unset ( $field_new ["target"] );
unset ( $field_new ["typ"] );
unset ( $field_new ["aenderung"] );
unset ( $field_new ["subtarget"] );
unset ( $field_new ["subtyp"] );
unset ( $field_new ["subid"] );

unset ( $field_new ["Umsatz_id"] );

// ++++ Einfgen der Radio-Buttons und Checkboxen, weil die eine Leere Zeichenkette zurckgeben, wenn abgewhlt
// $field_new["dtIstKunde"] = (int)$field_new["dtIstKunde"];

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ Nachbearbeitung der gesendeten Werte

if ($field_new ["fiBuchungsKonto"] > 0) {
	$query = $sql_query ["buchungskontenliste"] . " and id = " . $field_new ["fiBuchungsKonto"];
	$buchungskonto_row = get_table_row ( $query );
}

// wenn neu BelegRelevant, dann setze erste BelegID und lsche RechnungID
if ($field_new ["fiBuchungsKonto"] == "-1" || ($buchungskonto_row ["dtBelegRelevant"] != 0 && $field_old ["dtBelegRelevant"] == 0)) {
	$query = $sql_query ["belegliste"] . " and $tblbelege.dtGebucht = 0 order by dtBelegNr desc";
	$sub_row = get_table_row ( $query );
	
	if ($aendern != 1)
		$field_new ["fiBeleg"] = $sub_row ["Beleg_id"];
	
	$field_new ["fiRechnung"] = 0;
}

// wenn neu RechnungRelevant, dann setze erste RechnungID und lsche BelegID
if ($field_new ["fiBuchungsKonto"] == "-2" || ($buchungskonto_row ["dtRechnungRelevant"] != 0 && $field_old ["dtRechnungRelevant"] == 0)) {
	$query = $sql_query ["rechnungliste"] . " and dtGebucht = 0 order by dtRechnungNrIntern";
	$sub_row = get_table_row ( $query );
	
	if ($aendern != 1)
		$field_new ["fiRechnung"] = $sub_row ["Rechnung_id"];
	
	$field_new ["fiBeleg"] = 0;
}

if ($aendern == 1) {
	$swapValutaBetrag = $field_new ["dtValutaBetrag"];
	$field_new ["dtValutaBetrag"] = 0;
	update_into_table ( $tblbankumsatz, $id, $field_new );
	bilanzbeleg_aktualisieren ( $field_new ["fiBeleg"] );
	$field_new ["dtValutaBetrag"] = $swapValutaBetrag;
	bilanzbeleg_aktualisieren ( $field_new ["fiBeleg"] );
	$field_new ["dtValutaBetrag"] = preis_to_sql ( $field_new ["dtValutaBetrag"] );
} else {
	$field_new ["dtValutaBetrag"] = preis_to_sql ( $field_new ["dtValutaBetrag"] );
}

$field_new ["dtValutaDatum"] = concat_date ( $field_new ["datum_valuta_tag"], $field_new ["datum_valuta_monat"], $field_new ["datum_valuta_jahr"] );

unset ( $field_new ["datum_valuta_tag"] );
unset ( $field_new ["datum_valuta_monat"] );
unset ( $field_new ["datum_valuta_jahr"] );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere bestehenden Datensatz
update_into_table ( $tblbankumsatz, $id, $field_new );

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere ggf. Umsatzimport
if ($field_old ["fiUmsatzimport"] > 0) {
	$differenz = $field_old ["dtValutaBetrag"] - $field_new ["dtValutaBetrag"];
	
	$query = $sql_query ["umsatzimportliste"] . " and $tblbankumsatzimport.id = " . $field_old ["fiUmsatzimport"];
	$umsatzimport_new = get_table_row ( $query );
	
	$umsatzimport_new ["dtValutaBetrag"] += $differenz;
	
	if ($umsatzimport_new ["dtValutaBetrag"] == 0) {
		$umsatzimport_new ["dtAnzeigen"] = 0;
	} else {
		$umsatzimport_new ["dtAnzeigen"] = 1;
	}
	
	update_into_table ( $tblbankumsatzimport, $field_old ["fiUmsatzimport"], $umsatzimport_new );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere ggf. Belegstatus
if ($field_old ["fiBeleg"] != 0) {
	
	$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $field_old ["fiBeleg"];
	$beleg_field = get_table_row ( $query );
	
	if (abs ( round ( belegendbetrag_brutto ( $field_old ["fiBeleg"] ) - belegbuchungen_brutto ( $field_old ["fiBeleg"] ), 2 ) ) == 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 4)) {
		$beleg_field_new ["fiStatus"] = 5;
		update_into_table ( $tblbelege, $field_old ["fiBeleg"], $beleg_field_new );
	} elseif (abs ( round ( belegendbetrag_brutto ( $field_old ["fiBeleg"] ) - belegskonto_brutto ( $field_old ["fiBeleg"] ) - belegbuchungen_brutto ( $field_old ["fiBeleg"] ), 2 ) ) == 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 4)) {
		$beleg_field_new ["fiStatus"] = 5;
		update_into_table ( $tblbelege, $field_old ["fiBeleg"], $beleg_field_new );
	} elseif (abs ( belegbuchungen_brutto ( $field_old ["fiBeleg"] ) ) != 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 5)) {
		$beleg_field_new ["fiStatus"] = 4;
		update_into_table ( $tblbelege, $field_old ["fiBeleg"], $beleg_field_new );
	} elseif (abs ( belegbuchungen_brutto ( $field_old ["fiBeleg"] ) ) == 0 and ($beleg_field ["fiStatus"] == 4 or $beleg_field ["fiStatus"] == 5)) {
		$beleg_field_new ["fiStatus"] = 3;
		update_into_table ( $tblbelege, $field_old ["fiBeleg"], $beleg_field_new );
	}
	if (function_exists ( custom_umsatz_belegstatus )) {
		custom_umsatz_belegstatus ( $field_old ["fiBeleg"], $beleg_field ["fiStatus"], $beleg_field_new ["fiStatus"] );
	}
	// schreibe Bilanz-Datensatz
	delete_all_from_table ( $tblbilanzbelege, "fiBeleg", $field_old ["fiBeleg"] );
	
	// lsche Cachedaten zu diesem Beleg
	$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='belege' and dtZeileID='" . $field_old ["fiBeleg"] . "' ";
	mysql_query ( "delete from tblCache where $cachequerybedingungen " );
}

if ($field_new ["fiBeleg"] != 0) {
	
	$query = $sql_query ["belegliste"] . " and $tblbelege.id = " . $field_new ["fiBeleg"];
	$beleg_field = get_table_row ( $query );
	
	if (abs ( round ( belegendbetrag_brutto ( $field_new ["fiBeleg"] ) - belegbuchungen_brutto ( $field_new ["fiBeleg"] ), 2 ) ) == 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 4)) {
		$beleg_field_new ["fiStatus"] = 5;
		update_into_table ( $tblbelege, $field_new ["fiBeleg"], $beleg_field_new );
	} elseif (abs ( round ( belegendbetrag_brutto ( $field_new ["fiBeleg"] ) - belegskonto_brutto ( $field_new ["fiBeleg"] ) ) - belegbuchungen_brutto ( $field_new ["fiBeleg"] ), 2 ) == 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 4)) {
		$beleg_field_new ["fiStatus"] = 5;
		update_into_table ( $tblbelege, $field_new ["fiBeleg"], $beleg_field_new );
	} elseif (abs ( belegbuchungen_brutto ( $field_new ["fiBeleg"] ) ) != 0 and ($beleg_field ["fiStatus"] == 3 or $beleg_field ["fiStatus"] == 5)) {
		$beleg_field_new ["fiStatus"] = 4;
		update_into_table ( $tblbelege, $field_new ["fiBeleg"], $beleg_field_new );
	} elseif (abs ( belegbuchungen_brutto ( $field_new ["fiBeleg"] ) ) == 0 and ($beleg_field ["fiStatus"] == 4 or $beleg_field ["fiStatus"] == 5)) {
		$beleg_field_new ["fiStatus"] = 3;
		update_into_table ( $tblbelege, $field_new ["fiBeleg"], $beleg_field_new );
	}
	
	if (function_exists ( custom_umsatz_belegstatus )) {
		custom_umsatz_belegstatus ( $field_new ["fiBeleg"], $beleg_field ["fiStatus"], $beleg_field_new ["fiStatus"] );
	}
	
	// lsche Cachedaten zu diesem Beleg
	$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='belege' and dtZeileID='" . $field_new ["fiBeleg"] . "' ";
	mysql_query ( "delete from tblCache where $cachequerybedingungen " );
	
	bilanzbeleg_aktualisieren ( $field_new ["fiBeleg"], true );
	
	if ($field_new ["aendern"] == 1)
		bilanzbeleg_aktualisieren ( $field_old ["fiBeleg"], true );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ ndere ggf. Rechnungstatus
if ($field_old ["fiRechnung"] != 0) {
	
	$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.id = " . $field_old ["fiRechnung"];
	$rechnung_field = get_table_row ( $query );
	
	if (abs ( round ( rechnungsendbetrag_brutto ( $field_old ["fiRechnung"] ) + rechnungbuchungen_brutto ( $field_old ["fiRechnung"] ), 2 ) ) == 0 and ($rechnung_field ["fiStatus"] == 3 or $rechnung_field ["fiStatus"] == 4)) {
		$rechnung_field_new ["fiStatus"] = 5;
		update_into_table ( $tblrechnungen, $field_old ["fiRechnung"], $rechnung_field_new );
	} elseif (abs ( rechnungbuchungen_brutto ( $field_old ["fiRechnung"] ) ) != 0 and ($rechnung_field ["fiStatus"] == 3 or $rechnung_field ["fiStatus"] == 5)) {
		$rechnung_field_new ["fiStatus"] = 4;
		update_into_table ( $tblrechnungen, $field_old ["fiRechnung"], $rechnung_field_new );
	} elseif (abs ( rechnungbuchungen_brutto ( $field_old ["fiRechnung"] ) ) != 0 and ($rechnung_field ["fiStatus"] == 4 or $rechnung_field ["fiStatus"] == 5)) {
		$rechnung_field_new ["fiStatus"] = 3;
		update_into_table ( $tblrechnungen, $field_old ["fiRechnung"], $rechnung_field_new );
	}
	
	// lsche Cachedaten zu diesem Beleg
	$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='rechnungen' and dtZeileID='" . $field_old ["fiRechnung"] . "' ";
	mysql_query ( "delete from tblCache where $cachequerybedingungen " );
}

if ($field_new ["fiRechnung"] != 0) {
	
	$query = $sql_query ["rechnungliste"] . " and $tblrechnungen.id = " . $field_new ["fiRechnung"];
	$rechnung_field = get_table_row ( $query );
	
	if (abs ( round ( rechnungsendbetrag_brutto ( $field_new ["fiRechnung"] ) + rechnungbuchungen_brutto ( $field_new ["fiRechnung"] ), 2 ) ) == 0 and ($rechnung_field ["fiStatus"] == 3 or $rechnung_field ["fiStatus"] == 4)) {
		$rechnung_field_new ["fiStatus"] = 5;
		update_into_table ( $tblrechnungen, $field_new ["fiRechnung"], $rechnung_field_new );
	} elseif (abs ( rechnungbuchungen_brutto ( $field_new ["fiRechnung"] ) ) != 0 and ($rechnung_field ["fiStatus"] == 3 or $rechnung_field ["fiStatus"] == 5)) {
		$rechnung_field_new ["fiStatus"] = 4;
		update_into_table ( $tblrechnungen, $field_new ["fiRechnung"], $rechnung_field_new );
	} elseif (abs ( rechnungbuchungen_brutto ( $field_new ["fiRechnung"] ) ) == 0 and ($rechnung_field ["fiStatus"] == 4 or $rechnung_field ["fiStatus"] == 5)) {
		$rechnung_field_new ["fiStatus"] = 3;
		update_into_table ( $tblrechnungen, $field_new ["fiRechnung"], $rechnung_field_new );
	}
	
	// lsche Cachedaten zu diesem Beleg
	$cachequerybedingungen = "dtTarget='umsaetze' and dtTyp='rechnungen' and dtZeileID='" . $field_new ["fiRechnung"] . "' ";
	mysql_query ( "delete from tblCache where $cachequerybedingungen " );
	
	bilanzrechnung_aktualisieren ( $field_new ["fiRechnung"], true );
	
	if ($field_new ["aendern"] == 1)
		bilanzrechnung_aktualisieren ( $field_old ["fiRechnung"], true );
}

// ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// ++++ zeige das Formular wieder
$typ = "show";
include ($targetsordner . "/" . $target . "/show.php");

?>