<?php
/*
 *
 * conceptERP
 *
 * Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke
 * http://www.mm-concept.de
 *
 *
 */

/*
 * lsche zunchst den gesamten Cache
 */
mysql_query ( "truncate table $tblartikelbestandcache" );

/*
 * suche alle Artikel
 */
$query = $sql_query ["artikelliste"];
$liste = get_table_array ( $query );

if (count ( $liste ) > 0) {
	foreach ( $liste as $listenzeile_id => $listenzeile ) {
		
		$id = $listenzeile ['Artikel_id'];
		$iZwangsvarianten = false;
		
		// lsche zunchst alle Entrge zu diesem Artikel
		delete_all_from_table ( $tblartikelbestandcache, "fiArtikel", $id );
		
		// gibt es Artikelvarianten?
		$aVariantenKombinationen = getArtikelVariantenKombinationenListe ( $id );
		if (is_array ( $aVariantenKombinationen ) and count ( ( array ) $aVariantenKombinationen ) > 0) {
			
			// betrachte jede einzelne Variante
			foreach ( $aVariantenKombinationen as $key => $aVarianten ) {
				
				$iVarianteMeldebestand = 0;
				$iVarianteMindestbestand = 0;
				
				$sVariantenNr = "";
				$sVarianteText = "";
				
				foreach ( $aVarianten as $sVariantenGruppe => $iVarianteID ) {
					
					$iVariantenGruppeID = str_replace ( "variante_", "", $sVariantenGruppe );
					$query = $sql_query ["artikelvariantengruppenliste"] . " and $tblartikelvariantengruppen.id = '" . $iVariantenGruppeID . "' ";
					$aVariantenGruppe = get_table_row ( $query );
					
					if ($aVariantenGruppe ["dtGruppenZwangsauswahl"] == 1)
						$iZwangsvarianten = true;
						
						// suche Mindestbestand und Meldebestand zur Variantenkombination
					$query = $sql_query ["artikelvariantenliste"] . " AND $tblartikelvarianten.id = " . $iVarianteID;
					$aVariante = get_table_row ( $query );
					if ($aVariante ["dtArtikelVariantenMeldebestand"] != 0) {
						if ($iVarianteMeldebestand == 0)
							$iVarianteMeldebestand = $aVariante ["dtArtikelVariantenMeldebestand"];
						else
							$iVarianteMeldebestand = min ( $iVarianteMeldebestand, $aVariante ["dtArtikelVariantenMeldebestand"] );
					}
					if ($aVariante ["dtArtikelVariantenMindestbestand"] != 0) {
						if ($iVarianteMindestbestand == 0)
							$iVarianteMindestbestand = $aVariante ["dtArtikelVariantenMindestbestand"];
						else
							$iVarianteMindestbestand = min ( $iVarianteMindestbestand, $aVariante ["dtArtikelVariantenMindestbestand"] );
					}
					
					$sVariantenNr .= $aVariante ["dtGruppenArtikelNrPrefix"] . "" . $aVariante ["dtArtikelVariantenNr"];
					$sVarianteText .= $aVariante ["dtGruppenName"] . ": " . $aVariante ["dtArtikelVariantenName"] . "<br>";
				}
				
				// wenn es Melde- oder Mindestbestnde gibt, suche den tatschlichen Bestand und vergleiche
				if ($iVarianteMeldebestand > 0 or $iVarianteMindestbestand > 0) {
					$iAnzahlVerfuegbar = getArtikelAnzahlVerfuegbar ( $id, 0, $aVarianten );
					
					if ($iAnzahlVerfuegbar <= $iVarianteMeldebestand) {
						$field_new = array ();
						$field_new ["fiArtikel"] = $id;
						$field_new ["dtVariante"] = serialize ( $aVarianten );
						$field_new ["dtVarianteNr"] = $sVariantenNr;
						$field_new ["dtVarianteName"] = $sVarianteText;
						$field_new ["dtMeldebestand"] = $iVarianteMeldebestand;
						$field_new ["dtMindestbestand"] = $iVarianteMindestbestand;
						$field_new ["dtBestand"] = $iAnzahlVerfuegbar;
						$field_new ["dtArtikelAnzeige"] = $listenzeile ["dtArtikelDDText"];
						insert_into_table ( $tblartikelbestandcache, $field_new );
					}
				}
			}
		}
		
		// wenn es Zwangsvarianten gibt, trage den Stammartikel nicht ein
		if (! $iZwangsvarianten) {
			
			// wenn es Melde- oder Mindestbestnde gibt, suche den tatschlichen Bestand und vergleiche
			if ($listenzeile ["dtArtikelMeldebestand"] > 0 or $listenzeile ["dtArtikelMindestbestand"] > 0) {
				
				// suche Bestand des Stammartikels
				// $iAnzahlVerfuegbar = get_table_count($sql_query["artikelliste-verfuegbar-simple"] . " and $tblartikelstueck.fiArtikel = " . $id);
				$iAnzahlVerfuegbar = getArtikelAnzahlVerfuegbar ( $id, 0, "stammdaten" );
				
				if ($iAnzahlVerfuegbar <= $listenzeile ["dtArtikelMeldebestand"]) {
					echo $listenzeile ["dtArtikelDDText"] . " - Verfuegbar: " . $iAnzahlVerfuegbar . " Meldebestand: " . $listenzeile ["dtArtikelMeldebestand"] . " Mindestbestand: " . $listenzeile ["dtArtikelMindestbestand"] . "\n<br>";
					
					$field_new = array ();
					$field_new ["fiArtikel"] = $id;
					$field_new ["dtMeldebestand"] = $listenzeile ["dtArtikelMeldebestand"];
					$field_new ["dtMindestbestand"] = $listenzeile ["dtArtikelMindestbestand"];
					$field_new ["dtBestand"] = $iAnzahlVerfuegbar;
					$field_new ["dtArtikelAnzeige"] = $listenzeile ["dtArtikelDDText"];
					insert_into_table ( $tblartikelbestandcache, $field_new );
				}
			}
		}
	}
}

?>