<?php
/*
 * conceptERP Copyright (C) 2005 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */

// +++++ Datum ermitteln und zwei Jahre zurckrechnen +++++ //
$aDatum = split_date ( $aktdatum );
$sBackupJahr = $aDatum ["jahr"] - $bBackupJahreProjektzeiten;

/*
 * Berechne die aktuellen Gleitzeitstnde und speicher diese, sodass
 * bei Entfernung von Zeitentabelle der Gleitzeitstand am Ende
 * passt
 */

$aMitarbeiter = get_table_array("SELECT id FROM $tblkontakte WHERE dtIstMitarbeiter = 1");

foreach($aMitarbeiter as $cpMitarbeiter)
{
	$fGleitzeitstand = min_to_stdmin(get_gleitzeit($cpMitarbeiter["id"],"1970-01-01", $aktdatum));
	set_gleitzeit($cpMitarbeiter["id"], $fGleitzeitstand,"1970-01-01",$aktdatum);
}

// +++++ Tabelle erstellen mit Projektzeiten von vor $bBackupJahreProjektzeiten Jahren +++++ //
$sQuerySQL = "CREATE TABLE tblProjektzeiten_" . $sBackupJahr . " SELECT * FROM $tblprojektzeiten WHERE to_days(dtDatum) >= to_days('" . $sBackupJahr . "-01-01') AND to_days(dtDatum) <= to_days('" . $sBackupJahr . "-12-31') ";
mysql_query ( $sQuerySQL );

// +++++ Eintrge aus der Backuptabelle holen +++++ //
$sQuerySQL = "SELECT * FROM tblProjektzeiten_" . $sBackupJahr;
$aBackupTabelleResult = mysql_query ( $sQuerySQL );

// +++++ Aus der aktuellen Projektzeiten Tabelle alle Eintrge auslesen von vor $bBackupJahreProjektzeiten Jahren +++++ //
$sQuerySQL = "SELECT * FROM tblProjektzeiten WHERE to_days(dtDatum) >= to_days('" . $sBackupJahr . "-01-01') AND to_days(dtDatum) <= to_days('" . $sBackupJahr . "-12-31')";
$aOriginalTabelleResult = mysql_query ( $sQuerySQL );

/*
 * Werte bereinstimmend : Gibt es keine Werteunterschied zwischen dem Backup und den aktuellen Daten, lsche die Eintrge aus der aktuellen Projektzeiten Tabelle Werte nicht bereinstimmend : Gibt es einen Werteunterschied zwischen dem Backup und den aktuellen Daten, lsche keine Eintrge aus der aktuellen Projektzeiten Tabelle, sondern lsche die Backup Tabelle
 */
if (mysql_num_rows ( $aBackupTabelleResult ) == mysql_num_rows ( $aOriginalTabelleResult )) {
	$sQuerySQL = "DELETE FROM tblProjektzeiten WHERE to_days(dtDatum) >= to_days('" . $sBackupJahr . "-01-01') AND to_days(dtDatum) <= to_days('" . $sBackupJahr . "-12-31')";
	mysql_query ( $sQuerySQL );
	
	echo "Es wurde erfolgreich ein Backup erzeugt der Arbeitszeiten aus dem Jahre " . $sBackupJahr;
} else {
	$sQuerySQL = "DROP TABLE tblProjektzeiten_" . $sBackupJahr;
	mysql_query ( $sQuerySQL );
	
	echo "Es konnte kein Backup erzeugt werden.";
}
?>