<?php
/*
 * conceptERP Copyright (C) 2011 mm-concept GbR , Maik Unruh & Michael Schulte to Brinke http://www.mm-concept.de
 */
define ( "CSV_DELIMITER", ";" );
define ( "CSV_ENCLOSURE", "\"" );

/*
 * Einstellungen
 */
neuesKonfigurationsfeld ( $sTask . "_contentOrdner", "In diesem Content-Ordner sind die Artikelbilder gespeichert.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_komplettExport", "Erzwingt einen Komplettexport beim nchsten Durchlauf.", CONFIG_TYP_BOOL, false, $sTask );
neuesKonfigurationsfeld ( $sTask . "_komplettExportImmer", "Exportiere _immer_ die kompletten Artikeldaten.", CONFIG_TYP_BOOL, false, $sTask );
neuesKonfigurationsfeld ( $sTask . "_preisfeld", "Name des Feldes in dem der VK-Preis gespeichert ist.", CONFIG_TYP_TEXT, "dtPreisVK1", $sTask );
neuesKonfigurationsfeld ( $sTask . "_preisfeld_uvp", "Name des Feldes in dem der UVP-Preis gespeichert ist. Leer lassen um diese Information nicht zu verwenden.", CONFIG_TYP_TEXT, "dtPreisVK1", $sTask );
neuesKonfigurationsfeld ( $sTask . "_versandkosten", "Versandkostenzuschlag Standard, wenn Attribut Versandkosten nicht vorhanden ist.", CONFIG_TYP_DOUBLE, 4.20, $sTask );
neuesKonfigurationsfeld ( $sTask . "_artikeltemplate", "Template fr Artikelbeschreibungen. Platzhalter entsprechen den Feldnamen aus der Datenbankabfrage.", CONFIG_TYP_TEXTHTML, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_artikeltemplate_kurz", "Template fr kurze Artikelbeschreibungen. Platzhalter entsprechen den Feldnamen aus der Datenbankabfrage.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_zielPfadBilder", "An diesem Pfad werden Artikelbilder abgelegt.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_zielURLBilder", "ber diese URL werden die Artikelbilder bei Yatego verlinkt. (Abschlieendes Slash!)", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_lagerAktiv", "Aktiviere Lagerverwaltung (nur Yatego Professional). Wenn nicht aktiv, wird als Lagerbestand unbegrenzt angegeben.", CONFIG_TYP_BOOL, false, $sTask );
neuesKonfigurationsfeld ( $sTask . "_zielPfadCSV", "An diesen Pfad wird die CSV Datei mit Artikelinformationen kopiert.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_zielPfadCSVKategorie", "An diesen Pfad wird die CSV Datei mit Kategorieinformationen kopiert.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_zielPfadCSVVarianten", "An diesen Pfad wird die CSV Datei mit Varianteninformationen kopiert.", CONFIG_TYP_TEXT, "", $sTask );
neuesKonfigurationsfeld ( $sTask . "_preisfeld_variante", "Name des Feldes in dem der VK-Preis fr Varianten gespeichert ist.", CONFIG_TYP_TEXT, "dtArtikelVariantenPreisdiffVK1", $sTask );

$aConfig = exportiereKonfiguration ();

$sContentOrdner = $aConfig [$sTask . "_contentOrdner"];
$sPreisfeld = $aConfig [$sTask . "_preisfeld"];
$sPreisfeldUVP = $aConfig [$sTask . "_preisfeld_uvp"];
$sPreisfeldVariante = $aConfig [$sTask . "_preisfeld_variante"];
$dVersandkosten = $aConfig [$sTask . "_versandkosten"];
$sArtikelTemplate = $aConfig [$sTask . "_artikeltemplate"];
$sArtikelTemplateKurz = $aConfig [$sTask . "_artikeltemplate_kurz"];
$sZielpfadBilder = $aConfig [$sTask . "_zielPfadBilder"];
$sURLBilder = $aConfig [$sTask . "_zielURLBilder"];
$bLagerverwaltungAktiv = $aConfig [$sTask . "_lagerAktiv"];
$sZielpfadCSV = $aConfig [$sTask . "_zielPfadCSV"];
$sZielpfadCSVKategorie = $aConfig [$sTask . "_zielPfadCSVKategorie"];
$sZielpfadCSVVarianten = $aConfig [$sTask . "_zielPfadCSVVarianten"];

if (empty ( $sContentOrdner ) || empty ( $sZielpfadCSVVarianten ) || empty ( $sZielpfadCSVKategorie ) || empty ( $sZielpfadCSV )) {
	echo "Bitte die Schnittstelle konfigurieren!\n";
	$iReturncode = 3;
	
	return;
}

if (! touch ( $sZielpfadCSV )) {
	echo "CSV kann nicht unter '" . $sZielpfadCSV . "' geschrieben werden.\n";
	$iReturncode = 3;
	
	return;
}

/*
 * Komplettexport durchfhren?
 */
if ($aConfig [$sTask . "_komplettExportImmer"]) {
	schreibeInKonfiguration ( $sTask . "_komplettExport", true );
}

if ($aConfig [$sTask . "_komplettExport"]) {
	$bKomplettexport = true;
	if (! $aConfig [$sTask . "_komplettExportImmer"]) {
		schreibeInKonfiguration ( $sTask . "_komplettExport", false );
	}
} else {
	$bKomplettexport = false;
}

/*
 * Warengruppen auswhlen
 */
$aWarengruppeIdExport = array ();
$aWarengruppeNameExport = array ();
$aTask = get_table_row ( $sql_query ["taskplanerliste"] . " and $tbltaskplaner.dtTaskName = '" . $sTask . "'" ); // Informationen ber den Task

/*
 * Sammle IDs der Warengruppen die fr diesen Task in Frage kommen
 */
$aListeWarengruppen = get_table_array ( $sql_query ["warengruppenliste"] );

if (count ( $aListeWarengruppen ) > 0) {
	foreach ( $aListeWarengruppen as $aWarengruppe ) {
		if (! empty ( $aWarengruppe ["dtWarengruppeExportziele"] )) {
			$aExport = unserialize ( $aWarengruppe ["dtWarengruppeExportziele"] );
			
			if (array_search ( $aTask ["Taskplaner_id"], $aExport ) !== false) {
				$aWarengruppeIdExport [] = $aWarengruppe ["Warengruppe_id"];
				$aWarengruppeNameExport [] = $aWarengruppe ["dtWarengruppe"];
			}
		}
	}
}

if (count ( $aWarengruppeIdExport ) > 0) {
	echo "Exportiere folgende Warengruppen: " . join ( ", ", $aWarengruppeNameExport ) . "\n";
} else {
	echo "Keine Warengruppen zum Export verfuegbar.";
	return;
}

/*
 * Komplettexport durchfhren?
 */
if (! $bKomplettexport) {
	$sQueryOnlyLastUpdates = "and $tblartikel.dtLetzteAenderung > '" . $aTask ["dtLetzteAusfuehrung"] . "'";
} else {
	$sQueryOnlyLastUpdates = "";
}

/*
 * Verarbeite Artikel in ausgewhlten Warengruppen
 */

$sQuery = $sql_query ["artikellisteexport"] . " " . $sQueryOnlyLastUpdates . " and ( $tblartikel.fiWarengruppe = " . join ( " OR $tblartikel.fiWarengruppe = ", $aWarengruppeIdExport ) . " )";
$aArtikelInWarengruppen = get_table_array ( $sQuery );

/*
 * Verarbeite ber alternative Warengruppe zugeordnete Artikel
 */

$sQuery = $sql_query ["artikelwarengruppenalternativliste"] . " " . $sQueryOnlyLastUpdates . " and ( $tblartikelwarengruppenalternativ.fiWarengruppe = " . join ( " OR $tblartikelwarengruppenalternativ.fiWarengruppe = ", $aWarengruppeIdExport ) . " )";
$aArtikelInWarengruppen = array_merge ( ( array ) $aArtikelInWarengruppen, ( array ) get_table_array ( $sQuery ) );

/*
 * CSV Datei anlegen
 */
$aSpalten = array (
		"foreign_id",
		"article_nr",
		"title",
		"tax",
		"price",
		"price_uvp",
		"units",
		"delivery_surcharge",
		"variants",
		"short_desc",
		"long_desc",
		"picture",
		"picture2",
		"picture3",
		"picture4",
		"picture5",
		"categories",
		"stock",
		"quantity_unit",
		"package_size",
		"ean",
		"manufacturer",
		"delitem",
		"status" 
);

$sCSVNameArtikel = tempnam ( sys_get_temp_dir (), "conceptERP-" );
$rCSVArtikel = fopen ( $sCSVNameArtikel, "w" );
fputcsv ( $rCSVArtikel, $aSpalten, CSV_DELIMITER, CSV_ENCLOSURE );

/*
 * Artikel verarbeiten
 */
$aDateiliste = array ();
$aArtikelIds = array ();
$aVariantenAusgabe = array ();

if (count ( $aArtikelInWarengruppen ) > 0) {
	foreach ( $aArtikelInWarengruppen as $aArtikel ) {
		$aArtikelIds [] = $aArtikel ["Artikel_id"];
		unset ( $aArtikel ["fiArtikel"], $aArtikel ["ArtikelZuordnung_id"] );
		
		/*
		 * Content suchen
		 */
		$sQuery = $sql_query ["contentliste"] . " and fiArtikel like '%;" . $aArtikel ["Artikel_id"] . ";%' and $tblcontent.fiContentTyp < 900";
		$aContentListe = get_table_array ( $sQuery );
		
		if (count ( $aContentListe ) > 0) {
			foreach ( $aContentListe as $aContent ) {
				/*
				 * Speichere Dateipfade fr Artikel in Liste
				 */
				if (is_dir ( returnContentOrdner ( $aContent ["Content_id"] ) . "/" . $sContentOrdner )) {
					$aDateiliste [$aArtikel ["Artikel_id"]] = glob ( returnContentOrdner ( $aContent ["Content_id"] ) . "/" . $sContentOrdner . "/*.{jpg,png,jpeg}", GLOB_BRACE );
				}
			}
		}
		
		$aSpalten = array (
				"foreign_id" => $aArtikel ["Artikel_id"],
				"article_nr" => $aArtikel ["dtEigeneArtikelNr"],
				"title" => $aArtikel ["dtArtikel"],
				"tax" => double_from_sql ( $aArtikel ["dtMwstSatzVK"], 2 ),
				"price" => double_from_sql ( $aArtikel [$sPreisfeld], 2 ),
				"price_uvp" => "",
				"units" => $aArtikel ["dtArtikelEinheitStueckzahl"],
				"delivery_surcharge" => "0,00",
				"variants" => "",
				"short_desc" => "",
				"long_desc" => "",
				"picture" => "",
				"picture2" => "",
				"picture3" => "",
				"picture4" => "",
				"picture5" => "",
				"categories" => "",
				"stock" => "",
				"quantity_unit" => "",
				"package_size" => "",
				"ean" => $aArtikel ["dtArtikelEAN"],
				"manufacturer" => $aArtikel ["dtFabrikat"],
				"delitem" => "0",
				"status" => $aArtikel ["dtArtikelAktiv"] 
		);
		
		/*
		 * UVP Preis
		 */
		if (! empty ( $sPreisfeldUVP )) {
			$aSpalten ["price_uvp"] = double_from_sql ( $aArtikel [$sPreisfeldUVP], 2 );
		} else {
			$aSpalten ["price_uvp"] = "";
		}
		
		/*
		 * Versandkosten
		 */
		if (! ($aSpalten ["delivery_surcharge"] = getArtikelAttribut ( "Versandkosten-Yatego", getArtikelAttribute ( $aArtikel ["Artikel_id"] ) ))) {
			$aSpalten ["delivery_surcharge"] = $dVersandkosten;
		}
		
		/*
		 * Beschreibung
		 */
		$aReplaceFrom = array ();
		$aReplaceTo = array ();
		
		foreach ( $aArtikel as $sKey => $sValue ) {
			if (is_numeric ( $sKey ))
				continue;
			
			$aReplaceFrom [] = "%%%" . $sKey . "%%%";
			$aReplaceTo [] = $sValue;
		}
		
		$aSpalten ["short_desc"] = str_replace ( $aReplaceFrom, $aReplaceTo, $sArtikelTemplateKurz );
		$aSpalten ["long_desc"] = str_replace ( $aReplaceFrom, $aReplaceTo, $sArtikelTemplate );
		
		/*
		 * Bilder
		 */
		if (! is_writable ( $sZielpfadBilder )) {
			echo "\n\nBilder knnen nicht in '$sZielpfadBilder' gespeichert werden! Abbruch.\n\n";
			return;
		}
		
		if (count ( $aDateiliste [$aArtikel ["Artikel_id"]] ) > 0) {
			for($iIndexBild = 0; $iIndexBild < count ( $aDateiliste [$aArtikel ["Artikel_id"]] ); $iIndexBild ++) {
				$sDateinameNeu = $aArtikel ["Artikel_id"] . "__" . $iIndexBild . "." . returnDateiendung ( basename ( $aDateiliste [$aArtikel ["Artikel_id"]] [$iIndexBild] ) );
				copy ( $aDateiliste [$aArtikel ["Artikel_id"]] [$iIndexBild], $sZielpfadBilder . "/" . $sDateinameNeu );
				
				if ($iIndexBild > 0) {
					$sNameSpalte = "picture" . ($iIndexBild + 1);
				} else {
					$sNameSpalte = "picture";
				}
				
				$aSpalten [$sNameSpalte] = $sURLBilder . $sDateinameNeu;
			}
		}
		
		/*
		 * Menge
		 */
		if ($bLagerverwaltungAktiv) {
			$iMengeArtikel = get_table_count ( $sql_query ["artikelliste-verfuegbar-simple"] . " and $tblartikelstueck.fiArtikel = " . $aArtikel ["Artikel_id"] );
			$aSpalten ["stock"] = $iMengeArtikel;
		} else {
			$aSpalten ["stock"] = "-1";
		}
		
		/*
		 * Warengruppeninformationen abrufen
		 */
		$aWarengruppe = get_table_row ( $sql_query ["warengruppenliste"] . " and $tblwarengruppen.id = '" . $aArtikel ["fiWarengruppe"] . "'" );
		
		$sBeschreibungWarengruppe = $aWarengruppe ["dtWarengruppenBeschreibung"];
		$sBeschreibungWarengruppe = substr ( $sBeschreibungWarengruppe, strpos ( $sBeschreibungWarengruppe, $sTask ) );
		
		if (strpos ( $sBeschreibungWarengruppe, " " ) !== false) {
			$sBeschreibungWarengruppe = substr ( $sBeschreibungWarengruppe, 0, strpos ( $sBeschreibungWarengruppe, " " ) );
		}
		
		$sWarengruppeZuKategorie = substr ( $sBeschreibungWarengruppe, strpos ( $sBeschreibungWarengruppe, ":" ) + 1 );
		
		if (empty ( $sWarengruppeZuKategorie )) {
			echo "Kann keine Warengruppenzuordnung in Warengruppe '" . $aWarengruppe ["dtWarengruppe"] . "' finden. Abbruch!\n";
			$iReturncode = 3;
			return;
		}
		
		$aSpalten ["categories"] = trim ( $sWarengruppeZuKategorie ) . "," . $aArtikel ["fiWarengruppe"];
		
		/*
		 * Einheit Auszug Dokumentation: Gltige Werte sind Kilogramm, Gramm, Liter, Milliliter, Meter, Quadratmeter, Kubikmeter und Stck.
		 */
		$aSpalten ["quantity_unit"] = "Stck";
		
		/*
		 * Verarbeitung der Varianten
		 */
		
		$aVariantenListe = get_table_array ( $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $aArtikel ["Artikel_id"] . "'  and $tblartikelvarianten.dtArtikelVarianteAktiv = 1" );
		
		if (count ( $aVariantenListe ) > 0) {
			$aVariantenGruppenIdListe = array ();
			
			/*
			 * Zuerst die Gruppen
			 */
			$aVariantenAusgabe [] = array (
					"foreign_id",
					"vs_title",
					"variant_set_name",
					"set_sorting",
					"delitem" 
			); // Kopf
			
			$aVariantenGruppenListe = get_table_array ( $sql_query ["artikelvariantenliste"] . " and $tblartikelvarianten.fiArtikel = '" . $aArtikel ["Artikel_id"] . "' GROUP BY $tblartikelvarianten.fiArtikelVariantenGruppe" );
			
			foreach ( $aVariantenGruppenListe as $aVariantenGruppe ) {
				$sGruppenId = "a" . $aVariantenGruppe ["fiArtikel"] . "g" . $aVariantenGruppe ["fiArtikelVariantenGruppe"]; // ID: a52g1 -> Artikel ID 52, Gruppen-ID 1
				
				$aVariantenAusgabe [] = array (
						"foreign_id" => $sGruppenId,
						"vs_title" => $aVariantenGruppe ["dtGruppenName"],
						"variant_set_name" => "",
						"set_sorting" => "abc", // Alphabetisch ist immer gut
						"delitem" => "0" 
				);
				
				$aVariantenGruppenIdListe [] = $sGruppenId;
			}
			
			/*
			 * Dann die Verschiedenen Varianten
			 */
			$aVariantenAusgabe [] = array (
					"variant_set_id",
					"foreign_id",
					"title",
					"small_desc",
					"long_desc",
					"picture",
					"price",
					"sorting_number",
					"delitem" 
			); // Kopf
			
			foreach ( $aVariantenListe as $aVariante ) {
				$dPreis = $aVariante [$sPreisfeldVariante];
				
				if (empty ( $aVariante ["dtArtikelVariantenName"] )) {
					continue;
				}
				
				$aVariantenAusgabe [] = array (
						"variant_set_id" => "a" . $aVariante ["fiArtikel"] . "g" . $aVariante ["fiArtikelVariantenGruppe"], // ID: a52g1 -> Artikel ID 52, Gruppen-ID 1
						"foreign_id" => $aVariante ["Variante_id"],
						"title" => $aVariante ["dtArtikelVariantenName"],
						"small_desc" => "",
						"long_desc" => "",
						"picture" => "",
						"price" => double_from_sql ( $dPreis, 2 ),
						"sorting_number" => "",
						"delitem" => "0" 
				);
			}
			
			$aSpalten ["variants"] = join ( ",", $aVariantenGruppenIdListe );
		}
		
		/*
		 * Packungsgre Auszug Dokumentation: Gre bezogen auf 1 Einheit. Bsp: Eine 0,7l Flasche Wein hat die Mengeneinheit Liter und die Packungsgre 0,7.
		 */
		$aSpalten ["package_size"] = "";
		
		echo "Exportiere Artikel " . $aArtikel ["dtArtikelDDText"] . " (" . $aArtikel ["Artikel_id"] . ") - Anzahl Dateien: " . count ( $aDateiliste [$aArtikel ["Artikel_id"]] ) . "\n";
		
		fputcsv ( $rCSVArtikel, $aSpalten, CSV_DELIMITER, CSV_ENCLOSURE );
	}
	
	/*
	 * Varianten-CSV erzeugen
	 */
	if (count ( $aVariantenAusgabe ) > 0) {
		$rCSVVarianten = fopen ( $sZielpfadCSVVarianten, "w" );
		{
			foreach ( $aVariantenAusgabe as $aVariantenZeile ) {
				fputcsv ( $rCSVVarianten, $aVariantenZeile, CSV_DELIMITER, CSV_ENCLOSURE );
			}
		}
		
		fclose ( $rCSVVarianten );
		
		echo "Dateiname CSV Varianten: '" . $sZielpfadCSVVarianten . "'\n";
	}
} else {
	echo "Keine Artikel zum exportieren verfuegbar.\n";
	$iReturncode = 1;
}

fclose ( $rCSVArtikel );

echo "Dateiname CSV Artikel: '" . $sZielpfadCSV . "'\n";
rename ( $sCSVNameArtikel, $sZielpfadCSV );

/*
 * Kategorie Export
 */
if (is_writable ( $sZielpfadCSVKategorie )) {
	$rCSVKategorie = fopen ( $sZielpfadCSVKategorie, "w" );
	
	$sQuery = <<<EOF
(
SELECT a.id AS foreign_id_h, "" AS foreign_id_m, "" AS foreign_id_l, a.dtWarengruppe AS title_h, "" AS title_m, "" AS title_l, a.dtWarengruppeExportziele AS Ziele
FROM tblWarengruppen AS a
WHERE fiWarengruppeUebergeordnet =0
)
UNION (

SELECT b.fiWarengruppeUebergeordnet AS foreign_id_h, b.id AS foreign_id_m, "" AS foreign_id_l, a.dtWarengruppe AS title_h, b.dtWarengruppe AS title_m, "" AS title_l, b.dtWarengruppeExportziele AS Ziele
FROM tblWarengruppen AS b
LEFT JOIN tblWarengruppen AS a ON a.id = b.fiWarengruppeUebergeordnet
WHERE b.fiWarengruppeUebergeordnet !=0
)
EOF;
	
	$result = mysql_query ( $sQuery );
	
	$bHeader = false;
	
	while ( $row = mysql_fetch_array ( $result, MYSQL_ASSOC ) ) {
		if (! $bHeader) {
			unset ( $row ["Ziele"] );
			
			fputcsv ( $rCSVKategorie, array_keys ( $row ), CSV_DELIMITER, CSV_ENCLOSURE );
			$bHeader = true;
		}
		
		if (! empty ( $row ["Ziele"] )) {
			$aExport = unserialize ( $row ["Ziele"] );
			
			if (! (array_search ( $aTask ["Taskplaner_id"], $aExport ) !== false)) {
				continue;
			}
		} else {
			continue;
		}
		
		unset ( $row ["Ziele"] );
		
		fputcsv ( $rCSVKategorie, $row, CSV_DELIMITER, CSV_ENCLOSURE );
	}
	
	fclose ( $rCSVKategorie );
	
	echo "Dateiname CSV Kategorien: '" . $sZielpfadCSVKategorie . "'\n";
}

?>